ImageProcessor Namespace

ImageProcessor Documented Class Library
ImageProcessor Namespace
The main namespace for all features
Classes
 | Class | Description
Public class | ImageFactory | Encapsulates methods for processing image files in a fluent manner.


ImageFactory Class

ImageFactory Class
Encapsulates methods for processing image files in a fluent manner.
Inheritance Hierarchy
SystemObject
ImageProcessorImageFactory

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ImageFactory : IDisposable
Public Class ImageFactory
    Implements IDisposable
public ref class ImageFactory : IDisposable
type ImageFactory =
    class
        interface IDisposable
    end

The ImageFactory type exposes the following members.

Constructors
 | Name | Description
Public method | ImageFactory(Boolean) | Initializes a new instance of the ImageFactory class.
Public method | ImageFactory(Boolean, Boolean) | Initializes a new instance of the ImageFactory class.
Top
Properties
 | Name | Description
Public property | AnimationProcessMode | Gets or sets the process mode for frames in animated images.
Public property | CurrentBitDepth | Gets the color depth in number of bits per pixel to save the image with. This can be used to change the bit depth of images that can be saved with different bit depths such as TIFF.
Public property | CurrentGamma | Gets or the current gamma value.
Public property | CurrentImageFormat | Gets the supported image format.
Public property | ExifPropertyItems | Gets or sets the collection of property items containing EXIF metadata.
Public property | FixGamma | Gets or sets a value indicating whether to fix the gamma component of the current image.
Public property | Image | Gets or the local image for manipulation.
Public property | ImagePath | Gets the path to the local image for manipulation.
Public property | PreserveExifData | Gets or sets a value indicating whether to preserve exif metadata.
Public property | ShouldProcess | Gets a value indicating whether the image factory should process the file.
Top
Methods
 | Name | Description
Public method | Alpha | Changes the opacity of the current image.
Public method | AutoRotate | Performs auto-rotation to ensure that EXIF defined rotation is reflected in the final image.
Public method | BackgroundColor | Changes the background color of the current image.
Public method | BitDepth | Alters the bit depth of the current image. Remarks This can only be used to change the bit depth of images that can be saved by System.Drawing with different bit depths such as TIFF.
Public method | Brightness | Changes the brightness of the current image.
Public method | Constrain | Constrains the current image, resizing it to fit within the given dimensions whilst keeping its aspect ratio.
Public method | Contrast | Changes the contrast of the current image.
Public method | Crop(Rectangle) | Crops the current image to the given location and size.
Public method | Crop(CropLayer) | Crops the current image to the given location and size.
Public method | DetectEdges | Detects the edges in the current image.
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Public method | EntropyCrop | Crops an image to the area of greatest entropy.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Filter | Applies a filter to the current image. Use the MatrixFilters class to assign the correct filter.
Protected method | Finalize | Finalizes an instance of the ImageFactory class. (Overrides ObjectFinalize.)
Public method | Flip | Flips the current image either horizontally or vertically.
Public method | Format | Sets the output format of the current image to the matching ImageFormat.
Public method | Gamma | Adjust the gamma (intensity of the light) component of the given image.
Public method | GaussianBlur(Int32) | Uses a Gaussian kernel to blur the current image. Remarks The sigma and threshold values applied to the kernel are 1.4 and 0 respectively.
Public method | GaussianBlur(GaussianLayer) | Uses a Gaussian kernel to blur the current image.
Public method | GaussianSharpen(Int32) | Uses a Gaussian kernel to sharpen the current image. Remarks The sigma and threshold values applied to the kernel are 1.4 and 0 respectively.
Public method | GaussianSharpen(GaussianLayer) | Uses a Gaussian kernel to sharpen the current image.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Halftone | Converts the current image to a CMYK halftone representation of that image.
Public method | Hue | Alters the hue of the current image changing the overall color.
Public method | Load(Byte) | Loads the image to process from an array of bytes. Always call this method first.
Public method | Load(Image) | Loads the image to process from an array of bytes. Always call this method first.
Public method | Load(Stream) | Loads the image to process. Always call this method first.
Public method | Load(String) | Loads the image to process. Always call this method first.
Public method | Mask | Applies the given image mask to the current image.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Overlay | Adds a image overlay to the current image.
Public method | Pixelate | Pixelates an image with the given size.
Public method | Quality | Alters the output quality of the current image. Remarks This method will only effect the output quality of jpeg images
Public method | ReplaceColor | Replaces a color within the current image.
Public method | Reset | Resets the current image to its original loaded state.
Public method | Resize(Size) | Resizes the current image to the given dimensions.
Public method | Resize(ResizeLayer) | Resizes the current image to the given dimensions.
Public method | Resolution | Sets the resolution of the image. Remarks This method sets both the bitmap data and EXIF resolution if available.
Public method | Rotate | Rotates the current image by the given angle.
Public method | RotateBounded | Rotates the image without expanding the canvas to fit the image.
Public method | RoundedCorners(Int32) | Adds rounded corners to the current image.
Public method | RoundedCorners(RoundedCornerLayer) | Adds rounded corners to the current image.
Public method | Saturation | Changes the saturation of the current image.
Public method | Save(Stream) | Saves the current image to the specified output stream.
Public method | Save(String) | Saves the current image to the specified file path. If the extension does not match the correct extension for the current format it will be replaced by the correct default value.
Public method | Tint | Tints the current image with the given color.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Vignette | Adds a vignette image effect to the current image.
Public method | Watermark | Adds a text based watermark to the current image.
Top
See Also

Reference

ImageProcessor Namespace


ImageFactory Constructor

ImageFactory Constructor
Overload List
 | Name | Description
Public method | ImageFactory(Boolean) | Initializes a new instance of the ImageFactory class.
Public method | ImageFactory(Boolean, Boolean) | Initializes a new instance of the ImageFactory class.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory Constructor (Boolean)

ImageFactory Constructor (Boolean)
Initializes a new instance of the ImageFactory class.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory(
    bool preserveExifData = false
)
Public Sub New (
    Optional preserveExifData As Boolean = false
)
public:
ImageFactory(
    bool preserveExifData = false
)
new :
        ?preserveExifData : bool
(* Defaults:
        let _preserveExifData = defaultArg preserveExifData false
*)
-> ImageFactory

Parameters

preserveExifData (Optional)
Type: SystemBoolean
Whether to preserve exif metadata. Defaults to false.
See Also

Reference

ImageFactory Class
ImageFactory Overload
ImageProcessor Namespace


ImageFactory Constructor (Boolean, Boolean)

ImageFactory Constructor (Boolean, Boolean)
Initializes a new instance of the ImageFactory class.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory(
    bool preserveExifData,
    bool fixGamma
)
Public Sub New (
    preserveExifData As Boolean,
    fixGamma As Boolean
)
public:
ImageFactory(
    bool preserveExifData,
    bool fixGamma
)
new :
        preserveExifData : bool *
        fixGamma : bool -> ImageFactory

Parameters

preserveExifData
Type: SystemBoolean
Whether to preserve exif metadata. Defaults to false.
fixGamma
Type: SystemBoolean
Whether to fix the gamma component of the image. Defaults to true.
See Also

Reference

ImageFactory Class
ImageFactory Overload
ImageProcessor Namespace


ImageFactory Properties

ImageFactory Properties

The ImageFactory type exposes the following members.

Properties
 | Name | Description
Public property | AnimationProcessMode | Gets or sets the process mode for frames in animated images.
Public property | CurrentBitDepth | Gets the color depth in number of bits per pixel to save the image with. This can be used to change the bit depth of images that can be saved with different bit depths such as TIFF.
Public property | CurrentGamma | Gets or the current gamma value.
Public property | CurrentImageFormat | Gets the supported image format.
Public property | ExifPropertyItems | Gets or sets the collection of property items containing EXIF metadata.
Public property | FixGamma | Gets or sets a value indicating whether to fix the gamma component of the current image.
Public property | Image | Gets or the local image for manipulation.
Public property | ImagePath | Gets the path to the local image for manipulation.
Public property | PreserveExifData | Gets or sets a value indicating whether to preserve exif metadata.
Public property | ShouldProcess | Gets a value indicating whether the image factory should process the file.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.AnimationProcessMode Property

ImageFactoryAnimationProcessMode Property
Gets or sets the process mode for frames in animated images.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public AnimationProcessMode AnimationProcessMode { get; set; }
Public Property AnimationProcessMode As AnimationProcessMode
    Get
    Set
public:
property AnimationProcessMode AnimationProcessMode {
    AnimationProcessMode get ();
    void set (AnimationProcessMode value);
}
member AnimationProcessMode : AnimationProcessMode with get, set

Property Value

Type: AnimationProcessMode
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.CurrentBitDepth Property

ImageFactoryCurrentBitDepth Property
Gets the color depth in number of bits per pixel to save the image with. This can be used to change the bit depth of images that can be saved with different bit depths such as TIFF.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public long CurrentBitDepth { get; }
Public ReadOnly Property CurrentBitDepth As Long
    Get
public:
property long long CurrentBitDepth {
    long long get ();
}
member CurrentBitDepth : int64 with get

Property Value

Type: Int64
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.CurrentGamma Property

ImageFactoryCurrentGamma Property
Gets or the current gamma value.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float CurrentGamma { get; }
Public ReadOnly Property CurrentGamma As Single
    Get
public:
property float CurrentGamma {
    float get ();
}
member CurrentGamma : float32 with get

Property Value

Type: Single
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.CurrentImageFormat Property

ImageFactoryCurrentImageFormat Property
Gets the supported image format.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ISupportedImageFormat CurrentImageFormat { get; }
Public ReadOnly Property CurrentImageFormat As ISupportedImageFormat
    Get
public:
property ISupportedImageFormat^ CurrentImageFormat {
    ISupportedImageFormat^ get ();
}
member CurrentImageFormat : ISupportedImageFormat with get

Property Value

Type: ISupportedImageFormat
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.ExifPropertyItems Property

ImageFactoryExifPropertyItems Property
Gets or sets the collection of property items containing EXIF metadata.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ConcurrentDictionary<int, PropertyItem> ExifPropertyItems { get; set; }
Public Property ExifPropertyItems As ConcurrentDictionary(Of Integer, PropertyItem)
    Get
    Set
public:
property ConcurrentDictionary<int, PropertyItem^>^ ExifPropertyItems {
    ConcurrentDictionary<int, PropertyItem^>^ get ();
    void set (ConcurrentDictionary<int, PropertyItem^>^ value);
}
member ExifPropertyItems : ConcurrentDictionary<int, PropertyItem> with get, set

Property Value

Type: ConcurrentDictionary Int32, PropertyItem
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.FixGamma Property

ImageFactoryFixGamma Property
Gets or sets a value indicating whether to fix the gamma component of the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool FixGamma { get; set; }
Public Property FixGamma As Boolean
    Get
    Set
public:
property bool FixGamma {
    bool get ();
    void set (bool value);
}
member FixGamma : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Image Property

ImageFactoryImage Property
Gets or the local image for manipulation.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image Image { get; }
Public ReadOnly Property Image As Image
    Get
public:
property Image^ Image {
    Image^ get ();
}
member Image : Image with get

Property Value

Type: Image
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.ImagePath Property

ImageFactoryImagePath Property
Gets the path to the local image for manipulation.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public string ImagePath { get; }
Public ReadOnly Property ImagePath As String
    Get
public:
property String^ ImagePath {
    String^ get ();
}
member ImagePath : string with get

Property Value

Type: String
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.PreserveExifData Property

ImageFactoryPreserveExifData Property
Gets or sets a value indicating whether to preserve exif metadata.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool PreserveExifData { get; set; }
Public Property PreserveExifData As Boolean
    Get
    Set
public:
property bool PreserveExifData {
    bool get ();
    void set (bool value);
}
member PreserveExifData : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.ShouldProcess Property

ImageFactoryShouldProcess Property
Gets a value indicating whether the image factory should process the file.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool ShouldProcess { get; }
Public ReadOnly Property ShouldProcess As Boolean
    Get
public:
property bool ShouldProcess {
    bool get ();
}
member ShouldProcess : bool with get

Property Value

Type: Boolean
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory Methods

ImageFactory Methods

The ImageFactory type exposes the following members.

Methods
 | Name | Description
Public method | Alpha | Changes the opacity of the current image.
Public method | AutoRotate | Performs auto-rotation to ensure that EXIF defined rotation is reflected in the final image.
Public method | BackgroundColor | Changes the background color of the current image.
Public method | BitDepth | Alters the bit depth of the current image. Remarks This can only be used to change the bit depth of images that can be saved by System.Drawing with different bit depths such as TIFF.
Public method | Brightness | Changes the brightness of the current image.
Public method | Constrain | Constrains the current image, resizing it to fit within the given dimensions whilst keeping its aspect ratio.
Public method | Contrast | Changes the contrast of the current image.
Public method | Crop(Rectangle) | Crops the current image to the given location and size.
Public method | Crop(CropLayer) | Crops the current image to the given location and size.
Public method | DetectEdges | Detects the edges in the current image.
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Public method | EntropyCrop | Crops an image to the area of greatest entropy.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Filter | Applies a filter to the current image. Use the MatrixFilters class to assign the correct filter.
Protected method | Finalize | Finalizes an instance of the ImageFactory class. (Overrides ObjectFinalize.)
Public method | Flip | Flips the current image either horizontally or vertically.
Public method | Format | Sets the output format of the current image to the matching ImageFormat.
Public method | Gamma | Adjust the gamma (intensity of the light) component of the given image.
Public method | GaussianBlur(Int32) | Uses a Gaussian kernel to blur the current image. Remarks The sigma and threshold values applied to the kernel are 1.4 and 0 respectively.
Public method | GaussianBlur(GaussianLayer) | Uses a Gaussian kernel to blur the current image.
Public method | GaussianSharpen(Int32) | Uses a Gaussian kernel to sharpen the current image. Remarks The sigma and threshold values applied to the kernel are 1.4 and 0 respectively.
Public method | GaussianSharpen(GaussianLayer) | Uses a Gaussian kernel to sharpen the current image.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Halftone | Converts the current image to a CMYK halftone representation of that image.
Public method | Hue | Alters the hue of the current image changing the overall color.
Public method | Load(Byte) | Loads the image to process from an array of bytes. Always call this method first.
Public method | Load(Image) | Loads the image to process from an array of bytes. Always call this method first.
Public method | Load(Stream) | Loads the image to process. Always call this method first.
Public method | Load(String) | Loads the image to process. Always call this method first.
Public method | Mask | Applies the given image mask to the current image.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Overlay | Adds a image overlay to the current image.
Public method | Pixelate | Pixelates an image with the given size.
Public method | Quality | Alters the output quality of the current image. Remarks This method will only effect the output quality of jpeg images
Public method | ReplaceColor | Replaces a color within the current image.
Public method | Reset | Resets the current image to its original loaded state.
Public method | Resize(Size) | Resizes the current image to the given dimensions.
Public method | Resize(ResizeLayer) | Resizes the current image to the given dimensions.
Public method | Resolution | Sets the resolution of the image. Remarks This method sets both the bitmap data and EXIF resolution if available.
Public method | Rotate | Rotates the current image by the given angle.
Public method | RotateBounded | Rotates the image without expanding the canvas to fit the image.
Public method | RoundedCorners(Int32) | Adds rounded corners to the current image.
Public method | RoundedCorners(RoundedCornerLayer) | Adds rounded corners to the current image.
Public method | Saturation | Changes the saturation of the current image.
Public method | Save(Stream) | Saves the current image to the specified output stream.
Public method | Save(String) | Saves the current image to the specified file path. If the extension does not match the correct extension for the current format it will be replaced by the correct default value.
Public method | Tint | Tints the current image with the given color.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Vignette | Adds a vignette image effect to the current image.
Public method | Watermark | Adds a text based watermark to the current image.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Alpha Method

ImageFactoryAlpha Method
Changes the opacity of the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Alpha(
    int percentage
)
Public Function Alpha (
    percentage As Integer
) As ImageFactory
public:
ImageFactory^ Alpha(
    int percentage
)
member Alpha :
        percentage : int -> ImageFactory

Parameters

percentage
Type: SystemInt32
The percentage by which to alter the images opacity. Any integer between 0 and 100.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.AutoRotate Method

ImageFactoryAutoRotate Method
Performs auto-rotation to ensure that EXIF defined rotation is reflected in the final image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory AutoRotate()
Public Function AutoRotate As ImageFactory
public:
ImageFactory^ AutoRotate()
member AutoRotate : unit -> ImageFactory

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.BackgroundColor Method

ImageFactoryBackgroundColor Method
Changes the background color of the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory BackgroundColor(
    Color color
)
Public Function BackgroundColor (
    color As Color
) As ImageFactory
public:
ImageFactory^ BackgroundColor(
    Color color
)
member BackgroundColor :
        color : Color -> ImageFactory

Parameters

color
Type: System.DrawingColor
The Color to paint the image with.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.BitDepth Method

ImageFactoryBitDepth Method
Alters the bit depth of the current image.
Remarks
This can only be used to change the bit depth of images that can be saved by System.Drawing with different bit depths such as TIFF.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory BitDepth(
    long bitDepth
)
Public Function BitDepth (
    bitDepth As Long
) As ImageFactory
public:
ImageFactory^ BitDepth(
    long long bitDepth
)
member BitDepth :
        bitDepth : int64 -> ImageFactory

Parameters

bitDepth
Type: SystemInt64
A value over 0.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Brightness Method

ImageFactoryBrightness Method
Changes the brightness of the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Brightness(
    int percentage
)
Public Function Brightness (
    percentage As Integer
) As ImageFactory
public:
ImageFactory^ Brightness(
    int percentage
)
member Brightness :
        percentage : int -> ImageFactory

Parameters

percentage
Type: SystemInt32
The percentage by which to alter the images brightness. Any integer between -100 and 100.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Constrain Method

ImageFactoryConstrain Method
Constrains the current image, resizing it to fit within the given dimensions whilst keeping its aspect ratio.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Constrain(
    Size size
)
Public Function Constrain (
    size As Size
) As ImageFactory
public:
ImageFactory^ Constrain(
    Size size
)
member Constrain :
        size : Size -> ImageFactory

Parameters

size
Type: System.DrawingSize
The Size containing the maximum width and height to set the image to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Contrast Method

ImageFactoryContrast Method
Changes the contrast of the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Contrast(
    int percentage
)
Public Function Contrast (
    percentage As Integer
) As ImageFactory
public:
ImageFactory^ Contrast(
    int percentage
)
member Contrast :
        percentage : int -> ImageFactory

Parameters

percentage
Type: SystemInt32
The percentage by which to alter the images contrast. Any integer between -100 and 100.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Crop Method

ImageFactoryCrop Method
Overload List
 | Name | Description
Public method | Crop(Rectangle) | Crops the current image to the given location and size.
Public method | Crop(CropLayer) | Crops the current image to the given location and size.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Crop Method (Rectangle)

ImageFactoryCrop Method (Rectangle)
Crops the current image to the given location and size.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Crop(
    Rectangle rectangle
)
Public Function Crop (
    rectangle As Rectangle
) As ImageFactory
public:
ImageFactory^ Crop(
    Rectangle rectangle
)
member Crop :
        rectangle : Rectangle -> ImageFactory

Parameters

rectangle
Type: System.DrawingRectangle
The Rectangle containing the coordinates to crop the image to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Crop Overload
ImageProcessor Namespace


ImageFactory.Crop Method (CropLayer)

ImageFactoryCrop Method (CropLayer)
Crops the current image to the given location and size.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Crop(
    CropLayer cropLayer
)
Public Function Crop (
    cropLayer As CropLayer
) As ImageFactory
public:
ImageFactory^ Crop(
    CropLayer^ cropLayer
)
member Crop :
        cropLayer : CropLayer -> ImageFactory

Parameters

cropLayer
Type: ImageProcessor.ImagingCropLayer
The CropLayer containing the coordinates and mode to crop the image with.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Crop Overload
ImageProcessor Namespace


ImageFactory.DetectEdges Method

ImageFactoryDetectEdges Method
Detects the edges in the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory DetectEdges(
    IEdgeFilter filter,
    bool greyscale = true
)
Public Function DetectEdges (
    filter As IEdgeFilter,
    Optional greyscale As Boolean = true
) As ImageFactory
public:
ImageFactory^ DetectEdges(
    IEdgeFilter^ filter,
    bool greyscale = true
)
member DetectEdges :
        filter : IEdgeFilter *
        ?greyscale : bool
(* Defaults:
        let _greyscale = defaultArg greyscale true
*)
-> ImageFactory

Parameters

filter
Type: ImageProcessor.Imaging.Filters.EdgeDetectionIEdgeFilter
The IEdgeFilter to detect edges with.
greyscale (Optional)
Type: SystemBoolean
Whether to convert the image to greyscale first - Defaults to true.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Dispose Method

ImageFactoryDispose Method
Overload List
 | Name | Description
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Dispose Method

ImageFactoryDispose Method
Disposes the object and frees resources for the Garbage Collector.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

ImageFactory Class
Dispose Overload
ImageProcessor Namespace


ImageFactory.Dispose Method (Boolean)

ImageFactoryDispose Method (Boolean)
Disposes the object and frees resources for the Garbage Collector.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual void Dispose(
    bool disposing
)
Protected Overridable Sub Dispose (
    disposing As Boolean
)
protected:
virtual void Dispose(
    bool disposing
)
abstract Dispose :
        disposing : bool -> unit
override Dispose :
        disposing : bool -> unit

Parameters

disposing
Type: SystemBoolean
If true, the object gets disposed.
See Also

Reference

ImageFactory Class
Dispose Overload
ImageProcessor Namespace


ImageFactory.EntropyCrop Method

ImageFactoryEntropyCrop Method
Crops an image to the area of greatest entropy.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory EntropyCrop(
    byte threshold = 128
)
Public Function EntropyCrop (
    Optional threshold As Byte = 128
) As ImageFactory
public:
ImageFactory^ EntropyCrop(
    unsigned char threshold = 128
)
member EntropyCrop :
        ?threshold : byte
(* Defaults:
        let _threshold = defaultArg threshold 128
*)
-> ImageFactory

Parameters

threshold (Optional)
Type: SystemByte
The threshold in bytes to control the entropy.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Filter Method

ImageFactoryFilter Method
Applies a filter to the current image. Use the MatrixFilters class to assign the correct filter.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Filter(
    IMatrixFilter matrixFilter
)
Public Function Filter (
    matrixFilter As IMatrixFilter
) As ImageFactory
public:
ImageFactory^ Filter(
    IMatrixFilter^ matrixFilter
)
member Filter :
        matrixFilter : IMatrixFilter -> ImageFactory

Parameters

matrixFilter
Type: ImageProcessor.Imaging.Filters.PhotoIMatrixFilter
The IMatrixFilter of the filter to add to the image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Finalize Method

ImageFactoryFinalize Method
Finalizes an instance of the ImageFactory class.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected override void Finalize()
Protected Overrides Sub Finalize
protected:
virtual void Finalize() override
abstract Finalize : unit -> unit
override Finalize : unit -> unit

Implements

ObjectFinalize
Remarks
Use C# destructor syntax for finalization code. This destructor will run only if the Dispose method does not get called. It gives your base class the opportunity to finalize. Do not provide destructors in types derived from this class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Flip Method

ImageFactoryFlip Method
Flips the current image either horizontally or vertically.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Flip(
    bool flipVertically = false,
    bool flipBoth = false
)
Public Function Flip (
    Optional flipVertically As Boolean = false,
    Optional flipBoth As Boolean = false
) As ImageFactory
public:
ImageFactory^ Flip(
    bool flipVertically = false,
    bool flipBoth = false
)
member Flip :
        ?flipVertically : bool *
        ?flipBoth : bool
(* Defaults:
        let _flipVertically = defaultArg flipVertically false
        let _flipBoth = defaultArg flipBoth false
*)
-> ImageFactory

Parameters

flipVertically (Optional)
Type: SystemBoolean
Whether to flip the image vertically.
flipBoth (Optional)
Type: SystemBoolean
Whether to flip the image both vertically and horizontally.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Format Method

ImageFactoryFormat Method
Sets the output format of the current image to the matching ImageFormat.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Format(
    ISupportedImageFormat format
)
Public Function Format (
    format As ISupportedImageFormat
) As ImageFactory
public:
ImageFactory^ Format(
    ISupportedImageFormat^ format
)
member Format :
        format : ISupportedImageFormat -> ImageFactory

Parameters

format
Type: ImageProcessor.Imaging.FormatsISupportedImageFormat
The ISupportedImageFormat. to set the image to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Gamma Method

ImageFactoryGamma Method
Adjust the gamma (intensity of the light) component of the given image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Gamma(
    float value
)
Public Function Gamma (
    value As Single
) As ImageFactory
public:
ImageFactory^ Gamma(
    float value
)
member Gamma :
        value : float32 -> ImageFactory

Parameters

value
Type: SystemSingle
The value to adjust the gamma by (typically between .2 and 5).

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.GaussianBlur Method

ImageFactoryGaussianBlur Method
Overload List
 | Name | Description
Public method | GaussianBlur(Int32) | Uses a Gaussian kernel to blur the current image. Remarks The sigma and threshold values applied to the kernel are 1.4 and 0 respectively.
Public method | GaussianBlur(GaussianLayer) | Uses a Gaussian kernel to blur the current image.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.GaussianBlur Method (Int32)

ImageFactoryGaussianBlur Method (Int32)
Uses a Gaussian kernel to blur the current image.
Remarks

The sigma and threshold values applied to the kernel are 1.4 and 0 respectively.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory GaussianBlur(
    int size
)
Public Function GaussianBlur (
    size As Integer
) As ImageFactory
public:
ImageFactory^ GaussianBlur(
    int size
)
member GaussianBlur :
        size : int -> ImageFactory

Parameters

size
Type: SystemInt32
The size to set the Gaussian kernel to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
GaussianBlur Overload
ImageProcessor Namespace


ImageFactory.GaussianBlur Method (GaussianLayer)

ImageFactoryGaussianBlur Method (GaussianLayer)
Uses a Gaussian kernel to blur the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory GaussianBlur(
    GaussianLayer gaussianLayer
)
Public Function GaussianBlur (
    gaussianLayer As GaussianLayer
) As ImageFactory
public:
ImageFactory^ GaussianBlur(
    GaussianLayer^ gaussianLayer
)
member GaussianBlur :
        gaussianLayer : GaussianLayer -> ImageFactory

Parameters

gaussianLayer
Type: ImageProcessor.ImagingGaussianLayer
The GaussianLayer for applying sharpening and blurring methods to an image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
GaussianBlur Overload
ImageProcessor Namespace


ImageFactory.GaussianSharpen Method

ImageFactoryGaussianSharpen Method
Overload List
 | Name | Description
Public method | GaussianSharpen(Int32) | Uses a Gaussian kernel to sharpen the current image. Remarks The sigma and threshold values applied to the kernel are 1.4 and 0 respectively.
Public method | GaussianSharpen(GaussianLayer) | Uses a Gaussian kernel to sharpen the current image.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.GaussianSharpen Method (Int32)

ImageFactoryGaussianSharpen Method (Int32)
Uses a Gaussian kernel to sharpen the current image.
Remarks

The sigma and threshold values applied to the kernel are 1.4 and 0 respectively.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory GaussianSharpen(
    int size
)
Public Function GaussianSharpen (
    size As Integer
) As ImageFactory
public:
ImageFactory^ GaussianSharpen(
    int size
)
member GaussianSharpen :
        size : int -> ImageFactory

Parameters

size
Type: SystemInt32
The size to set the Gaussian kernel to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
GaussianSharpen Overload
ImageProcessor Namespace


ImageFactory.GaussianSharpen Method (GaussianLayer)

ImageFactoryGaussianSharpen Method (GaussianLayer)
Uses a Gaussian kernel to sharpen the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory GaussianSharpen(
    GaussianLayer gaussianLayer
)
Public Function GaussianSharpen (
    gaussianLayer As GaussianLayer
) As ImageFactory
public:
ImageFactory^ GaussianSharpen(
    GaussianLayer^ gaussianLayer
)
member GaussianSharpen :
        gaussianLayer : GaussianLayer -> ImageFactory

Parameters

gaussianLayer
Type: ImageProcessor.ImagingGaussianLayer
The GaussianLayer for applying sharpening and blurring methods to an image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
GaussianSharpen Overload
ImageProcessor Namespace


ImageFactory.Halftone Method

ImageFactoryHalftone Method
Converts the current image to a CMYK halftone representation of that image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Halftone(
    bool comicMode = false
)
Public Function Halftone (
    Optional comicMode As Boolean = false
) As ImageFactory
public:
ImageFactory^ Halftone(
    bool comicMode = false
)
member Halftone :
        ?comicMode : bool
(* Defaults:
        let _comicMode = defaultArg comicMode false
*)
-> ImageFactory

Parameters

comicMode (Optional)
Type: SystemBoolean
Whether to trace over the current image and add borders to add a comic book effect.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Hue Method

ImageFactoryHue Method
Alters the hue of the current image changing the overall color.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Hue(
    int degrees,
    bool rotate = false
)
Public Function Hue (
    degrees As Integer,
    Optional rotate As Boolean = false
) As ImageFactory
public:
ImageFactory^ Hue(
    int degrees,
    bool rotate = false
)
member Hue :
        degrees : int *
        ?rotate : bool
(* Defaults:
        let _rotate = defaultArg rotate false
*)
-> ImageFactory

Parameters

degrees
Type: SystemInt32
The angle by which to alter the images hue. Any integer between 0 and 360.
rotate (Optional)
Type: SystemBoolean
Whether to rotate the hue of the current image altering each color

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Load Method

ImageFactoryLoad Method
Overload List
 | Name | Description
Public method | Load(Byte) | Loads the image to process from an array of bytes. Always call this method first.
Public method | Load(Image) | Loads the image to process from an array of bytes. Always call this method first.
Public method | Load(Stream) | Loads the image to process. Always call this method first.
Public method | Load(String) | Loads the image to process. Always call this method first.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Load Method (Byte[])

ImageFactoryLoad Method (Byte)
Loads the image to process from an array of bytes. Always call this method first.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Load(
    byte[] bytes
)
Public Function Load (
    bytes As Byte()
) As ImageFactory
public:
ImageFactory^ Load(
    array<unsigned char>^ bytes
)
member Load :
        bytes : byte[] -> ImageFactory

Parameters

bytes
Type: SystemByte
The Byte containing the image information.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Load Overload
ImageProcessor Namespace


ImageFactory.Load Method (Image)

ImageFactoryLoad Method (Image)
Loads the image to process from an array of bytes. Always call this method first.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Load(
    Image image
)
Public Function Load (
    image As Image
) As ImageFactory
public:
ImageFactory^ Load(
    Image^ image
)
member Load :
        image : Image -> ImageFactory

Parameters

image
Type: System.DrawingImage
The Image to load. The original image is untouched during manipulation as a copy is made. Disposal of the input image is the responsibility of the user.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Load Overload
ImageProcessor Namespace


ImageFactory.Load Method (Stream)

ImageFactoryLoad Method (Stream)
Loads the image to process. Always call this method first.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Load(
    Stream stream
)
Public Function Load (
    stream As Stream
) As ImageFactory
public:
ImageFactory^ Load(
    Stream^ stream
)
member Load :
        stream : Stream -> ImageFactory

Parameters

stream
Type: System.IOStream
The Stream containing the image information.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Load Overload
ImageProcessor Namespace


ImageFactory.Load Method (String)

ImageFactoryLoad Method (String)
Loads the image to process. Always call this method first.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Load(
    string imagePath
)
Public Function Load (
    imagePath As String
) As ImageFactory
public:
ImageFactory^ Load(
    String^ imagePath
)
member Load :
        imagePath : string -> ImageFactory

Parameters

imagePath
Type: SystemString
The absolute path to the image to load.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Load Overload
ImageProcessor Namespace


ImageFactory.Mask Method

ImageFactoryMask Method
Applies the given image mask to the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Mask(
    Image imageMask,
    Nullable<Point> point = null
)
Public Function Mask (
    imageMask As Image,
    Optional point As Nullable(Of Point) = Nothing
) As ImageFactory
public:
ImageFactory^ Mask(
    Image^ imageMask,
    Nullable<Point> point = nullptr
)
member Mask :
        imageMask : Image *
        ?point : Nullable<Point>
(* Defaults:
        let _point = defaultArg point null
*)
-> ImageFactory

Parameters

imageMask
Type: System.DrawingImage
The image containing the mask to apply.
point (Optional)
Type: SystemNullable Point
The Point to place the mask if it not the same dimensions as the original image. If no position is set, the mask will be centered within the image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Overlay Method

ImageFactoryOverlay Method
Adds a image overlay to the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Overlay(
    ImageLayer imageLayer
)
Public Function Overlay (
    imageLayer As ImageLayer
) As ImageFactory
public:
ImageFactory^ Overlay(
    ImageLayer^ imageLayer
)
member Overlay :
        imageLayer : ImageLayer -> ImageFactory

Parameters

imageLayer
Type: ImageProcessor.ImagingImageLayer
The ImageLayer containing the properties necessary to add the image overlay to the image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Pixelate Method

ImageFactoryPixelate Method
Pixelates an image with the given size.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Pixelate(
    int pixelSize,
    Nullable<Rectangle> rectangle = null
)
Public Function Pixelate (
    pixelSize As Integer,
    Optional rectangle As Nullable(Of Rectangle) = Nothing
) As ImageFactory
public:
ImageFactory^ Pixelate(
    int pixelSize,
    Nullable<Rectangle> rectangle = nullptr
)
member Pixelate :
        pixelSize : int *
        ?rectangle : Nullable<Rectangle>
(* Defaults:
        let _rectangle = defaultArg rectangle null
*)
-> ImageFactory

Parameters

pixelSize
Type: SystemInt32
The size of the pixels to create.
rectangle (Optional)
Type: SystemNullable Rectangle
The area in which to pixelate the image. If not set, the whole image is pixelated.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Quality Method

ImageFactoryQuality Method
Alters the output quality of the current image.
Remarks
This method will only effect the output quality of jpeg images

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Quality(
    int percentage
)
Public Function Quality (
    percentage As Integer
) As ImageFactory
public:
ImageFactory^ Quality(
    int percentage
)
member Quality :
        percentage : int -> ImageFactory

Parameters

percentage
Type: SystemInt32
A value between 1 and 100 to set the quality to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.ReplaceColor Method

ImageFactoryReplaceColor Method
Replaces a color within the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory ReplaceColor(
    Color target,
    Color replacement,
    int fuzziness = 0
)
Public Function ReplaceColor (
    target As Color,
    replacement As Color,
    Optional fuzziness As Integer = 0
) As ImageFactory
public:
ImageFactory^ ReplaceColor(
    Color target,
    Color replacement,
    int fuzziness = 0
)
member ReplaceColor :
        target : Color *
        replacement : Color *
        ?fuzziness : int
(* Defaults:
        let _fuzziness = defaultArg fuzziness 0
*)
-> ImageFactory

Parameters

target
Type: System.DrawingColor
The target Color.
replacement
Type: System.DrawingColor
The replacement Color.
fuzziness (Optional)
Type: SystemInt32
A value between 0 and 128 with which to alter the target detection accuracy.

Return Value

Type: ImageFactory
The ImageFactory.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Reset Method

ImageFactoryReset Method
Resets the current image to its original loaded state.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Reset()
Public Function Reset As ImageFactory
public:
ImageFactory^ Reset()
member Reset : unit -> ImageFactory

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Resize Method

ImageFactoryResize Method
Overload List
 | Name | Description
Public method | Resize(Size) | Resizes the current image to the given dimensions.
Public method | Resize(ResizeLayer) | Resizes the current image to the given dimensions.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Resize Method (Size)

ImageFactoryResize Method (Size)
Resizes the current image to the given dimensions.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Resize(
    Size size
)
Public Function Resize (
    size As Size
) As ImageFactory
public:
ImageFactory^ Resize(
    Size size
)
member Resize :
        size : Size -> ImageFactory

Parameters

size
Type: System.DrawingSize
The Size containing the width and height to set the image to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Resize Overload
ImageProcessor Namespace


ImageFactory.Resize Method (ResizeLayer)

ImageFactoryResize Method (ResizeLayer)
Resizes the current image to the given dimensions.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Resize(
    ResizeLayer resizeLayer
)
Public Function Resize (
    resizeLayer As ResizeLayer
) As ImageFactory
public:
ImageFactory^ Resize(
    ResizeLayer^ resizeLayer
)
member Resize :
        resizeLayer : ResizeLayer -> ImageFactory

Parameters

resizeLayer
Type: ImageProcessor.ImagingResizeLayer
The ResizeLayer containing the properties required to resize the image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Resize Overload
ImageProcessor Namespace


ImageFactory.Resolution Method

ImageFactoryResolution Method
Sets the resolution of the image.
Remarks
This method sets both the bitmap data and EXIF resolution if available.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Resolution(
    int horizontal,
    int vertical,
    PropertyTagResolutionUnit unit = PropertyTagResolutionUnit.Inch
)
Public Function Resolution (
    horizontal As Integer,
    vertical As Integer,
    Optional unit As PropertyTagResolutionUnit = PropertyTagResolutionUnit.Inch
) As ImageFactory
public:
ImageFactory^ Resolution(
    int horizontal,
    int vertical,
    PropertyTagResolutionUnit unit = PropertyTagResolutionUnit::Inch
)
member Resolution :
        horizontal : int *
        vertical : int *
        ?unit : PropertyTagResolutionUnit
(* Defaults:
        let _unit = defaultArg unit PropertyTagResolutionUnit.Inch
*)
-> ImageFactory

Parameters

horizontal
Type: SystemInt32
The horizontal resolution.
vertical
Type: SystemInt32
The vertical resolution.
unit (Optional)
Type: ImageProcessor.Imaging.MetaDataPropertyTagResolutionUnit
The unit of measure for the horizontal resolution and the vertical resolution. Defaults to inches

Return Value

Type: ImageFactory
The ImageFactory.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Rotate Method

ImageFactoryRotate Method
Rotates the current image by the given angle.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Rotate(
    float degrees
)
Public Function Rotate (
    degrees As Single
) As ImageFactory
public:
ImageFactory^ Rotate(
    float degrees
)
member Rotate :
        degrees : float32 -> ImageFactory

Parameters

degrees
Type: SystemSingle
The angle at which to rotate the image in degrees.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.RotateBounded Method

ImageFactoryRotateBounded Method
Rotates the image without expanding the canvas to fit the image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory RotateBounded(
    float degrees,
    bool keepSize = false
)
Public Function RotateBounded (
    degrees As Single,
    Optional keepSize As Boolean = false
) As ImageFactory
public:
ImageFactory^ RotateBounded(
    float degrees,
    bool keepSize = false
)
member RotateBounded :
        degrees : float32 *
        ?keepSize : bool
(* Defaults:
        let _keepSize = defaultArg keepSize false
*)
-> ImageFactory

Parameters

degrees
Type: SystemSingle
The angle at which to rotate the image in degrees.
keepSize (Optional)
Type: SystemBoolean
Whether to keep the original image dimensions.

If set to true, the image is zoomed to fit the bounding area.

If set to false, the area is cropped to fit the rotated image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.RoundedCorners Method

ImageFactoryRoundedCorners Method
Overload List
 | Name | Description
Public method | RoundedCorners(Int32) | Adds rounded corners to the current image.
Public method | RoundedCorners(RoundedCornerLayer) | Adds rounded corners to the current image.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.RoundedCorners Method (Int32)

ImageFactoryRoundedCorners Method (Int32)
Adds rounded corners to the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory RoundedCorners(
    int radius
)
Public Function RoundedCorners (
    radius As Integer
) As ImageFactory
public:
ImageFactory^ RoundedCorners(
    int radius
)
member RoundedCorners :
        radius : int -> ImageFactory

Parameters

radius
Type: SystemInt32
The radius at which the corner will be rounded.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
RoundedCorners Overload
ImageProcessor Namespace


ImageFactory.RoundedCorners Method (RoundedCornerLayer)

ImageFactoryRoundedCorners Method (RoundedCornerLayer)
Adds rounded corners to the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory RoundedCorners(
    RoundedCornerLayer roundedCornerLayer
)
Public Function RoundedCorners (
    roundedCornerLayer As RoundedCornerLayer
) As ImageFactory
public:
ImageFactory^ RoundedCorners(
    RoundedCornerLayer^ roundedCornerLayer
)
member RoundedCorners :
        roundedCornerLayer : RoundedCornerLayer -> ImageFactory

Parameters

roundedCornerLayer
Type: ImageProcessor.ImagingRoundedCornerLayer
The RoundedCornerLayer containing the properties to round corners on the image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
RoundedCorners Overload
ImageProcessor Namespace


ImageFactory.Saturation Method

ImageFactorySaturation Method
Changes the saturation of the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Saturation(
    int percentage
)
Public Function Saturation (
    percentage As Integer
) As ImageFactory
public:
ImageFactory^ Saturation(
    int percentage
)
member Saturation :
        percentage : int -> ImageFactory

Parameters

percentage
Type: SystemInt32
The percentage by which to alter the images saturation. Any integer between -100 and 100.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Save Method

ImageFactorySave Method
Overload List
 | Name | Description
Public method | Save(Stream) | Saves the current image to the specified output stream.
Public method | Save(String) | Saves the current image to the specified file path. If the extension does not match the correct extension for the current format it will be replaced by the correct default value.
Top
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Save Method (Stream)

ImageFactorySave Method (Stream)
Saves the current image to the specified output stream.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Save(
    Stream stream
)
Public Function Save (
    stream As Stream
) As ImageFactory
public:
ImageFactory^ Save(
    Stream^ stream
)
member Save :
        stream : Stream -> ImageFactory

Parameters

stream
Type: System.IOStream
The MemoryStream to save the image information to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Save Overload
ImageProcessor Namespace


ImageFactory.Save Method (String)

ImageFactorySave Method (String)
Saves the current image to the specified file path. If the extension does not match the correct extension for the current format it will be replaced by the correct default value.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Save(
    string filePath
)
Public Function Save (
    filePath As String
) As ImageFactory
public:
ImageFactory^ Save(
    String^ filePath
)
member Save :
        filePath : string -> ImageFactory

Parameters

filePath
Type: SystemString
The path to save the image to.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
Save Overload
ImageProcessor Namespace


ImageFactory.Tint Method

ImageFactoryTint Method
Tints the current image with the given color.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Tint(
    Color color
)
Public Function Tint (
    color As Color
) As ImageFactory
public:
ImageFactory^ Tint(
    Color color
)
member Tint :
        color : Color -> ImageFactory

Parameters

color
Type: System.DrawingColor
The Color to tint the image with.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Vignette Method

ImageFactoryVignette Method
Adds a vignette image effect to the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Vignette(
    Nullable<Color> color = null
)
Public Function Vignette (
    Optional color As Nullable(Of Color) = Nothing
) As ImageFactory
public:
ImageFactory^ Vignette(
    Nullable<Color> color = nullptr
)
member Vignette :
        ?color : Nullable<Color>
(* Defaults:
        let _color = defaultArg color null
*)
-> ImageFactory

Parameters

color (Optional)
Type: SystemNullable Color
The Color to tint the image with. Defaults to black.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageFactory.Watermark Method

ImageFactoryWatermark Method
Adds a text based watermark to the current image.

Namespace: ImageProcessor
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFactory Watermark(
    TextLayer textLayer
)
Public Function Watermark (
    textLayer As TextLayer
) As ImageFactory
public:
ImageFactory^ Watermark(
    TextLayer^ textLayer
)
member Watermark :
        textLayer : TextLayer -> ImageFactory

Parameters

textLayer
Type: ImageProcessor.ImagingTextLayer
The TextLayer containing the properties necessary to add the text based watermark to the image.

Return Value

Type: ImageFactory
The current instance of the ImageFactory class.
See Also

Reference

ImageFactory Class
ImageProcessor Namespace


ImageProcessor.Common.Exceptions Namespace

ImageProcessor.Common.Exceptions Namespace
Regroups the possible exceptions
Classes
 | Class | Description
Public class | DefaultLogger | The default logger which logs messages to the debugger.
Public class | ImageFormatException | The exception that is thrown when loading the supported image format types has failed.
Public class | ImageProcessingException | The exception that is thrown when processing an image has failed.
Public class | QuantizationException | The exception that is thrown when quantizing an image has failed.
Interfaces
 | Interface | Description
Public interface | ILogger | Encapsulates properties and methods for logging messages.


DefaultLogger Class

DefaultLogger Class
The default logger which logs messages to the debugger.
Inheritance Hierarchy
SystemObject
ImageProcessor.Common.ExceptionsDefaultLogger

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class DefaultLogger : ILogger
Public Class DefaultLogger
    Implements ILogger
public ref class DefaultLogger : ILogger
type DefaultLogger =
    class
        interface ILogger
    end

The DefaultLogger type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultLogger | Initializes a new instance of the DefaultLogger class.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Log(Type, String, String, Int32) | Logs the specified message.
Public method | LogT(String, String, Int32) | Logs the specified message.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Common.Exceptions Namespace


DefaultLogger Constructor

DefaultLogger Constructor
Initializes a new instance of the DefaultLogger class.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public DefaultLogger()
Public Sub New
public:
DefaultLogger()
new : unit -> DefaultLogger
See Also

Reference

DefaultLogger Class
ImageProcessor.Common.Exceptions Namespace


DefaultLogger Methods

DefaultLogger Methods

The DefaultLogger type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Log(Type, String, String, Int32) | Logs the specified message.
Public method | LogT(String, String, Int32) | Logs the specified message.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

DefaultLogger Class
ImageProcessor.Common.Exceptions Namespace


DefaultLogger.Log Method

DefaultLoggerLog Method
Overload List
 | Name | Description
Public method | LogT(String, String, Int32) | Logs the specified message.
Public method | Log(Type, String, String, Int32) | Logs the specified message.
Top
See Also

Reference

DefaultLogger Class
ImageProcessor.Common.Exceptions Namespace


DefaultLogger.Log(T) Method (String, String, Int32)

DefaultLoggerLogT Method (String, String, Int32)
Logs the specified message.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Log<T>(
    string text,
    string callerName = null,
    int lineNumber = 0
)

Public Sub Log(Of T) (
    text As String,
    Optional callerName As String = Nothing,
    Optional lineNumber As Integer = 0
)
public:
generic<typename T>
virtual void Log(
    String^ text,
    String^ callerName = nullptr,
    int lineNumber = 0
) sealed
abstract Log :
        text : string *
        ?callerName : string *
        ?lineNumber : int
(* Defaults:
        let _callerName = defaultArg callerName null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit
override Log :
        text : string *
        ?callerName : string *
        ?lineNumber : int
(* Defaults:
        let _callerName = defaultArg callerName null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

text
Type: SystemString
The message to log.
callerName (Optional)
Type: SystemString
The property or method name calling the log.
lineNumber (Optional)
Type: SystemInt32
The line number where the method is called.

Type Parameters

T
The type calling the logger.

Implements

ILoggerLogT(String, String, Int32)
See Also

Reference

DefaultLogger Class
Log Overload
ImageProcessor.Common.Exceptions Namespace


DefaultLogger.Log Method (Type, String, String, Int32)

DefaultLoggerLog Method (Type, String, String, Int32)
Logs the specified message.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Log(
    Type type,
    string text,
    string callerName = null,
    int lineNumber = 0
)
Public Sub Log (
    type As Type,
    text As String,
    Optional callerName As String = Nothing,
    Optional lineNumber As Integer = 0
)
public:
virtual void Log(
    Type^ type,
    String^ text,
    String^ callerName = nullptr,
    int lineNumber = 0
) sealed
abstract Log :
        type : Type *
        text : string *
        ?callerName : string *
        ?lineNumber : int
(* Defaults:
        let _callerName = defaultArg callerName null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit
override Log :
        type : Type *
        text : string *
        ?callerName : string *
        ?lineNumber : int
(* Defaults:
        let _callerName = defaultArg callerName null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

type
Type: SystemType
The type calling the logger.
text
Type: SystemString
The message to log.
callerName (Optional)
Type: SystemString
The property or method name calling the log.
lineNumber (Optional)
Type: SystemInt32
The line number where the method is called.

Implements

ILoggerLog(Type, String, String, Int32)
See Also

Reference

DefaultLogger Class
Log Overload
ImageProcessor.Common.Exceptions Namespace


ILogger Interface

ILogger Interface
Encapsulates properties and methods for logging messages.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface ILogger
Public Interface ILogger
public interface class ILogger
type ILogger =  interface end
Methods
 | Name | Description
Public method | Log(Type, String, String, Int32) | Logs the specified message.
Public method | LogT(String, String, Int32) | Logs the specified message.
Top
See Also

Reference

ImageProcessor.Common.Exceptions Namespace


ILogger Methods

ILogger Methods
Methods
 | Name | Description
Public method | Log(Type, String, String, Int32) | Logs the specified message.
Public method | LogT(String, String, Int32) | Logs the specified message.
Top
See Also

Reference

ILogger Interface
ImageProcessor.Common.Exceptions Namespace


ILogger.Log Method

ILoggerLog Method
Overload List
 | Name | Description
Public method | LogT(String, String, Int32) | Logs the specified message.
Public method | Log(Type, String, String, Int32) | Logs the specified message.
Top
See Also

Reference

ILogger Interface
ImageProcessor.Common.Exceptions Namespace


ILogger.Log(T) Method (String, String, Int32)

ILoggerLogT Method (String, String, Int32)
Logs the specified message.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
void Log<T>(
    string text,
    string callerName = null,
    int lineNumber = 0
)

Sub Log(Of T) (
    text As String,
    Optional callerName As String = Nothing,
    Optional lineNumber As Integer = 0
)
generic<typename T>
void Log(
    String^ text,
    String^ callerName = nullptr,
    int lineNumber = 0
)
abstract Log :
        text : string *
        ?callerName : string *
        ?lineNumber : int
(* Defaults:
        let _callerName = defaultArg callerName null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

text
Type: SystemString
The message to log.
callerName (Optional)
Type: SystemString
The property or method name calling the log.
lineNumber (Optional)
Type: SystemInt32
The line number where the method is called.

Type Parameters

T
The type calling the logger.
See Also

Reference

ILogger Interface
Log Overload
ImageProcessor.Common.Exceptions Namespace


ILogger.Log Method (Type, String, String, Int32)

ILoggerLog Method (Type, String, String, Int32)
Logs the specified message.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
void Log(
    Type type,
    string text,
    string callerName = null,
    int lineNumber = 0
)
Sub Log (
    type As Type,
    text As String,
    Optional callerName As String = Nothing,
    Optional lineNumber As Integer = 0
)
void Log(
    Type^ type,
    String^ text,
    String^ callerName = nullptr,
    int lineNumber = 0
)
abstract Log :
        type : Type *
        text : string *
        ?callerName : string *
        ?lineNumber : int
(* Defaults:
        let _callerName = defaultArg callerName null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

type
Type: SystemType
The type calling the logger.
text
Type: SystemString
The message to log.
callerName (Optional)
Type: SystemString
The property or method name calling the log.
lineNumber (Optional)
Type: SystemInt32
The line number where the method is called.
See Also

Reference

ILogger Interface
Log Overload
ImageProcessor.Common.Exceptions Namespace


ImageFormatException Class

ImageFormatException Class
The exception that is thrown when loading the supported image format types has failed.
Inheritance Hierarchy
SystemObject
SystemException
ImageProcessor.Common.ExceptionsImageFormatException

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public sealed class ImageFormatException : Exception
<SerializableAttribute>
Public NotInheritable Class ImageFormatException
    Inherits Exception
[SerializableAttribute]
public ref class ImageFormatException sealed : public Exception
[<SealedAttribute>]
[<SerializableAttribute>]
type ImageFormatException =
    class
        inherit Exception
    end

The ImageFormatException type exposes the following members.

Constructors
 | Name | Description
Public method | ImageFormatException(String) | Initializes a new instance of the ImageFormatException class.
Public method | ImageFormatException(String, Exception) | Initializes a new instance of the ImageFormatException class.
Top
Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
See Also

Reference

ImageProcessor.Common.Exceptions Namespace


ImageFormatException Constructor

ImageFormatException Constructor
Overload List
 | Name | Description
Public method | ImageFormatException(String) | Initializes a new instance of the ImageFormatException class.
Public method | ImageFormatException(String, Exception) | Initializes a new instance of the ImageFormatException class.
Top
See Also

Reference

ImageFormatException Class
ImageProcessor.Common.Exceptions Namespace


ImageFormatException Constructor (String)

ImageFormatException Constructor (String)
Initializes a new instance of the ImageFormatException class.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFormatException(
    string message
)
Public Sub New (
    message As String
)
public:
ImageFormatException(
    String^ message
)
new :
        message : string -> ImageFormatException

Parameters

message
Type: SystemString
The message that describes the error.
See Also

Reference

ImageFormatException Class
ImageFormatException Overload
ImageProcessor.Common.Exceptions Namespace


ImageFormatException Constructor (String, Exception)

ImageFormatException Constructor (String, Exception)
Initializes a new instance of the ImageFormatException class.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageFormatException(
    string message,
    Exception innerException
)
Public Sub New (
    message As String,
    innerException As Exception
)
public:
ImageFormatException(
    String^ message,
    Exception^ innerException
)
new :
        message : string *
        innerException : Exception -> ImageFormatException

Parameters

message
Type: SystemString
The error message that explains the reason for the exception.
innerException
Type: SystemException
The exception that is the cause of the current exception, or a null reference (Nothing in Visual Basic) if no inner exception is specified.
See Also

Reference

ImageFormatException Class
ImageFormatException Overload
ImageProcessor.Common.Exceptions Namespace


ImageFormatException Properties

ImageFormatException Properties

The ImageFormatException type exposes the following members.

Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
See Also

Reference

ImageFormatException Class
ImageProcessor.Common.Exceptions Namespace


ImageFormatException Methods

ImageFormatException Methods

The ImageFormatException type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
See Also

Reference

ImageFormatException Class
ImageProcessor.Common.Exceptions Namespace


ImageProcessingException Class

ImageProcessingException Class
The exception that is thrown when processing an image has failed.
Inheritance Hierarchy
SystemObject
SystemException
ImageProcessor.Common.ExceptionsImageProcessingException

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public sealed class ImageProcessingException : Exception
<SerializableAttribute>
Public NotInheritable Class ImageProcessingException
    Inherits Exception
[SerializableAttribute]
public ref class ImageProcessingException sealed : public Exception
[<SealedAttribute>]
[<SerializableAttribute>]
type ImageProcessingException =
    class
        inherit Exception
    end

The ImageProcessingException type exposes the following members.

Constructors
 | Name | Description
Public method | ImageProcessingException(String) | Initializes a new instance of the ImageProcessingException class.
Public method | ImageProcessingException(String, Exception) | Initializes a new instance of the ImageProcessingException class.
Top
Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
See Also

Reference

ImageProcessor.Common.Exceptions Namespace


ImageProcessingException Constructor

ImageProcessingException Constructor
Overload List
 | Name | Description
Public method | ImageProcessingException(String) | Initializes a new instance of the ImageProcessingException class.
Public method | ImageProcessingException(String, Exception) | Initializes a new instance of the ImageProcessingException class.
Top
See Also

Reference

ImageProcessingException Class
ImageProcessor.Common.Exceptions Namespace


ImageProcessingException Constructor (String)

ImageProcessingException Constructor (String)
Initializes a new instance of the ImageProcessingException class.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageProcessingException(
    string message
)
Public Sub New (
    message As String
)
public:
ImageProcessingException(
    String^ message
)
new :
        message : string -> ImageProcessingException

Parameters

message
Type: SystemString
The message that describes the error.
See Also

Reference

ImageProcessingException Class
ImageProcessingException Overload
ImageProcessor.Common.Exceptions Namespace


ImageProcessingException Constructor (String, Exception)

ImageProcessingException Constructor (String, Exception)
Initializes a new instance of the ImageProcessingException class.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageProcessingException(
    string message,
    Exception innerException
)
Public Sub New (
    message As String,
    innerException As Exception
)
public:
ImageProcessingException(
    String^ message,
    Exception^ innerException
)
new :
        message : string *
        innerException : Exception -> ImageProcessingException

Parameters

message
Type: SystemString
The error message that explains the reason for the exception.
innerException
Type: SystemException
The exception that is the cause of the current exception, or a null reference (Nothing in Visual Basic) if no inner exception is specified.
See Also

Reference

ImageProcessingException Class
ImageProcessingException Overload
ImageProcessor.Common.Exceptions Namespace


ImageProcessingException Properties

ImageProcessingException Properties

The ImageProcessingException type exposes the following members.

Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
See Also

Reference

ImageProcessingException Class
ImageProcessor.Common.Exceptions Namespace


ImageProcessingException Methods

ImageProcessingException Methods

The ImageProcessingException type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
See Also

Reference

ImageProcessingException Class
ImageProcessor.Common.Exceptions Namespace


QuantizationException Class

QuantizationException Class
The exception that is thrown when quantizing an image has failed.
Inheritance Hierarchy
SystemObject
SystemException
ImageProcessor.Common.ExceptionsQuantizationException

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public class QuantizationException : Exception
<SerializableAttribute>
Public Class QuantizationException
    Inherits Exception
[SerializableAttribute]
public ref class QuantizationException : public Exception
[<SerializableAttribute>]
type QuantizationException =
    class
        inherit Exception
    end

The QuantizationException type exposes the following members.

Constructors
 | Name | Description
Public method | QuantizationException(String) | Initializes a new instance of the QuantizationException class.
Public method | QuantizationException(String, Exception) | Initializes a new instance of the QuantizationException class.
Top
Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
See Also

Reference

ImageProcessor.Common.Exceptions Namespace


QuantizationException Constructor

QuantizationException Constructor
Overload List
 | Name | Description
Public method | QuantizationException(String) | Initializes a new instance of the QuantizationException class.
Public method | QuantizationException(String, Exception) | Initializes a new instance of the QuantizationException class.
Top
See Also

Reference

QuantizationException Class
ImageProcessor.Common.Exceptions Namespace


QuantizationException Constructor (String)

QuantizationException Constructor (String)
Initializes a new instance of the QuantizationException class.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public QuantizationException(
    string message
)
Public Sub New (
    message As String
)
public:
QuantizationException(
    String^ message
)
new :
        message : string -> QuantizationException

Parameters

message
Type: SystemString
The message.
See Also

Reference

QuantizationException Class
QuantizationException Overload
ImageProcessor.Common.Exceptions Namespace


QuantizationException Constructor (String, Exception)

QuantizationException Constructor (String, Exception)
Initializes a new instance of the QuantizationException class.

Namespace: ImageProcessor.Common.Exceptions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public QuantizationException(
    string message,
    Exception innerException
)
Public Sub New (
    message As String,
    innerException As Exception
)
public:
QuantizationException(
    String^ message,
    Exception^ innerException
)
new :
        message : string *
        innerException : Exception -> QuantizationException

Parameters

message
Type: SystemString
The error message that explains the reason for the exception.
innerException
Type: SystemException
The exception that is the cause of the current exception, or a null reference (Nothing in Visual Basic) if no inner exception is specified.
See Also

Reference

QuantizationException Class
QuantizationException Overload
ImageProcessor.Common.Exceptions Namespace


QuantizationException Properties

QuantizationException Properties

The QuantizationException type exposes the following members.

Properties
 | Name | Description
Public property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
Public property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
Public property | HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
Public property | InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
Public property | Message | Gets a message that describes the current exception. (Inherited from Exception.)
Public property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
Public property | StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
Public property | TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)
Top
See Also

Reference

QuantizationException Class
ImageProcessor.Common.Exceptions Namespace


QuantizationException Methods

QuantizationException Methods

The QuantizationException type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
Public method | GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)
Top
See Also

Reference

QuantizationException Class
ImageProcessor.Common.Exceptions Namespace


QuantizationException Events

QuantizationException Events

The QuantizationException type exposes the following members.

Events
 | Name | Description
Protected event | SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)
Top
See Also

Reference

QuantizationException Class
ImageProcessor.Common.Exceptions Namespace


ImageProcessor.Common.Extensions Namespace

ImageProcessor.Common.Extensions Namespace
Regroups the extensions
Classes
 | Class | Description
Public class | AssemblyExtensions | Encapsulates a series of time saving extension methods to the Assembly class.
Public class | DoubleExtensions | Encapsulates a series of time saving extension methods to the Double class.
Public class | EnumerableExtensions | Encapsulates a series of time saving extension methods to the IEnumerable interface.
Public class | FloatExtensions | Encapsulates a series of time saving extension methods to the Float class.
Public class | IntegerExtensions | Encapsulates a series of time saving extension methods to the Int32 class.


AssemblyExtensions Class

AssemblyExtensions Class
Encapsulates a series of time saving extension methods to the Assembly class.
Inheritance Hierarchy
SystemObject
ImageProcessor.Common.ExtensionsAssemblyExtensions

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class AssemblyExtensions
<ExtensionAttribute>
Public NotInheritable Class AssemblyExtensions
[ExtensionAttribute]
public ref class AssemblyExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type AssemblyExtensions =  class end

The AssemblyExtensions type exposes the following members.

Methods
Name | Description
GetAssemblyFile(Assembly) | Returns the FileInfo identifying the file used to load the assembly
GetAssemblyFile(AssemblyName) | Returns the FileInfo identifying the file used to load the assembly
GetLoadableTypes | Gets a collection of loadable types from the given assembly. Adapted from http://stackoverflow.com/questions/7889228/how-to-prevent-reflectiontypeloadexception-when-calling-assembly-gettypes
GetResourceAsString | Converts an assembly resource into a string.
Top
See Also

Reference

ImageProcessor.Common.Extensions Namespace


AssemblyExtensions Methods

AssemblyExtensions Methods

The AssemblyExtensions type exposes the following members.

Methods
Name | Description
GetAssemblyFile(Assembly) | Returns the FileInfo identifying the file used to load the assembly
GetAssemblyFile(AssemblyName) | Returns the FileInfo identifying the file used to load the assembly
GetLoadableTypes | Gets a collection of loadable types from the given assembly. Adapted from http://stackoverflow.com/questions/7889228/how-to-prevent-reflectiontypeloadexception-when-calling-assembly-gettypes
GetResourceAsString | Converts an assembly resource into a string.
Top
See Also

Reference

AssemblyExtensions Class
ImageProcessor.Common.Extensions Namespace


AssemblyExtensions.GetAssemblyFile Method

AssemblyExtensionsGetAssemblyFile Method
Overload List
Name | Description
GetAssemblyFile(Assembly) | Returns the FileInfo identifying the file used to load the assembly
GetAssemblyFile(AssemblyName) | Returns the FileInfo identifying the file used to load the assembly
Top
See Also

Reference

AssemblyExtensions Class
ImageProcessor.Common.Extensions Namespace


AssemblyExtensions.GetAssemblyFile Method (Assembly)

AssemblyExtensionsGetAssemblyFile Method (Assembly)
Returns the FileInfo identifying the file used to load the assembly

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static FileInfo GetAssemblyFile(
    this Assembly assembly
)
<ExtensionAttribute>
Public Shared Function GetAssemblyFile (
    assembly As Assembly
) As FileInfo
public:
[ExtensionAttribute]
static FileInfo^ GetAssemblyFile(
    Assembly^ assembly
)
[<ExtensionAttribute>]
static member GetAssemblyFile :
        assembly : Assembly -> FileInfo

Parameters

assembly
Type: System.ReflectionAssembly
The Assembly to get the name from.

Return Value

Type: FileInfo
The FileInfo

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Assembly. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AssemblyExtensions Class
GetAssemblyFile Overload
ImageProcessor.Common.Extensions Namespace


AssemblyExtensions.GetAssemblyFile Method (AssemblyName)

AssemblyExtensionsGetAssemblyFile Method (AssemblyName)
Returns the FileInfo identifying the file used to load the assembly

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static FileInfo GetAssemblyFile(
    this AssemblyName assemblyName
)
<ExtensionAttribute>
Public Shared Function GetAssemblyFile (
    assemblyName As AssemblyName
) As FileInfo
public:
[ExtensionAttribute]
static FileInfo^ GetAssemblyFile(
    AssemblyName^ assemblyName
)
[<ExtensionAttribute>]
static member GetAssemblyFile :
        assemblyName : AssemblyName -> FileInfo

Parameters

assemblyName
Type: System.ReflectionAssemblyName
The AssemblyName to get the name from.

Return Value

Type: FileInfo
The FileInfo

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type AssemblyName. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AssemblyExtensions Class
GetAssemblyFile Overload
ImageProcessor.Common.Extensions Namespace


AssemblyExtensions.GetLoadableTypes Method

AssemblyExtensionsGetLoadableTypes Method
Gets a collection of loadable types from the given assembly. Adapted from http://stackoverflow.com/questions/7889228/how-to-prevent-reflectiontypeloadexception-when-calling-assembly-gettypes

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<Type> GetLoadableTypes(
    this Assembly assembly
)
<ExtensionAttribute>
Public Shared Function GetLoadableTypes (
    assembly As Assembly
) As IEnumerable(Of Type)
public:
[ExtensionAttribute]
static IEnumerable<Type^>^ GetLoadableTypes(
    Assembly^ assembly
)
[<ExtensionAttribute>]
static member GetLoadableTypes :
        assembly : Assembly -> IEnumerable<Type>

Parameters

assembly
Type: System.ReflectionAssembly
The Assembly to load the types from.

Return Value

Type: IEnumerable Type
The loadable IEnumerableT.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Assembly. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AssemblyExtensions Class
ImageProcessor.Common.Extensions Namespace


AssemblyExtensions.GetResourceAsString Method

AssemblyExtensionsGetResourceAsString Method
Converts an assembly resource into a string.

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static string GetResourceAsString(
    this Assembly assembly,
    string resource,
    Encoding encoding = null
)
<ExtensionAttribute>
Public Shared Function GetResourceAsString (
    assembly As Assembly,
    resource As String,
    Optional encoding As Encoding = Nothing
) As String
public:
[ExtensionAttribute]
static String^ GetResourceAsString(
    Assembly^ assembly,
    String^ resource,
    Encoding^ encoding = nullptr
)
[<ExtensionAttribute>]
static member GetResourceAsString :
        assembly : Assembly *
        resource : string *
        ?encoding : Encoding
(* Defaults:
        let _encoding = defaultArg encoding null
*)
-> string

Parameters

assembly
Type: System.ReflectionAssembly
The Assembly to load the strings from.
resource
Type: SystemString
The resource.
encoding (Optional)
Type: System.TextEncoding
The character encoding to return the resource in.

Return Value

Type: String
The String.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Assembly. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

AssemblyExtensions Class
ImageProcessor.Common.Extensions Namespace


DoubleExtensions Class

DoubleExtensions Class
Encapsulates a series of time saving extension methods to the Double class.
Inheritance Hierarchy
SystemObject
ImageProcessor.Common.ExtensionsDoubleExtensions

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class DoubleExtensions
<ExtensionAttribute>
Public NotInheritable Class DoubleExtensions
[ExtensionAttribute]
public ref class DoubleExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type DoubleExtensions =  class end

The DoubleExtensions type exposes the following members.

Methods
Name | Description
ToByte | Converts an Double value into a valid Byte. Remarks If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.
Top
See Also

Reference

ImageProcessor.Common.Extensions Namespace


DoubleExtensions Methods

DoubleExtensions Methods

The DoubleExtensions type exposes the following members.

Methods
Name | Description
ToByte | Converts an Double value into a valid Byte. Remarks If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.
Top
See Also

Reference

DoubleExtensions Class
ImageProcessor.Common.Extensions Namespace


DoubleExtensions.ToByte Method

DoubleExtensionsToByte Method
Converts an Double value into a valid Byte.
Remarks
If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static byte ToByte(
    this double value
)
<ExtensionAttribute>
Public Shared Function ToByte (
    value As Double
) As Byte
public:
[ExtensionAttribute]
static unsigned char ToByte(
    double value
)
[<ExtensionAttribute>]
static member ToByte :
        value : float -> byte

Parameters

value
Type: SystemDouble
The Double to convert.

Return Value

Type: Byte
The Byte.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Double. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

DoubleExtensions Class
ImageProcessor.Common.Extensions Namespace


EnumerableExtensions Class

EnumerableExtensions Class
Encapsulates a series of time saving extension methods to the IEnumerable interface.
Inheritance Hierarchy
SystemObject
ImageProcessor.Common.ExtensionsEnumerableExtensions

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class EnumerableExtensions
Public NotInheritable Class EnumerableExtensions
public ref class EnumerableExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type EnumerableExtensions =  class end
Methods
Name | Description
SteppedRange(Int32, FuncInt32, Boolean, Int32) | Generates a sequence of integral numbers within a specified range.
SteppedRange(Int32, Int32, Int32) | Generates a sequence of integral numbers within a specified range.
Top
See Also

Reference

ImageProcessor.Common.Extensions Namespace


EnumerableExtensions Methods

EnumerableExtensions Methods
Methods
Name | Description
SteppedRange(Int32, FuncInt32, Boolean, Int32) | Generates a sequence of integral numbers within a specified range.
SteppedRange(Int32, Int32, Int32) | Generates a sequence of integral numbers within a specified range.
Top
See Also

Reference

EnumerableExtensions Class
ImageProcessor.Common.Extensions Namespace


EnumerableExtensions.SteppedRange Method

EnumerableExtensionsSteppedRange Method
Overload List
Name | Description
SteppedRange(Int32, FuncInt32, Boolean, Int32) | Generates a sequence of integral numbers within a specified range.
SteppedRange(Int32, Int32, Int32) | Generates a sequence of integral numbers within a specified range.
Top
See Also

Reference

EnumerableExtensions Class
ImageProcessor.Common.Extensions Namespace


EnumerableExtensions.SteppedRange Method (Int32, Func(Int32, Boolean), Int32)

EnumerableExtensionsSteppedRange Method (Int32, FuncInt32, Boolean, Int32)
Generates a sequence of integral numbers within a specified range.

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<int> SteppedRange(
    int fromInclusive,
    Func<int, bool> toDelegate,
    int step
)
Public Shared Function SteppedRange (
    fromInclusive As Integer,
    toDelegate As Func(Of Integer, Boolean),
    step As Integer
) As IEnumerable(Of Integer)
public:
static IEnumerable<int>^ SteppedRange(
    int fromInclusive,
    Func<int, bool>^ toDelegate,
    int step
)
static member SteppedRange :
        fromInclusive : int *
        toDelegate : Func<int, bool> *
        step : int -> IEnumerable<int>

Parameters

fromInclusive
Type: SystemInt32
The start index, inclusive.
toDelegate
Type: SystemFunc Int32, Boolean
A method that has one parameter and returns a Boolean calculating the end index
step
Type: SystemInt32
The incremental step.

Return Value

Type: IEnumerable Int32
The IEnumerableT that contains a range of sequential integral numbers.
See Also

Reference

EnumerableExtensions Class
SteppedRange Overload
ImageProcessor.Common.Extensions Namespace


EnumerableExtensions.SteppedRange Method (Int32, Int32, Int32)

EnumerableExtensionsSteppedRange Method (Int32, Int32, Int32)
Generates a sequence of integral numbers within a specified range.

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<int> SteppedRange(
    int fromInclusive,
    int toExclusive,
    int step
)
Public Shared Function SteppedRange (
    fromInclusive As Integer,
    toExclusive As Integer,
    step As Integer
) As IEnumerable(Of Integer)
public:
static IEnumerable<int>^ SteppedRange(
    int fromInclusive,
    int toExclusive,
    int step
)
static member SteppedRange :
        fromInclusive : int *
        toExclusive : int *
        step : int -> IEnumerable<int>

Parameters

fromInclusive
Type: SystemInt32
The start index, inclusive.
toExclusive
Type: SystemInt32
The end index, exclusive.
step
Type: SystemInt32
The incremental step.

Return Value

Type: IEnumerable Int32
The IEnumerableT that contains a range of sequential integral numbers.
See Also

Reference

EnumerableExtensions Class
SteppedRange Overload
ImageProcessor.Common.Extensions Namespace


FloatExtensions Class

FloatExtensions Class
Encapsulates a series of time saving extension methods to the Float class.
Inheritance Hierarchy
SystemObject
ImageProcessor.Common.ExtensionsFloatExtensions

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class FloatExtensions
<ExtensionAttribute>
Public NotInheritable Class FloatExtensions
[ExtensionAttribute]
public ref class FloatExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type FloatExtensions =  class end

The FloatExtensions type exposes the following members.

Methods
Name | Description
ToByte | Converts an Float value into a valid Byte. Remarks If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.
Top
See Also

Reference

ImageProcessor.Common.Extensions Namespace


FloatExtensions Methods

FloatExtensions Methods

The FloatExtensions type exposes the following members.

Methods
Name | Description
ToByte | Converts an Float value into a valid Byte. Remarks If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.
Top
See Also

Reference

FloatExtensions Class
ImageProcessor.Common.Extensions Namespace


FloatExtensions.ToByte Method

FloatExtensionsToByte Method
Converts an Float value into a valid Byte.
Remarks
If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static byte ToByte(
    this float value
)
<ExtensionAttribute>
Public Shared Function ToByte (
    value As Single
) As Byte
public:
[ExtensionAttribute]
static unsigned char ToByte(
    float value
)
[<ExtensionAttribute>]
static member ToByte :
        value : float32 -> byte

Parameters

value
Type: SystemSingle
The Float to convert.

Return Value

Type: Byte
The Byte.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Single. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

FloatExtensions Class
ImageProcessor.Common.Extensions Namespace


IntegerExtensions Class

IntegerExtensions Class
Encapsulates a series of time saving extension methods to the Int32 class.
Inheritance Hierarchy
SystemObject
ImageProcessor.Common.ExtensionsIntegerExtensions

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class IntegerExtensions
<ExtensionAttribute>
Public NotInheritable Class IntegerExtensions
[ExtensionAttribute]
public ref class IntegerExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IntegerExtensions =  class end

The IntegerExtensions type exposes the following members.

Methods
Name | Description
ParseInvariant | Converts the string representation of a number in a specified culture-specific format to its 32-bit signed integer equivalent using invariant culture.
ToByte | Converts an Int32 value into a valid Byte. Remarks If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.
Top
See Also

Reference

ImageProcessor.Common.Extensions Namespace


IntegerExtensions Methods

IntegerExtensions Methods

The IntegerExtensions type exposes the following members.

Methods
Name | Description
ParseInvariant | Converts the string representation of a number in a specified culture-specific format to its 32-bit signed integer equivalent using invariant culture.
ToByte | Converts an Int32 value into a valid Byte. Remarks If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.
Top
See Also

Reference

IntegerExtensions Class
ImageProcessor.Common.Extensions Namespace


IntegerExtensions.ParseInvariant Method

IntegerExtensionsParseInvariant Method
Converts the string representation of a number in a specified culture-specific format to its 32-bit signed integer equivalent using invariant culture.

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static int ParseInvariant(
    this int value,
    string toParse
)
<ExtensionAttribute>
Public Shared Function ParseInvariant (
    value As Integer,
    toParse As String
) As Integer
public:
[ExtensionAttribute]
static int ParseInvariant(
    int value,
    String^ toParse
)
[<ExtensionAttribute>]
static member ParseInvariant :
        value : int *
        toParse : string -> int

Parameters

value
Type: SystemInt32
The integer.
toParse
Type: SystemString
A string containing a number to convert.

Return Value

Type: Int32
A 32-bit signed integer equivalent to the number specified in toParse.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Int32. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IntegerExtensions Class
ImageProcessor.Common.Extensions Namespace


IntegerExtensions.ToByte Method

IntegerExtensionsToByte Method
Converts an Int32 value into a valid Byte.
Remarks
If the value given is less than 0 or greater than 255, the value will be constrained into those restricted ranges.

Namespace: ImageProcessor.Common.Extensions
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static byte ToByte(
    this int value
)
<ExtensionAttribute>
Public Shared Function ToByte (
    value As Integer
) As Byte
public:
[ExtensionAttribute]
static unsigned char ToByte(
    int value
)
[<ExtensionAttribute>]
static member ToByte :
        value : int -> byte

Parameters

value
Type: SystemInt32
The Int32 to convert.

Return Value

Type: Byte
The Byte.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Int32. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IntegerExtensions Class
ImageProcessor.Common.Extensions Namespace


ImageProcessor.Configuration Namespace

ImageProcessor.Configuration Namespace
The library configuration
Classes
 | Class | Description
Public class | ImageProcessorBootstrapper | The ImageProcessor bootstrapper containing initialization code for extending ImageProcessor.
Public class | NativeBinaryFactory | Controls the loading and unloading of any native binaries required by ImageProcessor.


ImageProcessorBootstrapper Class

ImageProcessorBootstrapper Class
The ImageProcessor bootstrapper containing initialization code for extending ImageProcessor.
Inheritance Hierarchy
SystemObject
ImageProcessor.ConfigurationImageProcessorBootstrapper

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ImageProcessorBootstrapper
Public Class ImageProcessorBootstrapper
public ref class ImageProcessorBootstrapper
type ImageProcessorBootstrapper =  class end

The ImageProcessorBootstrapper type exposes the following members.

Properties
 | Name | Description
 | Instance | Gets the current instance of the ImageProcessorBootstrapper class.
Public property | Logger | Gets the currently installed logger.
Public property | NativeBinaryFactory | Gets the native binary factory for registering embedded (unmanaged) binaries.
Public property | SupportedImageFormats | Gets the supported image formats.
Top
Methods
 | Name | Description
Public method | AddImageFormats | Adds the given image formats to the supported format list. Useful for when the type finder fails to dynamically add the supported formats.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetLogger | Allows the setting of the default logger. Useful for when the type finder fails to dynamically add the custom logger implementation.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Configuration Namespace


ImageProcessorBootstrapper Properties

ImageProcessorBootstrapper Properties

The ImageProcessorBootstrapper type exposes the following members.

Properties
 | Name | Description
 | Instance | Gets the current instance of the ImageProcessorBootstrapper class.
Public property | Logger | Gets the currently installed logger.
Public property | NativeBinaryFactory | Gets the native binary factory for registering embedded (unmanaged) binaries.
Public property | SupportedImageFormats | Gets the supported image formats.
Top
See Also

Reference

ImageProcessorBootstrapper Class
ImageProcessor.Configuration Namespace


ImageProcessorBootstrapper.Instance Property

ImageProcessorBootstrapperInstance Property
Gets the current instance of the ImageProcessorBootstrapper class.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ImageProcessorBootstrapper Instance { get; }
Public Shared ReadOnly Property Instance As ImageProcessorBootstrapper
    Get
public:
static property ImageProcessorBootstrapper^ Instance {
    ImageProcessorBootstrapper^ get ();
}
static member Instance : ImageProcessorBootstrapper with get

Property Value

Type: ImageProcessorBootstrapper
See Also

Reference

ImageProcessorBootstrapper Class
ImageProcessor.Configuration Namespace


ImageProcessorBootstrapper.Logger Property

ImageProcessorBootstrapperLogger Property
Gets the currently installed logger.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ILogger Logger { get; }
Public ReadOnly Property Logger As ILogger
    Get
public:
property ILogger^ Logger {
    ILogger^ get ();
}
member Logger : ILogger with get

Property Value

Type: ILogger
See Also

Reference

ImageProcessorBootstrapper Class
ImageProcessor.Configuration Namespace


ImageProcessorBootstrapper.NativeBinaryFactory Property

ImageProcessorBootstrapperNativeBinaryFactory Property
Gets the native binary factory for registering embedded (unmanaged) binaries.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public NativeBinaryFactory NativeBinaryFactory { get; }
Public ReadOnly Property NativeBinaryFactory As NativeBinaryFactory
    Get
public:
property NativeBinaryFactory^ NativeBinaryFactory {
    NativeBinaryFactory^ get ();
}
member NativeBinaryFactory : NativeBinaryFactory with get

Property Value

Type: NativeBinaryFactory
See Also

Reference

ImageProcessorBootstrapper Class
ImageProcessor.Configuration Namespace


ImageProcessorBootstrapper.SupportedImageFormats Property

ImageProcessorBootstrapperSupportedImageFormats Property
Gets the supported image formats.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ISupportedImageFormat> SupportedImageFormats { get; }
Public ReadOnly Property SupportedImageFormats As IEnumerable(Of ISupportedImageFormat)
    Get
public:
property IEnumerable<ISupportedImageFormat^>^ SupportedImageFormats {
    IEnumerable<ISupportedImageFormat^>^ get ();
}
member SupportedImageFormats : IEnumerable<ISupportedImageFormat> with get

Property Value

Type: IEnumerable ISupportedImageFormat
See Also

Reference

ImageProcessorBootstrapper Class
ImageProcessor.Configuration Namespace


ImageProcessorBootstrapper Methods

ImageProcessorBootstrapper Methods

The ImageProcessorBootstrapper type exposes the following members.

Methods
 | Name | Description
Public method | AddImageFormats | Adds the given image formats to the supported format list. Useful for when the type finder fails to dynamically add the supported formats.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetLogger | Allows the setting of the default logger. Useful for when the type finder fails to dynamically add the custom logger implementation.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessorBootstrapper Class
ImageProcessor.Configuration Namespace


ImageProcessorBootstrapper.AddImageFormats Method

ImageProcessorBootstrapperAddImageFormats Method
Adds the given image formats to the supported format list. Useful for when the type finder fails to dynamically add the supported formats.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void AddImageFormats(
    params ISupportedImageFormat[] format
)
Public Sub AddImageFormats (
    ParamArray format As ISupportedImageFormat()
)
public:
void AddImageFormats(
    ... array<ISupportedImageFormat^>^ format
)
member AddImageFormats :
        format : ISupportedImageFormat[] -> unit

Parameters

format
Type: ImageProcessor.Imaging.FormatsISupportedImageFormat
The ISupportedImageFormat instance to add.
See Also

Reference

ImageProcessorBootstrapper Class
ImageProcessor.Configuration Namespace


ImageProcessorBootstrapper.SetLogger Method

ImageProcessorBootstrapperSetLogger Method
Allows the setting of the default logger. Useful for when the type finder fails to dynamically add the custom logger implementation.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void SetLogger(
    ILogger logger
)
Public Sub SetLogger (
    logger As ILogger
)
public:
void SetLogger(
    ILogger^ logger
)
member SetLogger :
        logger : ILogger -> unit

Parameters

logger
Type: ImageProcessor.Common.ExceptionsILogger

[Missing <param name="logger"/> documentation for "M:ImageProcessor.Configuration.ImageProcessorBootstrapper.SetLogger(ImageProcessor.Common.Exceptions.ILogger)"]

See Also

Reference

ImageProcessorBootstrapper Class
ImageProcessor.Configuration Namespace


NativeBinaryFactory Class

NativeBinaryFactory Class
Controls the loading and unloading of any native binaries required by ImageProcessor.
Inheritance Hierarchy
SystemObject
ImageProcessor.ConfigurationNativeBinaryFactory

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class NativeBinaryFactory : IDisposable
Public Class NativeBinaryFactory
    Implements IDisposable
public ref class NativeBinaryFactory : IDisposable
type NativeBinaryFactory =
    class
        interface IDisposable
    end

The NativeBinaryFactory type exposes the following members.

Constructors
 | Name | Description
Public method | NativeBinaryFactory | Initializes a new instance of the NativeBinaryFactory class.
Top
Properties
 | Name | Description
Public property | Is64BitEnvironment | Gets a value indicating whether the operating environment is 64 bit.
Top
Methods
 | Name | Description
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Finalizes an instance of the ImageFactory class. (Overrides ObjectFinalize.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RegisterNativeBinary | Registers any embedded native (unmanaged) binaries required by ImageProcessor.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Configuration Namespace


NativeBinaryFactory Constructor

NativeBinaryFactory Constructor
Initializes a new instance of the NativeBinaryFactory class.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public NativeBinaryFactory()
Public Sub New
public:
NativeBinaryFactory()
new : unit -> NativeBinaryFactory
See Also

Reference

NativeBinaryFactory Class
ImageProcessor.Configuration Namespace


NativeBinaryFactory Properties

NativeBinaryFactory Properties

The NativeBinaryFactory type exposes the following members.

Properties
 | Name | Description
Public property | Is64BitEnvironment | Gets a value indicating whether the operating environment is 64 bit.
Top
See Also

Reference

NativeBinaryFactory Class
ImageProcessor.Configuration Namespace


NativeBinaryFactory.Is64BitEnvironment Property

NativeBinaryFactoryIs64BitEnvironment Property
Gets a value indicating whether the operating environment is 64 bit.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Is64BitEnvironment { get; }
Public ReadOnly Property Is64BitEnvironment As Boolean
    Get
public:
property bool Is64BitEnvironment {
    bool get ();
}
member Is64BitEnvironment : bool with get

Property Value

Type: Boolean
See Also

Reference

NativeBinaryFactory Class
ImageProcessor.Configuration Namespace


NativeBinaryFactory Methods

NativeBinaryFactory Methods

The NativeBinaryFactory type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Finalizes an instance of the ImageFactory class. (Overrides ObjectFinalize.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RegisterNativeBinary | Registers any embedded native (unmanaged) binaries required by ImageProcessor.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

NativeBinaryFactory Class
ImageProcessor.Configuration Namespace


NativeBinaryFactory.Dispose Method

NativeBinaryFactoryDispose Method
Overload List
 | Name | Description
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Top
See Also

Reference

NativeBinaryFactory Class
ImageProcessor.Configuration Namespace


NativeBinaryFactory.Dispose Method

NativeBinaryFactoryDispose Method
Disposes the object and frees resources for the Garbage Collector.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

NativeBinaryFactory Class
Dispose Overload
ImageProcessor.Configuration Namespace


NativeBinaryFactory.Dispose Method (Boolean)

NativeBinaryFactoryDispose Method (Boolean)
Disposes the object and frees resources for the Garbage Collector.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual void Dispose(
    bool disposing
)
Protected Overridable Sub Dispose (
    disposing As Boolean
)
protected:
virtual void Dispose(
    bool disposing
)
abstract Dispose :
        disposing : bool -> unit
override Dispose :
        disposing : bool -> unit

Parameters

disposing
Type: SystemBoolean
If true, the object gets disposed.
See Also

Reference

NativeBinaryFactory Class
Dispose Overload
ImageProcessor.Configuration Namespace


NativeBinaryFactory.Finalize Method

NativeBinaryFactoryFinalize Method
Finalizes an instance of the ImageFactory class.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected override void Finalize()
Protected Overrides Sub Finalize
protected:
virtual void Finalize() override
abstract Finalize : unit -> unit
override Finalize : unit -> unit

Implements

ObjectFinalize
Remarks
Use C# destructor syntax for finalization code. This destructor will run only if the Dispose method does not get called. It gives your base class the opportunity to finalize. Do not provide destructors in types derived from this class.
See Also

Reference

NativeBinaryFactory Class
ImageProcessor.Configuration Namespace


NativeBinaryFactory.RegisterNativeBinary Method

NativeBinaryFactoryRegisterNativeBinary Method
Registers any embedded native (unmanaged) binaries required by ImageProcessor.

Namespace: ImageProcessor.Configuration
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void RegisterNativeBinary(
    string name,
    byte[] resourceBytes
)
Public Sub RegisterNativeBinary (
    name As String,
    resourceBytes As Byte()
)
public:
void RegisterNativeBinary(
    String^ name,
    array<unsigned char>^ resourceBytes
)
member RegisterNativeBinary :
        name : string *
        resourceBytes : byte[] -> unit

Parameters

name
Type: SystemString
The name of the native binary.
resourceBytes
Type: SystemByte
The resource bytes containing the native binary.
Exceptions
Exception | Condition
ApplicationException | Thrown if the binary cannot be registered.
See Also

Reference

NativeBinaryFactory Class
ImageProcessor.Configuration Namespace


ImageProcessor.Imaging Namespace

ImageProcessor.Imaging Namespace
The imaging components
Classes
 | Class | Description
Public class | ComputerArchitectureInfo | Encapsulates methods that provide information about the current computer architecture.
Public class | Convolution | Provides methods for applying blurring and sharpening effects to an image.
Public class | CropLayer | Encapsulates the properties required to crop an image.
Public class | FastBitmap | Allows fast access to Bitmap's pixel data.
Public class | GaussianLayer | A Gaussian layer for applying sharpening and blurring methods to an image.
Public class | ImageLayer | Encapsulates the properties required to add an image layer to an image.
Public class | ResizeLayer | Encapsulates the properties required to resize an image.
Public class | Resizer | Provides methods to resize images.
Public class | RoundedCornerLayer | Encapsulates the properties required to add rounded corners to an image.
Public class | TextLayer | Encapsulates the properties required to add a layer of text to an image.
Interfaces
 | Interface | Description
Public interface | IComputerArchitectureInfo | Encapsulates methods that provide information about the current computer architecture.
Enumerations
 | Enumeration | Description
Public enumeration | AnchorPosition | Enumerated anchor positions to apply to resized images.
Public enumeration | AnimationProcessMode | Enumerated frame process modes to apply to animated images.
Public enumeration | CropMode | Enumerated cop modes to apply to cropped images.
Public enumeration | ResizeMode | Enumerated resize modes to apply to resized images.


AnchorPosition Enumeration

AnchorPosition Enumeration
Enumerated anchor positions to apply to resized images.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum AnchorPosition
Public Enumeration AnchorPosition
public enum class AnchorPosition
type AnchorPosition
Members
Member name | Value | Description
Center | 0 | Anchors the position of the image to the center of it's bounding container.
Top | 1 | Anchors the position of the image to the top of it's bounding container.
Bottom | 2 | Anchors the position of the image to the bottom of it's bounding container.
Left | 3 | Anchors the position of the image to the left of it's bounding container.
Right | 4 | Anchors the position of the image to the right of it's bounding container.
TopLeft | 5 | Anchors the position of the image to the top left side of it's bounding container.
TopRight | 6 | Anchors the position of the image to the top right side of it's bounding container.
BottomRight | 7 | Anchors the position of the image to the bottom right side of it's bounding container.
BottomLeft | 8 | Anchors the position of the image to the bottom left side of it's bounding container.
See Also

Reference

ImageProcessor.Imaging Namespace


AnimationProcessMode Enumeration

AnimationProcessMode Enumeration
Enumerated frame process modes to apply to animated images.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum AnimationProcessMode
Public Enumeration AnimationProcessMode
public enum class AnimationProcessMode
type AnimationProcessMode
Members
Member name | Value | Description
All | 0 | Processes and keeps all the frames of an animated image.
First | 1 | Processes and keeps only the first frame of an animated image.
See Also

Reference

ImageProcessor.Imaging Namespace


ComputerArchitectureInfo Class

ComputerArchitectureInfo Class
Encapsulates methods that provide information about the current computer architecture.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingComputerArchitectureInfo

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ComputerArchitectureInfo : IComputerArchitectureInfo
Public Class ComputerArchitectureInfo
    Implements IComputerArchitectureInfo
public ref class ComputerArchitectureInfo : IComputerArchitectureInfo
type ComputerArchitectureInfo =
    class
        interface IComputerArchitectureInfo
    end

The ComputerArchitectureInfo type exposes the following members.

Constructors
 | Name | Description
Public method | ComputerArchitectureInfo | Initializes a new instance of the ComputerArchitectureInfo class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsLittleEndian | Returns a value indicating whether the current computer architecture is little endian.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


ComputerArchitectureInfo Constructor

ComputerArchitectureInfo Constructor
Initializes a new instance of the ComputerArchitectureInfo class

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ComputerArchitectureInfo()
Public Sub New
public:
ComputerArchitectureInfo()
new : unit -> ComputerArchitectureInfo
See Also

Reference

ComputerArchitectureInfo Class
ImageProcessor.Imaging Namespace


ComputerArchitectureInfo Methods

ComputerArchitectureInfo Methods

The ComputerArchitectureInfo type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsLittleEndian | Returns a value indicating whether the current computer architecture is little endian.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ComputerArchitectureInfo Class
ImageProcessor.Imaging Namespace


ComputerArchitectureInfo.IsLittleEndian Method

ComputerArchitectureInfoIsLittleEndian Method
Returns a value indicating whether the current computer architecture is little endian.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsLittleEndian()
Public Function IsLittleEndian As Boolean
public:
virtual bool IsLittleEndian() sealed
abstract IsLittleEndian : unit -> bool
override IsLittleEndian : unit -> bool

Return Value

Type: Boolean
The Boolean

Implements

IComputerArchitectureInfoIsLittleEndian
See Also

Reference

ComputerArchitectureInfo Class
ImageProcessor.Imaging Namespace


Convolution Class

Convolution Class
Provides methods for applying blurring and sharpening effects to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingConvolution

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Convolution
Public Class Convolution
public ref class Convolution
type Convolution =  class end

The Convolution type exposes the following members.

Constructors
 | Name | Description
Public method | Convolution | Initializes a new instance of the Convolution class.
Public method | Convolution(Double) | Initializes a new instance of the Convolution class.
Top
Properties
 | Name | Description
Public property | Divider | Gets or sets the value used to divide convolution; the weighted sum of pixels is divided by this value. Remarks If not set this value will be automatically calculated.
Public property | Threshold | Gets or sets the threshold to add to the weighted sum. Remarks Specifies the threshold value, which is added to each weighted sum of pixels.
Public property | UseDynamicDividerForEdges | Gets or sets a value indicating whether to use the dynamic divider for edges. Remarks If it is set to , then the same divider, specified by Divider property or calculated automatically, will be applied both for non-edge regions and for edge regions. If the value is set to , then the dynamically calculated divider will be used for edge regions. This is calculated from the sum of the kernel elements used at that region, which are taken into account for particular processed pixel (elements, which are not outside image). Default value is set to .
Top
Methods
 | Name | Description
Public method | CreateGaussianKernel | Create a 1 dimensional Gaussian kernel using the Gaussian G(x) function
Public method | CreateGaussianKernel2D | Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function
Public method | CreateGuassianBlurFilter | Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function for blurring images.
Public method | CreateGuassianSharpenFilter | Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function for sharpening images.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessKernel(Bitmap, Double, Boolean) | Processes the given kernel to produce an array of pixels representing a bitmap.
Public method | ProcessKernel(Color, Double, Boolean) | Processes the given kernel to produce an array of pixels representing a bitmap.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


Convolution Constructor

Convolution Constructor
Overload List
 | Name | Description
Public method | Convolution | Initializes a new instance of the Convolution class.
Public method | Convolution(Double) | Initializes a new instance of the Convolution class.
Top
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution Constructor

Convolution Constructor
Initializes a new instance of the Convolution class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Convolution()
Public Sub New
public:
Convolution()
new : unit -> Convolution
See Also

Reference

Convolution Class
Convolution Overload
ImageProcessor.Imaging Namespace


Convolution Constructor (Double)

Convolution Constructor (Double)
Initializes a new instance of the Convolution class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Convolution(
    double standardDeviation
)
Public Sub New (
    standardDeviation As Double
)
public:
Convolution(
    double standardDeviation
)
new :
        standardDeviation : float -> Convolution

Parameters

standardDeviation
Type: SystemDouble
The standard deviation.
See Also

Reference

Convolution Class
Convolution Overload
ImageProcessor.Imaging Namespace


Convolution Properties

Convolution Properties

The Convolution type exposes the following members.

Properties
 | Name | Description
Public property | Divider | Gets or sets the value used to divide convolution; the weighted sum of pixels is divided by this value. Remarks If not set this value will be automatically calculated.
Public property | Threshold | Gets or sets the threshold to add to the weighted sum. Remarks Specifies the threshold value, which is added to each weighted sum of pixels.
Public property | UseDynamicDividerForEdges | Gets or sets a value indicating whether to use the dynamic divider for edges. Remarks If it is set to , then the same divider, specified by Divider property or calculated automatically, will be applied both for non-edge regions and for edge regions. If the value is set to , then the dynamically calculated divider will be used for edge regions. This is calculated from the sum of the kernel elements used at that region, which are taken into account for particular processed pixel (elements, which are not outside image). Default value is set to .
Top
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.Divider Property

ConvolutionDivider Property
Gets or sets the value used to divide convolution; the weighted sum of pixels is divided by this value.
Remarks

If not set this value will be automatically calculated.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double Divider { get; set; }
Public Property Divider As Double
    Get
    Set
public:
property double Divider {
    double get ();
    void set (double value);
}
member Divider : float with get, set

Property Value

Type: Double
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.Threshold Property

ConvolutionThreshold Property
Gets or sets the threshold to add to the weighted sum.
Remarks

Specifies the threshold value, which is added to each weighted sum of pixels.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Threshold { get; set; }
Public Property Threshold As Integer
    Get
    Set
public:
property int Threshold {
    int get ();
    void set (int value);
}
member Threshold : int with get, set

Property Value

Type: Int32
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.UseDynamicDividerForEdges Property

ConvolutionUseDynamicDividerForEdges Property
Gets or sets a value indicating whether to use the dynamic divider for edges.
Remarks

If it is set to , then the same divider, specified by Divider property or calculated automatically, will be applied both for non-edge regions and for edge regions. If the value is set to , then the dynamically calculated divider will be used for edge regions. This is calculated from the sum of the kernel elements used at that region, which are taken into account for particular processed pixel (elements, which are not outside image).

Default value is set to .

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool UseDynamicDividerForEdges { get; set; }
Public Property UseDynamicDividerForEdges As Boolean
    Get
    Set
public:
property bool UseDynamicDividerForEdges {
    bool get ();
    void set (bool value);
}
member UseDynamicDividerForEdges : bool with get, set

Property Value

Type: Boolean
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution Methods

Convolution Methods

The Convolution type exposes the following members.

Methods
 | Name | Description
Public method | CreateGaussianKernel | Create a 1 dimensional Gaussian kernel using the Gaussian G(x) function
Public method | CreateGaussianKernel2D | Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function
Public method | CreateGuassianBlurFilter | Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function for blurring images.
Public method | CreateGuassianSharpenFilter | Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function for sharpening images.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessKernel(Bitmap, Double, Boolean) | Processes the given kernel to produce an array of pixels representing a bitmap.
Public method | ProcessKernel(Color, Double, Boolean) | Processes the given kernel to produce an array of pixels representing a bitmap.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.CreateGaussianKernel Method

ConvolutionCreateGaussianKernel Method
Create a 1 dimensional Gaussian kernel using the Gaussian G(x) function

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] CreateGaussianKernel(
    int kernelSize
)
Public Function CreateGaussianKernel (
    kernelSize As Integer
) As Double(,)
public:
array<double,2>^ CreateGaussianKernel(
    int kernelSize
)
member CreateGaussianKernel :
        kernelSize : int -> float[,]

Parameters

kernelSize
Type: SystemInt32
Kernel Size

Return Value

Type: Double
A Gaussian Kernel with the given size and deviation.
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.CreateGaussianKernel2D Method

ConvolutionCreateGaussianKernel2D Method
Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] CreateGaussianKernel2D(
    int kernelSize
)
Public Function CreateGaussianKernel2D (
    kernelSize As Integer
) As Double(,)
public:
array<double,2>^ CreateGaussianKernel2D(
    int kernelSize
)
member CreateGaussianKernel2D :
        kernelSize : int -> float[,]

Parameters

kernelSize
Type: SystemInt32
Kernel Size

Return Value

Type: Double
A Gaussian Kernel with the given size and deviation.
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.CreateGuassianBlurFilter Method

ConvolutionCreateGuassianBlurFilter Method
Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function for blurring images.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] CreateGuassianBlurFilter(
    int kernelSize
)
Public Function CreateGuassianBlurFilter (
    kernelSize As Integer
) As Double(,)
public:
array<double,2>^ CreateGuassianBlurFilter(
    int kernelSize
)
member CreateGuassianBlurFilter :
        kernelSize : int -> float[,]

Parameters

kernelSize
Type: SystemInt32
Kernel Size

Return Value

Type: Double
A Gaussian Kernel with the given size.
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.CreateGuassianSharpenFilter Method

ConvolutionCreateGuassianSharpenFilter Method
Create a 2 dimensional Gaussian kernel using the Gaussian G(x y) function for sharpening images.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] CreateGuassianSharpenFilter(
    int kernelSize
)
Public Function CreateGuassianSharpenFilter (
    kernelSize As Integer
) As Double(,)
public:
array<double,2>^ CreateGuassianSharpenFilter(
    int kernelSize
)
member CreateGuassianSharpenFilter :
        kernelSize : int -> float[,]

Parameters

kernelSize
Type: SystemInt32
Kernel Size

Return Value

Type: Double
A Gaussian Kernel with the given size.
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.ProcessKernel Method

ConvolutionProcessKernel Method
Overload List
 | Name | Description
Public method | ProcessKernel(Bitmap, Double, Boolean) | Processes the given kernel to produce an array of pixels representing a bitmap.
Public method | ProcessKernel(Color, Double, Boolean) | Processes the given kernel to produce an array of pixels representing a bitmap.
Top
See Also

Reference

Convolution Class
ImageProcessor.Imaging Namespace


Convolution.ProcessKernel Method (Bitmap, Double[,], Boolean)

ConvolutionProcessKernel Method (Bitmap, Double, Boolean)
Processes the given kernel to produce an array of pixels representing a bitmap.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap ProcessKernel(
    Bitmap source,
    double[,] kernel,
    bool fixGamma
)
Public Function ProcessKernel (
    source As Bitmap,
    kernel As Double(,),
    fixGamma As Boolean
) As Bitmap
public:
Bitmap^ ProcessKernel(
    Bitmap^ source,
    array<double,2>^ kernel,
    bool fixGamma
)
member ProcessKernel :
        source : Bitmap *
        kernel : float[,] *
        fixGamma : bool -> Bitmap

Parameters

source
Type: System.DrawingBitmap
The image to process.
kernel
Type: SystemDouble
The Gaussian kernel to use when performing the method
fixGamma
Type: SystemBoolean
Whether to process the image using the linear color space.

Return Value

Type: Bitmap
A processed bitmap.
See Also

Reference

Convolution Class
ProcessKernel Overload
ImageProcessor.Imaging Namespace


Convolution.ProcessKernel Method (Color[,], Double[,], Boolean)

ConvolutionProcessKernel Method (Color, Double, Boolean)
Processes the given kernel to produce an array of pixels representing a bitmap.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Color[,] ProcessKernel(
    Color[,] source,
    double[,] kernel,
    bool fixGamma
)
Public Function ProcessKernel (
    source As Color(,),
    kernel As Double(,),
    fixGamma As Boolean
) As Color(,)
public:
array<Color,2>^ ProcessKernel(
    array<Color,2>^ source,
    array<double,2>^ kernel,
    bool fixGamma
)
member ProcessKernel :
        source : Color[,] *
        kernel : float[,] *
        fixGamma : bool -> Color[,]

Parameters

source
Type: System.DrawingColor
The image to process.
kernel
Type: SystemDouble
The Gaussian kernel to use when performing the method
fixGamma
Type: SystemBoolean
Whether to process the image using the linear color space.

Return Value

Type: Color
A processed bitmap.
See Also

Reference

Convolution Class
ProcessKernel Overload
ImageProcessor.Imaging Namespace


CropLayer Class

CropLayer Class
Encapsulates the properties required to crop an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingCropLayer

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class CropLayer
Public Class CropLayer
public ref class CropLayer
type CropLayer =  class end

The CropLayer type exposes the following members.

Constructors
 | Name | Description
Public method | CropLayer | Initializes a new instance of the CropLayer class.
Top
Properties
 | Name | Description
Public property | Bottom | Gets or sets the bottom coordinate of the crop layer.
Public property | CropMode | Gets or sets the CropMode.
Public property | Left | Gets or sets the left coordinate of the crop layer.
Public property | Right | Gets or sets the right coordinate of the crop layer.
Public property | Top | Gets or sets the top coordinate of the crop layer.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


CropLayer Constructor

CropLayer Constructor
Initializes a new instance of the CropLayer class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public CropLayer(
    float left,
    float top,
    float right,
    float bottom,
    CropMode cropMode = CropMode.Percentage
)
Public Sub New (
    left As Single,
    top As Single,
    right As Single,
    bottom As Single,
    Optional cropMode As CropMode = CropMode.Percentage
)
public:
CropLayer(
    float left,
    float top,
    float right,
    float bottom,
    CropMode cropMode = CropMode::Percentage
)
new :
        left : float32 *
        top : float32 *
        right : float32 *
        bottom : float32 *
        ?cropMode : CropMode
(* Defaults:
        let _cropMode = defaultArg cropMode CropMode.Percentage
*)
-> CropLayer

Parameters

left
Type: SystemSingle
The left coordinate of the crop layer.
top
Type: SystemSingle
The top coordinate of the crop layer.
right
Type: SystemSingle
The right coordinate of the crop layer.
bottom
Type: SystemSingle
The bottom coordinate of the crop layer.
cropMode (Optional)
Type: ImageProcessor.ImagingCropMode
The CropMode.
Remarks
If the CropMode is set to

Field Value

Type:
CropMode.Percentage then the four coordinates become percentages to reduce from each edge.
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer Properties

CropLayer Properties

The CropLayer type exposes the following members.

Properties
 | Name | Description
Public property | Bottom | Gets or sets the bottom coordinate of the crop layer.
Public property | CropMode | Gets or sets the CropMode.
Public property | Left | Gets or sets the left coordinate of the crop layer.
Public property | Right | Gets or sets the right coordinate of the crop layer.
Public property | Top | Gets or sets the top coordinate of the crop layer.
Top
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer.Bottom Property

CropLayerBottom Property
Gets or sets the bottom coordinate of the crop layer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float Bottom { get; set; }
Public Property Bottom As Single
    Get
    Set
public:
property float Bottom {
    float get ();
    void set (float value);
}
member Bottom : float32 with get, set

Property Value

Type: Single
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer.CropMode Property

CropLayerCropMode Property
Gets or sets the CropMode.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public CropMode CropMode { get; set; }
Public Property CropMode As CropMode
    Get
    Set
public:
property CropMode CropMode {
    CropMode get ();
    void set (CropMode value);
}
member CropMode : CropMode with get, set

Property Value

Type: CropMode
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer.Left Property

CropLayerLeft Property
Gets or sets the left coordinate of the crop layer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float Left { get; set; }
Public Property Left As Single
    Get
    Set
public:
property float Left {
    float get ();
    void set (float value);
}
member Left : float32 with get, set

Property Value

Type: Single
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer.Right Property

CropLayerRight Property
Gets or sets the right coordinate of the crop layer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float Right { get; set; }
Public Property Right As Single
    Get
    Set
public:
property float Right {
    float get ();
    void set (float value);
}
member Right : float32 with get, set

Property Value

Type: Single
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer.Top Property

CropLayerTop Property
Gets or sets the top coordinate of the crop layer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float Top { get; set; }
Public Property Top As Single
    Get
    Set
public:
property float Top {
    float get ();
    void set (float value);
}
member Top : float32 with get, set

Property Value

Type: Single
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer Methods

CropLayer Methods

The CropLayer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer.Equals Method

CropLayerEquals Method
Determines whether the specified Object, is equal to this instance.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropLayer.GetHashCode Method

CropLayerGetHashCode Method
Serves as a hash function for a particular type.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for the current Object.
See Also

Reference

CropLayer Class
ImageProcessor.Imaging Namespace


CropMode Enumeration

CropMode Enumeration
Enumerated cop modes to apply to cropped images.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum CropMode
Public Enumeration CropMode
public enum class CropMode
type CropMode
Members
Member name | Value | Description
Pixels | 0 | Crops the image using the standard rectangle model of x, y, width, height.
Percentage | 1 | Crops the image using percentages model left, top, right, bottom.
See Also

Reference

ImageProcessor.Imaging Namespace


FastBitmap Class

FastBitmap Class
Allows fast access to Bitmap's pixel data.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingFastBitmap

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class FastBitmap : IDisposable
Public Class FastBitmap
    Implements IDisposable
public ref class FastBitmap : IDisposable
type FastBitmap =
    class
        interface IDisposable
    end

The FastBitmap type exposes the following members.

Constructors
 | Name | Description
Public method | FastBitmap(Image) | Initializes a new instance of the FastBitmap class.
Public method | FastBitmap(Image, Boolean) | Initializes a new instance of the FastBitmap class.
Public method | FastBitmap(Image, Boolean, Boolean) | Initializes a new instance of the FastBitmap class.
Top
Properties
 | Name | Description
Public property | Height | Gets the height, in pixels of the Bitmap.
Public property | NormalImage | Gets the Integral Image for values' sum.
Public property | SquaredImage | Gets the Integral Image for values' squared sum.
Public property | TiltedImage | Gets the Integral Image for tilted values' sum.
Public property | Width | Gets the width, in pixels of the Bitmap.
Top
Methods
 | Name | Description
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Overrides ObjectGetHashCode.)
Public method | GetPixel | Gets the color at the specified pixel of the Bitmap.
Public method | GetSum | Gets the sum of the pixels in a rectangle of the Integral image.
Public method | GetSum2 | Gets the sum of the squared pixels in a rectangle of the Integral image.
Public method | GetSumT | Gets the sum of the pixels in a tilted rectangle of the Integral image.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetPixel | Sets the color of the specified pixel of the Bitmap.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Operators
Name | Description
(FastBitmap to Image) | Allows the implicit conversion of an instance of FastBitmap to a Image.
(FastBitmap to Bitmap) | Allows the implicit conversion of an instance of FastBitmap to a Bitmap.
Top
See Also

Reference

ImageProcessor.Imaging Namespace


FastBitmap Constructor

FastBitmap Constructor
Overload List
 | Name | Description
Public method | FastBitmap(Image) | Initializes a new instance of the FastBitmap class.
Public method | FastBitmap(Image, Boolean) | Initializes a new instance of the FastBitmap class.
Public method | FastBitmap(Image, Boolean, Boolean) | Initializes a new instance of the FastBitmap class.
Top
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap Constructor (Image)

FastBitmap Constructor (Image)
Initializes a new instance of the FastBitmap class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public FastBitmap(
    Image bitmap
)
Public Sub New (
    bitmap As Image
)
public:
FastBitmap(
    Image^ bitmap
)
new :
        bitmap : Image -> FastBitmap

Parameters

bitmap
Type: System.DrawingImage
The input bitmap.
See Also

Reference

FastBitmap Class
FastBitmap Overload
ImageProcessor.Imaging Namespace


FastBitmap Constructor (Image, Boolean)

FastBitmap Constructor (Image, Boolean)
Initializes a new instance of the FastBitmap class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public FastBitmap(
    Image bitmap,
    bool computeIntegrals
)
Public Sub New (
    bitmap As Image,
    computeIntegrals As Boolean
)
public:
FastBitmap(
    Image^ bitmap,
    bool computeIntegrals
)
new :
        bitmap : Image *
        computeIntegrals : bool -> FastBitmap

Parameters

bitmap
Type: System.DrawingImage
The input bitmap.
computeIntegrals
Type: SystemBoolean
Whether to compute integral rectangles.
See Also

Reference

FastBitmap Class
FastBitmap Overload
ImageProcessor.Imaging Namespace


FastBitmap Constructor (Image, Boolean, Boolean)

FastBitmap Constructor (Image, Boolean, Boolean)
Initializes a new instance of the FastBitmap class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public FastBitmap(
    Image bitmap,
    bool computeIntegrals,
    bool computeTilted
)
Public Sub New (
    bitmap As Image,
    computeIntegrals As Boolean,
    computeTilted As Boolean
)
public:
FastBitmap(
    Image^ bitmap,
    bool computeIntegrals,
    bool computeTilted
)
new :
        bitmap : Image *
        computeIntegrals : bool *
        computeTilted : bool -> FastBitmap

Parameters

bitmap
Type: System.DrawingImage
The input bitmap.
computeIntegrals
Type: SystemBoolean
Whether to compute integral rectangles.
computeTilted
Type: SystemBoolean
Whether to compute tilted integral rectangles.
See Also

Reference

FastBitmap Class
FastBitmap Overload
ImageProcessor.Imaging Namespace


FastBitmap Properties

FastBitmap Properties

The FastBitmap type exposes the following members.

Properties
 | Name | Description
Public property | Height | Gets the height, in pixels of the Bitmap.
Public property | NormalImage | Gets the Integral Image for values' sum.
Public property | SquaredImage | Gets the Integral Image for values' squared sum.
Public property | TiltedImage | Gets the Integral Image for tilted values' sum.
Public property | Width | Gets the width, in pixels of the Bitmap.
Top
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.Height Property

FastBitmapHeight Property
Gets the height, in pixels of the Bitmap.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Height { get; }
Public ReadOnly Property Height As Integer
    Get
public:
property int Height {
    int get ();
}
member Height : int with get

Property Value

Type: Int32
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.NormalImage Property

FastBitmapNormalImage Property
Gets the Integral Image for values' sum.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public long[,] NormalImage { get; }
Public ReadOnly Property NormalImage As Long(,)
    Get
public:
property array<long long,2>^ NormalImage {
    array<long long,2>^ get ();
}
member NormalImage : int64[,] with get

Property Value

Type: Int64
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.SquaredImage Property

FastBitmapSquaredImage Property
Gets the Integral Image for values' squared sum.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public long[,] SquaredImage { get; }
Public ReadOnly Property SquaredImage As Long(,)
    Get
public:
property array<long long,2>^ SquaredImage {
    array<long long,2>^ get ();
}
member SquaredImage : int64[,] with get

Property Value

Type: Int64
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.TiltedImage Property

FastBitmapTiltedImage Property
Gets the Integral Image for tilted values' sum.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public long[,] TiltedImage { get; }
Public ReadOnly Property TiltedImage As Long(,)
    Get
public:
property array<long long,2>^ TiltedImage {
    array<long long,2>^ get ();
}
member TiltedImage : int64[,] with get

Property Value

Type: Int64
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.Width Property

FastBitmapWidth Property
Gets the width, in pixels of the Bitmap.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Width { get; }
Public ReadOnly Property Width As Integer
    Get
public:
property int Width {
    int get ();
}
member Width : int with get

Property Value

Type: Int32
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap Methods

FastBitmap Methods

The FastBitmap type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Overrides ObjectGetHashCode.)
Public method | GetPixel | Gets the color at the specified pixel of the Bitmap.
Public method | GetSum | Gets the sum of the pixels in a rectangle of the Integral image.
Public method | GetSum2 | Gets the sum of the squared pixels in a rectangle of the Integral image.
Public method | GetSumT | Gets the sum of the pixels in a tilted rectangle of the Integral image.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetPixel | Sets the color of the specified pixel of the Bitmap.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.Dispose Method

FastBitmapDispose Method
Overload List
 | Name | Description
Public method | Dispose | Disposes the object and frees resources for the Garbage Collector.
Protected method | Dispose(Boolean) | Disposes the object and frees resources for the Garbage Collector.
Top
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.Dispose Method

FastBitmapDispose Method
Disposes the object and frees resources for the Garbage Collector.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

FastBitmap Class
Dispose Overload
ImageProcessor.Imaging Namespace


FastBitmap.Dispose Method (Boolean)

FastBitmapDispose Method (Boolean)
Disposes the object and frees resources for the Garbage Collector.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual void Dispose(
    bool disposing
)
Protected Overridable Sub Dispose (
    disposing As Boolean
)
protected:
virtual void Dispose(
    bool disposing
)
abstract Dispose :
        disposing : bool -> unit
override Dispose :
        disposing : bool -> unit

Parameters

disposing
Type: SystemBoolean
If true, the object gets disposed.
See Also

Reference

FastBitmap Class
Dispose Overload
ImageProcessor.Imaging Namespace


FastBitmap.Equals Method

FastBitmapEquals Method
Determines whether the specified Object is equal to the current Object.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The object to compare with the current object.

Return Value

Type: Boolean
true if the specified object is equal to the current object; otherwise, false.
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.GetHashCode Method

FastBitmapGetHashCode Method
Serves as a hash function for a particular type.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for the current Object.
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.GetPixel Method

FastBitmapGetPixel Method
Gets the color at the specified pixel of the Bitmap.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Color GetPixel(
    int x,
    int y
)
Public Function GetPixel (
    x As Integer,
    y As Integer
) As Color
public:
Color GetPixel(
    int x,
    int y
)
member GetPixel :
        x : int *
        y : int -> Color

Parameters

x
Type: SystemInt32
The x-coordinate of the pixel to retrieve.
y
Type: SystemInt32
The y-coordinate of the pixel to retrieve.

Return Value

Type: Color
The Color at the given pixel.
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.GetSum Method

FastBitmapGetSum Method
Gets the sum of the pixels in a rectangle of the Integral image.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public long GetSum(
    int x,
    int y,
    int rectangleWidth,
    int rectangleHeight
)
Public Function GetSum (
    x As Integer,
    y As Integer,
    rectangleWidth As Integer,
    rectangleHeight As Integer
) As Long
public:
long long GetSum(
    int x,
    int y,
    int rectangleWidth,
    int rectangleHeight
)
member GetSum :
        x : int *
        y : int *
        rectangleWidth : int *
        rectangleHeight : int -> int64

Parameters

x
Type: SystemInt32
The horizontal position of the rectangle x.
y
Type: SystemInt32
The vertical position of the rectangle y.
rectangleWidth
Type: SystemInt32
The rectangle's width w.
rectangleHeight
Type: SystemInt32
The rectangle's height h.

Return Value

Type: Int64
The sum of all pixels contained in the rectangle, computed as I[y, x] + I[y + h, x + w] - I[y + h, x] - I[y, x + w].
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.GetSum2 Method

FastBitmapGetSum2 Method
Gets the sum of the squared pixels in a rectangle of the Integral image.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public long GetSum2(
    int x,
    int y,
    int rectangleWidth,
    int rectangleHeight
)
Public Function GetSum2 (
    x As Integer,
    y As Integer,
    rectangleWidth As Integer,
    rectangleHeight As Integer
) As Long
public:
long long GetSum2(
    int x,
    int y,
    int rectangleWidth,
    int rectangleHeight
)
member GetSum2 :
        x : int *
        y : int *
        rectangleWidth : int *
        rectangleHeight : int -> int64

Parameters

x
Type: SystemInt32
The horizontal position of the rectangle x.
y
Type: SystemInt32
The vertical position of the rectangle y.
rectangleWidth
Type: SystemInt32
The rectangle's width w.
rectangleHeight
Type: SystemInt32
The rectangle's height h.

Return Value

Type: Int64
The sum of all pixels contained in the rectangle, computed as I²[y, x] + I²[y + h, x + w] - I²[y + h, x] - I²[y, x + w].
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.GetSumT Method

FastBitmapGetSumT Method
Gets the sum of the pixels in a tilted rectangle of the Integral image.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public long GetSumT(
    int x,
    int y,
    int rectangleWidth,
    int rectangleHeight
)
Public Function GetSumT (
    x As Integer,
    y As Integer,
    rectangleWidth As Integer,
    rectangleHeight As Integer
) As Long
public:
long long GetSumT(
    int x,
    int y,
    int rectangleWidth,
    int rectangleHeight
)
member GetSumT :
        x : int *
        y : int *
        rectangleWidth : int *
        rectangleHeight : int -> int64

Parameters

x
Type: SystemInt32
The horizontal position of the rectangle x.
y
Type: SystemInt32
The vertical position of the rectangle y.
rectangleWidth
Type: SystemInt32
The rectangle's width w.
rectangleHeight
Type: SystemInt32
The rectangle's height h.

Return Value

Type: Int64
The sum of all pixels contained in the rectangle, computed as T[y + w, x + w + 1] + T[y + h, x - h + 1] - T[y, x + 1] - T[y + w + h, x + w - h + 1].
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap.SetPixel Method

FastBitmapSetPixel Method
Sets the color of the specified pixel of the Bitmap.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void SetPixel(
    int x,
    int y,
    Color color
)
Public Sub SetPixel (
    x As Integer,
    y As Integer,
    color As Color
)
public:
void SetPixel(
    int x,
    int y,
    Color color
)
member SetPixel :
        x : int *
        y : int *
        color : Color -> unit

Parameters

x
Type: SystemInt32
The x-coordinate of the pixel to set.
y
Type: SystemInt32
The y-coordinate of the pixel to set.
color
Type: System.DrawingColor
A Color color structure that represents the color to set the specified pixel.
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap Type Conversions

FastBitmap Type Conversions
Operators
Name | Description
(FastBitmap to Image) | Allows the implicit conversion of an instance of FastBitmap to a Image.
(FastBitmap to Bitmap) | Allows the implicit conversion of an instance of FastBitmap to a Bitmap.
Top
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap Implicit Conversion Operators

FastBitmap Conversion Operators
Overload List
Name | Description
(FastBitmap to Image) | Allows the implicit conversion of an instance of FastBitmap to a Image.
(FastBitmap to Bitmap) | Allows the implicit conversion of an instance of FastBitmap to a Bitmap.
Top
See Also

Reference

FastBitmap Class
ImageProcessor.Imaging Namespace


FastBitmap Implicit Conversion (FastBitmap to Image)

FastBitmap Conversion (FastBitmap to Image)
Allows the implicit conversion of an instance of FastBitmap to a Image.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Image (
    FastBitmap fastBitmap
)
Public Shared Widening Operator CType (
    fastBitmap As FastBitmap
) As Image
static implicit operator Image^ (
    FastBitmap^ fastBitmap
)
F# does not support the declaration of new casting operators.

Parameters

fastBitmap
Type: ImageProcessor.ImagingFastBitmap
The instance of FastBitmap to convert.

Return Value

Type: Image
An instance of Image.
See Also

Reference

FastBitmap Class
Overload
ImageProcessor.Imaging Namespace


FastBitmap Implicit Conversion (FastBitmap to Bitmap)

FastBitmap Conversion (FastBitmap to Bitmap)
Allows the implicit conversion of an instance of FastBitmap to a Bitmap.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Bitmap (
    FastBitmap fastBitmap
)
Public Shared Widening Operator CType (
    fastBitmap As FastBitmap
) As Bitmap
static implicit operator Bitmap^ (
    FastBitmap^ fastBitmap
)
F# does not support the declaration of new casting operators.

Parameters

fastBitmap
Type: ImageProcessor.ImagingFastBitmap
The instance of FastBitmap to convert.

Return Value

Type: Bitmap
An instance of Bitmap.
See Also

Reference

FastBitmap Class
Overload
ImageProcessor.Imaging Namespace


GaussianLayer Class

GaussianLayer Class
A Gaussian layer for applying sharpening and blurring methods to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingGaussianLayer

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class GaussianLayer
Public Class GaussianLayer
public ref class GaussianLayer
type GaussianLayer =  class end

The GaussianLayer type exposes the following members.

Constructors
 | Name | Description
Public method | GaussianLayer | Initializes a new instance of the GaussianLayer class.
Public method | GaussianLayer(Int32, Double, Int32) | Initializes a new instance of the GaussianLayer class.
Top
Properties
 | Name | Description
Public property | Sigma | Gets or sets the sigma value (standard deviation) for Gaussian function used to calculate the kernel. Remarks If set to a value below 0, the property will be set to 0.
Public property | Size | Gets or sets the size of the Gaussian kernel. Remarks If set to a value below 0, the property will be set to 0.
Public property | Threshold | Gets or sets the threshold value, which is added to each weighted sum of pixels. Remarks If set to a value below 0, the property will be set to 0.
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an GaussianLayer object that is equivalent to this GaussianLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


GaussianLayer Constructor

GaussianLayer Constructor
Overload List
 | Name | Description
Public method | GaussianLayer | Initializes a new instance of the GaussianLayer class.
Public method | GaussianLayer(Int32, Double, Int32) | Initializes a new instance of the GaussianLayer class.
Top
See Also

Reference

GaussianLayer Class
ImageProcessor.Imaging Namespace


GaussianLayer Constructor

GaussianLayer Constructor
Initializes a new instance of the GaussianLayer class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GaussianLayer()
Public Sub New
public:
GaussianLayer()
new : unit -> GaussianLayer
See Also

Reference

GaussianLayer Class
GaussianLayer Overload
ImageProcessor.Imaging Namespace


GaussianLayer Constructor (Int32, Double, Int32)

GaussianLayer Constructor (Int32, Double, Int32)
Initializes a new instance of the GaussianLayer class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GaussianLayer(
    int size,
    double sigma = 1.4,
    int threshold = 0
)
Public Sub New (
    size As Integer,
    Optional sigma As Double = 1.4,
    Optional threshold As Integer = 0
)
public:
GaussianLayer(
    int size,
    double sigma = 1.4,
    int threshold = 0
)
new :
        size : int *
        ?sigma : float *
        ?threshold : int
(* Defaults:
        let _sigma = defaultArg sigma 1.4
        let _threshold = defaultArg threshold 0
*)
-> GaussianLayer

Parameters

size
Type: SystemInt32
The size to set the Gaussian kernel to.
sigma (Optional)
Type: SystemDouble
The Sigma value (standard deviation) for Gaussian function used to calculate the kernel.
threshold (Optional)
Type: SystemInt32
The threshold value, which is added to each weighted sum of pixels.
See Also

Reference

GaussianLayer Class
GaussianLayer Overload
ImageProcessor.Imaging Namespace


GaussianLayer Properties

GaussianLayer Properties

The GaussianLayer type exposes the following members.

Properties
 | Name | Description
Public property | Sigma | Gets or sets the sigma value (standard deviation) for Gaussian function used to calculate the kernel. Remarks If set to a value below 0, the property will be set to 0.
Public property | Size | Gets or sets the size of the Gaussian kernel. Remarks If set to a value below 0, the property will be set to 0.
Public property | Threshold | Gets or sets the threshold value, which is added to each weighted sum of pixels. Remarks If set to a value below 0, the property will be set to 0.
Top
See Also

Reference

GaussianLayer Class
ImageProcessor.Imaging Namespace


GaussianLayer.Sigma Property

GaussianLayerSigma Property
Gets or sets the sigma value (standard deviation) for Gaussian function used to calculate the kernel.
Remarks

If set to a value below 0, the property will be set to 0.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double Sigma { get; set; }
Public Property Sigma As Double
    Get
    Set
public:
property double Sigma {
    double get ();
    void set (double value);
}
member Sigma : float with get, set

Property Value

Type: Double
See Also

Reference

GaussianLayer Class
ImageProcessor.Imaging Namespace


GaussianLayer.Size Property

GaussianLayerSize Property
Gets or sets the size of the Gaussian kernel.
Remarks

If set to a value below 0, the property will be set to 0.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Size { get; set; }
Public Property Size As Integer
    Get
    Set
public:
property int Size {
    int get ();
    void set (int value);
}
member Size : int with get, set

Property Value

Type: Int32
See Also

Reference

GaussianLayer Class
ImageProcessor.Imaging Namespace


GaussianLayer.Threshold Property

GaussianLayerThreshold Property
Gets or sets the threshold value, which is added to each weighted sum of pixels.
Remarks

If set to a value below 0, the property will be set to 0.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Threshold { get; set; }
Public Property Threshold As Integer
    Get
    Set
public:
property int Threshold {
    int get ();
    void set (int value);
}
member Threshold : int with get, set

Property Value

Type: Int32
See Also

Reference

GaussianLayer Class
ImageProcessor.Imaging Namespace


GaussianLayer Methods

GaussianLayer Methods

The GaussianLayer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an GaussianLayer object that is equivalent to this GaussianLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GaussianLayer Class
ImageProcessor.Imaging Namespace


GaussianLayer.Equals Method

GaussianLayerEquals Method
Returns a value that indicates whether the specified object is an GaussianLayer object that is equivalent to this GaussianLayer object.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The object to test.

Return Value

Type: Boolean
True if the given object is an GaussianLayer object that is equivalent to this GaussianLayer object; otherwise, false.
See Also

Reference

GaussianLayer Class
ImageProcessor.Imaging Namespace


GaussianLayer.GetHashCode Method

GaussianLayerGetHashCode Method
Serves as a hash function for a particular type.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for the current Object.
See Also

Reference

GaussianLayer Class
ImageProcessor.Imaging Namespace


IComputerArchitectureInfo Interface

IComputerArchitectureInfo Interface
Encapsulates methods that provide information about the current computer architecture.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IComputerArchitectureInfo
Public Interface IComputerArchitectureInfo
public interface class IComputerArchitectureInfo
type IComputerArchitectureInfo =  interface end

The IComputerArchitectureInfo type exposes the following members.

Methods
 | Name | Description
Public method | IsLittleEndian | Returns a value indicating whether the current computer architecture is little endian.
Top
See Also

Reference

ImageProcessor.Imaging Namespace


IComputerArchitectureInfo Methods

IComputerArchitectureInfo Methods

The IComputerArchitectureInfo type exposes the following members.

Methods
 | Name | Description
Public method | IsLittleEndian | Returns a value indicating whether the current computer architecture is little endian.
Top
See Also

Reference

IComputerArchitectureInfo Interface
ImageProcessor.Imaging Namespace


IComputerArchitectureInfo.IsLittleEndian Method

IComputerArchitectureInfoIsLittleEndian Method
Returns a value indicating whether the current computer architecture is little endian.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
bool IsLittleEndian()
Function IsLittleEndian As Boolean
bool IsLittleEndian()
abstract IsLittleEndian : unit -> bool

Return Value

Type: Boolean
The Boolean
See Also

Reference

IComputerArchitectureInfo Interface
ImageProcessor.Imaging Namespace


ImageLayer Class

ImageLayer Class
Encapsulates the properties required to add an image layer to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingImageLayer

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ImageLayer
Public Class ImageLayer
public ref class ImageLayer
type ImageLayer =  class end

The ImageLayer type exposes the following members.

Constructors
 | Name | Description
Public method | ImageLayer | Initializes a new instance of the ImageLayer class
Top
Properties
 | Name | Description
Public property | Image | Gets or sets the image.
Public property | Opacity | Gets or sets the Opacity of the text layer.
Public property | Position | Gets or sets the Position of the text layer.
Public property | Size | Gets or sets the size.
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an ImageLayer object that is equivalent to this ImageLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


ImageLayer Constructor

ImageLayer Constructor
Initializes a new instance of the ImageLayer class

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImageLayer()
Public Sub New
public:
ImageLayer()
new : unit -> ImageLayer
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ImageLayer Properties

ImageLayer Properties

The ImageLayer type exposes the following members.

Properties
 | Name | Description
Public property | Image | Gets or sets the image.
Public property | Opacity | Gets or sets the Opacity of the text layer.
Public property | Position | Gets or sets the Position of the text layer.
Public property | Size | Gets or sets the size.
Top
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ImageLayer.Image Property

ImageLayerImage Property
Gets or sets the image.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image Image { get; set; }
Public Property Image As Image
    Get
    Set
public:
property Image^ Image {
    Image^ get ();
    void set (Image^ value);
}
member Image : Image with get, set

Property Value

Type: Image
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ImageLayer.Opacity Property

ImageLayerOpacity Property
Gets or sets the Opacity of the text layer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Opacity { get; set; }
Public Property Opacity As Integer
    Get
    Set
public:
property int Opacity {
    int get ();
    void set (int value);
}
member Opacity : int with get, set

Property Value

Type: Int32
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ImageLayer.Position Property

ImageLayerPosition Property
Gets or sets the Position of the text layer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Nullable<Point> Position { get; set; }
Public Property Position As Nullable(Of Point)
    Get
    Set
public:
property Nullable<Point> Position {
    Nullable<Point> get ();
    void set (Nullable<Point> value);
}
member Position : Nullable<Point> with get, set

Property Value

Type: Nullable Point
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ImageLayer.Size Property

ImageLayerSize Property
Gets or sets the size.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Size Size { get; set; }
Public Property Size As Size
    Get
    Set
public:
property Size Size {
    Size get ();
    void set (Size value);
}
member Size : Size with get, set

Property Value

Type: Size
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ImageLayer Methods

ImageLayer Methods

The ImageLayer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an ImageLayer object that is equivalent to this ImageLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ImageLayer.Equals Method

ImageLayerEquals Method
Returns a value that indicates whether the specified object is an ImageLayer object that is equivalent to this ImageLayer object.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The object to test.

Return Value

Type: Boolean
True if the given object is an ImageLayer object that is equivalent to this ImageLayer object; otherwise, false.
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ImageLayer.GetHashCode Method

ImageLayerGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

ImageLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer Class

ResizeLayer Class
Encapsulates the properties required to resize an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingResizeLayer

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ResizeLayer
Public Class ResizeLayer
public ref class ResizeLayer
type ResizeLayer =  class end

The ResizeLayer type exposes the following members.

Constructors
 | Name | Description
Public method | ResizeLayer | Initializes a new instance of the ResizeLayer class.
Top
Properties
 | Name | Description
Public property | AnchorPoint | Gets or sets the anchor point.
Public property | AnchorPosition | Gets or sets the anchor position.
Public property | CenterCoordinates | Gets or sets the center coordinates.
Public property | MaxSize | Gets or sets the max size.
Public property | ResizeMode | Gets or sets the resize mode.
Public property | RestrictedSizes | Gets or sets the restricted range of sizes. to restrict resizing methods to.
Public property | Size | Gets or sets the size.
Public property | Upscale | Gets or sets a value indicating whether to allow up-scaling of images. For BoxPad this is always true.
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an ResizeLayer object that is equivalent to this ResizeLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


ResizeLayer Constructor

ResizeLayer Constructor
Initializes a new instance of the ResizeLayer class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ResizeLayer(
    Size size,
    ResizeMode resizeMode = ResizeMode.Pad,
    AnchorPosition anchorPosition = AnchorPosition.Center,
    bool upscale = true,
    float[] centerCoordinates = null,
    Nullable<Size> maxSize = null,
    List<Size> restrictedSizes = null,
    Nullable<Point> anchorPoint = null
)
Public Sub New (
    size As Size,
    Optional resizeMode As ResizeMode = ResizeMode.Pad,
    Optional anchorPosition As AnchorPosition = AnchorPosition.Center,
    Optional upscale As Boolean = true,
    Optional centerCoordinates As Single() = Nothing,
    Optional maxSize As Nullable(Of Size) = Nothing,
    Optional restrictedSizes As List(Of Size) = Nothing,
    Optional anchorPoint As Nullable(Of Point) = Nothing
)
public:
ResizeLayer(
    Size size,
    ResizeMode resizeMode = ResizeMode::Pad,
    AnchorPosition anchorPosition = AnchorPosition::Center,
    bool upscale = true,
    array<float>^ centerCoordinates = nullptr,
    Nullable<Size> maxSize = nullptr,
    List<Size>^ restrictedSizes = nullptr,
    Nullable<Point> anchorPoint = nullptr
)
new :
        size : Size *
        ?resizeMode : ResizeMode *
        ?anchorPosition : AnchorPosition *
        ?upscale : bool *
        ?centerCoordinates : float32[] *
        ?maxSize : Nullable<Size> *
        ?restrictedSizes : List<Size> *
        ?anchorPoint : Nullable<Point>
(* Defaults:
        let _resizeMode = defaultArg resizeMode ResizeMode.Pad
        let _anchorPosition = defaultArg anchorPosition AnchorPosition.Center
        let _upscale = defaultArg upscale true
        let _centerCoordinates = defaultArg centerCoordinates null
        let _maxSize = defaultArg maxSize null
        let _restrictedSizes = defaultArg restrictedSizes null
        let _anchorPoint = defaultArg anchorPoint null
*)
-> ResizeLayer

Parameters

size
Type: System.DrawingSize
The Size containing the width and height to set the image to.
resizeMode (Optional)
Type: ImageProcessor.ImagingResizeMode
The resize mode to apply to resized image. (Default ResizeMode.Pad)
anchorPosition (Optional)
Type: ImageProcessor.ImagingAnchorPosition
The AnchorPosition to apply to resized image. (Default AnchorPosition.Center)
upscale (Optional)
Type: SystemBoolean
Whether to allow up-scaling of images. (Default true)
centerCoordinates (Optional)
Type: SystemSingle
The center coordinates (Default null)
maxSize (Optional)
Type: SystemNullable Size
The maximum size to resize an image to. Used to restrict resizing based on calculated resizing
restrictedSizes (Optional)
Type: System.Collections.GenericList Size
The range of sizes to restrict resizing an image to. Used to restrict resizing based on calculated resizing
anchorPoint (Optional)
Type: SystemNullable Point
The anchor point (Default null)
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer Properties

ResizeLayer Properties

The ResizeLayer type exposes the following members.

Properties
 | Name | Description
Public property | AnchorPoint | Gets or sets the anchor point.
Public property | AnchorPosition | Gets or sets the anchor position.
Public property | CenterCoordinates | Gets or sets the center coordinates.
Public property | MaxSize | Gets or sets the max size.
Public property | ResizeMode | Gets or sets the resize mode.
Public property | RestrictedSizes | Gets or sets the restricted range of sizes. to restrict resizing methods to.
Public property | Size | Gets or sets the size.
Public property | Upscale | Gets or sets a value indicating whether to allow up-scaling of images. For BoxPad this is always true.
Top
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.AnchorPoint Property

ResizeLayerAnchorPoint Property
Gets or sets the anchor point.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Nullable<Point> AnchorPoint { get; set; }
Public Property AnchorPoint As Nullable(Of Point)
    Get
    Set
public:
property Nullable<Point> AnchorPoint {
    Nullable<Point> get ();
    void set (Nullable<Point> value);
}
member AnchorPoint : Nullable<Point> with get, set

Property Value

Type: Nullable Point
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.AnchorPosition Property

ResizeLayerAnchorPosition Property
Gets or sets the anchor position.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public AnchorPosition AnchorPosition { get; set; }
Public Property AnchorPosition As AnchorPosition
    Get
    Set
public:
property AnchorPosition AnchorPosition {
    AnchorPosition get ();
    void set (AnchorPosition value);
}
member AnchorPosition : AnchorPosition with get, set

Property Value

Type: AnchorPosition
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.CenterCoordinates Property

ResizeLayerCenterCoordinates Property
Gets or sets the center coordinates.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float[] CenterCoordinates { get; set; }
Public Property CenterCoordinates As Single()
    Get
    Set
public:
property array<float>^ CenterCoordinates {
    array<float>^ get ();
    void set (array<float>^ value);
}
member CenterCoordinates : float32[] with get, set

Property Value

Type: Single
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.MaxSize Property

ResizeLayerMaxSize Property
Gets or sets the max size.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Nullable<Size> MaxSize { get; set; }
Public Property MaxSize As Nullable(Of Size)
    Get
    Set
public:
property Nullable<Size> MaxSize {
    Nullable<Size> get ();
    void set (Nullable<Size> value);
}
member MaxSize : Nullable<Size> with get, set

Property Value

Type: Nullable Size
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.ResizeMode Property

ResizeLayerResizeMode Property
Gets or sets the resize mode.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ResizeMode ResizeMode { get; set; }
Public Property ResizeMode As ResizeMode
    Get
    Set
public:
property ResizeMode ResizeMode {
    ResizeMode get ();
    void set (ResizeMode value);
}
member ResizeMode : ResizeMode with get, set

Property Value

Type: ResizeMode
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.RestrictedSizes Property

ResizeLayerRestrictedSizes Property
Gets or sets the restricted range of sizes. to restrict resizing methods to.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public List<Size> RestrictedSizes { get; set; }
Public Property RestrictedSizes As List(Of Size)
    Get
    Set
public:
property List<Size>^ RestrictedSizes {
    List<Size>^ get ();
    void set (List<Size>^ value);
}
member RestrictedSizes : List<Size> with get, set

Property Value

Type: List Size
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.Size Property

ResizeLayerSize Property
Gets or sets the size.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Size Size { get; set; }
Public Property Size As Size
    Get
    Set
public:
property Size Size {
    Size get ();
    void set (Size value);
}
member Size : Size with get, set

Property Value

Type: Size
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.Upscale Property

ResizeLayerUpscale Property
Gets or sets a value indicating whether to allow up-scaling of images. For BoxPad this is always true.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Upscale { get; set; }
Public Property Upscale As Boolean
    Get
    Set
public:
property bool Upscale {
    bool get ();
    void set (bool value);
}
member Upscale : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer Methods

ResizeLayer Methods

The ResizeLayer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an ResizeLayer object that is equivalent to this ResizeLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.Equals Method

ResizeLayerEquals Method
Returns a value that indicates whether the specified object is an ResizeLayer object that is equivalent to this ResizeLayer object.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The object to test.

Return Value

Type: Boolean
True if the given object is an ResizeLayer object that is equivalent to this ResizeLayer object; otherwise, false.
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeLayer.GetHashCode Method

ResizeLayerGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

ResizeLayer Class
ImageProcessor.Imaging Namespace


ResizeMode Enumeration

ResizeMode Enumeration
Enumerated resize modes to apply to resized images.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum ResizeMode
Public Enumeration ResizeMode
public enum class ResizeMode
type ResizeMode
Members
Member name | Value | Description
Pad | 0 | Pads the resized image to fit the bounds of its container. If only one dimension is passed, will maintain the original aspect ratio.
Stretch | 1 | Stretches the resized image to fit the bounds of its container.
Crop | 2 | Crops the resized image to fit the bounds of its container.
Max | 3 | Constrains the resized image to fit the bounds of its container maintaining the original aspect ratio.
Min | 4 | Resizes the image until the shortest side reaches the set given dimension. Sets Upscale to false only allowing downscaling.
BoxPad | 5 | Pads the image to fit the bound of the container without resizing the original source. Sets Upscale to true. When downscaling, performs the same functionality as Pad
See Also

Reference

ImageProcessor.Imaging Namespace


Resizer Class

Resizer Class
Provides methods to resize images.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingResizer

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Resizer
Public Class Resizer
public ref class Resizer
type Resizer =  class end

The Resizer type exposes the following members.

Constructors
 | Name | Description
Public method | Resizer(Size) | Initializes a new instance of the Resizer class.
Public method | Resizer(ResizeLayer) | Initializes a new instance of the Resizer class.
Top
Properties
 | Name | Description
Public property | AnimationProcessMode | Gets or sets process mode for frames in animated images.
Public property | ImageFormat | Gets or sets the ISupportedImageFormat.
Public property | ResizeLayer | Gets or sets the ResizeLayer.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Protected method | ResizeComposite | Gets an image resized using the composite color space without any gamma correction adjustments.
Public method | ResizeImage | Resizes the given image.
Protected method | ResizeLinear(Image, Int32, Int32, Rectangle) | Gets an image resized using the linear color space with gamma correction adjustments.
Protected method | ResizeLinear(Image, Int32, Int32, Rectangle, AnimationProcessMode) | Gets an image resized using the linear color space with gamma correction adjustments.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


Resizer Constructor

Resizer Constructor
Overload List
 | Name | Description
Public method | Resizer(Size) | Initializes a new instance of the Resizer class.
Public method | Resizer(ResizeLayer) | Initializes a new instance of the Resizer class.
Top
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer Constructor (Size)

Resizer Constructor (Size)
Initializes a new instance of the Resizer class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Resizer(
    Size size
)
Public Sub New (
    size As Size
)
public:
Resizer(
    Size size
)
new :
        size : Size -> Resizer

Parameters

size
Type: System.DrawingSize
The Size to resize the image to.
See Also

Reference

Resizer Class
Resizer Overload
ImageProcessor.Imaging Namespace


Resizer Constructor (ResizeLayer)

Resizer Constructor (ResizeLayer)
Initializes a new instance of the Resizer class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Resizer(
    ResizeLayer resizeLayer
)
Public Sub New (
    resizeLayer As ResizeLayer
)
public:
Resizer(
    ResizeLayer^ resizeLayer
)
new :
        resizeLayer : ResizeLayer -> Resizer

Parameters

resizeLayer
Type: ImageProcessor.ImagingResizeLayer
The ResizeLayer.
See Also

Reference

Resizer Class
Resizer Overload
ImageProcessor.Imaging Namespace


Resizer Properties

Resizer Properties

The Resizer type exposes the following members.

Properties
 | Name | Description
Public property | AnimationProcessMode | Gets or sets process mode for frames in animated images.
Public property | ImageFormat | Gets or sets the ISupportedImageFormat.
Public property | ResizeLayer | Gets or sets the ResizeLayer.
Top
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer.AnimationProcessMode Property

ResizerAnimationProcessMode Property
Gets or sets process mode for frames in animated images.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public AnimationProcessMode AnimationProcessMode { get; set; }
Public Property AnimationProcessMode As AnimationProcessMode
    Get
    Set
public:
property AnimationProcessMode AnimationProcessMode {
    AnimationProcessMode get ();
    void set (AnimationProcessMode value);
}
member AnimationProcessMode : AnimationProcessMode with get, set

Property Value

Type: AnimationProcessMode
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer.ImageFormat Property

ResizerImageFormat Property
Gets or sets the ISupportedImageFormat.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ISupportedImageFormat ImageFormat { get; set; }
Public Property ImageFormat As ISupportedImageFormat
    Get
    Set
public:
property ISupportedImageFormat^ ImageFormat {
    ISupportedImageFormat^ get ();
    void set (ISupportedImageFormat^ value);
}
member ImageFormat : ISupportedImageFormat with get, set

Property Value

Type: ISupportedImageFormat
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer.ResizeLayer Property

ResizerResizeLayer Property
Gets or sets the ResizeLayer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ResizeLayer ResizeLayer { get; set; }
Public Property ResizeLayer As ResizeLayer
    Get
    Set
public:
property ResizeLayer^ ResizeLayer {
    ResizeLayer^ get ();
    void set (ResizeLayer^ value);
}
member ResizeLayer : ResizeLayer with get, set

Property Value

Type: ResizeLayer
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer Methods

Resizer Methods

The Resizer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Protected method | ResizeComposite | Gets an image resized using the composite color space without any gamma correction adjustments.
Public method | ResizeImage | Resizes the given image.
Protected method | ResizeLinear(Image, Int32, Int32, Rectangle) | Gets an image resized using the linear color space with gamma correction adjustments.
Protected method | ResizeLinear(Image, Int32, Int32, Rectangle, AnimationProcessMode) | Gets an image resized using the linear color space with gamma correction adjustments.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer.ResizeComposite Method

ResizerResizeComposite Method
Gets an image resized using the composite color space without any gamma correction adjustments.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual Bitmap ResizeComposite(
    Image source,
    int width,
    int height,
    Rectangle destination
)
Protected Overridable Function ResizeComposite (
    source As Image,
    width As Integer,
    height As Integer,
    destination As Rectangle
) As Bitmap
protected:
virtual Bitmap^ ResizeComposite(
    Image^ source,
    int width,
    int height,
    Rectangle destination
)
abstract ResizeComposite :
        source : Image *
        width : int *
        height : int *
        destination : Rectangle -> Bitmap
override ResizeComposite :
        source : Image *
        width : int *
        height : int *
        destination : Rectangle -> Bitmap

Parameters

source
Type: System.DrawingImage
The source image.
width
Type: SystemInt32
The width to resize to.
height
Type: SystemInt32
The height to resize to.
destination
Type: System.DrawingRectangle
The destination rectangle.

Return Value

Type: Bitmap
The Bitmap.
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer.ResizeImage Method

ResizerResizeImage Method
Resizes the given image.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap ResizeImage(
    Image source,
    bool linear
)
Public Function ResizeImage (
    source As Image,
    linear As Boolean
) As Bitmap
public:
Bitmap^ ResizeImage(
    Image^ source,
    bool linear
)
member ResizeImage :
        source : Image *
        linear : bool -> Bitmap

Parameters

source
Type: System.DrawingImage
The source Image to resize.
linear
Type: SystemBoolean
Whether to resize the image using the linear color space.

Return Value

Type: Bitmap
The resized Image.
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer.ResizeLinear Method

ResizerResizeLinear Method
Overload List
 | Name | Description
Protected method | ResizeLinear(Image, Int32, Int32, Rectangle) | Gets an image resized using the linear color space with gamma correction adjustments.
Protected method | ResizeLinear(Image, Int32, Int32, Rectangle, AnimationProcessMode) | Gets an image resized using the linear color space with gamma correction adjustments.
Top
See Also

Reference

Resizer Class
ImageProcessor.Imaging Namespace


Resizer.ResizeLinear Method (Image, Int32, Int32, Rectangle)

ResizerResizeLinear Method (Image, Int32, Int32, Rectangle)
Gets an image resized using the linear color space with gamma correction adjustments.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual Bitmap ResizeLinear(
    Image source,
    int width,
    int height,
    Rectangle destination
)
Protected Overridable Function ResizeLinear (
    source As Image,
    width As Integer,
    height As Integer,
    destination As Rectangle
) As Bitmap
protected:
virtual Bitmap^ ResizeLinear(
    Image^ source,
    int width,
    int height,
    Rectangle destination
)
abstract ResizeLinear :
        source : Image *
        width : int *
        height : int *
        destination : Rectangle -> Bitmap
override ResizeLinear :
        source : Image *
        width : int *
        height : int *
        destination : Rectangle -> Bitmap

Parameters

source
Type: System.DrawingImage
The source image.
width
Type: SystemInt32
The width to resize to.
height
Type: SystemInt32
The height to resize to.
destination
Type: System.DrawingRectangle
The destination rectangle.

Return Value

Type: Bitmap
The Bitmap.
See Also

Reference

Resizer Class
ResizeLinear Overload
ImageProcessor.Imaging Namespace


Resizer.ResizeLinear Method (Image, Int32, Int32, Rectangle, AnimationProcessMode)

ResizerResizeLinear Method (Image, Int32, Int32, Rectangle, AnimationProcessMode)
Gets an image resized using the linear color space with gamma correction adjustments.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual Bitmap ResizeLinear(
    Image source,
    int width,
    int height,
    Rectangle destination,
    AnimationProcessMode animationProcessMode
)
Protected Overridable Function ResizeLinear (
    source As Image,
    width As Integer,
    height As Integer,
    destination As Rectangle,
    animationProcessMode As AnimationProcessMode
) As Bitmap
protected:
virtual Bitmap^ ResizeLinear(
    Image^ source,
    int width,
    int height,
    Rectangle destination,
    AnimationProcessMode animationProcessMode
)
abstract ResizeLinear :
        source : Image *
        width : int *
        height : int *
        destination : Rectangle *
        animationProcessMode : AnimationProcessMode -> Bitmap
override ResizeLinear :
        source : Image *
        width : int *
        height : int *
        destination : Rectangle *
        animationProcessMode : AnimationProcessMode -> Bitmap

Parameters

source
Type: System.DrawingImage
The source image.
width
Type: SystemInt32
The width to resize to.
height
Type: SystemInt32
The height to resize to.
destination
Type: System.DrawingRectangle
The destination rectangle.
animationProcessMode
Type: ImageProcessor.ImagingAnimationProcessMode
The process mode for frames in animated images.

Return Value

Type: Bitmap
The Bitmap.
See Also

Reference

Resizer Class
ResizeLinear Overload
ImageProcessor.Imaging Namespace


RoundedCornerLayer Class

RoundedCornerLayer Class
Encapsulates the properties required to add rounded corners to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingRoundedCornerLayer

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class RoundedCornerLayer
Public Class RoundedCornerLayer
public ref class RoundedCornerLayer
type RoundedCornerLayer =  class end

The RoundedCornerLayer type exposes the following members.

Constructors
 | Name | Description
Public method | RoundedCornerLayer | Initializes a new instance of the RoundedCornerLayer class.
Top
Properties
 | Name | Description
Public property | BottomLeft | Gets or sets a value indicating whether bottom left corners are to be added.
Public property | BottomRight | Gets or sets a value indicating whether bottom right corners are to be added.
Public property | Radius | Gets or sets the radius of the corners.
Public property | TopLeft | Gets or sets a value indicating whether top left corners are to be added.
Public property | TopRight | Gets or sets a value indicating whether top right corners are to be added.
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an RoundedCornerLayer object that is equivalent to this RoundedCornerLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


RoundedCornerLayer Constructor

RoundedCornerLayer Constructor
Initializes a new instance of the RoundedCornerLayer class.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public RoundedCornerLayer(
    int radius,
    bool topLeft = true,
    bool topRight = true,
    bool bottomLeft = true,
    bool bottomRight = true
)
Public Sub New (
    radius As Integer,
    Optional topLeft As Boolean = true,
    Optional topRight As Boolean = true,
    Optional bottomLeft As Boolean = true,
    Optional bottomRight As Boolean = true
)
public:
RoundedCornerLayer(
    int radius,
    bool topLeft = true,
    bool topRight = true,
    bool bottomLeft = true,
    bool bottomRight = true
)
new :
        radius : int *
        ?topLeft : bool *
        ?topRight : bool *
        ?bottomLeft : bool *
        ?bottomRight : bool
(* Defaults:
        let _topLeft = defaultArg topLeft true
        let _topRight = defaultArg topRight true
        let _bottomLeft = defaultArg bottomLeft true
        let _bottomRight = defaultArg bottomRight true
*)
-> RoundedCornerLayer

Parameters

radius
Type: SystemInt32
The radius at which the corner will be rounded.
topLeft (Optional)
Type: SystemBoolean
Set if top left is rounded
topRight (Optional)
Type: SystemBoolean
Set if top right is rounded
bottomLeft (Optional)
Type: SystemBoolean
Set if bottom left is rounded
bottomRight (Optional)
Type: SystemBoolean
Set if bottom right is rounded
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer Properties

RoundedCornerLayer Properties

The RoundedCornerLayer type exposes the following members.

Properties
 | Name | Description
Public property | BottomLeft | Gets or sets a value indicating whether bottom left corners are to be added.
Public property | BottomRight | Gets or sets a value indicating whether bottom right corners are to be added.
Public property | Radius | Gets or sets the radius of the corners.
Public property | TopLeft | Gets or sets a value indicating whether top left corners are to be added.
Public property | TopRight | Gets or sets a value indicating whether top right corners are to be added.
Top
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer.BottomLeft Property

RoundedCornerLayerBottomLeft Property
Gets or sets a value indicating whether bottom left corners are to be added.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool BottomLeft { get; set; }
Public Property BottomLeft As Boolean
    Get
    Set
public:
property bool BottomLeft {
    bool get ();
    void set (bool value);
}
member BottomLeft : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer.BottomRight Property

RoundedCornerLayerBottomRight Property
Gets or sets a value indicating whether bottom right corners are to be added.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool BottomRight { get; set; }
Public Property BottomRight As Boolean
    Get
    Set
public:
property bool BottomRight {
    bool get ();
    void set (bool value);
}
member BottomRight : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer.Radius Property

RoundedCornerLayerRadius Property
Gets or sets the radius of the corners.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Radius { get; set; }
Public Property Radius As Integer
    Get
    Set
public:
property int Radius {
    int get ();
    void set (int value);
}
member Radius : int with get, set

Property Value

Type: Int32
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer.TopLeft Property

RoundedCornerLayerTopLeft Property
Gets or sets a value indicating whether top left corners are to be added.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TopLeft { get; set; }
Public Property TopLeft As Boolean
    Get
    Set
public:
property bool TopLeft {
    bool get ();
    void set (bool value);
}
member TopLeft : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer.TopRight Property

RoundedCornerLayerTopRight Property
Gets or sets a value indicating whether top right corners are to be added.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TopRight { get; set; }
Public Property TopRight As Boolean
    Get
    Set
public:
property bool TopRight {
    bool get ();
    void set (bool value);
}
member TopRight : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer Methods

RoundedCornerLayer Methods

The RoundedCornerLayer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an RoundedCornerLayer object that is equivalent to this RoundedCornerLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer.Equals Method

RoundedCornerLayerEquals Method
Returns a value that indicates whether the specified object is an RoundedCornerLayer object that is equivalent to this RoundedCornerLayer object.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The object to test.

Return Value

Type: Boolean
True if the given object is an RoundedCornerLayer object that is equivalent to this RoundedCornerLayer object; otherwise, false.
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


RoundedCornerLayer.GetHashCode Method

RoundedCornerLayerGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

RoundedCornerLayer Class
ImageProcessor.Imaging Namespace


TextLayer Class

TextLayer Class
Encapsulates the properties required to add a layer of text to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ImagingTextLayer

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TextLayer
Public Class TextLayer
public ref class TextLayer
type TextLayer =  class end

The TextLayer type exposes the following members.

Constructors
 | Name | Description
Public method | TextLayer | Initializes a new instance of the TextLayer class
Top
Properties
 | Name | Description
Public property | DropShadow | Gets or sets a value indicating whether a DropShadow should be drawn.
Public property | FontColor | Gets or sets the Color to render the font. Remarks Defaults to black.
Public property | FontFamily | Gets or sets the name of the font family. Remarks Defaults to generic sans-serif font family.
Public property | FontSize | Gets or sets the size of the font in pixels. Remarks Defaults to 48 pixels.
Public property | Opacity | Gets or sets the Opacity of the text layer.
Public property | Position | Gets or sets the Position of the text layer.
Public property | RightToLeft | Gets or sets a value indicating whether the text should be rendered right to left.
Public property | Style | Gets or sets the FontStyle of the text layer. Remarks Defaults to regular.
Public property | Text | Gets or sets Text.
Public property | Vertical | Gets or sets a value indicating whether the text should be rendered vertically.
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an TextLayer object that is equivalent to this TextLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging Namespace


TextLayer Constructor

TextLayer Constructor
Initializes a new instance of the TextLayer class

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public TextLayer()
Public Sub New
public:
TextLayer()
new : unit -> TextLayer
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer Properties

TextLayer Properties

The TextLayer type exposes the following members.

Properties
 | Name | Description
Public property | DropShadow | Gets or sets a value indicating whether a DropShadow should be drawn.
Public property | FontColor | Gets or sets the Color to render the font. Remarks Defaults to black.
Public property | FontFamily | Gets or sets the name of the font family. Remarks Defaults to generic sans-serif font family.
Public property | FontSize | Gets or sets the size of the font in pixels. Remarks Defaults to 48 pixels.
Public property | Opacity | Gets or sets the Opacity of the text layer.
Public property | Position | Gets or sets the Position of the text layer.
Public property | RightToLeft | Gets or sets a value indicating whether the text should be rendered right to left.
Public property | Style | Gets or sets the FontStyle of the text layer. Remarks Defaults to regular.
Public property | Text | Gets or sets Text.
Public property | Vertical | Gets or sets a value indicating whether the text should be rendered vertically.
Top
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.DropShadow Property

TextLayerDropShadow Property
Gets or sets a value indicating whether a DropShadow should be drawn.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool DropShadow { get; set; }
Public Property DropShadow As Boolean
    Get
    Set
public:
property bool DropShadow {
    bool get ();
    void set (bool value);
}
member DropShadow : bool with get, set

Property Value

Type: Boolean
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.FontColor Property

TextLayerFontColor Property
Gets or sets the Color to render the font.
Remarks

Defaults to black.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Color FontColor { get; set; }
Public Property FontColor As Color
    Get
    Set
public:
property Color FontColor {
    Color get ();
    void set (Color value);
}
member FontColor : Color with get, set

Property Value

Type: Color
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.FontFamily Property

TextLayerFontFamily Property
Gets or sets the name of the font family.
Remarks

Defaults to generic sans-serif font family.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public FontFamily FontFamily { get; set; }
Public Property FontFamily As FontFamily
    Get
    Set
public:
property FontFamily^ FontFamily {
    FontFamily^ get ();
    void set (FontFamily^ value);
}
member FontFamily : FontFamily with get, set

Property Value

Type: FontFamily
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.FontSize Property

TextLayerFontSize Property
Gets or sets the size of the font in pixels.
Remarks

Defaults to 48 pixels.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int FontSize { get; set; }
Public Property FontSize As Integer
    Get
    Set
public:
property int FontSize {
    int get ();
    void set (int value);
}
member FontSize : int with get, set

Property Value

Type: Int32
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.Opacity Property

TextLayerOpacity Property
Gets or sets the Opacity of the text layer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Opacity { get; set; }
Public Property Opacity As Integer
    Get
    Set
public:
property int Opacity {
    int get ();
    void set (int value);
}
member Opacity : int with get, set

Property Value

Type: Int32
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.Position Property

TextLayerPosition Property
Gets or sets the Position of the text layer.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Nullable<Point> Position { get; set; }
Public Property Position As Nullable(Of Point)
    Get
    Set
public:
property Nullable<Point> Position {
    Nullable<Point> get ();
    void set (Nullable<Point> value);
}
member Position : Nullable<Point> with get, set

Property Value

Type: Nullable Point
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.RightToLeft Property

TextLayerRightToLeft Property
Gets or sets a value indicating whether the text should be rendered right to left.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool RightToLeft { get; set; }
Public Property RightToLeft As Boolean
    Get
    Set
public:
property bool RightToLeft {
    bool get ();
    void set (bool value);
}
member RightToLeft : bool with get, set

Property Value

Type: Boolean
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.Style Property

TextLayerStyle Property
Gets or sets the FontStyle of the text layer.
Remarks

Defaults to regular.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public FontStyle Style { get; set; }
Public Property Style As FontStyle
    Get
    Set
public:
property FontStyle Style {
    FontStyle get ();
    void set (FontStyle value);
}
member Style : FontStyle with get, set

Property Value

Type: FontStyle
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.Text Property

TextLayerText Property
Gets or sets Text.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public string Text { get; set; }
Public Property Text As String
    Get
    Set
public:
property String^ Text {
    String^ get ();
    void set (String^ value);
}
member Text : string with get, set

Property Value

Type: String
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.Vertical Property

TextLayerVertical Property
Gets or sets a value indicating whether the text should be rendered vertically.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Vertical { get; set; }
Public Property Vertical As Boolean
    Get
    Set
public:
property bool Vertical {
    bool get ();
    void set (bool value);
}
member Vertical : bool with get, set

Property Value

Type: Boolean
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer Methods

TextLayer Methods

The TextLayer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether the specified object is an TextLayer object that is equivalent to this TextLayer object. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.Equals Method

TextLayerEquals Method
Returns a value that indicates whether the specified object is an TextLayer object that is equivalent to this TextLayer object.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The object to test.

Return Value

Type: Boolean
True if the given object is an TextLayer object that is equivalent to this TextLayer object; otherwise, false.
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


TextLayer.GetHashCode Method

TextLayerGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

TextLayer Class
ImageProcessor.Imaging Namespace


ImageProcessor.Imaging.Colors Namespace

ImageProcessor.Imaging.Colors Namespace
Structures
 | Structure | Description
Public structure | CmykColor | Represents an CMYK (cyan, magenta, yellow, keyline) color.
Public structure | Color32 | Structure that defines a 32 bits per pixel color, used for pixel manipulation not for color conversion.
Public structure | HslaColor | Represents an HSLA (hue, saturation, luminosity, alpha) color. Adapted from http://richnewman.wordpress.com/about/code-listings-and-diagrams/hslcolor-class/
Public structure | RgbaColor | Represents an RGBA (red, green, blue, alpha) color.
Public structure | YCbCrColor | Represents an YCbCr (luminance, chroma, chroma) color conforming to the ITU-R BT.601 standard used in digital imaging systems. http://en.wikipedia.org/wiki/YCbCr
Enumerations
 | Enumeration | Description
Public enumeration | RgbaComponent | Enumerates the RGBA (red, green, blue, alpha) color components.


CmykColor Structure

CmykColor Structure
Represents an CMYK (cyan, magenta, yellow, keyline) color.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct CmykColor : IEquatable<CmykColor>
Public Structure CmykColor
    Implements IEquatable(Of CmykColor)
public value class CmykColor : IEquatable<CmykColor>
[<SealedAttribute>]
type CmykColor =
    struct
        interface IEquatable<CmykColor>
    end

The CmykColor type exposes the following members.

Properties
 | Name | Description
Public property | C | Gets the cyan component. Remarks A value ranging between 0 and 100.
Public property | K | Gets the keyline black component. Remarks A value ranging between 0 and 100.
Public property | M | Gets the magenta component. Remarks A value ranging between 0 and 100.
Public property | Y | Gets the yellow component. Remarks A value ranging between 0 and 100.
Top
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(CmykColor) | Indicates whether the current object is equal to another object of the same type.
 | FromCmykColor | Creates a CmykColor structure from the four 32-bit CMYK components (cyan, magenta, yellow, and keyline) values.
 | FromColor | Creates a CmykColor structure from the specified Color structure
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
Operators
Name | Description
(Color to CmykColor) | Allows the implicit conversion of an instance of Color to a CmykColor.
(CmykColor to Color) | Allows the implicit conversion of an instance of CmykColor to a Color.
(CmykColor to RgbaColor) | Allows the implicit conversion of an instance of CmykColor to a RgbaColor.
(CmykColor to YCbCrColor) | Allows the implicit conversion of an instance of CmykColor to a YCbCrColor.
(CmykColor to HslaColor) | Allows the implicit conversion of an instance of CmykColor to a HslaColor.
(RgbaColor to CmykColor) | Allows the implicit conversion of an instance of RgbaColor to a CmykColor.
(YCbCrColor to CmykColor) | Allows the implicit conversion of an instance of YCbCrColor to a HslaColor.
Top
Fields
Name | Description
Empty | Represents a CmykColor that is null.
Top
See Also

Reference

ImageProcessor.Imaging.Colors Namespace


CmykColor Properties

CmykColor Properties

The CmykColor type exposes the following members.

Properties
 | Name | Description
Public property | C | Gets the cyan component. Remarks A value ranging between 0 and 100.
Public property | K | Gets the keyline black component. Remarks A value ranging between 0 and 100.
Public property | M | Gets the magenta component. Remarks A value ranging between 0 and 100.
Public property | Y | Gets the yellow component. Remarks A value ranging between 0 and 100.
Top
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.C Property

CmykColorC Property
Gets the cyan component.
Remarks
A value ranging between 0 and 100.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float C { get; }
Public ReadOnly Property C As Single
    Get
public:
property float C {
    float get ();
}
member C : float32 with get

Property Value

Type: Single
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.K Property

CmykColorK Property
Gets the keyline black component.
Remarks
A value ranging between 0 and 100.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float K { get; }
Public ReadOnly Property K As Single
    Get
public:
property float K {
    float get ();
}
member K : float32 with get

Property Value

Type: Single
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.M Property

CmykColorM Property
Gets the magenta component.
Remarks
A value ranging between 0 and 100.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float M { get; }
Public ReadOnly Property M As Single
    Get
public:
property float M {
    float get ();
}
member M : float32 with get

Property Value

Type: Single
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.Y Property

CmykColorY Property
Gets the yellow component.
Remarks
A value ranging between 0 and 100.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float Y { get; }
Public ReadOnly Property Y As Single
    Get
public:
property float Y {
    float get ();
}
member Y : float32 with get

Property Value

Type: Single
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor Methods

CmykColor Methods

The CmykColor type exposes the following members.

Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(CmykColor) | Indicates whether the current object is equal to another object of the same type.
 | FromCmykColor | Creates a CmykColor structure from the four 32-bit CMYK components (cyan, magenta, yellow, and keyline) values.
 | FromColor | Creates a CmykColor structure from the specified Color structure
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.Equals Method

CmykColorEquals Method
Overload List
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(CmykColor) | Indicates whether the current object is equal to another object of the same type.
Top
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.Equals Method (Object)

CmykColorEquals Method (Object)
Indicates whether this instance and a specified object are equal.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
Another object to compare to.

Return Value

Type: Boolean
true if obj and this instance are the same type and represent the same value; otherwise, false.
See Also

Reference

CmykColor Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor.Equals Method (CmykColor)

CmykColorEquals Method (CmykColor)
Indicates whether the current object is equal to another object of the same type.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    CmykColor other
)
Public Function Equals (
    other As CmykColor
) As Boolean
public:
virtual bool Equals(
    CmykColor other
) sealed
abstract Equals :
        other : CmykColor -> bool
override Equals :
        other : CmykColor -> bool

Parameters

other
Type: ImageProcessor.Imaging.ColorsCmykColor
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

CmykColor Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor.FromCmykColor Method

CmykColorFromCmykColor Method
Creates a CmykColor structure from the four 32-bit CMYK components (cyan, magenta, yellow, and keyline) values.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static CmykColor FromCmykColor(
    float cyan,
    float magenta,
    float yellow,
    float keyline
)
Public Shared Function FromCmykColor (
    cyan As Single,
    magenta As Single,
    yellow As Single,
    keyline As Single
) As CmykColor
public:
static CmykColor FromCmykColor(
    float cyan,
    float magenta,
    float yellow,
    float keyline
)
static member FromCmykColor :
        cyan : float32 *
        magenta : float32 *
        yellow : float32 *
        keyline : float32 -> CmykColor

Parameters

cyan
Type: SystemSingle
The cyan component.
magenta
Type: SystemSingle
The magenta component.
yellow
Type: SystemSingle
The yellow component.
keyline
Type: SystemSingle
The keyline black component.

Return Value

Type: CmykColor
The CmykColor.
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.FromColor Method

CmykColorFromColor Method
Creates a CmykColor structure from the specified Color structure

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static CmykColor FromColor(
    Color color
)
Public Shared Function FromColor (
    color As Color
) As CmykColor
public:
static CmykColor FromColor(
    Color color
)
static member FromColor :
        color : Color -> CmykColor

Parameters

color
Type: System.DrawingColor
The Color from which to create the new CmykColor.

Return Value

Type: CmykColor
The CmykColor.
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.GetHashCode Method

CmykColorGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.ToString Method

CmykColorToString Method
Returns a String that represents this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor Type Conversions

CmykColor Type Conversions
Operators
Name | Description
(Color to CmykColor) | Allows the implicit conversion of an instance of Color to a CmykColor.
(CmykColor to Color) | Allows the implicit conversion of an instance of CmykColor to a Color.
(CmykColor to RgbaColor) | Allows the implicit conversion of an instance of CmykColor to a RgbaColor.
(CmykColor to YCbCrColor) | Allows the implicit conversion of an instance of CmykColor to a YCbCrColor.
(CmykColor to HslaColor) | Allows the implicit conversion of an instance of CmykColor to a HslaColor.
(RgbaColor to CmykColor) | Allows the implicit conversion of an instance of RgbaColor to a CmykColor.
(YCbCrColor to CmykColor) | Allows the implicit conversion of an instance of YCbCrColor to a HslaColor.
Top
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor Implicit Conversion Operators

CmykColor Conversion Operators
Overload List
Name | Description
(Color to CmykColor) | Allows the implicit conversion of an instance of Color to a CmykColor.
(CmykColor to Color) | Allows the implicit conversion of an instance of CmykColor to a Color.
(CmykColor to RgbaColor) | Allows the implicit conversion of an instance of CmykColor to a RgbaColor.
(CmykColor to YCbCrColor) | Allows the implicit conversion of an instance of CmykColor to a YCbCrColor.
(CmykColor to HslaColor) | Allows the implicit conversion of an instance of CmykColor to a HslaColor.
(RgbaColor to CmykColor) | Allows the implicit conversion of an instance of RgbaColor to a CmykColor.
(YCbCrColor to CmykColor) | Allows the implicit conversion of an instance of YCbCrColor to a HslaColor.
Top
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor Implicit Conversion (Color to CmykColor)

CmykColor Conversion (Color to CmykColor)
Allows the implicit conversion of an instance of Color to a CmykColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator CmykColor (
    Color color
)
Public Shared Widening Operator CType (
    color As Color
) As CmykColor
static implicit operator CmykColor (
    Color color
)
F# does not support the declaration of new casting operators.

Parameters

color
Type: System.DrawingColor
The instance of Color to convert.

Return Value

Type: CmykColor
An instance of CmykColor.
See Also

Reference

CmykColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor Implicit Conversion (CmykColor to Color)

CmykColor Conversion (CmykColor to Color)
Allows the implicit conversion of an instance of CmykColor to a Color.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Color (
    CmykColor cmykColor
)
Public Shared Widening Operator CType (
    cmykColor As CmykColor
) As Color
static implicit operator Color (
    CmykColor cmykColor
)
F# does not support the declaration of new casting operators.

Parameters

cmykColor
Type: ImageProcessor.Imaging.ColorsCmykColor
The instance of CmykColor to convert.

Return Value

Type: Color
An instance of Color.
See Also

Reference

CmykColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor Implicit Conversion (CmykColor to RgbaColor)

CmykColor Conversion (CmykColor to RgbaColor)
Allows the implicit conversion of an instance of CmykColor to a RgbaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator RgbaColor (
    CmykColor cmykColor
)
Public Shared Widening Operator CType (
    cmykColor As CmykColor
) As RgbaColor
static implicit operator RgbaColor (
    CmykColor cmykColor
)
F# does not support the declaration of new casting operators.

Parameters

cmykColor
Type: ImageProcessor.Imaging.ColorsCmykColor
The instance of CmykColor to convert.

Return Value

Type: RgbaColor
An instance of RgbaColor.
See Also

Reference

CmykColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor Implicit Conversion (CmykColor to YCbCrColor)

CmykColor Conversion (CmykColor to YCbCrColor)
Allows the implicit conversion of an instance of CmykColor to a YCbCrColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator YCbCrColor (
    CmykColor cmykColor
)
Public Shared Widening Operator CType (
    cmykColor As CmykColor
) As YCbCrColor
static implicit operator YCbCrColor (
    CmykColor cmykColor
)
F# does not support the declaration of new casting operators.

Parameters

cmykColor
Type: ImageProcessor.Imaging.ColorsCmykColor
The instance of CmykColor to convert.

Return Value

Type: YCbCrColor
An instance of YCbCrColor.
See Also

Reference

CmykColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor Implicit Conversion (CmykColor to HslaColor)

CmykColor Conversion (CmykColor to HslaColor)
Allows the implicit conversion of an instance of CmykColor to a HslaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator HslaColor (
    CmykColor cmykColor
)
Public Shared Widening Operator CType (
    cmykColor As CmykColor
) As HslaColor
static implicit operator HslaColor (
    CmykColor cmykColor
)
F# does not support the declaration of new casting operators.

Parameters

cmykColor
Type: ImageProcessor.Imaging.ColorsCmykColor
The instance of CmykColor to convert.

Return Value

Type: HslaColor
An instance of HslaColor.
See Also

Reference

CmykColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor Implicit Conversion (RgbaColor to CmykColor)

CmykColor Conversion (RgbaColor to CmykColor)
Allows the implicit conversion of an instance of RgbaColor to a CmykColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator CmykColor (
    RgbaColor rgbaColor
)
Public Shared Widening Operator CType (
    rgbaColor As RgbaColor
) As CmykColor
static implicit operator CmykColor (
    RgbaColor rgbaColor
)
F# does not support the declaration of new casting operators.

Parameters

rgbaColor
Type: ImageProcessor.Imaging.ColorsRgbaColor
The instance of RgbaColor to convert.

Return Value

Type: CmykColor
An instance of CmykColor.
See Also

Reference

CmykColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor Implicit Conversion (YCbCrColor to CmykColor)

CmykColor Conversion (YCbCrColor to CmykColor)
Allows the implicit conversion of an instance of YCbCrColor to a HslaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator CmykColor (
    YCbCrColor ycbcrColor
)
Public Shared Widening Operator CType (
    ycbcrColor As YCbCrColor
) As CmykColor
static implicit operator CmykColor (
    YCbCrColor ycbcrColor
)
F# does not support the declaration of new casting operators.

Parameters

ycbcrColor
Type: ImageProcessor.Imaging.ColorsYCbCrColor
The instance of YCbCrColor to convert.

Return Value

Type: CmykColor
An instance of YCbCrColor.
See Also

Reference

CmykColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


CmykColor Fields

CmykColor Fields

The CmykColor type exposes the following members.

Fields
Name | Description
Empty | Represents a CmykColor that is null.
Top
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


CmykColor.Empty Field

CmykColorEmpty Field
Represents a CmykColor that is null.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly CmykColor Empty
Public Shared ReadOnly Empty As CmykColor
public:
static initonly CmykColor Empty
static val Empty: CmykColor

Field Value

Type: CmykColor
See Also

Reference

CmykColor Structure
ImageProcessor.Imaging.Colors Namespace


Color32 Structure

Color32 Structure
Structure that defines a 32 bits per pixel color, used for pixel manipulation not for color conversion.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct Color32 : IEquatable<Color32>
Public Structure Color32
    Implements IEquatable(Of Color32)
public value class Color32 : IEquatable<Color32>
[<SealedAttribute>]
type Color32 =
    struct
        interface IEquatable<Color32>
    end

The Color32 type exposes the following members.

Constructors
 | Name | Description
Public method | Color32(Int32) | Initializes a new instance of the Color32 struct.
Public method | Color32(Byte, Byte, Byte, Byte) | Initializes a new instance of the Color32 struct.
Top
Properties
 | Name | Description
Public property | Color | Gets the color for this Color32 object
Top
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(Color32) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Fields
 | Name | Description
Public field | A | Holds the alpha component of the colour
Public field | Argb | Permits the color32 to be treated as a 32 bit integer.
Public field | B | Holds the blue component of the colour
Public field | G | Holds the green component of the colour
Public field | R | Holds the red component of the colour
Top
Remarks
This structure is used to read data from a 32 bits per pixel image in memory, and is ordered in this manner as this is the way that the data is laid out in memory
See Also

Reference

ImageProcessor.Imaging.Colors Namespace


Color32 Constructor

Color32 Constructor
Overload List
 | Name | Description
Public method | Color32(Int32) | Initializes a new instance of the Color32 struct.
Public method | Color32(Byte, Byte, Byte, Byte) | Initializes a new instance of the Color32 struct.
Top
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32 Constructor (Int32)

Color32 Constructor (Int32)
Initializes a new instance of the Color32 struct.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Color32(
    int argb
)
Public Sub New (
    argb As Integer
)
public:
Color32(
    int argb
)
new :
        argb : int -> Color32

Parameters

argb
Type: SystemInt32
The combined color components.
See Also

Reference

Color32 Structure
Color32 Overload
ImageProcessor.Imaging.Colors Namespace


Color32 Constructor (Byte, Byte, Byte, Byte)

Color32 Constructor (Byte, Byte, Byte, Byte)
Initializes a new instance of the Color32 struct.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Color32(
    byte alpha,
    byte red,
    byte green,
    byte blue
)
Public Sub New (
    alpha As Byte,
    red As Byte,
    green As Byte,
    blue As Byte
)
public:
Color32(
    unsigned char alpha,
    unsigned char red,
    unsigned char green,
    unsigned char blue
)
new :
        alpha : byte *
        red : byte *
        green : byte *
        blue : byte -> Color32

Parameters

alpha
Type: SystemByte
The alpha component.
red
Type: SystemByte
The red component.
green
Type: SystemByte
The green component.
blue
Type: SystemByte
The blue component.
See Also

Reference

Color32 Structure
Color32 Overload
ImageProcessor.Imaging.Colors Namespace


Color32 Properties

Color32 Properties

The Color32 type exposes the following members.

Properties
 | Name | Description
Public property | Color | Gets the color for this Color32 object
Top
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32.Color Property

Color32Color Property
Gets the color for this Color32 object

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Color Color { get; }
Public ReadOnly Property Color As Color
    Get
public:
property Color Color {
    Color get ();
}
member Color : Color with get

Property Value

Type: Color
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32 Methods

Color32 Methods

The Color32 type exposes the following members.

Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(Color32) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32.Equals Method

Color32Equals Method
Overload List
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(Color32) | Indicates whether the current object is equal to another object of the same type.
Top
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32.Equals Method (Object)

Color32Equals Method (Object)
Indicates whether this instance and a specified object are equal.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
Another object to compare to.

Return Value

Type: Boolean
true if obj and this instance are the same type and represent the same value; otherwise, false.
See Also

Reference

Color32 Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


Color32.Equals Method (Color32)

Color32Equals Method (Color32)
Indicates whether the current object is equal to another object of the same type.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    Color32 other
)
Public Function Equals (
    other As Color32
) As Boolean
public:
virtual bool Equals(
    Color32 other
) sealed
abstract Equals :
        other : Color32 -> bool
override Equals :
        other : Color32 -> bool

Parameters

other
Type: ImageProcessor.Imaging.ColorsColor32
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

Color32 Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


Color32.GetHashCode Method

Color32GetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32 Fields

Color32 Fields

The Color32 type exposes the following members.

Fields
 | Name | Description
Public field | A | Holds the alpha component of the colour
Public field | Argb | Permits the color32 to be treated as a 32 bit integer.
Public field | B | Holds the blue component of the colour
Public field | G | Holds the green component of the colour
Public field | R | Holds the red component of the colour
Top
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32.A Field

Color32A Field
Holds the alpha component of the colour

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte A
Public A As Byte
public:
unsigned char A
val mutable A: byte

Field Value

Type: Byte
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32.Argb Field

Color32Argb Field
Permits the color32 to be treated as a 32 bit integer.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Argb
Public Argb As Integer
public:
int Argb
val mutable Argb: int

Field Value

Type: Int32
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32.B Field

Color32B Field
Holds the blue component of the colour

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte B
Public B As Byte
public:
unsigned char B
val mutable B: byte

Field Value

Type: Byte
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32.G Field

Color32G Field
Holds the green component of the colour

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte G
Public G As Byte
public:
unsigned char G
val mutable G: byte

Field Value

Type: Byte
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


Color32.R Field

Color32R Field
Holds the red component of the colour

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte R
Public R As Byte
public:
unsigned char R
val mutable R: byte

Field Value

Type: Byte
See Also

Reference

Color32 Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor Structure

HslaColor Structure
Represents an HSLA (hue, saturation, luminosity, alpha) color. Adapted from http://richnewman.wordpress.com/about/code-listings-and-diagrams/hslcolor-class/

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct HslaColor : IEquatable<HslaColor>
Public Structure HslaColor
    Implements IEquatable(Of HslaColor)
public value class HslaColor : IEquatable<HslaColor>
[<SealedAttribute>]
type HslaColor =
    struct
        interface IEquatable<HslaColor>
    end

The HslaColor type exposes the following members.

Properties
 | Name | Description
Public property | A | Gets the alpha component. Remarks A value ranging between 0 and 1.
Public property | H | Gets the hue component. Remarks A value ranging between 0 and 1.
Public property | L | Gets the luminosity component. Remarks A value ranging between 0 and 1.
Public property | S | Gets the saturation component. Remarks A value ranging between 0 and 1.
Top
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(HslaColor) | Indicates whether the current object is equal to another object of the same type.
 | FromColor | Creates a HslaColor structure from the specified Color structure
 | FromHslaColor(Single, Single, Single) | Creates a HslaColor structure from the three 32-bit HSLA components (hue, saturation, and luminosity) values.
 | FromHslaColor(Single, Single, Single, Single) | Creates a HslaColor structure from the four 32-bit HSLA components (hue, saturation, luminosity, and alpha) values.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
Operators
Name | Description
(Color to HslaColor) | Allows the implicit conversion of an instance of Color to a HslaColor.
(HslaColor to Color) | Allows the implicit conversion of an instance of HslaColor to a Color.
(HslaColor to YCbCrColor) | Allows the implicit conversion of an instance of HslaColor to a YCbCrColor.
(HslaColor to CmykColor) | Allows the implicit conversion of an instance of HslaColor to a CmykColor.
(RgbaColor to HslaColor) | Allows the implicit conversion of an instance of RgbaColor to a HslaColor.
(YCbCrColor to HslaColor) | Allows the implicit conversion of an instance of YCbCrColor to a HslaColor.
Top
Fields
Name | Description
Empty | Represents a HslaColor that is null.
Top
See Also

Reference

ImageProcessor.Imaging.Colors Namespace


HslaColor Properties

HslaColor Properties

The HslaColor type exposes the following members.

Properties
 | Name | Description
Public property | A | Gets the alpha component. Remarks A value ranging between 0 and 1.
Public property | H | Gets the hue component. Remarks A value ranging between 0 and 1.
Public property | L | Gets the luminosity component. Remarks A value ranging between 0 and 1.
Public property | S | Gets the saturation component. Remarks A value ranging between 0 and 1.
Top
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.A Property

HslaColorA Property
Gets the alpha component.
Remarks
A value ranging between 0 and 1.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float A { get; }
Public ReadOnly Property A As Single
    Get
public:
property float A {
    float get ();
}
member A : float32 with get

Property Value

Type: Single
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.H Property

HslaColorH Property
Gets the hue component.
Remarks
A value ranging between 0 and 1.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float H { get; }
Public ReadOnly Property H As Single
    Get
public:
property float H {
    float get ();
}
member H : float32 with get

Property Value

Type: Single
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.L Property

HslaColorL Property
Gets the luminosity component.
Remarks
A value ranging between 0 and 1.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float L { get; }
Public ReadOnly Property L As Single
    Get
public:
property float L {
    float get ();
}
member L : float32 with get

Property Value

Type: Single
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.S Property

HslaColorS Property
Gets the saturation component.
Remarks
A value ranging between 0 and 1.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float S { get; }
Public ReadOnly Property S As Single
    Get
public:
property float S {
    float get ();
}
member S : float32 with get

Property Value

Type: Single
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor Methods

HslaColor Methods

The HslaColor type exposes the following members.

Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(HslaColor) | Indicates whether the current object is equal to another object of the same type.
 | FromColor | Creates a HslaColor structure from the specified Color structure
 | FromHslaColor(Single, Single, Single) | Creates a HslaColor structure from the three 32-bit HSLA components (hue, saturation, and luminosity) values.
 | FromHslaColor(Single, Single, Single, Single) | Creates a HslaColor structure from the four 32-bit HSLA components (hue, saturation, luminosity, and alpha) values.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.Equals Method

HslaColorEquals Method
Overload List
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(HslaColor) | Indicates whether the current object is equal to another object of the same type.
Top
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.Equals Method (Object)

HslaColorEquals Method (Object)
Indicates whether this instance and a specified object are equal.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
Another object to compare to.

Return Value

Type: Boolean
true if obj and this instance are the same type and represent the same value; otherwise, false.
See Also

Reference

HslaColor Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor.Equals Method (HslaColor)

HslaColorEquals Method (HslaColor)
Indicates whether the current object is equal to another object of the same type.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    HslaColor other
)
Public Function Equals (
    other As HslaColor
) As Boolean
public:
virtual bool Equals(
    HslaColor other
) sealed
abstract Equals :
        other : HslaColor -> bool
override Equals :
        other : HslaColor -> bool

Parameters

other
Type: ImageProcessor.Imaging.ColorsHslaColor
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

HslaColor Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor.FromColor Method

HslaColorFromColor Method
Creates a HslaColor structure from the specified Color structure

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static HslaColor FromColor(
    Color color
)
Public Shared Function FromColor (
    color As Color
) As HslaColor
public:
static HslaColor FromColor(
    Color color
)
static member FromColor :
        color : Color -> HslaColor

Parameters

color
Type: System.DrawingColor
The Color from which to create the new HslaColor.

Return Value

Type: HslaColor
The HslaColor.
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.FromHslaColor Method

HslaColorFromHslaColor Method
Overload List
Name | Description
FromHslaColor(Single, Single, Single) | Creates a HslaColor structure from the three 32-bit HSLA components (hue, saturation, and luminosity) values.
FromHslaColor(Single, Single, Single, Single) | Creates a HslaColor structure from the four 32-bit HSLA components (hue, saturation, luminosity, and alpha) values.
Top
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.FromHslaColor Method (Single, Single, Single)

HslaColorFromHslaColor Method (Single, Single, Single)
Creates a HslaColor structure from the three 32-bit HSLA components (hue, saturation, and luminosity) values.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static HslaColor FromHslaColor(
    float hue,
    float saturation,
    float luminosity
)
Public Shared Function FromHslaColor (
    hue As Single,
    saturation As Single,
    luminosity As Single
) As HslaColor
public:
static HslaColor FromHslaColor(
    float hue,
    float saturation,
    float luminosity
)
static member FromHslaColor :
        hue : float32 *
        saturation : float32 *
        luminosity : float32 -> HslaColor

Parameters

hue
Type: SystemSingle
The hue component.
saturation
Type: SystemSingle
The saturation component.
luminosity
Type: SystemSingle
The luminosity component.

Return Value

Type: HslaColor
The HslaColor.
See Also

Reference

HslaColor Structure
FromHslaColor Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor.FromHslaColor Method (Single, Single, Single, Single)

HslaColorFromHslaColor Method (Single, Single, Single, Single)
Creates a HslaColor structure from the four 32-bit HSLA components (hue, saturation, luminosity, and alpha) values.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static HslaColor FromHslaColor(
    float hue,
    float saturation,
    float luminosity,
    float alpha
)
Public Shared Function FromHslaColor (
    hue As Single,
    saturation As Single,
    luminosity As Single,
    alpha As Single
) As HslaColor
public:
static HslaColor FromHslaColor(
    float hue,
    float saturation,
    float luminosity,
    float alpha
)
static member FromHslaColor :
        hue : float32 *
        saturation : float32 *
        luminosity : float32 *
        alpha : float32 -> HslaColor

Parameters

hue
Type: SystemSingle
The hue component.
saturation
Type: SystemSingle
The saturation component.
luminosity
Type: SystemSingle
The luminosity component.
alpha
Type: SystemSingle
The alpha component.

Return Value

Type: HslaColor
The HslaColor.
See Also

Reference

HslaColor Structure
FromHslaColor Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor.GetHashCode Method

HslaColorGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.ToString Method

HslaColorToString Method
Returns a String that represents this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor Type Conversions

HslaColor Type Conversions
Operators
Name | Description
(Color to HslaColor) | Allows the implicit conversion of an instance of Color to a HslaColor.
(HslaColor to Color) | Allows the implicit conversion of an instance of HslaColor to a Color.
(HslaColor to YCbCrColor) | Allows the implicit conversion of an instance of HslaColor to a YCbCrColor.
(HslaColor to CmykColor) | Allows the implicit conversion of an instance of HslaColor to a CmykColor.
(RgbaColor to HslaColor) | Allows the implicit conversion of an instance of RgbaColor to a HslaColor.
(YCbCrColor to HslaColor) | Allows the implicit conversion of an instance of YCbCrColor to a HslaColor.
Top
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor Implicit Conversion Operators

HslaColor Conversion Operators
Overload List
Name | Description
(Color to HslaColor) | Allows the implicit conversion of an instance of Color to a HslaColor.
(HslaColor to Color) | Allows the implicit conversion of an instance of HslaColor to a Color.
(HslaColor to YCbCrColor) | Allows the implicit conversion of an instance of HslaColor to a YCbCrColor.
(HslaColor to CmykColor) | Allows the implicit conversion of an instance of HslaColor to a CmykColor.
(RgbaColor to HslaColor) | Allows the implicit conversion of an instance of RgbaColor to a HslaColor.
(YCbCrColor to HslaColor) | Allows the implicit conversion of an instance of YCbCrColor to a HslaColor.
Top
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor Implicit Conversion (Color to HslaColor)

HslaColor Conversion (Color to HslaColor)
Allows the implicit conversion of an instance of Color to a HslaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator HslaColor (
    Color color
)
Public Shared Widening Operator CType (
    color As Color
) As HslaColor
static implicit operator HslaColor (
    Color color
)
F# does not support the declaration of new casting operators.

Parameters

color
Type: System.DrawingColor
The instance of Color to convert.

Return Value

Type: HslaColor
An instance of HslaColor.
See Also

Reference

HslaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor Implicit Conversion (HslaColor to Color)

HslaColor Conversion (HslaColor to Color)
Allows the implicit conversion of an instance of HslaColor to a Color.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Color (
    HslaColor hslaColor
)
Public Shared Widening Operator CType (
    hslaColor As HslaColor
) As Color
static implicit operator Color (
    HslaColor hslaColor
)
F# does not support the declaration of new casting operators.

Parameters

hslaColor
Type: ImageProcessor.Imaging.ColorsHslaColor
The instance of HslaColor to convert.

Return Value

Type: Color
An instance of Color.
See Also

Reference

HslaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor Implicit Conversion (HslaColor to YCbCrColor)

HslaColor Conversion (HslaColor to YCbCrColor)
Allows the implicit conversion of an instance of HslaColor to a YCbCrColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator YCbCrColor (
    HslaColor hslaColor
)
Public Shared Widening Operator CType (
    hslaColor As HslaColor
) As YCbCrColor
static implicit operator YCbCrColor (
    HslaColor hslaColor
)
F# does not support the declaration of new casting operators.

Parameters

hslaColor
Type: ImageProcessor.Imaging.ColorsHslaColor
The instance of HslaColor to convert.

Return Value

Type: YCbCrColor
An instance of YCbCrColor.
See Also

Reference

HslaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor Implicit Conversion (HslaColor to CmykColor)

HslaColor Conversion (HslaColor to CmykColor)
Allows the implicit conversion of an instance of HslaColor to a CmykColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator CmykColor (
    HslaColor hslaColor
)
Public Shared Widening Operator CType (
    hslaColor As HslaColor
) As CmykColor
static implicit operator CmykColor (
    HslaColor hslaColor
)
F# does not support the declaration of new casting operators.

Parameters

hslaColor
Type: ImageProcessor.Imaging.ColorsHslaColor
The instance of HslaColor to convert.

Return Value

Type: CmykColor
An instance of CmykColor.
See Also

Reference

HslaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor Implicit Conversion (RgbaColor to HslaColor)

HslaColor Conversion (RgbaColor to HslaColor)
Allows the implicit conversion of an instance of RgbaColor to a HslaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator HslaColor (
    RgbaColor rgbaColor
)
Public Shared Widening Operator CType (
    rgbaColor As RgbaColor
) As HslaColor
static implicit operator HslaColor (
    RgbaColor rgbaColor
)
F# does not support the declaration of new casting operators.

Parameters

rgbaColor
Type: ImageProcessor.Imaging.ColorsRgbaColor
The instance of RgbaColor to convert.

Return Value

Type: HslaColor
An instance of HslaColor.
See Also

Reference

HslaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor Implicit Conversion (YCbCrColor to HslaColor)

HslaColor Conversion (YCbCrColor to HslaColor)
Allows the implicit conversion of an instance of YCbCrColor to a HslaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator HslaColor (
    YCbCrColor ycbcrColor
)
Public Shared Widening Operator CType (
    ycbcrColor As YCbCrColor
) As HslaColor
static implicit operator HslaColor (
    YCbCrColor ycbcrColor
)
F# does not support the declaration of new casting operators.

Parameters

ycbcrColor
Type: ImageProcessor.Imaging.ColorsYCbCrColor
The instance of YCbCrColor to convert.

Return Value

Type: HslaColor
An instance of YCbCrColor.
See Also

Reference

HslaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


HslaColor Fields

HslaColor Fields

The HslaColor type exposes the following members.

Fields
Name | Description
Empty | Represents a HslaColor that is null.
Top
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


HslaColor.Empty Field

HslaColorEmpty Field
Represents a HslaColor that is null.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly HslaColor Empty
Public Shared ReadOnly Empty As HslaColor
public:
static initonly HslaColor Empty
static val Empty: HslaColor

Field Value

Type: HslaColor
See Also

Reference

HslaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor Structure

RgbaColor Structure
Represents an RGBA (red, green, blue, alpha) color.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct RgbaColor : IEquatable<RgbaColor>
Public Structure RgbaColor
    Implements IEquatable(Of RgbaColor)
public value class RgbaColor : IEquatable<RgbaColor>
[<SealedAttribute>]
type RgbaColor =
    struct
        interface IEquatable<RgbaColor>
    end

The RgbaColor type exposes the following members.

Properties
 | Name | Description
Public property | A | Gets the alpha component.
Public property | B | Gets the blue component.
Public property | G | Gets the green component.
Public property | R | Gets the red component.
Top
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(RgbaColor) | Indicates whether the current object is equal to another object of the same type.
 | FromColor | Creates a RgbaColor structure from the specified Color structure
 | FromRgba(Byte, Byte, Byte) | Creates a RgbaColor structure from the three 8-bit RGBA components (red, green, and blue) values.
 | FromRgba(Byte, Byte, Byte, Byte) | Creates a RgbaColor structure from the four 8-bit RGBA components (red, green, blue, and alpha) values.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
Operators
Name | Description
(Color to RgbaColor) | Allows the implicit conversion of an instance of Color to a RgbaColor.
(HslaColor to RgbaColor) | Allows the implicit conversion of an instance of HslaColor to a RgbaColor.
(RgbaColor to Color) | Allows the implicit conversion of an instance of RgbaColor to a Color.
(RgbaColor to YCbCrColor) | Allows the implicit conversion of an instance of RgbaColor to a YCbCrColor.
(YCbCrColor to RgbaColor) | Allows the implicit conversion of an instance of YCbCrColor to a RgbaColor.
Top
Fields
Name | Description
Empty | Represents a RgbaColor that is null.
Top
See Also

Reference

ImageProcessor.Imaging.Colors Namespace


RgbaColor Properties

RgbaColor Properties

The RgbaColor type exposes the following members.

Properties
 | Name | Description
Public property | A | Gets the alpha component.
Public property | B | Gets the blue component.
Public property | G | Gets the green component.
Public property | R | Gets the red component.
Top
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.A Property

RgbaColorA Property
Gets the alpha component.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte A { get; }
Public ReadOnly Property A As Byte
    Get
public:
property unsigned char A {
    unsigned char get ();
}
member A : byte with get

Property Value

Type: Byte
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.B Property

RgbaColorB Property
Gets the blue component.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte B { get; }
Public ReadOnly Property B As Byte
    Get
public:
property unsigned char B {
    unsigned char get ();
}
member B : byte with get

Property Value

Type: Byte
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.G Property

RgbaColorG Property
Gets the green component.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte G { get; }
Public ReadOnly Property G As Byte
    Get
public:
property unsigned char G {
    unsigned char get ();
}
member G : byte with get

Property Value

Type: Byte
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.R Property

RgbaColorR Property
Gets the red component.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte R { get; }
Public ReadOnly Property R As Byte
    Get
public:
property unsigned char R {
    unsigned char get ();
}
member R : byte with get

Property Value

Type: Byte
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor Methods

RgbaColor Methods

The RgbaColor type exposes the following members.

Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(RgbaColor) | Indicates whether the current object is equal to another object of the same type.
 | FromColor | Creates a RgbaColor structure from the specified Color structure
 | FromRgba(Byte, Byte, Byte) | Creates a RgbaColor structure from the three 8-bit RGBA components (red, green, and blue) values.
 | FromRgba(Byte, Byte, Byte, Byte) | Creates a RgbaColor structure from the four 8-bit RGBA components (red, green, blue, and alpha) values.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.Equals Method

RgbaColorEquals Method
Overload List
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(RgbaColor) | Indicates whether the current object is equal to another object of the same type.
Top
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.Equals Method (Object)

RgbaColorEquals Method (Object)
Indicates whether this instance and a specified object are equal.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
Another object to compare to.

Return Value

Type: Boolean
true if obj and this instance are the same type and represent the same value; otherwise, false.
See Also

Reference

RgbaColor Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor.Equals Method (RgbaColor)

RgbaColorEquals Method (RgbaColor)
Indicates whether the current object is equal to another object of the same type.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    RgbaColor other
)
Public Function Equals (
    other As RgbaColor
) As Boolean
public:
virtual bool Equals(
    RgbaColor other
) sealed
abstract Equals :
        other : RgbaColor -> bool
override Equals :
        other : RgbaColor -> bool

Parameters

other
Type: ImageProcessor.Imaging.ColorsRgbaColor
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

RgbaColor Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor.FromColor Method

RgbaColorFromColor Method
Creates a RgbaColor structure from the specified Color structure

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static RgbaColor FromColor(
    Color color
)
Public Shared Function FromColor (
    color As Color
) As RgbaColor
public:
static RgbaColor FromColor(
    Color color
)
static member FromColor :
        color : Color -> RgbaColor

Parameters

color
Type: System.DrawingColor
The Color from which to create the new RgbaColor.

Return Value

Type: RgbaColor
The RgbaColor.
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.FromRgba Method

RgbaColorFromRgba Method
Overload List
Name | Description
FromRgba(Byte, Byte, Byte) | Creates a RgbaColor structure from the three 8-bit RGBA components (red, green, and blue) values.
FromRgba(Byte, Byte, Byte, Byte) | Creates a RgbaColor structure from the four 8-bit RGBA components (red, green, blue, and alpha) values.
Top
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.FromRgba Method (Byte, Byte, Byte)

RgbaColorFromRgba Method (Byte, Byte, Byte)
Creates a RgbaColor structure from the three 8-bit RGBA components (red, green, and blue) values.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static RgbaColor FromRgba(
    byte red,
    byte green,
    byte blue
)
Public Shared Function FromRgba (
    red As Byte,
    green As Byte,
    blue As Byte
) As RgbaColor
public:
static RgbaColor FromRgba(
    unsigned char red,
    unsigned char green,
    unsigned char blue
)
static member FromRgba :
        red : byte *
        green : byte *
        blue : byte -> RgbaColor

Parameters

red
Type: SystemByte
The red component.
green
Type: SystemByte
The green component.
blue
Type: SystemByte
The blue component.

Return Value

Type: RgbaColor
The RgbaColor.
See Also

Reference

RgbaColor Structure
FromRgba Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor.FromRgba Method (Byte, Byte, Byte, Byte)

RgbaColorFromRgba Method (Byte, Byte, Byte, Byte)
Creates a RgbaColor structure from the four 8-bit RGBA components (red, green, blue, and alpha) values.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static RgbaColor FromRgba(
    byte red,
    byte green,
    byte blue,
    byte alpha
)
Public Shared Function FromRgba (
    red As Byte,
    green As Byte,
    blue As Byte,
    alpha As Byte
) As RgbaColor
public:
static RgbaColor FromRgba(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    unsigned char alpha
)
static member FromRgba :
        red : byte *
        green : byte *
        blue : byte *
        alpha : byte -> RgbaColor

Parameters

red
Type: SystemByte
The red component.
green
Type: SystemByte
The green component.
blue
Type: SystemByte
The blue component.
alpha
Type: SystemByte
The alpha component.

Return Value

Type: RgbaColor
The RgbaColor.
See Also

Reference

RgbaColor Structure
FromRgba Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor.GetHashCode Method

RgbaColorGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.ToString Method

RgbaColorToString Method
Returns a String that represents this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor Type Conversions

RgbaColor Type Conversions
Operators
Name | Description
(Color to RgbaColor) | Allows the implicit conversion of an instance of Color to a RgbaColor.
(HslaColor to RgbaColor) | Allows the implicit conversion of an instance of HslaColor to a RgbaColor.
(RgbaColor to Color) | Allows the implicit conversion of an instance of RgbaColor to a Color.
(RgbaColor to YCbCrColor) | Allows the implicit conversion of an instance of RgbaColor to a YCbCrColor.
(YCbCrColor to RgbaColor) | Allows the implicit conversion of an instance of YCbCrColor to a RgbaColor.
Top
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor Implicit Conversion Operators

RgbaColor Conversion Operators
Overload List
Name | Description
(Color to RgbaColor) | Allows the implicit conversion of an instance of Color to a RgbaColor.
(HslaColor to RgbaColor) | Allows the implicit conversion of an instance of HslaColor to a RgbaColor.
(RgbaColor to Color) | Allows the implicit conversion of an instance of RgbaColor to a Color.
(RgbaColor to YCbCrColor) | Allows the implicit conversion of an instance of RgbaColor to a YCbCrColor.
(YCbCrColor to RgbaColor) | Allows the implicit conversion of an instance of YCbCrColor to a RgbaColor.
Top
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor Implicit Conversion (Color to RgbaColor)

RgbaColor Conversion (Color to RgbaColor)
Allows the implicit conversion of an instance of Color to a RgbaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator RgbaColor (
    Color color
)
Public Shared Widening Operator CType (
    color As Color
) As RgbaColor
static implicit operator RgbaColor (
    Color color
)
F# does not support the declaration of new casting operators.

Parameters

color
Type: System.DrawingColor
The instance of Color to convert.

Return Value

Type: RgbaColor
An instance of RgbaColor.
See Also

Reference

RgbaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor Implicit Conversion (HslaColor to RgbaColor)

RgbaColor Conversion (HslaColor to RgbaColor)
Allows the implicit conversion of an instance of HslaColor to a RgbaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator RgbaColor (
    HslaColor hslaColor
)
Public Shared Widening Operator CType (
    hslaColor As HslaColor
) As RgbaColor
static implicit operator RgbaColor (
    HslaColor hslaColor
)
F# does not support the declaration of new casting operators.

Parameters

hslaColor
Type: ImageProcessor.Imaging.ColorsHslaColor
The instance of HslaColor to convert.

Return Value

Type: RgbaColor
An instance of RgbaColor.
See Also

Reference

RgbaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor Implicit Conversion (RgbaColor to Color)

RgbaColor Conversion (RgbaColor to Color)
Allows the implicit conversion of an instance of RgbaColor to a Color.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Color (
    RgbaColor rgbaColor
)
Public Shared Widening Operator CType (
    rgbaColor As RgbaColor
) As Color
static implicit operator Color (
    RgbaColor rgbaColor
)
F# does not support the declaration of new casting operators.

Parameters

rgbaColor
Type: ImageProcessor.Imaging.ColorsRgbaColor
The instance of RgbaColor to convert.

Return Value

Type: Color
An instance of Color.
See Also

Reference

RgbaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor Implicit Conversion (RgbaColor to YCbCrColor)

RgbaColor Conversion (RgbaColor to YCbCrColor)
Allows the implicit conversion of an instance of RgbaColor to a YCbCrColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator YCbCrColor (
    RgbaColor rgbaColor
)
Public Shared Widening Operator CType (
    rgbaColor As RgbaColor
) As YCbCrColor
static implicit operator YCbCrColor (
    RgbaColor rgbaColor
)
F# does not support the declaration of new casting operators.

Parameters

rgbaColor
Type: ImageProcessor.Imaging.ColorsRgbaColor
The instance of RgbaColor to convert.

Return Value

Type: YCbCrColor
An instance of YCbCrColor.
See Also

Reference

RgbaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor Implicit Conversion (YCbCrColor to RgbaColor)

RgbaColor Conversion (YCbCrColor to RgbaColor)
Allows the implicit conversion of an instance of YCbCrColor to a RgbaColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator RgbaColor (
    YCbCrColor ycbcrColor
)
Public Shared Widening Operator CType (
    ycbcrColor As YCbCrColor
) As RgbaColor
static implicit operator RgbaColor (
    YCbCrColor ycbcrColor
)
F# does not support the declaration of new casting operators.

Parameters

ycbcrColor
Type: ImageProcessor.Imaging.ColorsYCbCrColor
The instance of YCbCrColor to convert.

Return Value

Type: RgbaColor
An instance of RgbaColor.
See Also

Reference

RgbaColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


RgbaColor Fields

RgbaColor Fields

The RgbaColor type exposes the following members.

Fields
Name | Description
Empty | Represents a RgbaColor that is null.
Top
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaColor.Empty Field

RgbaColorEmpty Field
Represents a RgbaColor that is null.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly RgbaColor Empty
Public Shared ReadOnly Empty As RgbaColor
public:
static initonly RgbaColor Empty
static val Empty: RgbaColor

Field Value

Type: RgbaColor
See Also

Reference

RgbaColor Structure
ImageProcessor.Imaging.Colors Namespace


RgbaComponent Enumeration

RgbaComponent Enumeration
Enumerates the RGBA (red, green, blue, alpha) color components.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum RgbaComponent
Public Enumeration RgbaComponent
public enum class RgbaComponent
type RgbaComponent
Members
Member name | Value | Description
B | 0 | The blue component.
G | 1 | The green component.
R | 2 | The red component.
A | 3 | The alpha component.
See Also

Reference

ImageProcessor.Imaging.Colors Namespace


YCbCrColor Structure

YCbCrColor Structure
Represents an YCbCr (luminance, chroma, chroma) color conforming to the ITU-R BT.601 standard used in digital imaging systems. http://en.wikipedia.org/wiki/YCbCr

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct YCbCrColor : IEquatable<YCbCrColor>
Public Structure YCbCrColor
    Implements IEquatable(Of YCbCrColor)
public value class YCbCrColor : IEquatable<YCbCrColor>
[<SealedAttribute>]
type YCbCrColor =
    struct
        interface IEquatable<YCbCrColor>
    end

The YCbCrColor type exposes the following members.

Properties
 | Name | Description
Public property | Cb | Gets the U chroma component. Remarks A value ranging between 0 and 255.
Public property | Cr | Gets the V chroma component. Remarks A value ranging between 0 and 255.
Public property | Y | Gets the Y luminance component. Remarks A value ranging between 0 and 255.
Top
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(YCbCrColor) | Indicates whether the current object is equal to another object of the same type.
 | FromColor | Creates a YCbCrColor structure from the specified Color structure
 | FromYCbCr | Creates a YCbCrColor structure from the three 32-bit YCbCr components (luminance, chroma, and chroma) values.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
Operators
Name | Description
(Color to YCbCrColor) | Allows the implicit conversion of an instance of Color to a YCbCrColor.
(HslaColor to YCbCrColor) | Allows the implicit conversion of an instance of HslaColor to a YCbCrColor.
(RgbaColor to YCbCrColor) | Allows the implicit conversion of an instance of RgbaColor to a YCbCrColor.
(YCbCrColor to Color) | Allows the implicit conversion of an instance of YCbCrColor to a Color.
Top
Fields
Name | Description
Empty | Represents a YCbCrColor that is null.
Top
See Also

Reference

ImageProcessor.Imaging.Colors Namespace


YCbCrColor Properties

YCbCrColor Properties

The YCbCrColor type exposes the following members.

Properties
 | Name | Description
Public property | Cb | Gets the U chroma component. Remarks A value ranging between 0 and 255.
Public property | Cr | Gets the V chroma component. Remarks A value ranging between 0 and 255.
Public property | Y | Gets the Y luminance component. Remarks A value ranging between 0 and 255.
Top
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.Cb Property

YCbCrColorCb Property
Gets the U chroma component.
Remarks
A value ranging between 0 and 255.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float Cb { get; }
Public ReadOnly Property Cb As Single
    Get
public:
property float Cb {
    float get ();
}
member Cb : float32 with get

Property Value

Type: Single
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.Cr Property

YCbCrColorCr Property
Gets the V chroma component.
Remarks
A value ranging between 0 and 255.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float Cr { get; }
Public ReadOnly Property Cr As Single
    Get
public:
property float Cr {
    float get ();
}
member Cr : float32 with get

Property Value

Type: Single
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.Y Property

YCbCrColorY Property
Gets the Y luminance component.
Remarks
A value ranging between 0 and 255.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float Y { get; }
Public ReadOnly Property Y As Single
    Get
public:
property float Y {
    float get ();
}
member Y : float32 with get

Property Value

Type: Single
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor Methods

YCbCrColor Methods

The YCbCrColor type exposes the following members.

Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(YCbCrColor) | Indicates whether the current object is equal to another object of the same type.
 | FromColor | Creates a YCbCrColor structure from the specified Color structure
 | FromYCbCr | Creates a YCbCrColor structure from the three 32-bit YCbCr components (luminance, chroma, and chroma) values.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a String that represents this instance. (Overrides ValueTypeToString.)
Top
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.Equals Method

YCbCrColorEquals Method
Overload List
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | Equals(YCbCrColor) | Indicates whether the current object is equal to another object of the same type.
Top
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.Equals Method (Object)

YCbCrColorEquals Method (Object)
Indicates whether this instance and a specified object are equal.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
Another object to compare to.

Return Value

Type: Boolean
true if obj and this instance are the same type and represent the same value; otherwise, false.
See Also

Reference

YCbCrColor Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.Equals Method (YCbCrColor)

YCbCrColorEquals Method (YCbCrColor)
Indicates whether the current object is equal to another object of the same type.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    YCbCrColor other
)
Public Function Equals (
    other As YCbCrColor
) As Boolean
public:
virtual bool Equals(
    YCbCrColor other
) sealed
abstract Equals :
        other : YCbCrColor -> bool
override Equals :
        other : YCbCrColor -> bool

Parameters

other
Type: ImageProcessor.Imaging.ColorsYCbCrColor
An object to compare with this object.

Return Value

Type: Boolean
true if the current object is equal to the other parameter; otherwise, false.

Implements

IEquatableTEquals(T)
See Also

Reference

YCbCrColor Structure
Equals Overload
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.FromColor Method

YCbCrColorFromColor Method
Creates a YCbCrColor structure from the specified Color structure

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static YCbCrColor FromColor(
    Color color
)
Public Shared Function FromColor (
    color As Color
) As YCbCrColor
public:
static YCbCrColor FromColor(
    Color color
)
static member FromColor :
        color : Color -> YCbCrColor

Parameters

color
Type: System.DrawingColor
The Color from which to create the new YCbCrColor.

Return Value

Type: YCbCrColor
The YCbCrColor.
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.FromYCbCr Method

YCbCrColorFromYCbCr Method
Creates a YCbCrColor structure from the three 32-bit YCbCr components (luminance, chroma, and chroma) values.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static YCbCrColor FromYCbCr(
    float y,
    float cb,
    float cr
)
Public Shared Function FromYCbCr (
    y As Single,
    cb As Single,
    cr As Single
) As YCbCrColor
public:
static YCbCrColor FromYCbCr(
    float y,
    float cb,
    float cr
)
static member FromYCbCr :
        y : float32 *
        cb : float32 *
        cr : float32 -> YCbCrColor

Parameters

y
Type: SystemSingle
The y luminance component.
cb
Type: SystemSingle
The u chroma component.
cr
Type: SystemSingle
The v chroma component.

Return Value

Type: YCbCrColor
The YCbCrColor.
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.GetHashCode Method

YCbCrColorGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.ToString Method

YCbCrColorToString Method
Returns a String that represents this instance.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor Type Conversions

YCbCrColor Type Conversions
Operators
Name | Description
(Color to YCbCrColor) | Allows the implicit conversion of an instance of Color to a YCbCrColor.
(HslaColor to YCbCrColor) | Allows the implicit conversion of an instance of HslaColor to a YCbCrColor.
(RgbaColor to YCbCrColor) | Allows the implicit conversion of an instance of RgbaColor to a YCbCrColor.
(YCbCrColor to Color) | Allows the implicit conversion of an instance of YCbCrColor to a Color.
Top
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor Implicit Conversion Operators

YCbCrColor Conversion Operators
Overload List
Name | Description
(Color to YCbCrColor) | Allows the implicit conversion of an instance of Color to a YCbCrColor.
(HslaColor to YCbCrColor) | Allows the implicit conversion of an instance of HslaColor to a YCbCrColor.
(RgbaColor to YCbCrColor) | Allows the implicit conversion of an instance of RgbaColor to a YCbCrColor.
(YCbCrColor to Color) | Allows the implicit conversion of an instance of YCbCrColor to a Color.
Top
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor Implicit Conversion (Color to YCbCrColor)

YCbCrColor Conversion (Color to YCbCrColor)
Allows the implicit conversion of an instance of Color to a YCbCrColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator YCbCrColor (
    Color color
)
Public Shared Widening Operator CType (
    color As Color
) As YCbCrColor
static implicit operator YCbCrColor (
    Color color
)
F# does not support the declaration of new casting operators.

Parameters

color
Type: System.DrawingColor
The instance of Color to convert.

Return Value

Type: YCbCrColor
An instance of YCbCrColor.
See Also

Reference

YCbCrColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


YCbCrColor Implicit Conversion (HslaColor to YCbCrColor)

YCbCrColor Conversion (HslaColor to YCbCrColor)
Allows the implicit conversion of an instance of HslaColor to a YCbCrColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator YCbCrColor (
    HslaColor hslaColor
)
Public Shared Widening Operator CType (
    hslaColor As HslaColor
) As YCbCrColor
static implicit operator YCbCrColor (
    HslaColor hslaColor
)
F# does not support the declaration of new casting operators.

Parameters

hslaColor
Type: ImageProcessor.Imaging.ColorsHslaColor
The instance of HslaColor to convert.

Return Value

Type: YCbCrColor
An instance of YCbCrColor.
See Also

Reference

YCbCrColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


YCbCrColor Implicit Conversion (RgbaColor to YCbCrColor)

YCbCrColor Conversion (RgbaColor to YCbCrColor)
Allows the implicit conversion of an instance of RgbaColor to a YCbCrColor.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator YCbCrColor (
    RgbaColor rgbaColor
)
Public Shared Widening Operator CType (
    rgbaColor As RgbaColor
) As YCbCrColor
static implicit operator YCbCrColor (
    RgbaColor rgbaColor
)
F# does not support the declaration of new casting operators.

Parameters

rgbaColor
Type: ImageProcessor.Imaging.ColorsRgbaColor
The instance of RgbaColor to convert.

Return Value

Type: YCbCrColor
An instance of YCbCrColor.
See Also

Reference

YCbCrColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


YCbCrColor Implicit Conversion (YCbCrColor to Color)

YCbCrColor Conversion (YCbCrColor to Color)
Allows the implicit conversion of an instance of YCbCrColor to a Color.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static implicit operator Color (
    YCbCrColor ycbcrColor
)
Public Shared Widening Operator CType (
    ycbcrColor As YCbCrColor
) As Color
static implicit operator Color (
    YCbCrColor ycbcrColor
)
F# does not support the declaration of new casting operators.

Parameters

ycbcrColor
Type: ImageProcessor.Imaging.ColorsYCbCrColor
The instance of YCbCrColor to convert.

Return Value

Type: Color
An instance of Color.
See Also

Reference

YCbCrColor Structure
Overload
ImageProcessor.Imaging.Colors Namespace


YCbCrColor Fields

YCbCrColor Fields

The YCbCrColor type exposes the following members.

Fields
Name | Description
Empty | Represents a YCbCrColor that is null.
Top
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


YCbCrColor.Empty Field

YCbCrColorEmpty Field
Represents a YCbCrColor that is null.

Namespace: ImageProcessor.Imaging.Colors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly YCbCrColor Empty
Public Shared ReadOnly Empty As YCbCrColor
public:
static initonly YCbCrColor Empty
static val Empty: YCbCrColor

Field Value

Type: YCbCrColor
See Also

Reference

YCbCrColor Structure
ImageProcessor.Imaging.Colors Namespace


ImageProcessor.Imaging.Filters.Artistic Namespace

ImageProcessor.Imaging.Filters.Artistic Namespace
Classes
 | Class | Description
Public class | HalftoneFilter | The halftone filter applies a classical CMYK filter to the given image.
Public class | OilPaintingFilter | The oil painting filter.


HalftoneFilter Class

HalftoneFilter Class
The halftone filter applies a classical CMYK filter to the given image.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.ArtisticHalftoneFilter

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class HalftoneFilter
Public Class HalftoneFilter
public ref class HalftoneFilter
type HalftoneFilter =  class end

The HalftoneFilter type exposes the following members.

Constructors
 | Name | Description
Public method | HalftoneFilter | Initializes a new instance of the HalftoneFilter class.
Public method | HalftoneFilter(Int32) | Initializes a new instance of the HalftoneFilter class.
Top
Properties
 | Name | Description
Public property | CyanAngle | Gets or sets the angle of the cyan component in degrees.
Public property | Distance | Gets or sets the distance between component points.
Public property | KeylineAngle | Gets or sets the angle of the keyline black component in degrees.
Public property | MagentaAngle | Gets or sets the angle of the magenta component in degrees.
Public property | YellowAngle | Gets or sets the angle of the yellow component in degrees.
Top
Methods
 | Name | Description
Public method | ApplyFilter | Applies the halftone filter.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter Constructor

HalftoneFilter Constructor
Overload List
 | Name | Description
Public method | HalftoneFilter | Initializes a new instance of the HalftoneFilter class.
Public method | HalftoneFilter(Int32) | Initializes a new instance of the HalftoneFilter class.
Top
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter Constructor

HalftoneFilter Constructor
Initializes a new instance of the HalftoneFilter class.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public HalftoneFilter()
Public Sub New
public:
HalftoneFilter()
new : unit -> HalftoneFilter
See Also

Reference

HalftoneFilter Class
HalftoneFilter Overload
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter Constructor (Int32)

HalftoneFilter Constructor (Int32)
Initializes a new instance of the HalftoneFilter class.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public HalftoneFilter(
    int distance
)
Public Sub New (
    distance As Integer
)
public:
HalftoneFilter(
    int distance
)
new :
        distance : int -> HalftoneFilter

Parameters

distance
Type: SystemInt32
The distance.
See Also

Reference

HalftoneFilter Class
HalftoneFilter Overload
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter Properties

HalftoneFilter Properties

The HalftoneFilter type exposes the following members.

Properties
 | Name | Description
Public property | CyanAngle | Gets or sets the angle of the cyan component in degrees.
Public property | Distance | Gets or sets the distance between component points.
Public property | KeylineAngle | Gets or sets the angle of the keyline black component in degrees.
Public property | MagentaAngle | Gets or sets the angle of the magenta component in degrees.
Public property | YellowAngle | Gets or sets the angle of the yellow component in degrees.
Top
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter.CyanAngle Property

HalftoneFilterCyanAngle Property
Gets or sets the angle of the cyan component in degrees.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float CyanAngle { get; set; }
Public Property CyanAngle As Single
    Get
    Set
public:
property float CyanAngle {
    float get ();
    void set (float value);
}
member CyanAngle : float32 with get, set

Property Value

Type: Single
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter.Distance Property

HalftoneFilterDistance Property
Gets or sets the distance between component points.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Distance { get; set; }
Public Property Distance As Integer
    Get
    Set
public:
property int Distance {
    int get ();
    void set (int value);
}
member Distance : int with get, set

Property Value

Type: Int32
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter.KeylineAngle Property

HalftoneFilterKeylineAngle Property
Gets or sets the angle of the keyline black component in degrees.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float KeylineAngle { get; set; }
Public Property KeylineAngle As Single
    Get
    Set
public:
property float KeylineAngle {
    float get ();
    void set (float value);
}
member KeylineAngle : float32 with get, set

Property Value

Type: Single
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter.MagentaAngle Property

HalftoneFilterMagentaAngle Property
Gets or sets the angle of the magenta component in degrees.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float MagentaAngle { get; set; }
Public Property MagentaAngle As Single
    Get
    Set
public:
property float MagentaAngle {
    float get ();
    void set (float value);
}
member MagentaAngle : float32 with get, set

Property Value

Type: Single
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter.YellowAngle Property

HalftoneFilterYellowAngle Property
Gets or sets the angle of the yellow component in degrees.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float YellowAngle { get; set; }
Public Property YellowAngle As Single
    Get
    Set
public:
property float YellowAngle {
    float get ();
    void set (float value);
}
member YellowAngle : float32 with get, set

Property Value

Type: Single
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter Methods

HalftoneFilter Methods

The HalftoneFilter type exposes the following members.

Methods
 | Name | Description
Public method | ApplyFilter | Applies the halftone filter.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


HalftoneFilter.ApplyFilter Method

HalftoneFilterApplyFilter Method
Applies the halftone filter.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap ApplyFilter(
    Bitmap source
)
Public Function ApplyFilter (
    source As Bitmap
) As Bitmap
public:
Bitmap^ ApplyFilter(
    Bitmap^ source
)
member ApplyFilter :
        source : Bitmap -> Bitmap

Parameters

source
Type: System.DrawingBitmap
The Bitmap to apply the filter to.

Return Value

Type: Bitmap
The Bitmap with the filter applied.
See Also

Reference

HalftoneFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


OilPaintingFilter Class

OilPaintingFilter Class
The oil painting filter.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.ArtisticOilPaintingFilter

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class OilPaintingFilter
Public Class OilPaintingFilter
public ref class OilPaintingFilter
type OilPaintingFilter =  class end

The OilPaintingFilter type exposes the following members.

Constructors
 | Name | Description
Public method | OilPaintingFilter | Initializes a new instance of the OilPaintingFilter class.
Top
Properties
 | Name | Description
Public property | BrushSize | Gets or sets the brush size.
Public property | Levels | Gets or sets the number of levels.
Top
Methods
 | Name | Description
Public method | ApplyFilter | Applies the oil painting filter.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.Artistic Namespace


OilPaintingFilter Constructor

OilPaintingFilter Constructor
Initializes a new instance of the OilPaintingFilter class.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public OilPaintingFilter(
    int levels,
    int brushSize
)
Public Sub New (
    levels As Integer,
    brushSize As Integer
)
public:
OilPaintingFilter(
    int levels,
    int brushSize
)
new :
        levels : int *
        brushSize : int -> OilPaintingFilter

Parameters

levels
Type: SystemInt32
The number of levels.
brushSize
Type: SystemInt32
The brush size.
See Also

Reference

OilPaintingFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


OilPaintingFilter Properties

OilPaintingFilter Properties

The OilPaintingFilter type exposes the following members.

Properties
 | Name | Description
Public property | BrushSize | Gets or sets the brush size.
Public property | Levels | Gets or sets the number of levels.
Top
See Also

Reference

OilPaintingFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


OilPaintingFilter.BrushSize Property

OilPaintingFilterBrushSize Property
Gets or sets the brush size.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int BrushSize { get; set; }
Public Property BrushSize As Integer
    Get
    Set
public:
property int BrushSize {
    int get ();
    void set (int value);
}
member BrushSize : int with get, set

Property Value

Type: Int32
See Also

Reference

OilPaintingFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


OilPaintingFilter.Levels Property

OilPaintingFilterLevels Property
Gets or sets the number of levels.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Levels { get; set; }
Public Property Levels As Integer
    Get
    Set
public:
property int Levels {
    int get ();
    void set (int value);
}
member Levels : int with get, set

Property Value

Type: Int32
See Also

Reference

OilPaintingFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


OilPaintingFilter Methods

OilPaintingFilter Methods

The OilPaintingFilter type exposes the following members.

Methods
 | Name | Description
Public method | ApplyFilter | Applies the oil painting filter.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

OilPaintingFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


OilPaintingFilter.ApplyFilter Method

OilPaintingFilterApplyFilter Method
Applies the oil painting filter.

Namespace: ImageProcessor.Imaging.Filters.Artistic
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap ApplyFilter(
    Bitmap source
)
Public Function ApplyFilter (
    source As Bitmap
) As Bitmap
public:
Bitmap^ ApplyFilter(
    Bitmap^ source
)
member ApplyFilter :
        source : Bitmap -> Bitmap

Parameters

source
Type: System.DrawingBitmap
The source.

Return Value

Type: Bitmap
The Bitmap.
See Also

Reference

OilPaintingFilter Class
ImageProcessor.Imaging.Filters.Artistic Namespace


ImageProcessor.Imaging.Filters.Binarization Namespace

ImageProcessor.Imaging.Filters.Binarization Namespace
Classes
 | Class | Description
Public class | BinaryThreshold | Performs binary threshold filtering against a given greyscale image.


BinaryThreshold Class

BinaryThreshold Class
Performs binary threshold filtering against a given greyscale image.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.BinarizationBinaryThreshold

Namespace: ImageProcessor.Imaging.Filters.Binarization
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class BinaryThreshold
Public Class BinaryThreshold
public ref class BinaryThreshold
type BinaryThreshold =  class end

The BinaryThreshold type exposes the following members.

Constructors
 | Name | Description
Public method | BinaryThreshold | Initializes a new instance of the BinaryThreshold class.
Top
Properties
 | Name | Description
Public property | Threshold | Gets or sets the threshold.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessFilter | Processes the given bitmap to apply the threshold.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.Binarization Namespace


BinaryThreshold Constructor

BinaryThreshold Constructor
Initializes a new instance of the BinaryThreshold class.

Namespace: ImageProcessor.Imaging.Filters.Binarization
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public BinaryThreshold(
    byte threshold = 10
)
Public Sub New (
    Optional threshold As Byte = 10
)
public:
BinaryThreshold(
    unsigned char threshold = 10
)
new :
        ?threshold : byte
(* Defaults:
        let _threshold = defaultArg threshold 10
*)
-> BinaryThreshold

Parameters

threshold (Optional)
Type: SystemByte
The threshold.
See Also

Reference

BinaryThreshold Class
ImageProcessor.Imaging.Filters.Binarization Namespace


BinaryThreshold Properties

BinaryThreshold Properties

The BinaryThreshold type exposes the following members.

Properties
 | Name | Description
Public property | Threshold | Gets or sets the threshold.
Top
See Also

Reference

BinaryThreshold Class
ImageProcessor.Imaging.Filters.Binarization Namespace


BinaryThreshold.Threshold Property

BinaryThresholdThreshold Property
Gets or sets the threshold.

Namespace: ImageProcessor.Imaging.Filters.Binarization
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte Threshold { get; set; }
Public Property Threshold As Byte
    Get
    Set
public:
property unsigned char Threshold {
    unsigned char get ();
    void set (unsigned char value);
}
member Threshold : byte with get, set

Property Value

Type: Byte
See Also

Reference

BinaryThreshold Class
ImageProcessor.Imaging.Filters.Binarization Namespace


BinaryThreshold Methods

BinaryThreshold Methods

The BinaryThreshold type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessFilter | Processes the given bitmap to apply the threshold.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

BinaryThreshold Class
ImageProcessor.Imaging.Filters.Binarization Namespace


BinaryThreshold.ProcessFilter Method

BinaryThresholdProcessFilter Method
Processes the given bitmap to apply the threshold.

Namespace: ImageProcessor.Imaging.Filters.Binarization
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap ProcessFilter(
    Bitmap source
)
Public Function ProcessFilter (
    source As Bitmap
) As Bitmap
public:
Bitmap^ ProcessFilter(
    Bitmap^ source
)
member ProcessFilter :
        source : Bitmap -> Bitmap

Parameters

source
Type: System.DrawingBitmap
The image to process.

Return Value

Type: Bitmap
A processed bitmap.
See Also

Reference

BinaryThreshold Class
ImageProcessor.Imaging.Filters.Binarization Namespace


ImageProcessor.Imaging.Filters.EdgeDetection Namespace

ImageProcessor.Imaging.Filters.EdgeDetection Namespace
Classes
 | Class | Description
Public class | ConvolutionFilter | The convolution filter for applying gradient operators to detect edges within an image.
Public class | KayyaliEdgeFilter | The Kayyali operator filter. http://edgedetection.webs.com/
Public class | KirschEdgeFilter | The Kirsch operator filter. http://en.wikipedia.org/wiki/Kirsch_operator
Public class | Laplacian3X3EdgeFilter | The Laplacian 3 x 3 operator filter. http://en.wikipedia.org/wiki/Discrete_Laplace_operator
Public class | Laplacian5X5EdgeFilter | The Laplacian 5 x 5 operator filter. http://en.wikipedia.org/wiki/Discrete_Laplace_operator
Public class | LaplacianOfGaussianEdgeFilter | The Laplacian of Gaussian operator filter. http://fourier.eng.hmc.edu/e161/lectures/gradient/node9.html
Public class | PrewittEdgeFilter | The Prewitt operator filter. http://en.wikipedia.org/wiki/Prewitt_operator
Public class | RobertsCrossEdgeFilter | The Roberts Cross operator filter. http://en.wikipedia.org/wiki/Roberts_cross
Public class | ScharrEdgeFilter | The Scharr operator filter. http://en.wikipedia.org/wiki/Sobel_operator#Alternative_operators
Public class | SobelEdgeFilter | The Sobel operator filter. http://en.wikipedia.org/wiki/Sobel_operator
Interfaces
 | Interface | Description
Public interface | I2DEdgeFilter | Describes properties for creating 2 dimension edge detection filters.
Public interface | IEdgeFilter | Describes properties for creating edge detection filters.


ConvolutionFilter Class

ConvolutionFilter Class
The convolution filter for applying gradient operators to detect edges within an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionConvolutionFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ConvolutionFilter
Public Class ConvolutionFilter
public ref class ConvolutionFilter
type ConvolutionFilter =  class end

The ConvolutionFilter type exposes the following members.

Constructors
 | Name | Description
Public method | ConvolutionFilter | Initializes a new instance of the ConvolutionFilter class.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Process2DFilter | Processes the given bitmap to apply the current instance of I2DEdgeFilter.
Public method | ProcessFilter | Processes the given bitmap to apply the current instance of IEdgeFilter.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ConvolutionFilter Constructor

ConvolutionFilter Constructor
Initializes a new instance of the ConvolutionFilter class.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ConvolutionFilter(
    IEdgeFilter edgeFilter,
    bool greyscale
)
Public Sub New (
    edgeFilter As IEdgeFilter,
    greyscale As Boolean
)
public:
ConvolutionFilter(
    IEdgeFilter^ edgeFilter,
    bool greyscale
)
new :
        edgeFilter : IEdgeFilter *
        greyscale : bool -> ConvolutionFilter

Parameters

edgeFilter
Type: ImageProcessor.Imaging.Filters.EdgeDetectionIEdgeFilter
The IEdgeFilter to apply.
greyscale
Type: SystemBoolean
Whether to produce a greyscale output.
See Also

Reference

ConvolutionFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ConvolutionFilter Methods

ConvolutionFilter Methods

The ConvolutionFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Process2DFilter | Processes the given bitmap to apply the current instance of I2DEdgeFilter.
Public method | ProcessFilter | Processes the given bitmap to apply the current instance of IEdgeFilter.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ConvolutionFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ConvolutionFilter.Process2DFilter Method

ConvolutionFilterProcess2DFilter Method
Processes the given bitmap to apply the current instance of I2DEdgeFilter.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap Process2DFilter(
    Image source
)
Public Function Process2DFilter (
    source As Image
) As Bitmap
public:
Bitmap^ Process2DFilter(
    Image^ source
)
member Process2DFilter :
        source : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The image to process.

Return Value

Type: Bitmap
A processed bitmap.
See Also

Reference

ConvolutionFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ConvolutionFilter.ProcessFilter Method

ConvolutionFilterProcessFilter Method
Processes the given bitmap to apply the current instance of IEdgeFilter.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap ProcessFilter(
    Image source
)
Public Function ProcessFilter (
    source As Image
) As Bitmap
public:
Bitmap^ ProcessFilter(
    Image^ source
)
member ProcessFilter :
        source : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The image to process.

Return Value

Type: Bitmap
A processed bitmap.
See Also

Reference

ConvolutionFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


I2DEdgeFilter Interface

I2DEdgeFilter Interface
Describes properties for creating 2 dimension edge detection filters.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface I2DEdgeFilter : IEdgeFilter
Public Interface I2DEdgeFilter
    Inherits IEdgeFilter
public interface class I2DEdgeFilter : IEdgeFilter
type I2DEdgeFilter =
    interface
        interface IEdgeFilter
    end

The I2DEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator. (Inherited from IEdgeFilter.)
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


I2DEdgeFilter Properties

I2DEdgeFilter Properties

The I2DEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator. (Inherited from IEdgeFilter.)
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
See Also

Reference

I2DEdgeFilter Interface
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


I2DEdgeFilter.VerticalGradientOperator Property

I2DEdgeFilterVerticalGradientOperator Property
Gets the vertical gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
double[,] VerticalGradientOperator { get; }
ReadOnly Property VerticalGradientOperator As Double(,)
    Get
property array<double,2>^ VerticalGradientOperator {
    array<double,2>^ get ();
}
abstract VerticalGradientOperator : float[,] with get

Property Value

Type: Double
See Also

Reference

I2DEdgeFilter Interface
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


IEdgeFilter Interface

IEdgeFilter Interface
Describes properties for creating edge detection filters.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IEdgeFilter
Public Interface IEdgeFilter
public interface class IEdgeFilter
type IEdgeFilter =  interface end

The IEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


IEdgeFilter Properties

IEdgeFilter Properties

The IEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Top
See Also

Reference

IEdgeFilter Interface
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


IEdgeFilter.HorizontalGradientOperator Property

IEdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
double[,] HorizontalGradientOperator { get; }
ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get ();
}
abstract HorizontalGradientOperator : float[,] with get

Property Value

Type: Double
See Also

Reference

IEdgeFilter Interface
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KayyaliEdgeFilter Class

KayyaliEdgeFilter Class
The Kayyali operator filter. http://edgedetection.webs.com/
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionKayyaliEdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class KayyaliEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
Public Class KayyaliEdgeFilter
    Implements I2DEdgeFilter, IEdgeFilter
public ref class KayyaliEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
type KayyaliEdgeFilter =
    class
        interface I2DEdgeFilter
        interface IEdgeFilter
    end

The KayyaliEdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | KayyaliEdgeFilter | Initializes a new instance of the KayyaliEdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KayyaliEdgeFilter Constructor

KayyaliEdgeFilter Constructor
Initializes a new instance of the KayyaliEdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public KayyaliEdgeFilter()
Public Sub New
public:
KayyaliEdgeFilter()
new : unit -> KayyaliEdgeFilter
See Also

Reference

KayyaliEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KayyaliEdgeFilter Properties

KayyaliEdgeFilter Properties

The KayyaliEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
See Also

Reference

KayyaliEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KayyaliEdgeFilter.HorizontalGradientOperator Property

KayyaliEdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

KayyaliEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KayyaliEdgeFilter.VerticalGradientOperator Property

KayyaliEdgeFilterVerticalGradientOperator Property
Gets the vertical gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] VerticalGradientOperator { get; }
Public ReadOnly Property VerticalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ VerticalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract VerticalGradientOperator : float[,] with get
override VerticalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

I2DEdgeFilterVerticalGradientOperator
See Also

Reference

KayyaliEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KayyaliEdgeFilter Methods

KayyaliEdgeFilter Methods

The KayyaliEdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

KayyaliEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KirschEdgeFilter Class

KirschEdgeFilter Class
The Kirsch operator filter. http://en.wikipedia.org/wiki/Kirsch_operator
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionKirschEdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class KirschEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
Public Class KirschEdgeFilter
    Implements I2DEdgeFilter, IEdgeFilter
public ref class KirschEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
type KirschEdgeFilter =
    class
        interface I2DEdgeFilter
        interface IEdgeFilter
    end

The KirschEdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | KirschEdgeFilter | Initializes a new instance of the KirschEdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KirschEdgeFilter Constructor

KirschEdgeFilter Constructor
Initializes a new instance of the KirschEdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public KirschEdgeFilter()
Public Sub New
public:
KirschEdgeFilter()
new : unit -> KirschEdgeFilter
See Also

Reference

KirschEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KirschEdgeFilter Properties

KirschEdgeFilter Properties

The KirschEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
See Also

Reference

KirschEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KirschEdgeFilter.HorizontalGradientOperator Property

KirschEdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

KirschEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KirschEdgeFilter.VerticalGradientOperator Property

KirschEdgeFilterVerticalGradientOperator Property
Gets the vertical gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] VerticalGradientOperator { get; }
Public ReadOnly Property VerticalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ VerticalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract VerticalGradientOperator : float[,] with get
override VerticalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

I2DEdgeFilterVerticalGradientOperator
See Also

Reference

KirschEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


KirschEdgeFilter Methods

KirschEdgeFilter Methods

The KirschEdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

KirschEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian3X3EdgeFilter Class

Laplacian3X3EdgeFilter Class
The Laplacian 3 x 3 operator filter. http://en.wikipedia.org/wiki/Discrete_Laplace_operator
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionLaplacian3X3EdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Laplacian3X3EdgeFilter : IEdgeFilter
Public Class Laplacian3X3EdgeFilter
    Implements IEdgeFilter
public ref class Laplacian3X3EdgeFilter : IEdgeFilter
type Laplacian3X3EdgeFilter =
    class
        interface IEdgeFilter
    end

The Laplacian3X3EdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | Laplacian3X3EdgeFilter | Initializes a new instance of the Laplacian3X3EdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian3X3EdgeFilter Constructor

Laplacian3X3EdgeFilter Constructor
Initializes a new instance of the Laplacian3X3EdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Laplacian3X3EdgeFilter()
Public Sub New
public:
Laplacian3X3EdgeFilter()
new : unit -> Laplacian3X3EdgeFilter
See Also

Reference

Laplacian3X3EdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian3X3EdgeFilter Properties

Laplacian3X3EdgeFilter Properties

The Laplacian3X3EdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Top
See Also

Reference

Laplacian3X3EdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian3X3EdgeFilter.HorizontalGradientOperator Property

Laplacian3X3EdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

Laplacian3X3EdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian3X3EdgeFilter Methods

Laplacian3X3EdgeFilter Methods

The Laplacian3X3EdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Laplacian3X3EdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian5X5EdgeFilter Class

Laplacian5X5EdgeFilter Class
The Laplacian 5 x 5 operator filter. http://en.wikipedia.org/wiki/Discrete_Laplace_operator
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionLaplacian5X5EdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Laplacian5X5EdgeFilter : IEdgeFilter
Public Class Laplacian5X5EdgeFilter
    Implements IEdgeFilter
public ref class Laplacian5X5EdgeFilter : IEdgeFilter
type Laplacian5X5EdgeFilter =
    class
        interface IEdgeFilter
    end

The Laplacian5X5EdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | Laplacian5X5EdgeFilter | Initializes a new instance of the Laplacian5X5EdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian5X5EdgeFilter Constructor

Laplacian5X5EdgeFilter Constructor
Initializes a new instance of the Laplacian5X5EdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Laplacian5X5EdgeFilter()
Public Sub New
public:
Laplacian5X5EdgeFilter()
new : unit -> Laplacian5X5EdgeFilter
See Also

Reference

Laplacian5X5EdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian5X5EdgeFilter Properties

Laplacian5X5EdgeFilter Properties

The Laplacian5X5EdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Top
See Also

Reference

Laplacian5X5EdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian5X5EdgeFilter.HorizontalGradientOperator Property

Laplacian5X5EdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

Laplacian5X5EdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


Laplacian5X5EdgeFilter Methods

Laplacian5X5EdgeFilter Methods

The Laplacian5X5EdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Laplacian5X5EdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


LaplacianOfGaussianEdgeFilter Class

LaplacianOfGaussianEdgeFilter Class
The Laplacian of Gaussian operator filter. http://fourier.eng.hmc.edu/e161/lectures/gradient/node9.html
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionLaplacianOfGaussianEdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class LaplacianOfGaussianEdgeFilter : IEdgeFilter
Public Class LaplacianOfGaussianEdgeFilter
    Implements IEdgeFilter
public ref class LaplacianOfGaussianEdgeFilter : IEdgeFilter
type LaplacianOfGaussianEdgeFilter =
    class
        interface IEdgeFilter
    end

The LaplacianOfGaussianEdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | LaplacianOfGaussianEdgeFilter | Initializes a new instance of the LaplacianOfGaussianEdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


LaplacianOfGaussianEdgeFilter Constructor

LaplacianOfGaussianEdgeFilter Constructor
Initializes a new instance of the LaplacianOfGaussianEdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public LaplacianOfGaussianEdgeFilter()
Public Sub New
public:
LaplacianOfGaussianEdgeFilter()
new : unit -> LaplacianOfGaussianEdgeFilter
See Also

Reference

LaplacianOfGaussianEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


LaplacianOfGaussianEdgeFilter Properties

LaplacianOfGaussianEdgeFilter Properties

The LaplacianOfGaussianEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Top
See Also

Reference

LaplacianOfGaussianEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


LaplacianOfGaussianEdgeFilter.HorizontalGradientOperator Property

LaplacianOfGaussianEdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

LaplacianOfGaussianEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


LaplacianOfGaussianEdgeFilter Methods

LaplacianOfGaussianEdgeFilter Methods

The LaplacianOfGaussianEdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LaplacianOfGaussianEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


PrewittEdgeFilter Class

PrewittEdgeFilter Class
The Prewitt operator filter. http://en.wikipedia.org/wiki/Prewitt_operator
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionPrewittEdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PrewittEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
Public Class PrewittEdgeFilter
    Implements I2DEdgeFilter, IEdgeFilter
public ref class PrewittEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
type PrewittEdgeFilter =
    class
        interface I2DEdgeFilter
        interface IEdgeFilter
    end

The PrewittEdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | PrewittEdgeFilter | Initializes a new instance of the PrewittEdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


PrewittEdgeFilter Constructor

PrewittEdgeFilter Constructor
Initializes a new instance of the PrewittEdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public PrewittEdgeFilter()
Public Sub New
public:
PrewittEdgeFilter()
new : unit -> PrewittEdgeFilter
See Also

Reference

PrewittEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


PrewittEdgeFilter Properties

PrewittEdgeFilter Properties

The PrewittEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
See Also

Reference

PrewittEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


PrewittEdgeFilter.HorizontalGradientOperator Property

PrewittEdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

PrewittEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


PrewittEdgeFilter.VerticalGradientOperator Property

PrewittEdgeFilterVerticalGradientOperator Property
Gets the vertical gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] VerticalGradientOperator { get; }
Public ReadOnly Property VerticalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ VerticalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract VerticalGradientOperator : float[,] with get
override VerticalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

I2DEdgeFilterVerticalGradientOperator
See Also

Reference

PrewittEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


PrewittEdgeFilter Methods

PrewittEdgeFilter Methods

The PrewittEdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

PrewittEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


RobertsCrossEdgeFilter Class

RobertsCrossEdgeFilter Class
The Roberts Cross operator filter. http://en.wikipedia.org/wiki/Roberts_cross
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionRobertsCrossEdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class RobertsCrossEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
Public Class RobertsCrossEdgeFilter
    Implements I2DEdgeFilter, IEdgeFilter
public ref class RobertsCrossEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
type RobertsCrossEdgeFilter =
    class
        interface I2DEdgeFilter
        interface IEdgeFilter
    end

The RobertsCrossEdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | RobertsCrossEdgeFilter | Initializes a new instance of the RobertsCrossEdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


RobertsCrossEdgeFilter Constructor

RobertsCrossEdgeFilter Constructor
Initializes a new instance of the RobertsCrossEdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public RobertsCrossEdgeFilter()
Public Sub New
public:
RobertsCrossEdgeFilter()
new : unit -> RobertsCrossEdgeFilter
See Also

Reference

RobertsCrossEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


RobertsCrossEdgeFilter Properties

RobertsCrossEdgeFilter Properties

The RobertsCrossEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
See Also

Reference

RobertsCrossEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


RobertsCrossEdgeFilter.HorizontalGradientOperator Property

RobertsCrossEdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

RobertsCrossEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


RobertsCrossEdgeFilter.VerticalGradientOperator Property

RobertsCrossEdgeFilterVerticalGradientOperator Property
Gets the vertical gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] VerticalGradientOperator { get; }
Public ReadOnly Property VerticalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ VerticalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract VerticalGradientOperator : float[,] with get
override VerticalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

I2DEdgeFilterVerticalGradientOperator
See Also

Reference

RobertsCrossEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


RobertsCrossEdgeFilter Methods

RobertsCrossEdgeFilter Methods

The RobertsCrossEdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

RobertsCrossEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ScharrEdgeFilter Class

ScharrEdgeFilter Class
The Scharr operator filter. http://en.wikipedia.org/wiki/Sobel_operator#Alternative_operators
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionScharrEdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ScharrEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
Public Class ScharrEdgeFilter
    Implements I2DEdgeFilter, IEdgeFilter
public ref class ScharrEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
type ScharrEdgeFilter =
    class
        interface I2DEdgeFilter
        interface IEdgeFilter
    end

The ScharrEdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | ScharrEdgeFilter | Initializes a new instance of the ScharrEdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ScharrEdgeFilter Constructor

ScharrEdgeFilter Constructor
Initializes a new instance of the ScharrEdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ScharrEdgeFilter()
Public Sub New
public:
ScharrEdgeFilter()
new : unit -> ScharrEdgeFilter
See Also

Reference

ScharrEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ScharrEdgeFilter Properties

ScharrEdgeFilter Properties

The ScharrEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
See Also

Reference

ScharrEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ScharrEdgeFilter.HorizontalGradientOperator Property

ScharrEdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

ScharrEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ScharrEdgeFilter.VerticalGradientOperator Property

ScharrEdgeFilterVerticalGradientOperator Property
Gets the vertical gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] VerticalGradientOperator { get; }
Public ReadOnly Property VerticalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ VerticalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract VerticalGradientOperator : float[,] with get
override VerticalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

I2DEdgeFilterVerticalGradientOperator
See Also

Reference

ScharrEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ScharrEdgeFilter Methods

ScharrEdgeFilter Methods

The ScharrEdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ScharrEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


SobelEdgeFilter Class

SobelEdgeFilter Class
The Sobel operator filter. http://en.wikipedia.org/wiki/Sobel_operator
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.EdgeDetectionSobelEdgeFilter

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class SobelEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
Public Class SobelEdgeFilter
    Implements I2DEdgeFilter, IEdgeFilter
public ref class SobelEdgeFilter : I2DEdgeFilter,
    IEdgeFilter
type SobelEdgeFilter =
    class
        interface I2DEdgeFilter
        interface IEdgeFilter
    end

The SobelEdgeFilter type exposes the following members.

Constructors
 | Name | Description
Public method | SobelEdgeFilter | Initializes a new instance of the SobelEdgeFilter class
Top
Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Filters.EdgeDetection Namespace


SobelEdgeFilter Constructor

SobelEdgeFilter Constructor
Initializes a new instance of the SobelEdgeFilter class

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public SobelEdgeFilter()
Public Sub New
public:
SobelEdgeFilter()
new : unit -> SobelEdgeFilter
See Also

Reference

SobelEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


SobelEdgeFilter Properties

SobelEdgeFilter Properties

The SobelEdgeFilter type exposes the following members.

Properties
 | Name | Description
Public property | HorizontalGradientOperator | Gets the horizontal gradient operator.
Public property | VerticalGradientOperator | Gets the vertical gradient operator.
Top
See Also

Reference

SobelEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


SobelEdgeFilter.HorizontalGradientOperator Property

SobelEdgeFilterHorizontalGradientOperator Property
Gets the horizontal gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] HorizontalGradientOperator { get; }
Public ReadOnly Property HorizontalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ HorizontalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract HorizontalGradientOperator : float[,] with get
override HorizontalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

IEdgeFilterHorizontalGradientOperator
See Also

Reference

SobelEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


SobelEdgeFilter.VerticalGradientOperator Property

SobelEdgeFilterVerticalGradientOperator Property
Gets the vertical gradient operator.

Namespace: ImageProcessor.Imaging.Filters.EdgeDetection
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double[,] VerticalGradientOperator { get; }
Public ReadOnly Property VerticalGradientOperator As Double(,)
    Get
public:
virtual property array<double,2>^ VerticalGradientOperator {
    array<double,2>^ get () sealed;
}
abstract VerticalGradientOperator : float[,] with get
override VerticalGradientOperator : float[,] with get

Property Value

Type: Double

Implements

I2DEdgeFilterVerticalGradientOperator
See Also

Reference

SobelEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


SobelEdgeFilter Methods

SobelEdgeFilter Methods

The SobelEdgeFilter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

SobelEdgeFilter Class
ImageProcessor.Imaging.Filters.EdgeDetection Namespace


ImageProcessor.Imaging.Filters.Photo Namespace

ImageProcessor.Imaging.Filters.Photo Namespace
Classes
 | Class | Description
Public class | MatrixFilterBase | The matrix filter base contains equality methods.
Public class | MatrixFilters | The filters available to the Filter IGraphicsProcessor.
Interfaces
 | Interface | Description
Public interface | IMatrixFilter | Defines properties and methods for ColorMatrix based filters.


IMatrixFilter Interface

IMatrixFilter Interface
Defines properties and methods for ColorMatrix based filters.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IMatrixFilter
Public Interface IMatrixFilter
public interface class IMatrixFilter
type IMatrixFilter =  interface end

The IMatrixFilter type exposes the following members.

Properties
 | Name | Description
Public property | Matrix | Gets the ColorMatrix for this filter instance.
Top
Methods
 | Name | Description
Public method | TransformImage | Processes the image.
Top
See Also

Reference

ImageProcessor.Imaging.Filters.Photo Namespace


IMatrixFilter Properties

IMatrixFilter Properties

The IMatrixFilter type exposes the following members.

Properties
 | Name | Description
Public property | Matrix | Gets the ColorMatrix for this filter instance.
Top
See Also

Reference

IMatrixFilter Interface
ImageProcessor.Imaging.Filters.Photo Namespace


IMatrixFilter.Matrix Property

IMatrixFilterMatrix Property
Gets the ColorMatrix for this filter instance.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
ColorMatrix Matrix { get; }
ReadOnly Property Matrix As ColorMatrix
    Get
property ColorMatrix^ Matrix {
    ColorMatrix^ get ();
}
abstract Matrix : ColorMatrix with get

Property Value

Type: ColorMatrix
See Also

Reference

IMatrixFilter Interface
ImageProcessor.Imaging.Filters.Photo Namespace


IMatrixFilter Methods

IMatrixFilter Methods

The IMatrixFilter type exposes the following members.

Methods
 | Name | Description
Public method | TransformImage | Processes the image.
Top
See Also

Reference

IMatrixFilter Interface
ImageProcessor.Imaging.Filters.Photo Namespace


IMatrixFilter.TransformImage Method

IMatrixFilterTransformImage Method
Processes the image.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Bitmap TransformImage(
    Image source,
    Image destination
)
Function TransformImage (
    source As Image,
    destination As Image
) As Bitmap
Bitmap^ TransformImage(
    Image^ source,
    Image^ destination
)
abstract TransformImage :
        source : Image *
        destination : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The current image to process
destination
Type: System.DrawingImage
The new Image to return

Return Value

Type: Bitmap
The processed Bitmap.
See Also

Reference

IMatrixFilter Interface
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilterBase Class

MatrixFilterBase Class
The matrix filter base contains equality methods.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.PhotoMatrixFilterBase

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract class MatrixFilterBase : IMatrixFilter
Public MustInherit Class MatrixFilterBase
    Implements IMatrixFilter
public ref class MatrixFilterBase abstract : IMatrixFilter
[<AbstractClassAttribute>]
type MatrixFilterBase =
    class
        interface IMatrixFilter
    end

The MatrixFilterBase type exposes the following members.

Constructors
 | Name | Description
Protected method | MatrixFilterBase | Initializes a new instance of the MatrixFilterBase class
Top
Properties
 | Name | Description
Public property | Matrix | Gets the ColorMatrix for this filter instance.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified IMatrixFilter, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TransformImage | Processes the image.
Top
See Also

Reference

ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilterBase Constructor

MatrixFilterBase Constructor
Initializes a new instance of the MatrixFilterBase class

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected MatrixFilterBase()
Protected Sub New
protected:
MatrixFilterBase()
new : unit -> MatrixFilterBase
See Also

Reference

MatrixFilterBase Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilterBase Properties

MatrixFilterBase Properties

The MatrixFilterBase type exposes the following members.

Properties
 | Name | Description
Public property | Matrix | Gets the ColorMatrix for this filter instance.
Top
See Also

Reference

MatrixFilterBase Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilterBase.Matrix Property

MatrixFilterBaseMatrix Property
Gets the ColorMatrix for this filter instance.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract ColorMatrix Matrix { get; }
Public MustOverride ReadOnly Property Matrix As ColorMatrix
    Get
public:
virtual property ColorMatrix^ Matrix {
    ColorMatrix^ get () abstract;
}
abstract Matrix : ColorMatrix with get

Property Value

Type: ColorMatrix

Implements

IMatrixFilterMatrix
See Also

Reference

MatrixFilterBase Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilterBase Methods

MatrixFilterBase Methods

The MatrixFilterBase type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified IMatrixFilter, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TransformImage | Processes the image.
Top
See Also

Reference

MatrixFilterBase Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilterBase.Equals Method

MatrixFilterBaseEquals Method
Determines whether the specified IMatrixFilter, is equal to this instance.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The IMatrixFilter to compare with this instance.

Return Value

Type: Boolean
true if the specified IMatrixFilter is equal to this instance; otherwise, false.
See Also

Reference

MatrixFilterBase Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilterBase.GetHashCode Method

MatrixFilterBaseGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

MatrixFilterBase Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilterBase.TransformImage Method

MatrixFilterBaseTransformImage Method
Processes the image.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract Bitmap TransformImage(
    Image image,
    Image newImage
)
Public MustOverride Function TransformImage (
    image As Image,
    newImage As Image
) As Bitmap
public:
virtual Bitmap^ TransformImage(
    Image^ image,
    Image^ newImage
) abstract
abstract TransformImage :
        image : Image *
        newImage : Image -> Bitmap

Parameters

image
Type: System.DrawingImage
The current image to process
newImage
Type: System.DrawingImage
The new Image to return

Return Value

Type: Bitmap
The processed Bitmap.

Implements

IMatrixFilterTransformImage(Image, Image)
See Also

Reference

MatrixFilterBase Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters Class

MatrixFilters Class
The filters available to the Filter IGraphicsProcessor.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Filters.PhotoMatrixFilters

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class MatrixFilters
Public NotInheritable Class MatrixFilters
public ref class MatrixFilters abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type MatrixFilters =  class end

The MatrixFilters type exposes the following members.

Properties
Name | Description
BlackWhite | Gets the IMatrixFilter for generating the black and white filter.
Comic | Gets the IMatrixFilter for generating the comic filter.
Gotham | Gets the IMatrixFilter for generating the gotham filter.
GreyScale | Gets the IMatrixFilter for generating the greyscale filter.
HiSatch | Gets the IMatrixFilter for generating the high saturation filter.
Invert | Gets the IMatrixFilter for generating the invert filter.
Lomograph | Gets the IMatrixFilter for generating the lomograph filter.
LoSatch | Gets the IMatrixFilter for generating the low saturation filter.
Polaroid | Gets the IMatrixFilter for generating the polaroid filter.
Sepia | Gets the IMatrixFilter for generating the sepia filter.
Top
See Also

Reference

ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters Properties

MatrixFilters Properties

The MatrixFilters type exposes the following members.

Properties
Name | Description
BlackWhite | Gets the IMatrixFilter for generating the black and white filter.
Comic | Gets the IMatrixFilter for generating the comic filter.
Gotham | Gets the IMatrixFilter for generating the gotham filter.
GreyScale | Gets the IMatrixFilter for generating the greyscale filter.
HiSatch | Gets the IMatrixFilter for generating the high saturation filter.
Invert | Gets the IMatrixFilter for generating the invert filter.
Lomograph | Gets the IMatrixFilter for generating the lomograph filter.
LoSatch | Gets the IMatrixFilter for generating the low saturation filter.
Polaroid | Gets the IMatrixFilter for generating the polaroid filter.
Sepia | Gets the IMatrixFilter for generating the sepia filter.
Top
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.BlackWhite Property

MatrixFiltersBlackWhite Property
Gets the IMatrixFilter for generating the black and white filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter BlackWhite { get; }
Public Shared ReadOnly Property BlackWhite As IMatrixFilter
    Get
public:
static property IMatrixFilter^ BlackWhite {
    IMatrixFilter^ get ();
}
static member BlackWhite : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.Comic Property

MatrixFiltersComic Property
Gets the IMatrixFilter for generating the comic filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter Comic { get; }
Public Shared ReadOnly Property Comic As IMatrixFilter
    Get
public:
static property IMatrixFilter^ Comic {
    IMatrixFilter^ get ();
}
static member Comic : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.Gotham Property

MatrixFiltersGotham Property
Gets the IMatrixFilter for generating the gotham filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter Gotham { get; }
Public Shared ReadOnly Property Gotham As IMatrixFilter
    Get
public:
static property IMatrixFilter^ Gotham {
    IMatrixFilter^ get ();
}
static member Gotham : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.GreyScale Property

MatrixFiltersGreyScale Property
Gets the IMatrixFilter for generating the greyscale filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter GreyScale { get; }
Public Shared ReadOnly Property GreyScale As IMatrixFilter
    Get
public:
static property IMatrixFilter^ GreyScale {
    IMatrixFilter^ get ();
}
static member GreyScale : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.HiSatch Property

MatrixFiltersHiSatch Property
Gets the IMatrixFilter for generating the high saturation filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter HiSatch { get; }
Public Shared ReadOnly Property HiSatch As IMatrixFilter
    Get
public:
static property IMatrixFilter^ HiSatch {
    IMatrixFilter^ get ();
}
static member HiSatch : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.Invert Property

MatrixFiltersInvert Property
Gets the IMatrixFilter for generating the invert filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter Invert { get; }
Public Shared ReadOnly Property Invert As IMatrixFilter
    Get
public:
static property IMatrixFilter^ Invert {
    IMatrixFilter^ get ();
}
static member Invert : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.Lomograph Property

MatrixFiltersLomograph Property
Gets the IMatrixFilter for generating the lomograph filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter Lomograph { get; }
Public Shared ReadOnly Property Lomograph As IMatrixFilter
    Get
public:
static property IMatrixFilter^ Lomograph {
    IMatrixFilter^ get ();
}
static member Lomograph : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.LoSatch Property

MatrixFiltersLoSatch Property
Gets the IMatrixFilter for generating the low saturation filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter LoSatch { get; }
Public Shared ReadOnly Property LoSatch As IMatrixFilter
    Get
public:
static property IMatrixFilter^ LoSatch {
    IMatrixFilter^ get ();
}
static member LoSatch : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.Polaroid Property

MatrixFiltersPolaroid Property
Gets the IMatrixFilter for generating the polaroid filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter Polaroid { get; }
Public Shared ReadOnly Property Polaroid As IMatrixFilter
    Get
public:
static property IMatrixFilter^ Polaroid {
    IMatrixFilter^ get ();
}
static member Polaroid : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


MatrixFilters.Sepia Property

MatrixFiltersSepia Property
Gets the IMatrixFilter for generating the sepia filter.

Namespace: ImageProcessor.Imaging.Filters.Photo
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IMatrixFilter Sepia { get; }
Public Shared ReadOnly Property Sepia As IMatrixFilter
    Get
public:
static property IMatrixFilter^ Sepia {
    IMatrixFilter^ get ();
}
static member Sepia : IMatrixFilter with get

Property Value

Type: IMatrixFilter
See Also

Reference

MatrixFilters Class
ImageProcessor.Imaging.Filters.Photo Namespace


ImageProcessor.Imaging.Formats Namespace

ImageProcessor.Imaging.Formats Namespace
The possible image formats
Classes
 | Class | Description
Public class | BitmapFormat | Provides the necessary information to support bitmap images.
Public class | FormatBase | The supported format base. Implement this class when building a supported format.
Public class | FormatUtilities | Utility methods for working with supported image formats.
Public class | GifDecoder | Decodes gifs to provides information.
Public class | GifEncoder | Encodes multiple images as an animated gif to a stream. Remarks Uses default .NET GIF encoding and adds animation headers. Adapted from http://github.com/DataDink/Bumpkit/blob/master/BumpKit/BumpKit/GifEncoder.cs
Public class | GifFormat | Provides the necessary information to support gif images.
Public class | GifFrame | A single gif frame.
Public class | JpegFormat | Provides the necessary information to support jpeg images.
Public class | PngFormat | Provides the necessary information to support png images.
Public class | TiffFormat | Provides the necessary information to support tiff images.
Interfaces
 | Interface | Description
Public interface | IAnimatedImageFormat | The IAnimatedImageFormat interface for identifying animated image formats.
Public interface | IQuantizableImageFormat | The IndexedImageFormat interface for identifying quantizable image formats.
Public interface | ISupportedImageFormat | The SupportedImageFormat interface providing information about image formats to ImageProcessor.


BitmapFormat Class

BitmapFormat Class
Provides the necessary information to support bitmap images.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsFormatBase
ImageProcessor.Imaging.FormatsBitmapFormat

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class BitmapFormat : FormatBase
Public Class BitmapFormat
    Inherits FormatBase
public ref class BitmapFormat : public FormatBase
type BitmapFormat =
    class
        inherit FormatBase
    end

The BitmapFormat type exposes the following members.

Constructors
 | Name | Description
Public method | BitmapFormat | Initializes a new instance of the BitmapFormat class
Top
Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Top
Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Inherited from FormatBase.)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Inherited from FormatBase.)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Inherited from FormatBase.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


BitmapFormat Constructor

BitmapFormat Constructor
Initializes a new instance of the BitmapFormat class

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public BitmapFormat()
Public Sub New
public:
BitmapFormat()
new : unit -> BitmapFormat
See Also

Reference

BitmapFormat Class
ImageProcessor.Imaging.Formats Namespace


BitmapFormat Properties

BitmapFormat Properties

The BitmapFormat type exposes the following members.

Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Top
See Also

Reference

BitmapFormat Class
ImageProcessor.Imaging.Formats Namespace


BitmapFormat.FileExtensions Property

BitmapFormatFileExtensions Property
Gets the list of file extensions.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string[] FileExtensions { get; }
Public Overrides ReadOnly Property FileExtensions As String()
    Get
public:
virtual property array<String^>^ FileExtensions {
    array<String^>^ get () override;
}
abstract FileExtensions : string[] with get
override FileExtensions : string[] with get

Property Value

Type: String

Implements

ISupportedImageFormatFileExtensions
See Also

Reference

BitmapFormat Class
ImageProcessor.Imaging.Formats Namespace


BitmapFormat.FileHeaders Property

BitmapFormatFileHeaders Property
Gets the file headers.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override byte[][] FileHeaders { get; }
Public Overrides ReadOnly Property FileHeaders As Byte()()
    Get
public:
virtual property array<array<unsigned char>^>^ FileHeaders {
    array<array<unsigned char>^>^ get () override;
}
abstract FileHeaders : byte[][] with get
override FileHeaders : byte[][] with get

Property Value

Type: Byte

Implements

ISupportedImageFormatFileHeaders
See Also

Reference

BitmapFormat Class
ImageProcessor.Imaging.Formats Namespace


BitmapFormat.ImageFormat Property

BitmapFormatImageFormat Property
Gets the ImageFormat.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override ImageFormat ImageFormat { get; }
Public Overrides ReadOnly Property ImageFormat As ImageFormat
    Get
public:
virtual property ImageFormat^ ImageFormat {
    ImageFormat^ get () override;
}
abstract ImageFormat : ImageFormat with get
override ImageFormat : ImageFormat with get

Property Value

Type: ImageFormat

Implements

ISupportedImageFormatImageFormat
See Also

Reference

BitmapFormat Class
ImageProcessor.Imaging.Formats Namespace


BitmapFormat.MimeType Property

BitmapFormatMimeType Property
Gets the standard identifier used on the Internet to indicate the type of data that a file contains.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string MimeType { get; }
Public Overrides ReadOnly Property MimeType As String
    Get
public:
virtual property String^ MimeType {
    String^ get () override;
}
abstract MimeType : string with get
override MimeType : string with get

Property Value

Type: String

Implements

ISupportedImageFormatMimeType
See Also

Reference

BitmapFormat Class
ImageProcessor.Imaging.Formats Namespace


BitmapFormat Methods

BitmapFormat Methods

The BitmapFormat type exposes the following members.

Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Inherited from FormatBase.)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Inherited from FormatBase.)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Inherited from FormatBase.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

BitmapFormat Class
ImageProcessor.Imaging.Formats Namespace


FormatBase Class

FormatBase Class
The supported format base. Implement this class when building a supported format.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsFormatBase
ImageProcessor.Imaging.FormatsBitmapFormat
ImageProcessor.Imaging.FormatsGifFormat
ImageProcessor.Imaging.FormatsJpegFormat
ImageProcessor.Imaging.FormatsPngFormat
ImageProcessor.Imaging.FormatsTiffFormat

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract class FormatBase : ISupportedImageFormat
Public MustInherit Class FormatBase
    Implements ISupportedImageFormat
public ref class FormatBase abstract : ISupportedImageFormat
[<AbstractClassAttribute>]
type FormatBase =
    class
        interface ISupportedImageFormat
    end

The FormatBase type exposes the following members.

Constructors
 | Name | Description
Protected method | FormatBase | Initializes a new instance of the FormatBase class.
Top
Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension.
Public property | FileExtensions | Gets the list of file extensions.
Public property | FileHeaders | Gets the file headers.
Public property | ImageFormat | Gets the file format of the image.
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed.
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains.
Public property | Quality | Gets or sets the quality of output for images.
Top
Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image.
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream.
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


FormatBase Constructor

FormatBase Constructor
Initializes a new instance of the FormatBase class.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected FormatBase()
Protected Sub New
protected:
FormatBase()
new : unit -> FormatBase
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase Properties

FormatBase Properties

The FormatBase type exposes the following members.

Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension.
Public property | FileExtensions | Gets the list of file extensions.
Public property | FileHeaders | Gets the file headers.
Public property | ImageFormat | Gets the file format of the image.
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed.
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains.
Public property | Quality | Gets or sets the quality of output for images.
Top
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.DefaultExtension Property

FormatBaseDefaultExtension Property
Gets the default file extension.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public string DefaultExtension { get; }
Public ReadOnly Property DefaultExtension As String
    Get
public:
virtual property String^ DefaultExtension {
    String^ get () sealed;
}
abstract DefaultExtension : string with get
override DefaultExtension : string with get

Property Value

Type: String

Implements

ISupportedImageFormatDefaultExtension
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.FileExtensions Property

FormatBaseFileExtensions Property
Gets the list of file extensions.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract string[] FileExtensions { get; }
Public MustOverride ReadOnly Property FileExtensions As String()
    Get
public:
virtual property array<String^>^ FileExtensions {
    array<String^>^ get () abstract;
}
abstract FileExtensions : string[] with get

Property Value

Type: String

Implements

ISupportedImageFormatFileExtensions
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.FileHeaders Property

FormatBaseFileHeaders Property
Gets the file headers.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract byte[][] FileHeaders { get; }
Public MustOverride ReadOnly Property FileHeaders As Byte()()
    Get
public:
virtual property array<array<unsigned char>^>^ FileHeaders {
    array<array<unsigned char>^>^ get () abstract;
}
abstract FileHeaders : byte[][] with get

Property Value

Type: Byte

Implements

ISupportedImageFormatFileHeaders
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.ImageFormat Property

FormatBaseImageFormat Property
Gets the file format of the image.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract ImageFormat ImageFormat { get; }
Public MustOverride ReadOnly Property ImageFormat As ImageFormat
    Get
public:
virtual property ImageFormat^ ImageFormat {
    ImageFormat^ get () abstract;
}
abstract ImageFormat : ImageFormat with get

Property Value

Type: ImageFormat

Implements

ISupportedImageFormatImageFormat
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.IsIndexed Property

FormatBaseIsIndexed Property
Gets or sets a value indicating whether the image format is indexed.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsIndexed { get; set; }
Public Property IsIndexed As Boolean
    Get
    Set
public:
virtual property bool IsIndexed {
    bool get () sealed;
    void set (bool value) sealed;
}
abstract IsIndexed : bool with get, set
override IsIndexed : bool with get, set

Property Value

Type: Boolean

Implements

ISupportedImageFormatIsIndexed
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.MimeType Property

FormatBaseMimeType Property
Gets the standard identifier used on the Internet to indicate the type of data that a file contains.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract string MimeType { get; }
Public MustOverride ReadOnly Property MimeType As String
    Get
public:
virtual property String^ MimeType {
    String^ get () abstract;
}
abstract MimeType : string with get

Property Value

Type: String

Implements

ISupportedImageFormatMimeType
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.Quality Property

FormatBaseQuality Property
Gets or sets the quality of output for images.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Quality { get; set; }
Public Property Quality As Integer
    Get
    Set
public:
virtual property int Quality {
    int get () sealed;
    void set (int value) sealed;
}
abstract Quality : int with get, set
override Quality : int with get, set

Property Value

Type: Int32

Implements

ISupportedImageFormatQuality
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase Methods

FormatBase Methods

The FormatBase type exposes the following members.

Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image.
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream.
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.ApplyProcessor Method

FormatBaseApplyProcessor Method
Applies the given processor the current image.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public virtual void ApplyProcessor(
    Func<ImageFactory, Image> processor,
    ImageFactory factory
)
Public Overridable Sub ApplyProcessor (
    processor As Func(Of ImageFactory, Image),
    factory As ImageFactory
)
public:
virtual void ApplyProcessor(
    Func<ImageFactory^, Image^>^ processor,
    ImageFactory^ factory
)
abstract ApplyProcessor :
        processor : Func<ImageFactory, Image> *
        factory : ImageFactory -> unit
override ApplyProcessor :
        processor : Func<ImageFactory, Image> *
        factory : ImageFactory -> unit

Parameters

processor
Type: SystemFunc ImageFactory, Image
The processor delegate.
factory
Type: ImageProcessorImageFactory
The ImageFactory.

Implements

ISupportedImageFormatApplyProcessor(FuncImageFactory, Image, ImageFactory)
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.Equals Method

FormatBaseEquals Method
Determines whether the specified Object, is equal to this instance.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.GetHashCode Method

FormatBaseGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.Load Method

FormatBaseLoad Method
Decodes the image to process.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public virtual Image Load(
    Stream stream
)
Public Overridable Function Load (
    stream As Stream
) As Image
public:
virtual Image^ Load(
    Stream^ stream
)
abstract Load :
        stream : Stream -> Image
override Load :
        stream : Stream -> Image

Parameters

stream
Type: System.IOStream
The stream containing the image information.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatLoad(Stream)
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.Save Method

FormatBaseSave Method
Overload List
 | Name | Description
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream.
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path.
Top
See Also

Reference

FormatBase Class
ImageProcessor.Imaging.Formats Namespace


FormatBase.Save Method (Stream, Image, Int64)

FormatBaseSave Method (Stream, Image, Int64)
Saves the current image to the specified output stream.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public virtual Image Save(
    Stream stream,
    Image image,
    long bitDepth
)
Public Overridable Function Save (
    stream As Stream,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    Stream^ stream,
    Image^ image,
    long long bitDepth
)
abstract Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image

Parameters

stream
Type: System.IOStream
The Stream to save the image information to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(Stream, Image, Int64)
See Also

Reference

FormatBase Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


FormatBase.Save Method (String, Image, Int64)

FormatBaseSave Method (String, Image, Int64)
Saves the current image to the specified file path.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public virtual Image Save(
    string path,
    Image image,
    long bitDepth
)
Public Overridable Function Save (
    path As String,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    String^ path,
    Image^ image,
    long long bitDepth
)
abstract Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image

Parameters

path
Type: SystemString
The path to save the image to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(String, Image, Int64)
See Also

Reference

FormatBase Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


FormatUtilities Class

FormatUtilities Class
Utility methods for working with supported image formats.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsFormatUtilities

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class FormatUtilities
Public NotInheritable Class FormatUtilities
public ref class FormatUtilities abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type FormatUtilities =  class end

The FormatUtilities type exposes the following members.

Methods
Name | Description
CreatePropertyItem | Uses reflection to allow the creation of an instance of PropertyItem.
GetEncodingParameters | Returns an instance of EncodingParameters for jpeg compression.
GetFormat | Gets the correct ISupportedImageFormat from the given stream. http://stackoverflow.com/questions/55869/determine-file-type-of-an-image
HasAlpha | Returns a value indicating whether the given image has an alpha channel.
IsAnimated | Returns a value indicating whether the given image is animated.
IsIndexed | Returns a value indicating whether the given image is indexed.
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


FormatUtilities Methods

FormatUtilities Methods

The FormatUtilities type exposes the following members.

Methods
Name | Description
CreatePropertyItem | Uses reflection to allow the creation of an instance of PropertyItem.
GetEncodingParameters | Returns an instance of EncodingParameters for jpeg compression.
GetFormat | Gets the correct ISupportedImageFormat from the given stream. http://stackoverflow.com/questions/55869/determine-file-type-of-an-image
HasAlpha | Returns a value indicating whether the given image has an alpha channel.
IsAnimated | Returns a value indicating whether the given image is animated.
IsIndexed | Returns a value indicating whether the given image is indexed.
Top
See Also

Reference

FormatUtilities Class
ImageProcessor.Imaging.Formats Namespace


FormatUtilities.CreatePropertyItem Method

FormatUtilitiesCreatePropertyItem Method
Uses reflection to allow the creation of an instance of PropertyItem.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static PropertyItem CreatePropertyItem()
Public Shared Function CreatePropertyItem As PropertyItem
public:
static PropertyItem^ CreatePropertyItem()
static member CreatePropertyItem : unit -> PropertyItem

Return Value

Type: PropertyItem
The PropertyItem.
See Also

Reference

FormatUtilities Class
ImageProcessor.Imaging.Formats Namespace


FormatUtilities.GetEncodingParameters Method

FormatUtilitiesGetEncodingParameters Method
Returns an instance of EncodingParameters for jpeg compression.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static EncoderParameters GetEncodingParameters(
    int quality
)
Public Shared Function GetEncodingParameters (
    quality As Integer
) As EncoderParameters
public:
static EncoderParameters^ GetEncodingParameters(
    int quality
)
static member GetEncodingParameters :
        quality : int -> EncoderParameters

Parameters

quality
Type: SystemInt32
The quality to return the image at.

Return Value

Type: EncoderParameters
The encodingParameters for jpeg compression.
See Also

Reference

FormatUtilities Class
ImageProcessor.Imaging.Formats Namespace


FormatUtilities.GetFormat Method

FormatUtilitiesGetFormat Method
Gets the correct ISupportedImageFormat from the given stream. http://stackoverflow.com/questions/55869/determine-file-type-of-an-image

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ISupportedImageFormat GetFormat(
    Stream stream
)
Public Shared Function GetFormat (
    stream As Stream
) As ISupportedImageFormat
public:
static ISupportedImageFormat^ GetFormat(
    Stream^ stream
)
static member GetFormat :
        stream : Stream -> ISupportedImageFormat

Parameters

stream
Type: System.IOStream
The Stream to read from.

Return Value

Type: ISupportedImageFormat
The ISupportedImageFormat.
See Also

Reference

FormatUtilities Class
ImageProcessor.Imaging.Formats Namespace


FormatUtilities.HasAlpha Method

FormatUtilitiesHasAlpha Method
Returns a value indicating whether the given image has an alpha channel.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool HasAlpha(
    Image image
)
Public Shared Function HasAlpha (
    image As Image
) As Boolean
public:
static bool HasAlpha(
    Image^ image
)
static member HasAlpha :
        image : Image -> bool

Parameters

image
Type: System.DrawingImage
The Image to test.

Return Value

Type: Boolean
The true if the image has an alpha channel; otherwise, false.
See Also

Reference

FormatUtilities Class
ImageProcessor.Imaging.Formats Namespace


FormatUtilities.IsAnimated Method

FormatUtilitiesIsAnimated Method
Returns a value indicating whether the given image is animated.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool IsAnimated(
    Image image
)
Public Shared Function IsAnimated (
    image As Image
) As Boolean
public:
static bool IsAnimated(
    Image^ image
)
static member IsAnimated :
        image : Image -> bool

Parameters

image
Type: System.DrawingImage
The Image to test.

Return Value

Type: Boolean
The true if the image is animated; otherwise, false.
See Also

Reference

FormatUtilities Class
ImageProcessor.Imaging.Formats Namespace


FormatUtilities.IsIndexed Method

FormatUtilitiesIsIndexed Method
Returns a value indicating whether the given image is indexed.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool IsIndexed(
    Image image
)
Public Shared Function IsIndexed (
    image As Image
) As Boolean
public:
static bool IsIndexed(
    Image^ image
)
static member IsIndexed :
        image : Image -> bool

Parameters

image
Type: System.DrawingImage
The Image to test.

Return Value

Type: Boolean
The true if the image is indexed; otherwise, false.
See Also

Reference

FormatUtilities Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder Class

GifDecoder Class
Decodes gifs to provides information.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsGifDecoder

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class GifDecoder
Public Class GifDecoder
public ref class GifDecoder
type GifDecoder =  class end

The GifDecoder type exposes the following members.

Constructors
 | Name | Description
Public method | GifDecoder(Image) | Initializes a new instance of the GifDecoder class.
Public method | GifDecoder(Image, AnimationProcessMode) | Initializes a new instance of the GifDecoder class.
Top
Properties
 | Name | Description
Public property | FrameCount | Gets or sets the frame count.
Public property | Height | Gets or sets the image height.
Public property | IsAnimated | Gets or sets a value indicating whether the image is animated.
Public property | LoopCount | Gets or sets the loop count.
Public property | Width | Gets or sets the image width.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetFrame | Gets the frame at the specified index.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


GifDecoder Constructor

GifDecoder Constructor
Overload List
 | Name | Description
Public method | GifDecoder(Image) | Initializes a new instance of the GifDecoder class.
Public method | GifDecoder(Image, AnimationProcessMode) | Initializes a new instance of the GifDecoder class.
Top
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder Constructor (Image)

GifDecoder Constructor (Image)
Initializes a new instance of the GifDecoder class.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GifDecoder(
    Image image
)
Public Sub New (
    image As Image
)
public:
GifDecoder(
    Image^ image
)
new :
        image : Image -> GifDecoder

Parameters

image
Type: System.DrawingImage
The Image to decode.
See Also

Reference

GifDecoder Class
GifDecoder Overload
ImageProcessor.Imaging.Formats Namespace


GifDecoder Constructor (Image, AnimationProcessMode)

GifDecoder Constructor (Image, AnimationProcessMode)
Initializes a new instance of the GifDecoder class.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GifDecoder(
    Image image,
    AnimationProcessMode animationProcessMode
)
Public Sub New (
    image As Image,
    animationProcessMode As AnimationProcessMode
)
public:
GifDecoder(
    Image^ image,
    AnimationProcessMode animationProcessMode
)
new :
        image : Image *
        animationProcessMode : AnimationProcessMode -> GifDecoder

Parameters

image
Type: System.DrawingImage
The Image to decode.
animationProcessMode
Type: ImageProcessor.ImagingAnimationProcessMode
The AnimationProcessMode to use.
See Also

Reference

GifDecoder Class
GifDecoder Overload
ImageProcessor.Imaging.Formats Namespace


GifDecoder Properties

GifDecoder Properties

The GifDecoder type exposes the following members.

Properties
 | Name | Description
Public property | FrameCount | Gets or sets the frame count.
Public property | Height | Gets or sets the image height.
Public property | IsAnimated | Gets or sets a value indicating whether the image is animated.
Public property | LoopCount | Gets or sets the loop count.
Public property | Width | Gets or sets the image width.
Top
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder.FrameCount Property

GifDecoderFrameCount Property
Gets or sets the frame count.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int FrameCount { get; set; }
Public Property FrameCount As Integer
    Get
    Set
public:
property int FrameCount {
    int get ();
    void set (int value);
}
member FrameCount : int with get, set

Property Value

Type: Int32
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder.Height Property

GifDecoderHeight Property
Gets or sets the image height.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Height { get; set; }
Public Property Height As Integer
    Get
    Set
public:
property int Height {
    int get ();
    void set (int value);
}
member Height : int with get, set

Property Value

Type: Int32
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder.IsAnimated Property

GifDecoderIsAnimated Property
Gets or sets a value indicating whether the image is animated.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsAnimated { get; set; }
Public Property IsAnimated As Boolean
    Get
    Set
public:
property bool IsAnimated {
    bool get ();
    void set (bool value);
}
member IsAnimated : bool with get, set

Property Value

Type: Boolean
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder.LoopCount Property

GifDecoderLoopCount Property
Gets or sets the loop count.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int LoopCount { get; set; }
Public Property LoopCount As Integer
    Get
    Set
public:
property int LoopCount {
    int get ();
    void set (int value);
}
member LoopCount : int with get, set

Property Value

Type: Int32
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder.Width Property

GifDecoderWidth Property
Gets or sets the image width.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Width { get; set; }
Public Property Width As Integer
    Get
    Set
public:
property int Width {
    int get ();
    void set (int value);
}
member Width : int with get, set

Property Value

Type: Int32
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder Methods

GifDecoder Methods

The GifDecoder type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetFrame | Gets the frame at the specified index.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifDecoder.GetFrame Method

GifDecoderGetFrame Method
Gets the frame at the specified index.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GifFrame GetFrame(
    Image image,
    int index
)
Public Function GetFrame (
    image As Image,
    index As Integer
) As GifFrame
public:
GifFrame^ GetFrame(
    Image^ image,
    int index
)
member GetFrame :
        image : Image *
        index : int -> GifFrame

Parameters

image
Type: System.DrawingImage
The image.
index
Type: SystemInt32
The index.

Return Value

Type: GifFrame
The GifFrame.
See Also

Reference

GifDecoder Class
ImageProcessor.Imaging.Formats Namespace


GifEncoder Class

GifEncoder Class
Encodes multiple images as an animated gif to a stream.
Remarks
Uses default .NET GIF encoding and adds animation headers. Adapted from http://github.com/DataDink/Bumpkit/blob/master/BumpKit/BumpKit/GifEncoder.cs
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsGifEncoder

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class GifEncoder
Public Class GifEncoder
public ref class GifEncoder
type GifEncoder =  class end

The GifEncoder type exposes the following members.

Constructors
 | Name | Description
Public method | GifEncoder | Initializes a new instance of the GifEncoder class.
Top
Properties
 | Name | Description
Public property | ImageBytes | Gets or sets the image bytes.
Top
Methods
 | Name | Description
Public method | AddFrame | Adds a frame to the gif.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save | Saves the completed gif to an Image
Public method | Save(Stream) | Saves the completed gif to an Stream
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


GifEncoder Constructor

GifEncoder Constructor
Initializes a new instance of the GifEncoder class.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GifEncoder(
    Nullable<int> width = null,
    Nullable<int> height = null,
    Nullable<int> repeatCount = null
)
Public Sub New (
    Optional width As Nullable(Of Integer) = Nothing,
    Optional height As Nullable(Of Integer) = Nothing,
    Optional repeatCount As Nullable(Of Integer) = Nothing
)
public:
GifEncoder(
    Nullable<int> width = nullptr,
    Nullable<int> height = nullptr,
    Nullable<int> repeatCount = nullptr
)
new :
        ?width : Nullable<int> *
        ?height : Nullable<int> *
        ?repeatCount : Nullable<int>
(* Defaults:
        let _width = defaultArg width null
        let _height = defaultArg height null
        let _repeatCount = defaultArg repeatCount null
*)
-> GifEncoder

Parameters

width (Optional)
Type: SystemNullable Int32
Sets the width for this gif or null to use the first frame's width.
height (Optional)
Type: SystemNullable Int32
Sets the height for this gif or null to use the first frame's height.
repeatCount (Optional)
Type: SystemNullable Int32
The number of times to repeat the animation.
See Also

Reference

GifEncoder Class
ImageProcessor.Imaging.Formats Namespace


GifEncoder Properties

GifEncoder Properties

The GifEncoder type exposes the following members.

Properties
 | Name | Description
Public property | ImageBytes | Gets or sets the image bytes.
Top
See Also

Reference

GifEncoder Class
ImageProcessor.Imaging.Formats Namespace


GifEncoder.ImageBytes Property

GifEncoderImageBytes Property
Gets or sets the image bytes.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte[] ImageBytes { get; set; }
Public Property ImageBytes As Byte()
    Get
    Set
public:
property array<unsigned char>^ ImageBytes {
    array<unsigned char>^ get ();
    void set (array<unsigned char>^ value);
}
member ImageBytes : byte[] with get, set

Property Value

Type: Byte
See Also

Reference

GifEncoder Class
ImageProcessor.Imaging.Formats Namespace


GifEncoder Methods

GifEncoder Methods

The GifEncoder type exposes the following members.

Methods
 | Name | Description
Public method | AddFrame | Adds a frame to the gif.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save | Saves the completed gif to an Image
Public method | Save(Stream) | Saves the completed gif to an Stream
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GifEncoder Class
ImageProcessor.Imaging.Formats Namespace


GifEncoder.AddFrame Method

GifEncoderAddFrame Method
Adds a frame to the gif.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void AddFrame(
    GifFrame frame
)
Public Sub AddFrame (
    frame As GifFrame
)
public:
void AddFrame(
    GifFrame^ frame
)
member AddFrame :
        frame : GifFrame -> unit

Parameters

frame
Type: ImageProcessor.Imaging.FormatsGifFrame
The GifFrame containing the image.
See Also

Reference

GifEncoder Class
ImageProcessor.Imaging.Formats Namespace


GifEncoder.Save Method

GifEncoderSave Method
Overload List
 | Name | Description
Public method | Save | Saves the completed gif to an Image
Public method | Save(Stream) | Saves the completed gif to an Stream
Top
See Also

Reference

GifEncoder Class
ImageProcessor.Imaging.Formats Namespace


GifEncoder.Save Method

GifEncoderSave Method
Saves the completed gif to an Image

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image Save()
Public Function Save As Image
public:
Image^ Save()
member Save : unit -> Image

Return Value

Type: Image
The completed animated gif.
See Also

Reference

GifEncoder Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


GifEncoder.Save Method (Stream)

GifEncoderSave Method (Stream)
Saves the completed gif to an Stream

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Save(
    Stream stream
)
Public Sub Save (
    stream As Stream
)
public:
void Save(
    Stream^ stream
)
member Save :
        stream : Stream -> unit

Parameters

stream
Type: System.IOStream
The stream.
See Also

Reference

GifEncoder Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


GifFormat Class

GifFormat Class
Provides the necessary information to support gif images.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsFormatBase
ImageProcessor.Imaging.FormatsGifFormat

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class GifFormat : FormatBase, IQuantizableImageFormat,
    IAnimatedImageFormat
Public Class GifFormat
    Inherits FormatBase
    Implements IQuantizableImageFormat, IAnimatedImageFormat
public ref class GifFormat : public FormatBase,
    IQuantizableImageFormat, IAnimatedImageFormat
type GifFormat =
    class
        inherit FormatBase
        interface IQuantizableImageFormat
        interface IAnimatedImageFormat
    end

The GifFormat type exposes the following members.

Constructors
 | Name | Description
Public method | GifFormat | Initializes a new instance of the GifFormat class
Top
Properties
 | Name | Description
Public property | AnimationProcessMode | Gets or sets the process mode for frames in animated images.
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Public property | Quantizer | Gets or sets the quantizer for reducing the image palette.
Top
Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Overrides FormatBaseApplyProcessor(FuncImageFactory, Image, ImageFactory).)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


GifFormat Constructor

GifFormat Constructor
Initializes a new instance of the GifFormat class

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GifFormat()
Public Sub New
public:
GifFormat()
new : unit -> GifFormat
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat Properties

GifFormat Properties

The GifFormat type exposes the following members.

Properties
 | Name | Description
Public property | AnimationProcessMode | Gets or sets the process mode for frames in animated images.
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Public property | Quantizer | Gets or sets the quantizer for reducing the image palette.
Top
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.AnimationProcessMode Property

GifFormatAnimationProcessMode Property
Gets or sets the process mode for frames in animated images.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public AnimationProcessMode AnimationProcessMode { get; set; }
Public Property AnimationProcessMode As AnimationProcessMode
    Get
    Set
public:
virtual property AnimationProcessMode AnimationProcessMode {
    AnimationProcessMode get () sealed;
    void set (AnimationProcessMode value) sealed;
}
abstract AnimationProcessMode : AnimationProcessMode with get, set
override AnimationProcessMode : AnimationProcessMode with get, set

Property Value

Type: AnimationProcessMode

Implements

IAnimatedImageFormatAnimationProcessMode
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.FileExtensions Property

GifFormatFileExtensions Property
Gets the list of file extensions.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string[] FileExtensions { get; }
Public Overrides ReadOnly Property FileExtensions As String()
    Get
public:
virtual property array<String^>^ FileExtensions {
    array<String^>^ get () override;
}
abstract FileExtensions : string[] with get
override FileExtensions : string[] with get

Property Value

Type: String

Implements

ISupportedImageFormatFileExtensions
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.FileHeaders Property

GifFormatFileHeaders Property
Gets the file headers.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override byte[][] FileHeaders { get; }
Public Overrides ReadOnly Property FileHeaders As Byte()()
    Get
public:
virtual property array<array<unsigned char>^>^ FileHeaders {
    array<array<unsigned char>^>^ get () override;
}
abstract FileHeaders : byte[][] with get
override FileHeaders : byte[][] with get

Property Value

Type: Byte

Implements

ISupportedImageFormatFileHeaders
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.ImageFormat Property

GifFormatImageFormat Property
Gets the ImageFormat.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override ImageFormat ImageFormat { get; }
Public Overrides ReadOnly Property ImageFormat As ImageFormat
    Get
public:
virtual property ImageFormat^ ImageFormat {
    ImageFormat^ get () override;
}
abstract ImageFormat : ImageFormat with get
override ImageFormat : ImageFormat with get

Property Value

Type: ImageFormat

Implements

ISupportedImageFormatImageFormat
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.MimeType Property

GifFormatMimeType Property
Gets the standard identifier used on the Internet to indicate the type of data that a file contains.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string MimeType { get; }
Public Overrides ReadOnly Property MimeType As String
    Get
public:
virtual property String^ MimeType {
    String^ get () override;
}
abstract MimeType : string with get
override MimeType : string with get

Property Value

Type: String

Implements

ISupportedImageFormatMimeType
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.Quantizer Property

GifFormatQuantizer Property
Gets or sets the quantizer for reducing the image palette.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public IQuantizer Quantizer { get; set; }
Public Property Quantizer As IQuantizer
    Get
    Set
public:
virtual property IQuantizer^ Quantizer {
    IQuantizer^ get () sealed;
    void set (IQuantizer^ value) sealed;
}
abstract Quantizer : IQuantizer with get, set
override Quantizer : IQuantizer with get, set

Property Value

Type: IQuantizer

Implements

IQuantizableImageFormatQuantizer
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat Methods

GifFormat Methods

The GifFormat type exposes the following members.

Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Overrides FormatBaseApplyProcessor(FuncImageFactory, Image, ImageFactory).)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.ApplyProcessor Method

GifFormatApplyProcessor Method
Applies the given processor the current image.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override void ApplyProcessor(
    Func<ImageFactory, Image> processor,
    ImageFactory factory
)
Public Overrides Sub ApplyProcessor (
    processor As Func(Of ImageFactory, Image),
    factory As ImageFactory
)
public:
virtual void ApplyProcessor(
    Func<ImageFactory^, Image^>^ processor,
    ImageFactory^ factory
) override
abstract ApplyProcessor :
        processor : Func<ImageFactory, Image> *
        factory : ImageFactory -> unit
override ApplyProcessor :
        processor : Func<ImageFactory, Image> *
        factory : ImageFactory -> unit

Parameters

processor
Type: SystemFunc ImageFactory, Image
The processor delegate.
factory
Type: ImageProcessorImageFactory
The ImageFactory.

Implements

ISupportedImageFormatApplyProcessor(FuncImageFactory, Image, ImageFactory)
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.Save Method

GifFormatSave Method
Overload List
 | Name | Description
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Top
See Also

Reference

GifFormat Class
ImageProcessor.Imaging.Formats Namespace


GifFormat.Save Method (Stream, Image, Int64)

GifFormatSave Method (Stream, Image, Int64)
Saves the current image to the specified output stream.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Image Save(
    Stream stream,
    Image image,
    long bitDepth
)
Public Overrides Function Save (
    stream As Stream,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    Stream^ stream,
    Image^ image,
    long long bitDepth
) override
abstract Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image

Parameters

stream
Type: System.IOStream
The Stream to save the image information to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(Stream, Image, Int64)
See Also

Reference

GifFormat Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


GifFormat.Save Method (String, Image, Int64)

GifFormatSave Method (String, Image, Int64)
Saves the current image to the specified file path.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Image Save(
    string path,
    Image image,
    long bitDepth
)
Public Overrides Function Save (
    path As String,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    String^ path,
    Image^ image,
    long long bitDepth
) override
abstract Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image

Parameters

path
Type: SystemString
The path to save the image to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(String, Image, Int64)
See Also

Reference

GifFormat Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


GifFrame Class

GifFrame Class
A single gif frame.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsGifFrame

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class GifFrame
Public Class GifFrame
public ref class GifFrame
type GifFrame =  class end

The GifFrame type exposes the following members.

Constructors
 | Name | Description
Public method | GifFrame | Initializes a new instance of the GifFrame class
Top
Properties
 | Name | Description
Public property | Delay | Gets or sets the delay in milliseconds.
Public property | Image | Gets or sets the image.
Public property | X | Gets or sets the x position of the frame.
Public property | Y | Gets or sets the Y position of the frame.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


GifFrame Constructor

GifFrame Constructor
Initializes a new instance of the GifFrame class

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GifFrame()
Public Sub New
public:
GifFrame()
new : unit -> GifFrame
See Also

Reference

GifFrame Class
ImageProcessor.Imaging.Formats Namespace


GifFrame Properties

GifFrame Properties

The GifFrame type exposes the following members.

Properties
 | Name | Description
Public property | Delay | Gets or sets the delay in milliseconds.
Public property | Image | Gets or sets the image.
Public property | X | Gets or sets the x position of the frame.
Public property | Y | Gets or sets the Y position of the frame.
Top
See Also

Reference

GifFrame Class
ImageProcessor.Imaging.Formats Namespace


GifFrame.Delay Property

GifFrameDelay Property
Gets or sets the delay in milliseconds.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public TimeSpan Delay { get; set; }
Public Property Delay As TimeSpan
    Get
    Set
public:
property TimeSpan Delay {
    TimeSpan get ();
    void set (TimeSpan value);
}
member Delay : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

GifFrame Class
ImageProcessor.Imaging.Formats Namespace


GifFrame.Image Property

GifFrameImage Property
Gets or sets the image.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image Image { get; set; }
Public Property Image As Image
    Get
    Set
public:
property Image^ Image {
    Image^ get ();
    void set (Image^ value);
}
member Image : Image with get, set

Property Value

Type: Image
See Also

Reference

GifFrame Class
ImageProcessor.Imaging.Formats Namespace


GifFrame.X Property

GifFrameX Property
Gets or sets the x position of the frame.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int X { get; set; }
Public Property X As Integer
    Get
    Set
public:
property int X {
    int get ();
    void set (int value);
}
member X : int with get, set

Property Value

Type: Int32
See Also

Reference

GifFrame Class
ImageProcessor.Imaging.Formats Namespace


GifFrame.Y Property

GifFrameY Property
Gets or sets the Y position of the frame.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Y { get; set; }
Public Property Y As Integer
    Get
    Set
public:
property int Y {
    int get ();
    void set (int value);
}
member Y : int with get, set

Property Value

Type: Int32
See Also

Reference

GifFrame Class
ImageProcessor.Imaging.Formats Namespace


GifFrame Methods

GifFrame Methods

The GifFrame type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GifFrame Class
ImageProcessor.Imaging.Formats Namespace


IAnimatedImageFormat Interface

IAnimatedImageFormat Interface
The IAnimatedImageFormat interface for identifying animated image formats.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IAnimatedImageFormat
Public Interface IAnimatedImageFormat
public interface class IAnimatedImageFormat
type IAnimatedImageFormat =  interface end

The IAnimatedImageFormat type exposes the following members.

Properties
 | Name | Description
Public property | AnimationProcessMode | Gets or sets the animation process mode.
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


IAnimatedImageFormat Properties

IAnimatedImageFormat Properties

The IAnimatedImageFormat type exposes the following members.

Properties
 | Name | Description
Public property | AnimationProcessMode | Gets or sets the animation process mode.
Top
See Also

Reference

IAnimatedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


IAnimatedImageFormat.AnimationProcessMode Property

IAnimatedImageFormatAnimationProcessMode Property
Gets or sets the animation process mode.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
AnimationProcessMode AnimationProcessMode { get; set; }
Property AnimationProcessMode As AnimationProcessMode
    Get
    Set
property AnimationProcessMode AnimationProcessMode {
    AnimationProcessMode get ();
    void set (AnimationProcessMode value);
}
abstract AnimationProcessMode : AnimationProcessMode with get, set

Property Value

Type: AnimationProcessMode
See Also

Reference

IAnimatedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


IQuantizableImageFormat Interface

IQuantizableImageFormat Interface
The IndexedImageFormat interface for identifying quantizable image formats.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IQuantizableImageFormat
Public Interface IQuantizableImageFormat
public interface class IQuantizableImageFormat
type IQuantizableImageFormat =  interface end

The IQuantizableImageFormat type exposes the following members.

Properties
 | Name | Description
Public property | Quantizer | Gets or sets the quantizer for reducing the image palette.
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


IQuantizableImageFormat Properties

IQuantizableImageFormat Properties

The IQuantizableImageFormat type exposes the following members.

Properties
 | Name | Description
Public property | Quantizer | Gets or sets the quantizer for reducing the image palette.
Top
See Also

Reference

IQuantizableImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


IQuantizableImageFormat.Quantizer Property

IQuantizableImageFormatQuantizer Property
Gets or sets the quantizer for reducing the image palette.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
IQuantizer Quantizer { get; set; }
Property Quantizer As IQuantizer
    Get
    Set
property IQuantizer^ Quantizer {
    IQuantizer^ get ();
    void set (IQuantizer^ value);
}
abstract Quantizer : IQuantizer with get, set

Property Value

Type: IQuantizer
See Also

Reference

IQuantizableImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat Interface

ISupportedImageFormat Interface
The SupportedImageFormat interface providing information about image formats to ImageProcessor.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface ISupportedImageFormat
Public Interface ISupportedImageFormat
public interface class ISupportedImageFormat
type ISupportedImageFormat =  interface end

The ISupportedImageFormat type exposes the following members.

Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension.
Public property | FileExtensions | Gets the list of file extensions.
Public property | FileHeaders | Gets the file headers.
Public property | ImageFormat | Gets the file format of the image.
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed.
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains.
Public property | Quality | Gets or sets the quality of output for images.
Top
Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image.
Public method | Load | Loads the image to process.
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream.
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path.
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat Properties

ISupportedImageFormat Properties

The ISupportedImageFormat type exposes the following members.

Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension.
Public property | FileExtensions | Gets the list of file extensions.
Public property | FileHeaders | Gets the file headers.
Public property | ImageFormat | Gets the file format of the image.
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed.
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains.
Public property | Quality | Gets or sets the quality of output for images.
Top
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.DefaultExtension Property

ISupportedImageFormatDefaultExtension Property
Gets the default file extension.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
string DefaultExtension { get; }
ReadOnly Property DefaultExtension As String
    Get
property String^ DefaultExtension {
    String^ get ();
}
abstract DefaultExtension : string with get

Property Value

Type: String
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.FileExtensions Property

ISupportedImageFormatFileExtensions Property
Gets the list of file extensions.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
string[] FileExtensions { get; }
ReadOnly Property FileExtensions As String()
    Get
property array<String^>^ FileExtensions {
    array<String^>^ get ();
}
abstract FileExtensions : string[] with get

Property Value

Type: String
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.FileHeaders Property

ISupportedImageFormatFileHeaders Property
Gets the file headers.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
byte[][] FileHeaders { get; }
ReadOnly Property FileHeaders As Byte()()
    Get
property array<array<unsigned char>^>^ FileHeaders {
    array<array<unsigned char>^>^ get ();
}
abstract FileHeaders : byte[][] with get

Property Value

Type: Byte
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.ImageFormat Property

ISupportedImageFormatImageFormat Property
Gets the file format of the image.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
ImageFormat ImageFormat { get; }
ReadOnly Property ImageFormat As ImageFormat
    Get
property ImageFormat^ ImageFormat {
    ImageFormat^ get ();
}
abstract ImageFormat : ImageFormat with get

Property Value

Type: ImageFormat
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.IsIndexed Property

ISupportedImageFormatIsIndexed Property
Gets or sets a value indicating whether the image format is indexed.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
bool IsIndexed { get; set; }
Property IsIndexed As Boolean
    Get
    Set
property bool IsIndexed {
    bool get ();
    void set (bool value);
}
abstract IsIndexed : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.MimeType Property

ISupportedImageFormatMimeType Property
Gets the standard identifier used on the Internet to indicate the type of data that a file contains.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
string MimeType { get; }
ReadOnly Property MimeType As String
    Get
property String^ MimeType {
    String^ get ();
}
abstract MimeType : string with get

Property Value

Type: String
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.Quality Property

ISupportedImageFormatQuality Property
Gets or sets the quality of output for images.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
int Quality { get; set; }
Property Quality As Integer
    Get
    Set
property int Quality {
    int get ();
    void set (int value);
}
abstract Quality : int with get, set

Property Value

Type: Int32
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat Methods

ISupportedImageFormat Methods

The ISupportedImageFormat type exposes the following members.

Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image.
Public method | Load | Loads the image to process.
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream.
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path.
Top
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.ApplyProcessor Method

ISupportedImageFormatApplyProcessor Method
Applies the given processor the current image.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
void ApplyProcessor(
    Func<ImageFactory, Image> processor,
    ImageFactory factory
)
Sub ApplyProcessor (
    processor As Func(Of ImageFactory, Image),
    factory As ImageFactory
)
void ApplyProcessor(
    Func<ImageFactory^, Image^>^ processor,
    ImageFactory^ factory
)
abstract ApplyProcessor :
        processor : Func<ImageFactory, Image> *
        factory : ImageFactory -> unit

Parameters

processor
Type: SystemFunc ImageFactory, Image
The processor delegate.
factory
Type: ImageProcessorImageFactory
The ImageFactory.
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.Load Method

ISupportedImageFormatLoad Method
Loads the image to process.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Image Load(
    Stream stream
)
Function Load (
    stream As Stream
) As Image
Image^ Load(
    Stream^ stream
)
abstract Load :
        stream : Stream -> Image

Parameters

stream
Type: System.IOStream
The Stream containing the image information.

Return Value

Type: Image
The Image.
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.Save Method

ISupportedImageFormatSave Method
Overload List
 | Name | Description
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream.
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path.
Top
See Also

Reference

ISupportedImageFormat Interface
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.Save Method (Stream, Image, Int64)

ISupportedImageFormatSave Method (Stream, Image, Int64)
Saves the current image to the specified output stream.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Image Save(
    Stream stream,
    Image image,
    long bitDepth
)
Function Save (
    stream As Stream,
    image As Image,
    bitDepth As Long
) As Image
Image^ Save(
    Stream^ stream,
    Image^ image,
    long long bitDepth
)
abstract Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image

Parameters

stream
Type: System.IOStream
The Stream to save the image information to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.
See Also

Reference

ISupportedImageFormat Interface
Save Overload
ImageProcessor.Imaging.Formats Namespace


ISupportedImageFormat.Save Method (String, Image, Int64)

ISupportedImageFormatSave Method (String, Image, Int64)
Saves the current image to the specified file path.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Image Save(
    string path,
    Image image,
    long bitDepth
)
Function Save (
    path As String,
    image As Image,
    bitDepth As Long
) As Image
Image^ Save(
    String^ path,
    Image^ image,
    long long bitDepth
)
abstract Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image

Parameters

path
Type: SystemString
The path to save the image to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.
See Also

Reference

ISupportedImageFormat Interface
Save Overload
ImageProcessor.Imaging.Formats Namespace


JpegFormat Class

JpegFormat Class
Provides the necessary information to support jpeg images.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsFormatBase
ImageProcessor.Imaging.FormatsJpegFormat

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public sealed class JpegFormat : FormatBase
Public NotInheritable Class JpegFormat
    Inherits FormatBase
public ref class JpegFormat sealed : public FormatBase
[<SealedAttribute>]
type JpegFormat =
    class
        inherit FormatBase
    end

The JpegFormat type exposes the following members.

Constructors
 | Name | Description
Public method | JpegFormat | Initializes a new instance of the JpegFormat class
Top
Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Top
Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Inherited from FormatBase.)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


JpegFormat Constructor

JpegFormat Constructor
Initializes a new instance of the JpegFormat class

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public JpegFormat()
Public Sub New
public:
JpegFormat()
new : unit -> JpegFormat
See Also

Reference

JpegFormat Class
ImageProcessor.Imaging.Formats Namespace


JpegFormat Properties

JpegFormat Properties

The JpegFormat type exposes the following members.

Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Top
See Also

Reference

JpegFormat Class
ImageProcessor.Imaging.Formats Namespace


JpegFormat.FileExtensions Property

JpegFormatFileExtensions Property
Gets the list of file extensions.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string[] FileExtensions { get; }
Public Overrides ReadOnly Property FileExtensions As String()
    Get
public:
virtual property array<String^>^ FileExtensions {
    array<String^>^ get () override;
}
abstract FileExtensions : string[] with get
override FileExtensions : string[] with get

Property Value

Type: String

Implements

ISupportedImageFormatFileExtensions
See Also

Reference

JpegFormat Class
ImageProcessor.Imaging.Formats Namespace


JpegFormat.FileHeaders Property

JpegFormatFileHeaders Property
Gets the file headers.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override byte[][] FileHeaders { get; }
Public Overrides ReadOnly Property FileHeaders As Byte()()
    Get
public:
virtual property array<array<unsigned char>^>^ FileHeaders {
    array<array<unsigned char>^>^ get () override;
}
abstract FileHeaders : byte[][] with get
override FileHeaders : byte[][] with get

Property Value

Type: Byte

Implements

ISupportedImageFormatFileHeaders
See Also

Reference

JpegFormat Class
ImageProcessor.Imaging.Formats Namespace


JpegFormat.ImageFormat Property

JpegFormatImageFormat Property
Gets the ImageFormat.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override ImageFormat ImageFormat { get; }
Public Overrides ReadOnly Property ImageFormat As ImageFormat
    Get
public:
virtual property ImageFormat^ ImageFormat {
    ImageFormat^ get () override;
}
abstract ImageFormat : ImageFormat with get
override ImageFormat : ImageFormat with get

Property Value

Type: ImageFormat

Implements

ISupportedImageFormatImageFormat
See Also

Reference

JpegFormat Class
ImageProcessor.Imaging.Formats Namespace


JpegFormat.MimeType Property

JpegFormatMimeType Property
Gets the standard identifier used on the Internet to indicate the type of data that a file contains.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string MimeType { get; }
Public Overrides ReadOnly Property MimeType As String
    Get
public:
virtual property String^ MimeType {
    String^ get () override;
}
abstract MimeType : string with get
override MimeType : string with get

Property Value

Type: String

Implements

ISupportedImageFormatMimeType
See Also

Reference

JpegFormat Class
ImageProcessor.Imaging.Formats Namespace


JpegFormat Methods

JpegFormat Methods

The JpegFormat type exposes the following members.

Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Inherited from FormatBase.)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

JpegFormat Class
ImageProcessor.Imaging.Formats Namespace


JpegFormat.Save Method

JpegFormatSave Method
Overload List
 | Name | Description
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Top
See Also

Reference

JpegFormat Class
ImageProcessor.Imaging.Formats Namespace


JpegFormat.Save Method (Stream, Image, Int64)

JpegFormatSave Method (Stream, Image, Int64)
Saves the current image to the specified output stream.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Image Save(
    Stream stream,
    Image image,
    long bitDepth
)
Public Overrides Function Save (
    stream As Stream,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    Stream^ stream,
    Image^ image,
    long long bitDepth
) override
abstract Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image

Parameters

stream
Type: System.IOStream
The Stream to save the image information to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(Stream, Image, Int64)
See Also

Reference

JpegFormat Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


JpegFormat.Save Method (String, Image, Int64)

JpegFormatSave Method (String, Image, Int64)
Saves the current image to the specified file path.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Image Save(
    string path,
    Image image,
    long bitDepth
)
Public Overrides Function Save (
    path As String,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    String^ path,
    Image^ image,
    long long bitDepth
) override
abstract Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image

Parameters

path
Type: SystemString
The path to save the image to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(String, Image, Int64)
See Also

Reference

JpegFormat Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


PngFormat Class

PngFormat Class
Provides the necessary information to support png images.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsFormatBase
ImageProcessor.Imaging.FormatsPngFormat

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PngFormat : FormatBase, IQuantizableImageFormat
Public Class PngFormat
    Inherits FormatBase
    Implements IQuantizableImageFormat
public ref class PngFormat : public FormatBase,
    IQuantizableImageFormat
type PngFormat =
    class
        inherit FormatBase
        interface IQuantizableImageFormat
    end

The PngFormat type exposes the following members.

Constructors
 | Name | Description
Public method | PngFormat | Initializes a new instance of the PngFormat class
Top
Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Public property | Quantizer | Gets or sets the quantizer for reducing the image palette.
Top
Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Inherited from FormatBase.)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


PngFormat Constructor

PngFormat Constructor
Initializes a new instance of the PngFormat class

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public PngFormat()
Public Sub New
public:
PngFormat()
new : unit -> PngFormat
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat Properties

PngFormat Properties

The PngFormat type exposes the following members.

Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Public property | Quantizer | Gets or sets the quantizer for reducing the image palette.
Top
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat.FileExtensions Property

PngFormatFileExtensions Property
Gets the list of file extensions.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string[] FileExtensions { get; }
Public Overrides ReadOnly Property FileExtensions As String()
    Get
public:
virtual property array<String^>^ FileExtensions {
    array<String^>^ get () override;
}
abstract FileExtensions : string[] with get
override FileExtensions : string[] with get

Property Value

Type: String

Implements

ISupportedImageFormatFileExtensions
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat.FileHeaders Property

PngFormatFileHeaders Property
Gets the file headers.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override byte[][] FileHeaders { get; }
Public Overrides ReadOnly Property FileHeaders As Byte()()
    Get
public:
virtual property array<array<unsigned char>^>^ FileHeaders {
    array<array<unsigned char>^>^ get () override;
}
abstract FileHeaders : byte[][] with get
override FileHeaders : byte[][] with get

Property Value

Type: Byte

Implements

ISupportedImageFormatFileHeaders
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat.ImageFormat Property

PngFormatImageFormat Property
Gets the ImageFormat.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override ImageFormat ImageFormat { get; }
Public Overrides ReadOnly Property ImageFormat As ImageFormat
    Get
public:
virtual property ImageFormat^ ImageFormat {
    ImageFormat^ get () override;
}
abstract ImageFormat : ImageFormat with get
override ImageFormat : ImageFormat with get

Property Value

Type: ImageFormat

Implements

ISupportedImageFormatImageFormat
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat.MimeType Property

PngFormatMimeType Property
Gets the standard identifier used on the Internet to indicate the type of data that a file contains.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string MimeType { get; }
Public Overrides ReadOnly Property MimeType As String
    Get
public:
virtual property String^ MimeType {
    String^ get () override;
}
abstract MimeType : string with get
override MimeType : string with get

Property Value

Type: String

Implements

ISupportedImageFormatMimeType
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat.Quantizer Property

PngFormatQuantizer Property
Gets or sets the quantizer for reducing the image palette.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public IQuantizer Quantizer { get; set; }
Public Property Quantizer As IQuantizer
    Get
    Set
public:
virtual property IQuantizer^ Quantizer {
    IQuantizer^ get () sealed;
    void set (IQuantizer^ value) sealed;
}
abstract Quantizer : IQuantizer with get, set
override Quantizer : IQuantizer with get, set

Property Value

Type: IQuantizer

Implements

IQuantizableImageFormatQuantizer
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat Methods

PngFormat Methods

The PngFormat type exposes the following members.

Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Inherited from FormatBase.)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat.Save Method

PngFormatSave Method
Overload List
 | Name | Description
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Top
See Also

Reference

PngFormat Class
ImageProcessor.Imaging.Formats Namespace


PngFormat.Save Method (Stream, Image, Int64)

PngFormatSave Method (Stream, Image, Int64)
Saves the current image to the specified output stream.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Image Save(
    Stream stream,
    Image image,
    long bitDepth
)
Public Overrides Function Save (
    stream As Stream,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    Stream^ stream,
    Image^ image,
    long long bitDepth
) override
abstract Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image

Parameters

stream
Type: System.IOStream
The Stream to save the image information to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(Stream, Image, Int64)
See Also

Reference

PngFormat Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


PngFormat.Save Method (String, Image, Int64)

PngFormatSave Method (String, Image, Int64)
Saves the current image to the specified file path.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Image Save(
    string path,
    Image image,
    long bitDepth
)
Public Overrides Function Save (
    path As String,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    String^ path,
    Image^ image,
    long long bitDepth
) override
abstract Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image

Parameters

path
Type: SystemString
The path to save the image to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(String, Image, Int64)
See Also

Reference

PngFormat Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


TiffFormat Class

TiffFormat Class
Provides the necessary information to support tiff images.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.FormatsFormatBase
ImageProcessor.Imaging.FormatsTiffFormat

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TiffFormat : FormatBase
Public Class TiffFormat
    Inherits FormatBase
public ref class TiffFormat : public FormatBase
type TiffFormat =
    class
        inherit FormatBase
    end

The TiffFormat type exposes the following members.

Constructors
 | Name | Description
Public method | TiffFormat | Initializes a new instance of the TiffFormat class
Top
Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Top
Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Overrides FormatBaseApplyProcessor(FuncImageFactory, Image, ImageFactory).)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Formats Namespace


TiffFormat Constructor

TiffFormat Constructor
Initializes a new instance of the TiffFormat class

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public TiffFormat()
Public Sub New
public:
TiffFormat()
new : unit -> TiffFormat
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat Properties

TiffFormat Properties

The TiffFormat type exposes the following members.

Properties
 | Name | Description
Public property | DefaultExtension | Gets the default file extension. (Inherited from FormatBase.)
Public property | FileExtensions | Gets the list of file extensions. (Overrides FormatBaseFileExtensions.)
Public property | FileHeaders | Gets the file headers. (Overrides FormatBaseFileHeaders.)
Public property | ImageFormat | Gets the ImageFormat. (Overrides FormatBaseImageFormat.)
Public property | IsIndexed | Gets or sets a value indicating whether the image format is indexed. (Inherited from FormatBase.)
Public property | MimeType | Gets the standard identifier used on the Internet to indicate the type of data that a file contains. (Overrides FormatBaseMimeType.)
Public property | Quality | Gets or sets the quality of output for images. (Inherited from FormatBase.)
Top
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat.FileExtensions Property

TiffFormatFileExtensions Property
Gets the list of file extensions.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string[] FileExtensions { get; }
Public Overrides ReadOnly Property FileExtensions As String()
    Get
public:
virtual property array<String^>^ FileExtensions {
    array<String^>^ get () override;
}
abstract FileExtensions : string[] with get
override FileExtensions : string[] with get

Property Value

Type: String

Implements

ISupportedImageFormatFileExtensions
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat.FileHeaders Property

TiffFormatFileHeaders Property
Gets the file headers.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override byte[][] FileHeaders { get; }
Public Overrides ReadOnly Property FileHeaders As Byte()()
    Get
public:
virtual property array<array<unsigned char>^>^ FileHeaders {
    array<array<unsigned char>^>^ get () override;
}
abstract FileHeaders : byte[][] with get
override FileHeaders : byte[][] with get

Property Value

Type: Byte

Implements

ISupportedImageFormatFileHeaders
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat.ImageFormat Property

TiffFormatImageFormat Property
Gets the ImageFormat.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override ImageFormat ImageFormat { get; }
Public Overrides ReadOnly Property ImageFormat As ImageFormat
    Get
public:
virtual property ImageFormat^ ImageFormat {
    ImageFormat^ get () override;
}
abstract ImageFormat : ImageFormat with get
override ImageFormat : ImageFormat with get

Property Value

Type: ImageFormat

Implements

ISupportedImageFormatImageFormat
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat.MimeType Property

TiffFormatMimeType Property
Gets the standard identifier used on the Internet to indicate the type of data that a file contains.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string MimeType { get; }
Public Overrides ReadOnly Property MimeType As String
    Get
public:
virtual property String^ MimeType {
    String^ get () override;
}
abstract MimeType : string with get
override MimeType : string with get

Property Value

Type: String

Implements

ISupportedImageFormatMimeType
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat Methods

TiffFormat Methods

The TiffFormat type exposes the following members.

Methods
 | Name | Description
Public method | ApplyProcessor | Applies the given processor the current image. (Overrides FormatBaseApplyProcessor(FuncImageFactory, Image, ImageFactory).)
Public method | Equals | Determines whether the specified Object, is equal to this instance. (Inherited from FormatBase.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from FormatBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Decodes the image to process. (Inherited from FormatBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat.ApplyProcessor Method

TiffFormatApplyProcessor Method
Applies the given processor the current image.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override void ApplyProcessor(
    Func<ImageFactory, Image> processor,
    ImageFactory factory
)
Public Overrides Sub ApplyProcessor (
    processor As Func(Of ImageFactory, Image),
    factory As ImageFactory
)
public:
virtual void ApplyProcessor(
    Func<ImageFactory^, Image^>^ processor,
    ImageFactory^ factory
) override
abstract ApplyProcessor :
        processor : Func<ImageFactory, Image> *
        factory : ImageFactory -> unit
override ApplyProcessor :
        processor : Func<ImageFactory, Image> *
        factory : ImageFactory -> unit

Parameters

processor
Type: SystemFunc ImageFactory, Image
The processor delegate.
factory
Type: ImageProcessorImageFactory
The ImageFactory.

Implements

ISupportedImageFormatApplyProcessor(FuncImageFactory, Image, ImageFactory)
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat.Save Method

TiffFormatSave Method
Overload List
 | Name | Description
Public method | Save(Stream, Image, Int64) | Saves the current image to the specified output stream. (Overrides FormatBaseSave(Stream, Image, Int64).)
Public method | Save(String, Image, Int64) | Saves the current image to the specified file path. (Overrides FormatBaseSave(String, Image, Int64).)
Top
See Also

Reference

TiffFormat Class
ImageProcessor.Imaging.Formats Namespace


TiffFormat.Save Method (Stream, Image, Int64)

TiffFormatSave Method (Stream, Image, Int64)
Saves the current image to the specified output stream.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Image Save(
    Stream stream,
    Image image,
    long bitDepth
)
Public Overrides Function Save (
    stream As Stream,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    Stream^ stream,
    Image^ image,
    long long bitDepth
) override
abstract Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        stream : Stream *
        image : Image *
        bitDepth : int64 -> Image

Parameters

stream
Type: System.IOStream
The Stream to save the image information to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(Stream, Image, Int64)
See Also

Reference

TiffFormat Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


TiffFormat.Save Method (String, Image, Int64)

TiffFormatSave Method (String, Image, Int64)
Saves the current image to the specified file path.

Namespace: ImageProcessor.Imaging.Formats
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Image Save(
    string path,
    Image image,
    long bitDepth
)
Public Overrides Function Save (
    path As String,
    image As Image,
    bitDepth As Long
) As Image
public:
virtual Image^ Save(
    String^ path,
    Image^ image,
    long long bitDepth
) override
abstract Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image
override Save :
        path : string *
        image : Image *
        bitDepth : int64 -> Image

Parameters

path
Type: SystemString
The path to save the image to.
image
Type: System.DrawingImage
The Image to save.
bitDepth
Type: SystemInt64
The color depth in number of bits per pixel to save the image with.

Return Value

Type: Image
The Image.

Implements

ISupportedImageFormatSave(String, Image, Int64)
See Also

Reference

TiffFormat Class
Save Overload
ImageProcessor.Imaging.Formats Namespace


ImageProcessor.Imaging.Helpers Namespace

ImageProcessor.Imaging.Helpers Namespace
Classes
 | Class | Description
Public class | Adjustments | Provides reusable adjustment methods to apply to images.
Public class | Effects | Provides reusable effect methods to apply to images.
Public class | ImageMaths | Provides reusable mathematical methods to apply to images.
Public class | PixelOperations | Performs per-pixel operations.


Adjustments Class

Adjustments Class
Provides reusable adjustment methods to apply to images.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.HelpersAdjustments

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class Adjustments
Public NotInheritable Class Adjustments
public ref class Adjustments abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Adjustments =  class end

The Adjustments type exposes the following members.

Methods
Name | Description
Alpha | Adjusts the alpha component of the given image.
Brightness | Adjusts the brightness component of the given image.
Contrast | Adjusts the contrast component of the given image.
Gamma | Adjust the gamma (intensity of the light) component of the given image.
ToLinear | Converts an image from an sRGB color-space to the equivalent linear color-space.
ToSRGB | Converts an image from a linear color-space to the equivalent sRGB color-space.
Top
See Also

Reference

ImageProcessor.Imaging.Helpers Namespace


Adjustments Methods

Adjustments Methods

The Adjustments type exposes the following members.

Methods
Name | Description
Alpha | Adjusts the alpha component of the given image.
Brightness | Adjusts the brightness component of the given image.
Contrast | Adjusts the contrast component of the given image.
Gamma | Adjust the gamma (intensity of the light) component of the given image.
ToLinear | Converts an image from an sRGB color-space to the equivalent linear color-space.
ToSRGB | Converts an image from a linear color-space to the equivalent sRGB color-space.
Top
See Also

Reference

Adjustments Class
ImageProcessor.Imaging.Helpers Namespace


Adjustments.Alpha Method

AdjustmentsAlpha Method
Adjusts the alpha component of the given image.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap Alpha(
    Image source,
    int percentage,
    Nullable<Rectangle> rectangle = null
)
Public Shared Function Alpha (
    source As Image,
    percentage As Integer,
    Optional rectangle As Nullable(Of Rectangle) = Nothing
) As Bitmap
public:
static Bitmap^ Alpha(
    Image^ source,
    int percentage,
    Nullable<Rectangle> rectangle = nullptr
)
static member Alpha :
        source : Image *
        percentage : int *
        ?rectangle : Nullable<Rectangle>
(* Defaults:
        let _rectangle = defaultArg rectangle null
*)
-> Bitmap

Parameters

source
Type: System.DrawingImage
The Image source to adjust.
percentage
Type: SystemInt32
The percentage value between 0 and 100 for adjusting the opacity.
rectangle (Optional)
Type: SystemNullable Rectangle
The rectangle to define the bounds of the area to adjust the opacity. If null then the effect is applied to the entire image.

Return Value

Type: Bitmap
The Bitmap with the alpha component adjusted.
Exceptions
Exception | Condition
ArgumentOutOfRangeException | Thrown if the percentage value falls outside the acceptable range.
See Also

Reference

Adjustments Class
ImageProcessor.Imaging.Helpers Namespace


Adjustments.Brightness Method

AdjustmentsBrightness Method
Adjusts the brightness component of the given image.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap Brightness(
    Image source,
    int threshold,
    Nullable<Rectangle> rectangle = null
)
Public Shared Function Brightness (
    source As Image,
    threshold As Integer,
    Optional rectangle As Nullable(Of Rectangle) = Nothing
) As Bitmap
public:
static Bitmap^ Brightness(
    Image^ source,
    int threshold,
    Nullable<Rectangle> rectangle = nullptr
)
static member Brightness :
        source : Image *
        threshold : int *
        ?rectangle : Nullable<Rectangle>
(* Defaults:
        let _rectangle = defaultArg rectangle null
*)
-> Bitmap

Parameters

source
Type: System.DrawingImage
The Image source to adjust.
threshold
Type: SystemInt32
The threshold value between -100 and 100 for adjusting the brightness.
rectangle (Optional)
Type: SystemNullable Rectangle
The rectangle to define the bounds of the area to adjust the brightness. If null then the effect is applied to the entire image.

Return Value

Type: Bitmap
The Bitmap with the brightness adjusted.
Exceptions
Exception | Condition
ArgumentOutOfRangeException | Thrown if the threshold value falls outside the acceptable range.
See Also

Reference

Adjustments Class
ImageProcessor.Imaging.Helpers Namespace


Adjustments.Contrast Method

AdjustmentsContrast Method
Adjusts the contrast component of the given image.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap Contrast(
    Image source,
    int threshold,
    Nullable<Rectangle> rectangle = null
)
Public Shared Function Contrast (
    source As Image,
    threshold As Integer,
    Optional rectangle As Nullable(Of Rectangle) = Nothing
) As Bitmap
public:
static Bitmap^ Contrast(
    Image^ source,
    int threshold,
    Nullable<Rectangle> rectangle = nullptr
)
static member Contrast :
        source : Image *
        threshold : int *
        ?rectangle : Nullable<Rectangle>
(* Defaults:
        let _rectangle = defaultArg rectangle null
*)
-> Bitmap

Parameters

source
Type: System.DrawingImage
The Image source to adjust.
threshold
Type: SystemInt32
The threshold value between -100 and 100 for adjusting the contrast.
rectangle (Optional)
Type: SystemNullable Rectangle
The rectangle to define the bounds of the area to adjust the contrast. If null then the effect is applied to the entire image.

Return Value

Type: Bitmap
The Bitmap with the contrast adjusted.
Exceptions
Exception | Condition
ArgumentOutOfRangeException | Thrown if the threshold value falls outside the acceptable range.
See Also

Reference

Adjustments Class
ImageProcessor.Imaging.Helpers Namespace


Adjustments.Gamma Method

AdjustmentsGamma Method
Adjust the gamma (intensity of the light) component of the given image.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap Gamma(
    Image source,
    float value
)
Public Shared Function Gamma (
    source As Image,
    value As Single
) As Bitmap
public:
static Bitmap^ Gamma(
    Image^ source,
    float value
)
static member Gamma :
        source : Image *
        value : float32 -> Bitmap

Parameters

source
Type: System.DrawingImage
The Image source to adjust.
value
Type: SystemSingle
The value to adjust the gamma by (typically between .2 and 5).

Return Value

Type: Bitmap
The Bitmap with the gamma adjusted.
Exceptions
Exception | Condition
ArgumentOutOfRangeException | Thrown if the value falls outside the acceptable range.
See Also

Reference

Adjustments Class
ImageProcessor.Imaging.Helpers Namespace


Adjustments.ToLinear Method

AdjustmentsToLinear Method
Converts an image from an sRGB color-space to the equivalent linear color-space.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap ToLinear(
    Image source
)
Public Shared Function ToLinear (
    source As Image
) As Bitmap
public:
static Bitmap^ ToLinear(
    Image^ source
)
static member ToLinear :
        source : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The Image source to convert.

Return Value

Type: Bitmap
The Bitmap.
See Also

Reference

Adjustments Class
ImageProcessor.Imaging.Helpers Namespace


Adjustments.ToSRGB Method

AdjustmentsToSRGB Method
Converts an image from a linear color-space to the equivalent sRGB color-space.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap ToSRGB(
    Image source
)
Public Shared Function ToSRGB (
    source As Image
) As Bitmap
public:
static Bitmap^ ToSRGB(
    Image^ source
)
static member ToSRGB :
        source : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The Image source to convert.

Return Value

Type: Bitmap
The Bitmap.
See Also

Reference

Adjustments Class
ImageProcessor.Imaging.Helpers Namespace


Effects Class

Effects Class
Provides reusable effect methods to apply to images.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.HelpersEffects

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class Effects
Public NotInheritable Class Effects
public ref class Effects abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Effects =  class end

The Effects type exposes the following members.

Methods
Name | Description
ApplyMask | Applies the given image mask to the source.
Glow | Adds a diffused glow (inverted vignette) effect to the source image based on the given color.
Trace | Traces the edges of a given Image.
Vignette | Adds a vignette effect to the source image based on the given color.
Top
See Also

Reference

ImageProcessor.Imaging.Helpers Namespace


Effects Methods

Effects Methods

The Effects type exposes the following members.

Methods
Name | Description
ApplyMask | Applies the given image mask to the source.
Glow | Adds a diffused glow (inverted vignette) effect to the source image based on the given color.
Trace | Traces the edges of a given Image.
Vignette | Adds a vignette effect to the source image based on the given color.
Top
See Also

Reference

Effects Class
ImageProcessor.Imaging.Helpers Namespace


Effects.ApplyMask Method

EffectsApplyMask Method
Applies the given image mask to the source.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap ApplyMask(
    Image source,
    Image mask
)
Public Shared Function ApplyMask (
    source As Image,
    mask As Image
) As Bitmap
public:
static Bitmap^ ApplyMask(
    Image^ source,
    Image^ mask
)
static member ApplyMask :
        source : Image *
        mask : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The source Image.
mask
Type: System.DrawingImage
The mask Image.

Return Value

Type: Bitmap
The masked Bitmap.
Exceptions
Exception | Condition
ArgumentException | Thrown if the two images are of different size.
See Also

Reference

Effects Class
ImageProcessor.Imaging.Helpers Namespace


Effects.Glow Method

EffectsGlow Method
Adds a diffused glow (inverted vignette) effect to the source image based on the given color.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap Glow(
    Image source,
    Color baseColor,
    Nullable<Rectangle> rectangle = null
)
Public Shared Function Glow (
    source As Image,
    baseColor As Color,
    Optional rectangle As Nullable(Of Rectangle) = Nothing
) As Bitmap
public:
static Bitmap^ Glow(
    Image^ source,
    Color baseColor,
    Nullable<Rectangle> rectangle = nullptr
)
static member Glow :
        source : Image *
        baseColor : Color *
        ?rectangle : Nullable<Rectangle>
(* Defaults:
        let _rectangle = defaultArg rectangle null
*)
-> Bitmap

Parameters

source
Type: System.DrawingImage
The Image source.
baseColor
Type: System.DrawingColor
Color to base the vignette on.
rectangle (Optional)
Type: SystemNullable Rectangle
The rectangle to define the bounds of the area to vignette. If null then the effect is applied to the entire image.

Return Value

Type: Bitmap
The Bitmap with the vignette applied.
See Also

Reference

Effects Class
ImageProcessor.Imaging.Helpers Namespace


Effects.Trace Method

EffectsTrace Method
Traces the edges of a given Image.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap Trace(
    Image source,
    Image destination,
    byte threshold = 0
)
Public Shared Function Trace (
    source As Image,
    destination As Image,
    Optional threshold As Byte = 0
) As Bitmap
public:
static Bitmap^ Trace(
    Image^ source,
    Image^ destination,
    unsigned char threshold = 0
)
static member Trace :
        source : Image *
        destination : Image *
        ?threshold : byte
(* Defaults:
        let _threshold = defaultArg threshold 0
*)
-> Bitmap

Parameters

source
Type: System.DrawingImage
The source Image.
destination
Type: System.DrawingImage
The destination Image.
threshold (Optional)
Type: SystemByte
The threshold (between 0 and 255).

Return Value

Type: Bitmap
The a new instance of Bitmap traced.
See Also

Reference

Effects Class
ImageProcessor.Imaging.Helpers Namespace


Effects.Vignette Method

EffectsVignette Method
Adds a vignette effect to the source image based on the given color.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Bitmap Vignette(
    Image source,
    Color baseColor,
    Nullable<Rectangle> rectangle = null,
    bool invert = false
)
Public Shared Function Vignette (
    source As Image,
    baseColor As Color,
    Optional rectangle As Nullable(Of Rectangle) = Nothing,
    Optional invert As Boolean = false
) As Bitmap
public:
static Bitmap^ Vignette(
    Image^ source,
    Color baseColor,
    Nullable<Rectangle> rectangle = nullptr,
    bool invert = false
)
static member Vignette :
        source : Image *
        baseColor : Color *
        ?rectangle : Nullable<Rectangle> *
        ?invert : bool
(* Defaults:
        let _rectangle = defaultArg rectangle null
        let _invert = defaultArg invert false
*)
-> Bitmap

Parameters

source
Type: System.DrawingImage
The Image source.
baseColor
Type: System.DrawingColor
Color to base the vignette on.
rectangle (Optional)
Type: SystemNullable Rectangle
The rectangle to define the bounds of the area to vignette. If null then the effect is applied to the entire image.
invert (Optional)
Type: SystemBoolean
Whether to invert the vignette.

Return Value

Type: Bitmap
The Bitmap with the vignette applied.
See Also

Reference

Effects Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths Class

ImageMaths Class
Provides reusable mathematical methods to apply to images.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.HelpersImageMaths

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class ImageMaths
Public NotInheritable Class ImageMaths
public ref class ImageMaths abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ImageMaths =  class end

The ImageMaths type exposes the following members.

Methods
Name | Description
CenteredRectangle | Gets a Rectangle representing the child centered relative to the parent.
ClampT | Restricts a value to be within a specified range.
DegreesToRadians | Returns the given degrees converted to radians.
GetBoundingRectangle | Gets the bounding Rectangle from the given points.
GetBoundingRotatedRectangle | Calculates the new size after rotation.
GetFilteredBoundingRectangle | Finds the bounding rectangle based on the first instance of any color component other than the given one.
InRangeT | Returns value indicating whether the given number is with in the minimum and maximum given range.
RotatePoint | Rotates one point around another http://stackoverflow.com/a/13695630/82333
ToPoints | Returns the array of Point matching the bounds of the given rectangle.
ZoomAfterRotation | Calculates the zoom needed after the rotation to ensure the canvas is covered by the rotated image.
Top
See Also

Reference

ImageProcessor.Imaging.Helpers Namespace


ImageMaths Methods

ImageMaths Methods

The ImageMaths type exposes the following members.

Methods
Name | Description
CenteredRectangle | Gets a Rectangle representing the child centered relative to the parent.
ClampT | Restricts a value to be within a specified range.
DegreesToRadians | Returns the given degrees converted to radians.
GetBoundingRectangle | Gets the bounding Rectangle from the given points.
GetBoundingRotatedRectangle | Calculates the new size after rotation.
GetFilteredBoundingRectangle | Finds the bounding rectangle based on the first instance of any color component other than the given one.
InRangeT | Returns value indicating whether the given number is with in the minimum and maximum given range.
RotatePoint | Rotates one point around another http://stackoverflow.com/a/13695630/82333
ToPoints | Returns the array of Point matching the bounds of the given rectangle.
ZoomAfterRotation | Calculates the zoom needed after the rotation to ensure the canvas is covered by the rotated image.
Top
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.CenteredRectangle Method

ImageMathsCenteredRectangle Method
Gets a Rectangle representing the child centered relative to the parent.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static RectangleF CenteredRectangle(
    Rectangle parent,
    Rectangle child
)
Public Shared Function CenteredRectangle (
    parent As Rectangle,
    child As Rectangle
) As RectangleF
public:
static RectangleF CenteredRectangle(
    Rectangle parent,
    Rectangle child
)
static member CenteredRectangle :
        parent : Rectangle *
        child : Rectangle -> RectangleF

Parameters

parent
Type: System.DrawingRectangle
The parent Rectangle.
child
Type: System.DrawingRectangle
The child Rectangle.

Return Value

Type: RectangleF
The centered Rectangle.
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.Clamp(T) Method

ImageMathsClampT Method
Restricts a value to be within a specified range.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static T Clamp<T>(
    T value,
    T min,
    T max
)
where T : Object, IComparable<T>

Public Shared Function Clamp(Of T As {Object, IComparable(Of T)}) (
    value As T,
    min As T,
    max As T
) As T
public:
generic<typename T>
where T : Object, IComparable<T>
static T Clamp(
    T value,
    T min,
    T max
)
static member Clamp :
        value : 'T *
        min : 'T *
        max : 'T -> 'T  when 'T : Object and IComparable<'T>

Parameters

value
Type: T
The The value to clamp.
min
Type: T
The minimum value. If value is less than min, min will be returned.
max
Type: T
The maximum value. If value is greater than max, max will be returned.

Type Parameters

T
The Type to clamp.

Return Value

Type: T
The IComparableT representing the clamped value.
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.DegreesToRadians Method

ImageMathsDegreesToRadians Method
Returns the given degrees converted to radians.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static double DegreesToRadians(
    double angleInDegrees
)
Public Shared Function DegreesToRadians (
    angleInDegrees As Double
) As Double
public:
static double DegreesToRadians(
    double angleInDegrees
)
static member DegreesToRadians :
        angleInDegrees : float -> float

Parameters

angleInDegrees
Type: SystemDouble
The angle in degrees.

Return Value

Type: Double
The Double representing the degree as radians.
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.GetBoundingRectangle Method

ImageMathsGetBoundingRectangle Method
Gets the bounding Rectangle from the given points.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rectangle GetBoundingRectangle(
    Point topLeft,
    Point bottomRight
)
Public Shared Function GetBoundingRectangle (
    topLeft As Point,
    bottomRight As Point
) As Rectangle
public:
static Rectangle GetBoundingRectangle(
    Point topLeft,
    Point bottomRight
)
static member GetBoundingRectangle :
        topLeft : Point *
        bottomRight : Point -> Rectangle

Parameters

topLeft
Type: System.DrawingPoint
The Point designating the top left position.
bottomRight
Type: System.DrawingPoint
The Point designating the bottom right position.

Return Value

Type: Rectangle
The bounding Rectangle.
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.GetBoundingRotatedRectangle Method

ImageMathsGetBoundingRotatedRectangle Method
Calculates the new size after rotation.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rectangle GetBoundingRotatedRectangle(
    int width,
    int height,
    float angleInDegrees
)
Public Shared Function GetBoundingRotatedRectangle (
    width As Integer,
    height As Integer,
    angleInDegrees As Single
) As Rectangle
public:
static Rectangle GetBoundingRotatedRectangle(
    int width,
    int height,
    float angleInDegrees
)
static member GetBoundingRotatedRectangle :
        width : int *
        height : int *
        angleInDegrees : float32 -> Rectangle

Parameters

width
Type: SystemInt32
The width of the image.
height
Type: SystemInt32
The height of the image.
angleInDegrees
Type: SystemSingle
The angle of rotation.

Return Value

Type: Rectangle
The new size of the image
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.GetFilteredBoundingRectangle Method

ImageMathsGetFilteredBoundingRectangle Method
Finds the bounding rectangle based on the first instance of any color component other than the given one.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rectangle GetFilteredBoundingRectangle(
    Image bitmap,
    byte componentValue,
    RgbaComponent channel = RgbaComponent.B
)
Public Shared Function GetFilteredBoundingRectangle (
    bitmap As Image,
    componentValue As Byte,
    Optional channel As RgbaComponent = RgbaComponent.B
) As Rectangle
public:
static Rectangle GetFilteredBoundingRectangle(
    Image^ bitmap,
    unsigned char componentValue,
    RgbaComponent channel = RgbaComponent::B
)
static member GetFilteredBoundingRectangle :
        bitmap : Image *
        componentValue : byte *
        ?channel : RgbaComponent
(* Defaults:
        let _channel = defaultArg channel RgbaComponent.B
*)
-> Rectangle

Parameters

bitmap
Type: System.DrawingImage
The Image to search within.
componentValue
Type: SystemByte
The color component value to remove.
channel (Optional)
Type: ImageProcessor.Imaging.ColorsRgbaComponent
The RgbaComponent channel to test against.

Return Value

Type: Rectangle
The Rectangle.
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.InRange(T) Method

ImageMathsInRangeT Method
Returns value indicating whether the given number is with in the minimum and maximum given range.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool InRange<T>(
    T value,
    T min,
    T max,
    bool include = true
)
where T : Object, IComparable<T>

Public Shared Function InRange(Of T As {Object, IComparable(Of T)}) (
    value As T,
    min As T,
    max As T,
    Optional include As Boolean = true
) As Boolean
public:
generic<typename T>
where T : Object, IComparable<T>
static bool InRange(
    T value,
    T min,
    T max,
    bool include = true
)
static member InRange :
        value : 'T *
        min : 'T *
        max : 'T *
        ?include : bool
(* Defaults:
        let _include = defaultArg include true
*)
-> bool  when 'T : Object and IComparable<'T>

Parameters

value
Type: T
The The value to clamp.
min
Type: T
If includeThe minimum range value.
max
Type: T
The maximum range value.
include (Optional)
Type: SystemBoolean
Whether to include the minimum and maximum values. Defaults to true.

Type Parameters

T
The Type to test.

Return Value

Type: Boolean
True if the value falls within the maximum and minimum; otherwise, false.
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.RotatePoint Method

ImageMathsRotatePoint Method
Rotates one point around another http://stackoverflow.com/a/13695630/82333

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Point RotatePoint(
    Point pointToRotate,
    double angleInDegrees,
    Nullable<Point> centerPoint = null
)
Public Shared Function RotatePoint (
    pointToRotate As Point,
    angleInDegrees As Double,
    Optional centerPoint As Nullable(Of Point) = Nothing
) As Point
public:
static Point RotatePoint(
    Point pointToRotate,
    double angleInDegrees,
    Nullable<Point> centerPoint = nullptr
)
static member RotatePoint :
        pointToRotate : Point *
        angleInDegrees : float *
        ?centerPoint : Nullable<Point>
(* Defaults:
        let _centerPoint = defaultArg centerPoint null
*)
-> Point

Parameters

pointToRotate
Type: System.DrawingPoint
The point to rotate.
angleInDegrees
Type: SystemDouble
The rotation angle in degrees.
centerPoint (Optional)
Type: SystemNullable Point
The centre point of rotation. If not set the point will equal Empty

Return Value

Type: Point
Rotated point
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.ToPoints Method

ImageMathsToPoints Method
Returns the array of Point matching the bounds of the given rectangle.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Point[] ToPoints(
    Rectangle rectangle
)
Public Shared Function ToPoints (
    rectangle As Rectangle
) As Point()
public:
static array<Point>^ ToPoints(
    Rectangle rectangle
)
static member ToPoints :
        rectangle : Rectangle -> Point[]

Parameters

rectangle
Type: System.DrawingRectangle
The Rectangle to return the points from.

Return Value

Type: Point
The Point array.
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


ImageMaths.ZoomAfterRotation Method

ImageMathsZoomAfterRotation Method
Calculates the zoom needed after the rotation to ensure the canvas is covered by the rotated image.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static float ZoomAfterRotation(
    int imageWidth,
    int imageHeight,
    float angleInDegrees
)
Public Shared Function ZoomAfterRotation (
    imageWidth As Integer,
    imageHeight As Integer,
    angleInDegrees As Single
) As Single
public:
static float ZoomAfterRotation(
    int imageWidth,
    int imageHeight,
    float angleInDegrees
)
static member ZoomAfterRotation :
        imageWidth : int *
        imageHeight : int *
        angleInDegrees : float32 -> float32

Parameters

imageWidth
Type: SystemInt32
Width of the image.
imageHeight
Type: SystemInt32
Height of the image.
angleInDegrees
Type: SystemSingle
The angle in degrees.

Return Value

Type: Single
The zoom needed
Remarks
Based on http://math.stackexchange.com/questions/1070853/
See Also

Reference

ImageMaths Class
ImageProcessor.Imaging.Helpers Namespace


PixelOperations Class

PixelOperations Class
Performs per-pixel operations.
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.HelpersPixelOperations

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class PixelOperations
Public NotInheritable Class PixelOperations
public ref class PixelOperations abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type PixelOperations =  class end

The PixelOperations type exposes the following members.

Methods
Name | Description
Gamma | Returns the given color adjusted by the given gamma value.
ToGammaFromLinear | Converts an pixel from a linear color-space to the equivalent gamma color-space.
ToLinear | Converts an pixel from an sRGB color-space to the equivalent linear color-space.
ToLinearFromGamma | Converts an pixel from a gamma color-space to the equivalent linear color-space.
ToSRGB | Converts an image from a linear color-space to the equivalent sRGB color-space.
Top
See Also

Reference

ImageProcessor.Imaging.Helpers Namespace


PixelOperations Methods

PixelOperations Methods

The PixelOperations type exposes the following members.

Methods
Name | Description
Gamma | Returns the given color adjusted by the given gamma value.
ToGammaFromLinear | Converts an pixel from a linear color-space to the equivalent gamma color-space.
ToLinear | Converts an pixel from an sRGB color-space to the equivalent linear color-space.
ToLinearFromGamma | Converts an pixel from a gamma color-space to the equivalent linear color-space.
ToSRGB | Converts an image from a linear color-space to the equivalent sRGB color-space.
Top
See Also

Reference

PixelOperations Class
ImageProcessor.Imaging.Helpers Namespace


PixelOperations.Gamma Method

PixelOperationsGamma Method
Returns the given color adjusted by the given gamma value.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Color Gamma(
    Color color,
    float value
)
Public Shared Function Gamma (
    color As Color,
    value As Single
) As Color
public:
static Color Gamma(
    Color color,
    float value
)
static member Gamma :
        color : Color *
        value : float32 -> Color

Parameters

color
Type: System.DrawingColor
The Color to adjust.
value
Type: SystemSingle
The gamma value - Between .1 and 5.

Return Value

Type: Color
The adjusted Color.
Exceptions
Exception | Condition
ArgumentOutOfRangeException | Thrown if the given gamma value is out with the acceptable range.
See Also

Reference

PixelOperations Class
ImageProcessor.Imaging.Helpers Namespace


PixelOperations.ToGammaFromLinear Method

PixelOperationsToGammaFromLinear Method
Converts an pixel from a linear color-space to the equivalent gamma color-space.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Color ToGammaFromLinear(
    Color composite
)
Public Shared Function ToGammaFromLinear (
    composite As Color
) As Color
public:
static Color ToGammaFromLinear(
    Color composite
)
static member ToGammaFromLinear :
        composite : Color -> Color

Parameters

composite
Type: System.DrawingColor
The Color to convert.

Return Value

Type: Color
The Color.
See Also

Reference

PixelOperations Class
ImageProcessor.Imaging.Helpers Namespace


PixelOperations.ToLinear Method

PixelOperationsToLinear Method
Converts an pixel from an sRGB color-space to the equivalent linear color-space.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Color ToLinear(
    Color composite
)
Public Shared Function ToLinear (
    composite As Color
) As Color
public:
static Color ToLinear(
    Color composite
)
static member ToLinear :
        composite : Color -> Color

Parameters

composite
Type: System.DrawingColor
The Color to convert.

Return Value

Type: Color
The Color.
See Also

Reference

PixelOperations Class
ImageProcessor.Imaging.Helpers Namespace


PixelOperations.ToLinearFromGamma Method

PixelOperationsToLinearFromGamma Method
Converts an pixel from a gamma color-space to the equivalent linear color-space.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Color ToLinearFromGamma(
    Color composite
)
Public Shared Function ToLinearFromGamma (
    composite As Color
) As Color
public:
static Color ToLinearFromGamma(
    Color composite
)
static member ToLinearFromGamma :
        composite : Color -> Color

Parameters

composite
Type: System.DrawingColor
The Color to convert.

Return Value

Type: Color
The Color.
See Also

Reference

PixelOperations Class
ImageProcessor.Imaging.Helpers Namespace


PixelOperations.ToSRGB Method

PixelOperationsToSRGB Method
Converts an image from a linear color-space to the equivalent sRGB color-space.

Namespace: ImageProcessor.Imaging.Helpers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Color ToSRGB(
    Color linear
)
Public Shared Function ToSRGB (
    linear As Color
) As Color
public:
static Color ToSRGB(
    Color linear
)
static member ToSRGB :
        linear : Color -> Color

Parameters

linear
Type: System.DrawingColor
The Color to convert.

Return Value

Type: Color
The Bitmap.
See Also

Reference

PixelOperations Class
ImageProcessor.Imaging.Helpers Namespace


ImageProcessor.Imaging.MetaData Namespace

ImageProcessor.Imaging.MetaData Namespace
Structures
 | Structure | Description
Public structure | RationalT | Represents a rational number. Any number that can be expressed as the quotient or fraction p/q of two numbers, p and q, with the denominator q not equal to zero. Remarks Adapted from https://github.com/mckamey/exif-utils.net by Stephen McKamey.
Enumerations
 | Enumeration | Description
Public enumeration | ExifPropertyTag | The following enum gives descriptions of the property items supported by Windows GDI+. http://msdn.microsoft.com/en-us/library/ms534417%28VS.85%29.aspx
Public enumeration | ExifPropertyTagType | Specifies the data type of the values stored in the value data member of that same PropertyItem object. http://msdn.microsoft.com/en-us/library/system.drawing.imaging.propertyitem.type.aspx
Public enumeration | PropertyTagResolutionUnit | The following enum gives the unit of measure for the horizontal resolution and the vertical resolution supported by Windows GDI+. https://msdn.microsoft.com/en-us/library/ms534416(v=vs.85).aspx#_gdiplus_constant_propertytagresolutionunit


ExifPropertyTag Enumeration

ExifPropertyTag Enumeration
The following enum gives descriptions of the property items supported by Windows GDI+. http://msdn.microsoft.com/en-us/library/ms534417%28VS.85%29.aspx

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum ExifPropertyTag
Public Enumeration ExifPropertyTag
public enum class ExifPropertyTag
type ExifPropertyTag
Members
Member name | Value | Description
Artist | 315 | Null-terminated character string that specifies the name of the person who created the image.
BitsPerSample | 258 | Number of bits per color component. See also SamplesPerPixel
CellHeight | 265 | Height of the dithering or halftoning matrix.
CellWidth | 264 | Width of the dithering or halftoning matrix.
ChrominanceTable | 20625 | Chrominance table. The luminance table and the chrominance table are used to control JPEG quality. A valid luminance or chrominance table has 64 entries. If an image has either a luminance table or a chrominance table, then it must have both tables.
ColorMap | 320 | Color palette (lookup table) for a palette-indexed image.
ColorTransferFunction | 20506 | Table of values that specify color transfer functions.
Compression | 259 | Compression scheme used for the image data.
Copyright | 33432 | Null-terminated character string that contains copyright information.
DateTime | 306 | Date and time the image was created.
DocumentName | 269 | Null-terminated character string that specifies the name of the document from which the image was scanned.
DotRange | 336 | Color component values that correspond to a 0 percent dot and a 100 percent dot.
EquipMake | 271 | Null-terminated character string that specifies the manufacturer of the equipment used to record the image.
EquipModel | 272 | Null-terminated character string that specifies the model name or model number of the equipment used to record the image.
ExifAperture | 37378 | Lens aperture. The unit is the APEX value.
ExifBrightness | 37379 | Brightness value. The unit is the APEX value. Ordinarily it is given in the range of -99.99 to 99.99.
ExifCfaPattern | 41730 | The color filter array (CFA) geometric pattern of the image sensor when a one-chip color area sensor is used. It does not apply to all sensing methods.
ExifColorSpace | 40961 | Color space specifier. Normally sRGB (=1) is used to define the color space based on the PC monitor conditions and environment. If a color space other than sRGB is used, Uncalibrated (=0xFFFF) is set. Image data recorded as Uncalibrated can be treated as sRGB when it is converted to FlashPix.
ExifCompBPP | 37122 | Information specific to compressed data. The compression mode used for a compressed image is indicated in unit BPP.
ExifCompConfig | 37121 | Information specific to compressed data. The channels of each component are arranged in order from the first component to the fourth. For uncompressed data, the data arrangement is given in the PhotometricInterp tag. However, because PhotometricInterp can only express the order of Y, Cb, and Cr, this tag is provided for cases when compressed data uses components other than Y, Cb, and Cr and to support other sequences.
ExifDTDigitized | 36868 | Date and time when the image was stored as digital data. If, for example, an image was captured by DSC and at the same time the file was recorded, then DateTimeOriginal and DateTimeDigitized will have the same contents. The format is YYYY:MM:DD HH:MM:SS with time shown in 24-hour format and the date and time separated by one blank character (0x2000). The character string length is 20 bytes including the NULL terminator. When the field is empty, it is treated as unknown.
ExifDTDigSS | 37522 | Null-terminated character string that specifies a fraction of a second for the ExifDTDigitized tag.
ExifDTOrig | 36867 | Date and time when the original image data was generated. For a DSC, the date and time when the picture was taken. The format is YYYY:MM:DD HH:MM:SS with time shown in 24-hour format and the date and time separated by one blank character (0x2000). The character string length is 20 bytes including the NULL terminator. When the field is empty, it is treated as unknown.
ExifDTOrigSS | 37521 | Null-terminated character string that specifies a fraction of a second for the ExifDTOrig tag.
ExifDTSubsec | 37520 | Null-terminated character string that specifies a fraction of a second for the DateTime tag.
ExifExposureBias | 37380 | Exposure bias. The unit is the APEX value. Ordinarily it is given in the range -99.99 to 99.99.
ExifExposureIndex | 41493 | Exposure index selected on the camera or input device at the time the image was captured.
ExifExposureProg | 34850 | Class of the program used by the camera to set exposure when the picture is taken.
ExifExposureTime | 33434 | Exposure time, measured in seconds.
ExifFileSource | 41728 | The image source. If a DSC recorded the image, the value of this tag is 3.
ExifFlash | 37385 | Flash status. This tag is recorded when an image is taken using a strobe light (flash). Bit 0 indicates the flash firing status, and bits 1 and 2 indicate the flash return status.
ExifFlashEnergy | 41483 | Strobe energy, in Beam Candle Power Seconds (BCPS), at the time the image was captured.
ExifFNumber | 33437 | F number.
ExifFocalLength | 37386 | Actual focal length, in millimeters, of the lens. Conversion is not made to the focal length of a 35 millimeter film camera.
ExifFocalResUnit | 41488 | Unit of measure for ExifFocalXRes and ExifFocalYRes.
ExifFocalXRes | 41486 | Number of pixels in the image width (x) direction per unit on the camera focal plane. The unit is specified in ExifFocalResUnit.
ExifFocalYRes | 41487 | Number of pixels in the image height (y) direction per unit on the camera focal plane. The unit is specified in ExifFocalResUnit.
ExifFPXVer | 40960 | FlashPix format version supported by an FPXR file. If the FPXR function supports FlashPix format version 1.0, this is indicated similarly to ExifVer by recording 0100 as a 4-byte ASCII string. Because the type is Undefined, there is no NULL terminator.
ExifIFD | 34665 | Private tag used by GDI+. Not for public use. GDI+ uses this tag to locate Exif specific information.
ExifInterop | 40965 | Offset to a block of property items that contain interoperability information.
ExifISOSpeed | 34855 | ISO speed and ISO latitude of the camera or input device as specified in ISO 12232.
ExifLightSource | 37384 | Type of light source.
ExifMakerNote | 37500 | Note tag. A tag used by manufacturers of EXIF writers to record information. The contents are up to the manufacturer.
ExifMaxAperture | 37381 | Smallest F number of the lens. The unit is the APEX value. Ordinarily it is given in the range of 00.00 to 99.99, but it is not limited to this range.
ExifMeteringMode | 37383 | Metering mode.
ExifOECF | 34856 | Optoelectronic conversion function (OECF) specified in ISO 14524. The OECF is the relationship between the camera optical input and the image values.
ExifPixXDim | 40962 | Information specific to compressed data. When a compressed file is recorded, the valid width of the meaningful image must be recorded in this tag, whether or not there is padding data or a restart marker. This tag should not exist in an uncompressed file.
ExifPixYDim | 40963 | Information specific to compressed data. When a compressed file is recorded, the valid height of the meaningful image must be recorded in this tag whether or not there is padding data or a restart marker. This tag should not exist in an uncompressed file. Because data padding is unnecessary in the vertical direction, the number of lines recorded in this valid image height tag will be the same as that recorded in the SOF.
ExifRelatedWav | 40964 | The name of an audio file related to the image data. The only relational information recorded is the EXIF audio file name and extension (an ASCII string that consists of 8 characters plus a period (.), plus 3 characters). The path is not recorded. When you use this tag, audio files must be recorded in conformance with the EXIF audio format. Writers can also store audio data within APP2 as FlashPix extension stream data.
ExifSceneType | 41729 | The type of scene. If a DSC recorded the image, the value of this tag must be set to 1, indicating that the image was directly photographed.
ExifSensingMethod | 41495 | Image sensor type on the camera or input device.
ExifShutterSpeed | 37377 | Shutter speed. The unit is the Additive System of Photographic Exposure (APEX) value.
ExifSpatialFR | 41484 | Camera or input device spatial frequency table and SFR values in the image width, image height, and diagonal direction, as specified in ISO 12233.
ExifSpectralSense | 34852 | Null-terminated character string that specifies the spectral sensitivity of each channel of the camera used. The string is compatible with the standard developed by the ASTM Technical Committee.
ExifSubjectDist | 37382 | Distance to the subject, measured in meters.
ExifSubjectLoc | 41492 | Location of the main subject in the scene. The value of this tag represents the pixel at the center of the main subject relative to the left edge. The first value indicates the column number, and the second value indicates the row number.
ExifUserComment | 37510 | Comment tag. A tag used by EXIF users to write keywords or comments about the image besides those in ImageDescription and without the character-code limitations of the ImageDescription tag.
ExifVer | 36864 | Version of the EXIF standard supported. Nonexistence of this field is taken to mean non-conformance to the standard. Conformance to the standard is indicated by recording 0210 as a 4-byte ASCII string. Because the type is Undefined, there is no NULL terminator.
ExtraSamples | 338 | Number of extra color components. For example, one extra component might hold an alpha value.
FillOrder | 266 | Logical order of bits in a byte.
FrameDelay | 20736 | Time delay, in hundredths of a second, between two frames in an animated GIF image.
FreeByteCounts | 289 | For each string of contiguous unused bytes, the number of bytes in that string.
FreeOffset | 288 | For each string of contiguous unused bytes, the byte offset of that string.
Gamma | 769 | Gamma value attached to the image. The gamma value is stored as a rational number (pair of long) with a numerator of 100000. For example, a gamma value of 2.2 is stored as the pair (100000, 45455).
GlobalPalette | 20738 | Color palette for an indexed bitmap in a GIF image.
GpsAltitude | 6 | Altitude, in meters, based on the reference altitude specified by GpsAltitudeRef.
GpsAltitudeRef | 5 | Reference altitude, in meters.
GpsDestBear | 24 | Bearing to the destination point. The range of values is from 0.00 to 359.99.
GpsDestBearRef | 23 | Null-terminated character string that specifies the reference used for giving the bearing to the destination point. T specifies true direction, and M specifies magnetic direction.
GpsDestDist | 26 | Distance to the destination point.
GpsDestDistRef | 25 | Null-terminated character string that specifies the unit used to express the distance to the destination point. K, M, and N represent kilometers, miles, and knots respectively.
GpsDestLat | 20 | Latitude of the destination point. The latitude is expressed as three rational values giving the degrees, minutes, and seconds respectively. When degrees, minutes, and seconds are expressed, the format is dd/1, mm/1, ss/1. When degrees and minutes are used and, for example, fractions of minutes are given up to two decimal places, the format is dd/1, mmmm/100, 0/1.
GpsDestLatRef | 19 | Null-terminated character string that specifies whether the latitude of the destination point is north or south latitude. N specifies north latitude, and S specifies south latitude.
GpsDestLong | 22 | Longitude of the destination point. The longitude is expressed as three rational values giving the degrees, minutes, and seconds respectively. When degrees, minutes, and seconds are expressed, the format is ddd/1, mm/1, ss/1. When degrees and minutes are used and, for example, fractions of minutes are given up to two decimal places, the format is ddd/1, mmmm/100, 0/1.
GpsDestLongRef | 21 | Null-terminated character string that specifies whether the longitude of the destination point is east or west longitude. E specifies east longitude, and W specifies west longitude.
GpsGpsDop | 11 | GPS DOP (data degree of precision). An HDOP value is written during 2-D measurement, and a PDOP value is written during 3-D measurement.
GpsGpsMeasureMode | 10 | Null-terminated character string that specifies the GPS measurement mode. 2 specifies 2-D measurement, and 3 specifies 3-D measurement.
GpsGpsSatellites | 8 | Null-terminated character string that specifies the GPS satellites used for measurements. This tag can be used to specify the ID number, angle of elevation, azimuth, SNR, and other information about each satellite. The format is not specified. If the GPS receiver is incapable of taking measurements, the value of the tag must be set to NULL.
GpsGpsStatus | 9 | Null-terminated character string that specifies the status of the GPS receiver when the image is recorded. A means measurement is in progress, and V means the measurement is Interoperability.
GpsGpsTime | 7 | Time as coordinated universal time (UTC). The value is expressed as three rational numbers that give the hour, minute, and second.
GpsIFD | 34853 | Offset to a block of GPS property items. Property items whose tags have the prefix Gps are stored in the GPS block. The GPS property items are defined in the EXIF specification. GDI+ uses this tag to locate GPS information, but GDI+ does not expose this tag for public use.
GpsImgDir | 17 | Direction of the image when it was captured. The range of values is from 0.00 to 359.99.
GpsImgDirRef | 16 | Null-terminated character string that specifies the reference for the direction of the image when it is captured. T specifies true direction, and M specifies magnetic direction.
GpsLatitude | 2 | Latitude. Latitude is expressed as three rational values giving the degrees, minutes, and seconds respectively. When degrees, minutes, and seconds are expressed, the format is dd/1, mm/1, ss/1. When degrees and minutes are used and, for example, fractions of minutes are given up to two decimal places, the format is dd/1, mmmm/100, 0/1.
GpsLatitudeRef | 1 | Null-terminated character string that specifies whether the longitude is east or west longitude. E specifies east longitude, and W specifies west longitude.
GpsLongitude | 4 | Longitude. Longitude is expressed as three rational values giving the degrees, minutes, and seconds respectively. When degrees, minutes and seconds are expressed, the format is ddd/1, mm/1, ss/1. When degrees and minutes are used and, for example, fractions of minutes are given up to two decimal places, the format is ddd/1, mmmm/100, 0/1.
GpsLongitudeRef | 3 | Null-terminated character string that specifies whether the longitude is east or west longitude. E specifies east longitude, and W specifies west longitude.
GpsMapDatum | 18 | Null-terminated character string that specifies geodetic survey data used by the GPS receiver. If the survey data is restricted to Japan, the value of this tag is TOKYO or WGS-84.
GpsSpeed | 13 | Speed of the GPS receiver movement.
GpsSpeedRef | 12 | Null-terminated character string that specifies the unit used to express the GPS receiver speed of movement. K, M, and N represent kilometers per hour, miles per hour, and knots respectively.
GpsTrack | 15 | Direction of GPS receiver movement. The range of values is from 0.00 to 359.99.
GpsTrackRef | 14 | Null-terminated character string that specifies the reference for giving the direction of GPS receiver movement. T specifies true direction, and M specifies magnetic direction.
GpsVer | 0 | Version of the Global Positioning Systems (GPS) IFD, given as 2.0.0.0. This tag is mandatory when the GpsIFD tag is present. When the version is 2.0.0.0, the tag value is 0x02000000.
GrayResponseCurve | 291 | For each possible pixel value in a grayscale image, the optical density of that pixel value.
GrayResponseUnit | 290 | Precision of the number specified by GrayResponseCurve. 1 specifies tenths, 2 specifies hundredths, 3 specifies thousandths, and so on.
GridSize | 20497 | Block of information about grids and guides.
HalftoneDegree | 20492 | Angle for screen.
HalftoneHints | 321 | Information used by the halftone function.
HalftoneLPI | 20490 | Ink's screen frequency, in lines per inch.
HalftoneLPIUnit | 20491 | Units for the screen frequency.
HalftoneMisc | 20494 | Miscellaneous halftone information.
HalftoneScreen | 20495 | Boolean value that specifies whether to use the printer's default screens.
HalftoneShape | 20493 | Shape of the halftone dots.
HostComputer | 316 | Null-terminated character string that specifies the computer and/or operating system used to create the image.
ICCProfile | 34675 | ICC profile embedded in the image.
ICCProfileDescriptor | 770 | Null-terminated character string that identifies an ICC profile.
ImageDescription | 270 | Null-terminated character string that specifies the title of the image.
ImageHeight | 257 | Number of pixel rows.
ImageTitle | 800 | Null-terminated character string that specifies the title of the image.
ImageWidth | 256 | Number of pixels per row.
IndexBackground | 20739 | Index of the background color in the palette of a GIF image.
IndexTransparent | 20740 | Index of the transparent color in the palette of a GIF image.
InkNames | 333 | Sequence of concatenated, null-terminated, character strings that specify the names of the inks used in a separated image.
InkSet | 332 | Set of inks used in a separated image.
JPEGACTables | 521 | For each color component, the offset to the AC Huffman table for that component. See also SamplesPerPixel.
JPEGDCTables | 520 | For each color component, the offset to the DC Huffman table (or lossless Huffman table) for that component. See also SamplesPerPixel.
JPEGInterFormat | 513 | Offset to the start of a JPEG bitstream.
JPEGInterLength | 514 | Length, in bytes, of the JPEG bitstream.
JPEGLosslessPredictors | 517 | For each color component, a lossless predictor-selection value for that component. See also SamplesPerPixel.
JPEGPointTransforms | 518 | For each color component, a point transformation value for that component. See also SamplesPerPixel.
JPEGProc | 512 | JPEG compression process.
JPEGQTables | 519 | For each color component, the offset to the quantization table for that component. See also SamplesPerPixel.
JPEGQuality | 20496 | Private tag used by the Adobe Photoshop format. Not for public use.
JPEGRestartInterval | 515 | Length of the restart interval.
LoopCount | 20737 | For an animated GIF image, the number of times to display the animation. A value of 0 specifies that the animation should be displayed infinitely.
LuminanceTable | 20624 | Luminance table. The luminance table and the chrominance table are used to control JPEG quality. A valid luminance or chrominance table has 64 entries of type UShort. If an image has either a luminance table or a chrominance table, then it must have both tables.
MaxSampleValue | 281 | For each color component, the maximum value assigned to that component. See also SamplesPerPixel.
MinSampleValue | 280 | For each color component, the minimum value assigned to that component. See also SamplesPerPixel.
NewSubfileType | 254 | Type of data in a subfile.
NumberOfInks | 334 | The number of inks.
Orientation | 274 | Image orientation viewed in terms of rows and columns.
PageName | 285 | Null-terminated character string that specifies the name of the page from which the image was scanned.
PageNumber | 297 | Page number of the page from which the image was scanned.
PaletteHistogram | 20755 | The palette histogram.
PhotometricInterp | 262 | How pixel data will be interpreted.
PixelPerUnitX | 20753 | Pixels per unit in the x direction.
PixelPerUnitY | 20754 | Pixels per unit in the y direction.
PixelUnit | 20752 | Unit for PixelPerUnitX and PixelPerUnitY.
PlanarConfig | 284 | Whether pixel components are recorded in chunky or planar format.
Predictor | 317 | TType of prediction scheme that was applied to the image data before the encoding scheme was applied.
PrimaryChromaticities | 319 | For each of the three primary colors in the image, the chromaticity of that color.
PrintFlags | 20485 | Sequence of one-byte Boolean values that specify printing options.
PrintFlagsBleedWidth | 20488 | The print flags bleed width.
PrintFlagsBleedWidthScale | 20489 | The print flags bleed width scale.
PrintFlagsCrop | 20487 | The print flags crop marks.
PrintFlagsVersion | 20486 | The print flags version.
REFBlackWhite | 532 | Reference black point value and reference white point value.
ResolutionUnit | 296 | Unit of measure for the horizontal resolution and the vertical resolution.
ResolutionXLengthUnit | 20483 | Units in which to display the image width.
ResolutionXUnit | 20481 | Units in which to display horizontal resolution.
ResolutionYLengthUnit | 20484 | Units in which to display the image height.
ResolutionYUnit | 20482 | Units in which to display vertical resolution.
RowsPerStrip | 278 | Number of rows per strip. See also StripBytesCount and StripOffsets.
SampleFormat | 339 | For each color component, the numerical format (unsigned, signed, floating point) of that component. See also SamplesPerPixel.
SamplesPerPixel | 277 | Number of color components per pixel.
SMaxSampleValue | 341 | For each color component, the maximum value of that component. See also SamplesPerPixel.
SMinSampleValue | 340 | For each color component, the minimum value of that component. See also SamplesPerPixel.
SoftwareUsed | 305 | Null-terminated character string that specifies the name and version of the software or firmware of the device used to generate the image.
SRGBRenderingIntent | 771 | How the image should be displayed as defined by the International Color Consortium (ICC). If a GDI+ Image object is constructed with the useEmbeddedColorManagement parameter set to TRUE, then GDI+ renders the image according to the specified rendering intent. The intent can be set to perceptual, relative colorimetric, saturation, or absolute colorimetric.
StripBytesCount | 279 | For each strip, the total number of bytes in that strip.
StripOffsets | 273 | For each strip, the byte offset of that strip. See also RowsPerStrip and StripBytesCount.
SubfileType | 255 | The type of data in a subfile.
T4Option | 292 | Set of flags that relate to T4 encoding.
T6Option | 293 | Set of flags that relate to T6 encoding.
TargetPrinter | 337 | Null-terminated character string that describes the intended printing environment.
ThreshHolding | 263 | Technique used to convert from gray pixels to black and white pixels.
ThumbnailArtist | 20532 | Null-terminated character string that specifies the name of the person who created the thumbnail image.
ThumbnailBitsPerSample | 20514 | Number of bits per color component in the thumbnail image. See also ThumbnailSamplesPerPixel.
ThumbnailColorDepth | 20501 | Bits per pixel (BPP) for the thumbnail image.
ThumbnailCompressedSize | 20505 | Compressed size, in bytes, of the thumbnail image.
ThumbnailCompression | 20515 | Compression scheme used for thumbnail image data.
ThumbnailCopyRight | 20539 | Null-terminated character string that contains copyright information for the thumbnail image.
ThumbnailData | 20507 | Raw thumbnail bits in JPEG or RGB format. Depends on ThumbnailFormat.
ThumbnailDateTime | 20531 | Date and time the thumbnail image was created. See also DateTime.
ThumbnailEquipMake | 20518 | Null-terminated character string that specifies the manufacturer of the equipment used to record the thumbnail image.
ThumbnailEquipModel | 20519 | Null-terminated character string that specifies the model name or model number of the equipment used to record the thumbnail image.
ThumbnailFormat | 20498 | Format of the thumbnail image.
ThumbnailHeight | 20500 | Height, in pixels, of the thumbnail image.
ThumbnailImageDescription | 20517 | Null-terminated character string that specifies the title of the image.
ThumbnailImageHeight | 20513 | Number of pixel rows in the thumbnail image.
ThumbnailImageWidth | 20512 | Number of pixels per row in the thumbnail image.
ThumbnailOrientation | 20521 | Thumbnail image orientation in terms of rows and columns. See also Orientation.
ThumbnailPhotometricInterp | 20516 | How thumbnail pixel data will be interpreted.
ThumbnailPlanarConfig | 20527 | Whether pixel components in the thumbnail image are recorded in chunky or planar format. See also PlanarConfig.
ThumbnailPlanes | 20502 | Number of color planes for the thumbnail image.
ThumbnailPrimaryChromaticities | 20534 | For each of the three primary colors in the thumbnail image, the chromaticity of that color. See also PrimaryChromaticities.
ThumbnailRawBytes | 20503 | Byte offset between rows of pixel data.
ThumbnailRefBlackWhite | 20538 | Reference black point value and reference white point value for the thumbnail image. See also REFBlackWhite.
ThumbnailResolutionUnit | 20528 | Unit of measure for the horizontal resolution and the vertical resolution of the thumbnail image. See also ResolutionUnit.
ThumbnailResolutionX | 20525 | Thumbnail resolution in the width direction. The resolution unit is given in ThumbnailResolutionUnit.
ThumbnailResolutionY | 20526 | Thumbnail resolution in the height direction. The resolution unit is given in ThumbnailResolutionUnit.
ThumbnailRowsPerStrip | 20523 | Number of rows per strip in the thumbnail image. See also ThumbnailStripBytesCount and ThumbnailStripOffsets.
ThumbnailSamplesPerPixel | 20522 | Number of color components per pixel in the thumbnail image.
ThumbnailSize | 20504 | Total size, in bytes, of the thumbnail image.
ThumbnailSoftwareUsed | 20530 | Null-terminated character string that specifies the name and version of the software or firmware of the device used to generate the thumbnail image.
ThumbnailStripBytesCount | 20524 | For each thumbnail image strip, the total number of bytes in that strip.
ThumbnailStripOffsets | 20520 | For each strip in the thumbnail image, the byte offset of that strip. See also ThumbnailRowsPerStrip and ThumbnailStripBytesCount.
ThumbnailTransferFunction | 20529 | Tables that specify transfer functions for the thumbnail image. See also TransferFunction.
ThumbnailWhitePoint | 20533 | Chromaticity of the white point of the thumbnail image. See also WhitePoint.
ThumbnailWidth | 20499 | Width, in pixels, of the thumbnail image.
ThumbnailYCbCrCoefficients | 20535 | Coefficients for transformation from RGB to YCbCr data for the thumbnail image. See also YCbCrCoefficients.
ThumbnailYCbCrPositioning | 20537 | Position of chrominance components in relation to the luminance component for the thumbnail image. See also YCbCrPositioning.
ThumbnailYCbCrSubsampling | 20536 | Sampling ratio of chrominance components in relation to the luminance component for the thumbnail image. See also YCbCrSubsampling.
TileByteCounts | 325 | For each tile, the number of bytes in that tile.
TileLength | 323 | Number of pixel rows in each tile.
TileOffset | 324 | For each tile, the byte offset of that tile.
TileWidth | 322 | Number of pixel columns in each tile.
TransferFunction | 301 | Tables that specify transfer functions for the image.
TransferRange | 342 | Table of values that extends the range of the transfer function.
WhitePoint | 318 | Chromaticity of the white point of the image.
XPosition | 286 | Offset from the left side of the page to the left side of the image. The unit of measure is specified by ResolutionUnit.
XResolution | 282 | Number of pixels per unit in the image width (x) direction. The unit is specified by ResolutionUnit.
YCbCrCoefficients | 529 | Coefficients for transformation from RGB to YCbCr image data.
YCbCrPositioning | 531 | Position of chrominance components in relation to the luminance component.
YCbCrSubsampling | 530 | Sampling ratio of chrominance components in relation to the luminance component.
YPosition | 287 | Offset from the top of the page to the top of the image. The unit of measure is specified by ResolutionUnit.
YResolution | 283 | Number of pixels per unit in the image height (y) direction. The unit is specified by ResolutionUnit.
See Also

Reference

ImageProcessor.Imaging.MetaData Namespace


ExifPropertyTagType Enumeration

ExifPropertyTagType Enumeration
Specifies the data type of the values stored in the value data member of that same PropertyItem object. http://msdn.microsoft.com/en-us/library/system.drawing.imaging.propertyitem.type.aspx

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum ExifPropertyTagType
Public Enumeration ExifPropertyTagType
public enum class ExifPropertyTagType
type ExifPropertyTagType
Members
Member name | Value | Description
Byte | 1 | Specifies that the value data member is an array of bytes.
ASCII | 2 | Specifies that the value data member is a null-terminated ASCII string. If you set the type data member of a PropertyItem object to ExifPropertyTagTypeASCII, you should set the length data member to the length of the string including the NULL terminator. For example, the string HELLO would have a length of 6.
UShort | 3 | Specifies that the value data member is an array of unsigned short (16-bit) integers.
ULong | 4 | Specifies that the value data member is an array of unsigned long (32-bit) integers.
Rational | 5 | Specifies that the value data member is an array of pairs of unsigned long integers. Each pair represents a fraction; the first integer is the numerator and the second integer is the denominator.
Undefined | 6 | Specifies that the value data member is an array of bytes that can hold values of any data type.
SLong | 7 | Specifies that the value data member is an array of signed long (32-bit) integers.
SRational | 10 | Specifies that the value data member is an array of pairs of signed long integers. Each pair represents a fraction; the first integer is the numerator and the second integer is the denominator.
See Also

Reference

ImageProcessor.Imaging.MetaData Namespace


PropertyTagResolutionUnit Enumeration

PropertyTagResolutionUnit Enumeration
The following enum gives the unit of measure for the horizontal resolution and the vertical resolution supported by Windows GDI+. https://msdn.microsoft.com/en-us/library/ms534416(v=vs.85).aspx#_gdiplus_constant_propertytagresolutionunit

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum PropertyTagResolutionUnit
Public Enumeration PropertyTagResolutionUnit
public enum class PropertyTagResolutionUnit
type PropertyTagResolutionUnit
Members
Member name | Value | Description
Inch | 2 | The resolution is measured in pixels per inch.
Cm | 3 | The resolution is measured in pixels per centimeter.
See Also

Reference

ImageProcessor.Imaging.MetaData Namespace


Rational(T) Structure

RationalT Structure
Represents a rational number. Any number that can be expressed as the quotient or fraction p/q of two numbers, p and q, with the denominator q not equal to zero.
Remarks
Adapted from https://github.com/mckamey/exif-utils.net by Stephen McKamey.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
[SerializableAttribute]
public struct Rational<T> : IConvertible, IComparable,
    IComparable<T>
where T : IConvertible

<SerializableAttribute>
Public Structure Rational(Of T As IConvertible)
    Implements IConvertible, IComparable, IComparable(Of T)
[SerializableAttribute]
generic<typename T>
where T : IConvertible
public value class Rational : IConvertible,
    IComparable, IComparable<T>
[<SealedAttribute>]
[<SerializableAttribute>]
type Rational<'T when 'T : IConvertible> =
    struct
        interface IConvertible
        interface IComparable
        interface IComparable<'T>
    end

Type Parameters

T
The type to assign to the numerator and denominator components.

The RationalT type exposes the following members.

Constructors
 | Name | Description
Public method | RationalT(T, T) | Initializes a new instance of the RationalT struct.
Public method | RationalT(T, T, Boolean) | Initializes a new instance of the RationalT struct.
Top
Properties
 | Name | Description
Public property | Denominator | Gets and sets the denominator of the rational number
Public property | IsEmpty | Gets a value indicating whether the current instance is empty.
Public property | Numerator | Gets and sets the numerator of the rational number
Top
Methods
 | Name | Description
 | Approximate(Decimal) | Approximate the decimal value accurate to a precision of 0.000001m
 | Approximate(Decimal, Decimal) | Approximate the decimal value accurate to a certain precision
Public method | CompareTo(Object) | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
Public method | CompareTo(T) | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
Public method | Equals | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | Parse | Converts the string representation of a number to its RationalT equivalent.
Public method | Reduce | Finds the greatest common divisor and reduces the fraction by this amount.
Public method | ToDecimal | Converts the value of this instance to an equivalent Decimal number using the specified culture-specific formatting information.
Public method | ToDouble | Converts the value of this instance to an equivalent double-precision floating-point number using the specified culture-specific formatting information.
Public method | ToSingle | Converts the value of this instance to an equivalent single-precision floating-point number using the specified culture-specific formatting information.
Public method | ToString | Returns the fully qualified type name of this instance. (Overrides ValueTypeToString.)
Public method | ToString(IFormatProvider) | Converts the value of this instance to an equivalent String using the specified culture-specific formatting information.
 | TryParse | Converts the string representation of a number to its RationalT equivalent. A return value indicates whether the conversion succeeded or failed.
Top
Operators
Name | Description
Addition | Computes the sum of two rational instances.
Division | Computes the product of dividing two rational instances.
Equality | Determines whether the first rational operand is equal to the second.
GreaterThan | Determines whether the first rational operand is greater than the second.
GreaterThanOrEqual | Determines whether the first rational operand is greater than or equal to the second.
Inequality | Determines whether the first rational operand is not equal to the second.
LessThan | Determines whether the first rational operand is less than the second.
LessThanOrEqual | Determines whether the first rational operand is less than or equal to the second.
Multiply | Computes the product of multiplying two rational instances.
Subtraction | Computes the subtraction of one rational instance from another.
UnaryNegation | Performs a numeric negation of the operand.
Top
Fields
Name | Description
Empty | Represents an empty instance of RationalT.
Top
See Also

Reference

ImageProcessor.Imaging.MetaData Namespace


Rational(T) Constructor

RationalT Constructor
Overload List
 | Name | Description
Public method | RationalT(T, T) | Initializes a new instance of the RationalT struct.
Public method | RationalT(T, T, Boolean) | Initializes a new instance of the RationalT struct.
Top
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T) Constructor (T, T)

RationalT Constructor (T, T)
Initializes a new instance of the RationalT struct.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Rational(
    T numerator,
    T denominator
)
Public Sub New (
    numerator As T,
    denominator As T
)
public:
Rational(
    T numerator,
    T denominator
)
new :
        numerator : 'T *
        denominator : 'T -> Rational

Parameters

numerator
Type: T
The numerator of the rational number.
denominator
Type: T
The denominator of the rational number.
Remarks
Reduces by default
See Also

Reference

RationalT Structure
RationalT Overload
ImageProcessor.Imaging.MetaData Namespace


Rational(T) Constructor (T, T, Boolean)

RationalT Constructor (T, T, Boolean)
Initializes a new instance of the RationalT struct.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Rational(
    T numerator,
    T denominator,
    bool reduce
)
Public Sub New (
    numerator As T,
    denominator As T,
    reduce As Boolean
)
public:
Rational(
    T numerator,
    T denominator,
    bool reduce
)
new :
        numerator : 'T *
        denominator : 'T *
        reduce : bool -> Rational

Parameters

numerator
Type: T
The numerator of the rational number.
denominator
Type: T
The denominator of the rational number.
reduce
Type: SystemBoolean
determines if should reduce by greatest common divisor
See Also

Reference

RationalT Structure
RationalT Overload
ImageProcessor.Imaging.MetaData Namespace


Rational(T) Properties

RationalT Properties

The RationalT generic type exposes the following members.

Properties
 | Name | Description
Public property | Denominator | Gets and sets the denominator of the rational number
Public property | IsEmpty | Gets a value indicating whether the current instance is empty.
Public property | Numerator | Gets and sets the numerator of the rational number
Top
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Denominator Property

RationalTDenominator Property
Gets and sets the denominator of the rational number

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public T Denominator { get; }
Public ReadOnly Property Denominator As T
    Get
public:
property T Denominator {
    T get ();
}
member Denominator : 'T with get

Property Value

Type: T
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).IsEmpty Property

RationalTIsEmpty Property
Gets a value indicating whether the current instance is empty.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsEmpty { get; }
Public ReadOnly Property IsEmpty As Boolean
    Get
public:
property bool IsEmpty {
    bool get ();
}
member IsEmpty : bool with get

Property Value

Type: Boolean
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Numerator Property

RationalTNumerator Property
Gets and sets the numerator of the rational number

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public T Numerator { get; }
Public ReadOnly Property Numerator As T
    Get
public:
property T Numerator {
    T get ();
}
member Numerator : 'T with get

Property Value

Type: T
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T) Methods

RationalT Methods

The RationalT generic type exposes the following members.

Methods
 | Name | Description
 | Approximate(Decimal) | Approximate the decimal value accurate to a precision of 0.000001m
 | Approximate(Decimal, Decimal) | Approximate the decimal value accurate to a certain precision
Public method | CompareTo(Object) | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
Public method | CompareTo(T) | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
Public method | Equals | Indicates whether this instance and a specified object are equal. (Overrides ValueTypeEquals(Object).)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | Parse | Converts the string representation of a number to its RationalT equivalent.
Public method | Reduce | Finds the greatest common divisor and reduces the fraction by this amount.
Public method | ToDecimal | Converts the value of this instance to an equivalent Decimal number using the specified culture-specific formatting information.
Public method | ToDouble | Converts the value of this instance to an equivalent double-precision floating-point number using the specified culture-specific formatting information.
Public method | ToSingle | Converts the value of this instance to an equivalent single-precision floating-point number using the specified culture-specific formatting information.
Public method | ToString | Returns the fully qualified type name of this instance. (Overrides ValueTypeToString.)
Public method | ToString(IFormatProvider) | Converts the value of this instance to an equivalent String using the specified culture-specific formatting information.
 | TryParse | Converts the string representation of a number to its RationalT equivalent. A return value indicates whether the conversion succeeded or failed.
Top
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Approximate Method

RationalTApproximate Method
Overload List
Name | Description
Approximate(Decimal) | Approximate the decimal value accurate to a precision of 0.000001m
Approximate(Decimal, Decimal) | Approximate the decimal value accurate to a certain precision
Top
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Approximate Method (Decimal)

RationalTApproximate Method (Decimal)
Approximate the decimal value accurate to a precision of 0.000001m

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rational<T> Approximate(
    decimal value
)
Public Shared Function Approximate (
    value As Decimal
) As Rational(Of T)
public:
static Rational<T> Approximate(
    Decimal value
)
static member Approximate :
        value : decimal -> Rational<'T>

Parameters

value
Type: SystemDecimal
decimal value to approximate

Return Value

Type: Rational T
an approximation of the value as a rational number
Remarks
http://stackoverflow.com/questions/95727
See Also

Reference

RationalT Structure
Approximate Overload
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Approximate Method (Decimal, Decimal)

RationalTApproximate Method (Decimal, Decimal)
Approximate the decimal value accurate to a certain precision

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rational<T> Approximate(
    decimal value,
    decimal epsilon
)
Public Shared Function Approximate (
    value As Decimal,
    epsilon As Decimal
) As Rational(Of T)
public:
static Rational<T> Approximate(
    Decimal value,
    Decimal epsilon
)
static member Approximate :
        value : decimal *
        epsilon : decimal -> Rational<'T>

Parameters

value
Type: SystemDecimal
decimal value to approximate
epsilon
Type: SystemDecimal
maximum precision to converge

Return Value

Type: Rational T
an approximation of the value as a rational number
Remarks
http://stackoverflow.com/questions/95727
See Also

Reference

RationalT Structure
Approximate Overload
ImageProcessor.Imaging.MetaData Namespace


Rational(T).CompareTo Method

RationalTCompareTo Method
Overload List
 | Name | Description
Public method | CompareTo(Object) | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
Public method | CompareTo(T) | Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.
Top
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).CompareTo Method (Object)

RationalTCompareTo Method (Object)
Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int CompareTo(
    Object obj
)
Public Function CompareTo (
    obj As Object
) As Integer
public:
virtual int CompareTo(
    Object^ obj
) sealed
abstract CompareTo :
        obj : Object -> int
override CompareTo :
        obj : Object -> int

Parameters

obj
Type: SystemObject
An object to compare with this instance.

Return Value

Type: Int32
A value that indicates the relative order of the objects being compared. The return value has these meanings: Value Meaning Less than zero This instance precedes obj in the sort order. Zero This instance occurs in the same position in the sort order as obj. Greater than zero This instance follows obj in the sort order.

Implements

IComparableCompareTo(Object)
Exceptions
Exception | Condition
ArgumentException | obj is not the same type as this instance.
See Also

Reference

RationalT Structure
CompareTo Overload
ImageProcessor.Imaging.MetaData Namespace


Rational(T).CompareTo Method (T)

RationalTCompareTo Method (T)
Compares the current instance with another object of the same type and returns an integer that indicates whether the current instance precedes, follows, or occurs in the same position in the sort order as the other object.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int CompareTo(
    T other
)
Public Function CompareTo (
    other As T
) As Integer
public:
virtual int CompareTo(
    T other
) sealed
abstract CompareTo :
        other : 'T -> int
override CompareTo :
        other : 'T -> int

Parameters

other
Type: T
An object to compare with this instance.

Return Value

Type: Int32
A value that indicates the relative order of the objects being compared. The return value has these meanings: Value Meaning Less than zero This instance precedes other in the sort order. Zero This instance occurs in the same position in the sort order as other. Greater than zero This instance follows other in the sort order.

Implements

IComparableTCompareTo(T)
See Also

Reference

RationalT Structure
CompareTo Overload
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Equals Method

RationalTEquals Method
Indicates whether this instance and a specified object are equal.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The object to compare with the current instance.

Return Value

Type: Boolean
true if obj and this instance are the same type and represent the same value; otherwise, false.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).GetHashCode Method

RationalTGetHashCode Method
Returns the hash code for this instance.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A 32-bit signed integer that is the hash code for this instance.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Parse Method

RationalTParse Method
Converts the string representation of a number to its RationalT equivalent.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rational<T> Parse(
    string value
)
Public Shared Function Parse (
    value As String
) As Rational(Of T)
public:
static Rational<T> Parse(
    String^ value
)
static member Parse :
        value : string -> Rational<'T>

Parameters

value
Type: SystemString
The value to convert.

Return Value

Type: Rational T
The RationalT.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Reduce Method

RationalTReduce Method
Finds the greatest common divisor and reduces the fraction by this amount.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Rational<T> Reduce()
Public Function Reduce As Rational(Of T)
public:
Rational<T> Reduce()
member Reduce : unit -> Rational<'T>

Return Value

Type: Rational T
the reduced rational
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).ToDecimal Method

RationalTToDecimal Method
Converts the value of this instance to an equivalent Decimal number using the specified culture-specific formatting information.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public decimal ToDecimal(
    IFormatProvider provider
)
Public Function ToDecimal (
    provider As IFormatProvider
) As Decimal
public:
virtual Decimal ToDecimal(
    IFormatProvider^ provider
) sealed
abstract ToDecimal :
        provider : IFormatProvider -> decimal
override ToDecimal :
        provider : IFormatProvider -> decimal

Parameters

provider
Type: SystemIFormatProvider
An IFormatProvider interface implementation that supplies culture-specific formatting information.

Return Value

Type: Decimal
A Decimal number equivalent to the value of this instance.

Implements

IConvertibleToDecimal(IFormatProvider)
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).ToDouble Method

RationalTToDouble Method
Converts the value of this instance to an equivalent double-precision floating-point number using the specified culture-specific formatting information.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public double ToDouble(
    IFormatProvider provider
)
Public Function ToDouble (
    provider As IFormatProvider
) As Double
public:
virtual double ToDouble(
    IFormatProvider^ provider
) sealed
abstract ToDouble :
        provider : IFormatProvider -> float
override ToDouble :
        provider : IFormatProvider -> float

Parameters

provider
Type: SystemIFormatProvider
An IFormatProvider interface implementation that supplies culture-specific formatting information.

Return Value

Type: Double
A double-precision floating-point number equivalent to the value of this instance.

Implements

IConvertibleToDouble(IFormatProvider)
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).ToSingle Method

RationalTToSingle Method
Converts the value of this instance to an equivalent single-precision floating-point number using the specified culture-specific formatting information.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public float ToSingle(
    IFormatProvider provider
)
Public Function ToSingle (
    provider As IFormatProvider
) As Single
public:
virtual float ToSingle(
    IFormatProvider^ provider
) sealed
abstract ToSingle :
        provider : IFormatProvider -> float32
override ToSingle :
        provider : IFormatProvider -> float32

Parameters

provider
Type: SystemIFormatProvider
An IFormatProvider interface implementation that supplies culture-specific formatting information.

Return Value

Type: Single
A single-precision floating-point number equivalent to the value of this instance.

Implements

IConvertibleToSingle(IFormatProvider)
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).ToString Method

RationalTToString Method
Overload List
 | Name | Description
Public method | ToString | Returns the fully qualified type name of this instance. (Overrides ValueTypeToString.)
Public method | ToString(IFormatProvider) | Converts the value of this instance to an equivalent String using the specified culture-specific formatting information.
Top
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).ToString Method

RationalTToString Method
Returns the fully qualified type name of this instance.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String containing a fully qualified type name.
See Also

Reference

RationalT Structure
ToString Overload
ImageProcessor.Imaging.MetaData Namespace


Rational(T).ToString Method (IFormatProvider)

RationalTToString Method (IFormatProvider)
Converts the value of this instance to an equivalent String using the specified culture-specific formatting information.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public string ToString(
    IFormatProvider provider
)
Public Function ToString (
    provider As IFormatProvider
) As String
public:
virtual String^ ToString(
    IFormatProvider^ provider
) sealed
abstract ToString :
        provider : IFormatProvider -> string
override ToString :
        provider : IFormatProvider -> string

Parameters

provider
Type: SystemIFormatProvider
An IFormatProvider interface implementation that supplies culture-specific formatting information.

Return Value

Type: String
A String instance equivalent to the value of this instance.

Implements

IConvertibleToString(IFormatProvider)
See Also

Reference

RationalT Structure
ToString Overload
ImageProcessor.Imaging.MetaData Namespace


Rational(T).TryParse Method

RationalTTryParse Method
Converts the string representation of a number to its RationalT equivalent. A return value indicates whether the conversion succeeded or failed.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool TryParse(
    string value,
    out Rational<T> rational
)
Public Shared Function TryParse (
    value As String,
    <OutAttribute> ByRef rational As Rational(Of T)
) As Boolean
public:
static bool TryParse(
    String^ value,
    [OutAttribute] Rational<T>% rational
)
static member TryParse :
        value : string *
        rational : Rational<'T> byref -> bool

Parameters

value
Type: SystemString
The value to convert.
rational
Type: ImageProcessor.Imaging.MetaDataRational T
The converted RationalT.

Return Value

Type: Boolean
The RationalT.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T) Operators

RationalT Operators

The RationalT generic type exposes the following members.

Operators
Name | Description
Addition | Computes the sum of two rational instances.
Division | Computes the product of dividing two rational instances.
Equality | Determines whether the first rational operand is equal to the second.
GreaterThan | Determines whether the first rational operand is greater than the second.
GreaterThanOrEqual | Determines whether the first rational operand is greater than or equal to the second.
Inequality | Determines whether the first rational operand is not equal to the second.
LessThan | Determines whether the first rational operand is less than the second.
LessThanOrEqual | Determines whether the first rational operand is less than or equal to the second.
Multiply | Computes the product of multiplying two rational instances.
Subtraction | Computes the subtraction of one rational instance from another.
UnaryNegation | Performs a numeric negation of the operand.
Top
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Addition Operator

RationalTAddition Operator
Computes the sum of two rational instances.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rational<T> operator +(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator + (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Rational(Of T)
public:
static Rational<T> operator +(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (+)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : Rational<'T>

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Rational T
The computed sum.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Division Operator

RationalTDivision Operator
Computes the product of dividing two rational instances.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rational<T> operator /(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator / (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Rational(Of T)
public:
static Rational<T> operator /(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (/)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : Rational<'T>

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Rational T
The computed product.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Equality Operator

RationalTEquality Operator
Determines whether the first rational operand is equal to the second.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool operator ==(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator = (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Boolean
public:
static bool operator ==(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (=)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : bool

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Boolean
The computed result.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).GreaterThan Operator

RationalTGreaterThan Operator
Determines whether the first rational operand is greater than the second.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool operator >(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator > (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Boolean
public:
static bool operator >(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (>)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : bool

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Boolean
The computed result.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).GreaterThanOrEqual Operator

RationalTGreaterThanOrEqual Operator
Determines whether the first rational operand is greater than or equal to the second.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool operator >=(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator >= (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Boolean
public:
static bool operator >=(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (>=)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : bool

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Boolean
The computed result.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Inequality Operator

RationalTInequality Operator
Determines whether the first rational operand is not equal to the second.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool operator !=(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator <> (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Boolean
public:
static bool operator !=(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (<>)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : bool

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Boolean
The computed result.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).LessThan Operator

RationalTLessThan Operator
Determines whether the first rational operand is less than the second.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool operator <(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator < (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Boolean
public:
static bool operator <(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (<)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : bool

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Boolean
The computed result.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).LessThanOrEqual Operator

RationalTLessThanOrEqual Operator
Determines whether the first rational operand is less than or equal to the second.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool operator <=(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator <= (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Boolean
public:
static bool operator <=(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (<=)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : bool

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Boolean
The computed result.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Multiply Operator

RationalTMultiply Operator
Computes the product of multiplying two rational instances.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rational<T> operator *(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator * (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Rational(Of T)
public:
static Rational<T> operator *(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (*)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : Rational<'T>

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Rational T
The computed product.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Subtraction Operator

RationalTSubtraction Operator
Computes the subtraction of one rational instance from another.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rational<T> operator -(
    Rational<T> r1,
    Rational<T> r2
)
Public Shared Operator - (
    r1 As Rational(Of T),
    r2 As Rational(Of T)
) As Rational(Of T)
public:
static Rational<T> operator -(
    Rational<T> r1,
    Rational<T> r2
)
static let inline (-)
        r1 : Rational<'T> *
        r2 : Rational<'T>  : Rational<'T>

Parameters

r1
Type: ImageProcessor.Imaging.MetaDataRational T
The first rational operand.
r2
Type: ImageProcessor.Imaging.MetaDataRational T
The second rational operand.

Return Value

Type: Rational T
The computed result.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).UnaryNegation Operator

RationalTUnaryNegation Operator
Performs a numeric negation of the operand.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Rational<T> operator -(
    Rational<T> rational
)
Public Shared Operator - (
    rational As Rational(Of T)
) As Rational(Of T)
public:
static Rational<T> operator -(
    Rational<T> rational
)
static let inline (-)
        rational : Rational<'T>  : Rational<'T>

Parameters

rational
Type: ImageProcessor.Imaging.MetaDataRational T
The rational to negate.

Return Value

Type: Rational T
The negated rational.
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T) Fields

RationalT Fields

The RationalT generic type exposes the following members.

Fields
Name | Description
Empty | Represents an empty instance of RationalT.
Top
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


Rational(T).Empty Field

RationalTEmpty Field
Represents an empty instance of RationalT.

Namespace: ImageProcessor.Imaging.MetaData
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly Rational<T> Empty
Public Shared ReadOnly Empty As Rational(Of T)
public:
static initonly Rational<T> Empty
static val Empty: Rational<'T>

Field Value

Type: Rational T
See Also

Reference

RationalT Structure
ImageProcessor.Imaging.MetaData Namespace


ImageProcessor.Imaging.Quantizers Namespace

ImageProcessor.Imaging.Quantizers Namespace
Classes
 | Class | Description
Public class | OctreeQuantizer | Encapsulates methods to calculate the colour palette if an image using an Octree pattern. http://msdn.microsoft.com/en-us/library/aa479306.aspx
Public class | Quantizer | Encapsulates methods to calculate the color palette of an image. http://msdn.microsoft.com/en-us/library/aa479306.aspx
Interfaces
 | Interface | Description
Public interface | IQuantizer | The Quantizer interface for allowing quantization of images.


IQuantizer Interface

IQuantizer Interface
The Quantizer interface for allowing quantization of images.

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IQuantizer
Public Interface IQuantizer
public interface class IQuantizer
type IQuantizer =  interface end

The IQuantizer type exposes the following members.

Methods
 | Name | Description
Public method | Quantize | Quantize an image and return the resulting output bitmap.
Top
See Also

Reference

ImageProcessor.Imaging.Quantizers Namespace


IQuantizer Methods

IQuantizer Methods

The IQuantizer type exposes the following members.

Methods
 | Name | Description
Public method | Quantize | Quantize an image and return the resulting output bitmap.
Top
See Also

Reference

IQuantizer Interface
ImageProcessor.Imaging.Quantizers Namespace


IQuantizer.Quantize Method

IQuantizerQuantize Method
Quantize an image and return the resulting output bitmap.

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Bitmap Quantize(
    Image source
)
Function Quantize (
    source As Image
) As Bitmap
Bitmap^ Quantize(
    Image^ source
)
abstract Quantize :
        source : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The image to quantize.

Return Value

Type: Bitmap
A quantized version of the image.
See Also

Reference

IQuantizer Interface
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer Class

OctreeQuantizer Class
Encapsulates methods to calculate the colour palette if an image using an Octree pattern. http://msdn.microsoft.com/en-us/library/aa479306.aspx
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.QuantizersQuantizer
ImageProcessor.Imaging.QuantizersOctreeQuantizer

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class OctreeQuantizer : Quantizer
Public Class OctreeQuantizer
    Inherits Quantizer
public ref class OctreeQuantizer : public Quantizer
type OctreeQuantizer =
    class
        inherit Quantizer
    end

The OctreeQuantizer type exposes the following members.

Constructors
 | Name | Description
Public method | OctreeQuantizer | Initializes a new instance of the OctreeQuantizer class.
Public method | OctreeQuantizer(Int32, Int32) | Initializes a new instance of the OctreeQuantizer class.
Top
Properties
 | Name | Description
Public property | Threshold | Gets or sets the transparency threshold (0 - 255)
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Protected method | FirstPass | Execute the first pass through the pixels in the image (Overrides QuantizerFirstPass(BitmapData, Int32, Int32).)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Protected method | GetPalette | Retrieve the palette for the quantized image (Overrides QuantizerGetPalette(ColorPalette).)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | InitialQuantizePixel | Process the pixel in the first pass of the algorithm (Overrides QuantizerInitialQuantizePixel(Color32*).)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Quantize | Quantize an image and return the resulting output bitmap. (Inherited from Quantizer.)
Protected method | QuantizePixel | Override this to process the pixel in the second pass of the algorithm (Overrides QuantizerQuantizePixel(Color32*).)
Protected method | SecondPass | Execute a second pass through the bitmap (Inherited from Quantizer.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer Constructor

OctreeQuantizer Constructor
Overload List
 | Name | Description
Public method | OctreeQuantizer | Initializes a new instance of the OctreeQuantizer class.
Public method | OctreeQuantizer(Int32, Int32) | Initializes a new instance of the OctreeQuantizer class.
Top
See Also

Reference

OctreeQuantizer Class
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer Constructor

OctreeQuantizer Constructor
Initializes a new instance of the OctreeQuantizer class.

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public OctreeQuantizer()
Public Sub New
public:
OctreeQuantizer()
new : unit -> OctreeQuantizer
Remarks
The Octree quantizer is a two pass algorithm. The initial pass sets up the Octree, the second pass quantizes a color based on the nodes in the tree.

Defaults to return a maximum of 255 colors plus transparency with 8 significant bits.

See Also

Reference

OctreeQuantizer Class
OctreeQuantizer Overload
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer Constructor (Int32, Int32)

OctreeQuantizer Constructor (Int32, Int32)
Initializes a new instance of the OctreeQuantizer class.

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public OctreeQuantizer(
    int maxColors,
    int maxColorBits
)
Public Sub New (
    maxColors As Integer,
    maxColorBits As Integer
)
public:
OctreeQuantizer(
    int maxColors,
    int maxColorBits
)
new :
        maxColors : int *
        maxColorBits : int -> OctreeQuantizer

Parameters

maxColors
Type: SystemInt32
The maximum number of colors to return
maxColorBits
Type: SystemInt32
The number of significant bits
Remarks
The Octree quantizer is a two pass algorithm. The initial pass sets up the Octree, the second pass quantizes a color based on the nodes in the tree
See Also

Reference

OctreeQuantizer Class
OctreeQuantizer Overload
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer Properties

OctreeQuantizer Properties

The OctreeQuantizer type exposes the following members.

Properties
 | Name | Description
Public property | Threshold | Gets or sets the transparency threshold (0 - 255)
Top
See Also

Reference

OctreeQuantizer Class
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer.Threshold Property

OctreeQuantizerThreshold Property
Gets or sets the transparency threshold (0 - 255)

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte Threshold { get; set; }
Public Property Threshold As Byte
    Get
    Set
public:
property unsigned char Threshold {
    unsigned char get ();
    void set (unsigned char value);
}
member Threshold : byte with get, set

Property Value

Type: Byte
See Also

Reference

OctreeQuantizer Class
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer Methods

OctreeQuantizer Methods

The OctreeQuantizer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Protected method | FirstPass | Execute the first pass through the pixels in the image (Overrides QuantizerFirstPass(BitmapData, Int32, Int32).)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Protected method | GetPalette | Retrieve the palette for the quantized image (Overrides QuantizerGetPalette(ColorPalette).)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | InitialQuantizePixel | Process the pixel in the first pass of the algorithm (Overrides QuantizerInitialQuantizePixel(Color32*).)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Quantize | Quantize an image and return the resulting output bitmap. (Inherited from Quantizer.)
Protected method | QuantizePixel | Override this to process the pixel in the second pass of the algorithm (Overrides QuantizerQuantizePixel(Color32*).)
Protected method | SecondPass | Execute a second pass through the bitmap (Inherited from Quantizer.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

OctreeQuantizer Class
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer.FirstPass Method

OctreeQuantizerFirstPass Method
Execute the first pass through the pixels in the image

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected override void FirstPass(
    BitmapData sourceData,
    int width,
    int height
)
Protected Overrides Sub FirstPass (
    sourceData As BitmapData,
    width As Integer,
    height As Integer
)
protected:
virtual void FirstPass(
    BitmapData^ sourceData,
    int width,
    int height
) override
abstract FirstPass :
        sourceData : BitmapData *
        width : int *
        height : int -> unit
override FirstPass :
        sourceData : BitmapData *
        width : int *
        height : int -> unit

Parameters

sourceData
Type: System.Drawing.ImagingBitmapData
The source data
width
Type: SystemInt32
The width in pixels of the image
height
Type: SystemInt32
The height in pixels of the image
See Also

Reference

OctreeQuantizer Class
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer.GetPalette Method

OctreeQuantizerGetPalette Method
Retrieve the palette for the quantized image

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected override ColorPalette GetPalette(
    ColorPalette original
)
Protected Overrides Function GetPalette (
    original As ColorPalette
) As ColorPalette
protected:
virtual ColorPalette^ GetPalette(
    ColorPalette^ original
) override
abstract GetPalette :
        original : ColorPalette -> ColorPalette
override GetPalette :
        original : ColorPalette -> ColorPalette

Parameters

original
Type: System.Drawing.ImagingColorPalette
Any old palette, this is overwritten

Return Value

Type: ColorPalette
The new color palette
See Also

Reference

OctreeQuantizer Class
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer.InitialQuantizePixel Method

OctreeQuantizerInitialQuantizePixel Method
Process the pixel in the first pass of the algorithm

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected override void InitialQuantizePixel(
    Color32* pixel
)
Visual Basic does not support APIs that consume or return unsafe types.
protected:
virtual void InitialQuantizePixel(
    Color32* pixel
) override
F# does not support APIs that consume or return unsafe types.

Parameters

pixel
Type: ImageProcessor.Imaging.ColorsColor32*
The pixel to quantize
Remarks
This function need only be overridden if your quantize algorithm needs two passes, such as an Octree quantizer.
See Also

Reference

OctreeQuantizer Class
ImageProcessor.Imaging.Quantizers Namespace


OctreeQuantizer.QuantizePixel Method

OctreeQuantizerQuantizePixel Method
Override this to process the pixel in the second pass of the algorithm

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected override byte QuantizePixel(
    Color32* pixel
)
Visual Basic does not support APIs that consume or return unsafe types.
protected:
virtual unsigned char QuantizePixel(
    Color32* pixel
) override
F# does not support APIs that consume or return unsafe types.

Parameters

pixel
Type: ImageProcessor.Imaging.ColorsColor32*
The pixel to quantize

Return Value

Type: Byte
The quantized value
See Also

Reference

OctreeQuantizer Class
ImageProcessor.Imaging.Quantizers Namespace


Quantizer Class

Quantizer Class
Encapsulates methods to calculate the color palette of an image. http://msdn.microsoft.com/en-us/library/aa479306.aspx
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.QuantizersQuantizer
ImageProcessor.Imaging.QuantizersOctreeQuantizer

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract class Quantizer : IQuantizer
Public MustInherit Class Quantizer
    Implements IQuantizer
public ref class Quantizer abstract : IQuantizer
[<AbstractClassAttribute>]
type Quantizer =
    class
        interface IQuantizer
    end

The Quantizer type exposes the following members.

Constructors
 | Name | Description
Protected method | Quantizer | Initializes a new instance of the Quantizer class.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Protected method | FirstPass | Execute the first pass through the pixels in the image
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Protected method | GetPalette | Retrieve the palette for the quantized image
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | InitialQuantizePixel | Override this to process the pixel in the first pass of the algorithm
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Quantize | Quantize an image and return the resulting output bitmap.
Protected method | QuantizePixel | Override this to process the pixel in the second pass of the algorithm
Protected method | SecondPass | Execute a second pass through the bitmap
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Quantizers Namespace


Quantizer Constructor

Quantizer Constructor
Initializes a new instance of the Quantizer class.

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected Quantizer(
    bool singlePass
)
Protected Sub New (
    singlePass As Boolean
)
protected:
Quantizer(
    bool singlePass
)
new :
        singlePass : bool -> Quantizer

Parameters

singlePass
Type: SystemBoolean
If true, the quantization only needs to loop through the source pixels once
Remarks
If you construct this class with a true value for singlePass, then the code will, when quantizing your image, only call the 'QuantizeImage' function. If two passes are required, the code will call 'InitialQuantizeImage' and then 'QuantizeImage'.
See Also

Reference

Quantizer Class
ImageProcessor.Imaging.Quantizers Namespace


Quantizer Methods

Quantizer Methods

The Quantizer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Protected method | FirstPass | Execute the first pass through the pixels in the image
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Protected method | GetPalette | Retrieve the palette for the quantized image
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | InitialQuantizePixel | Override this to process the pixel in the first pass of the algorithm
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Quantize | Quantize an image and return the resulting output bitmap.
Protected method | QuantizePixel | Override this to process the pixel in the second pass of the algorithm
Protected method | SecondPass | Execute a second pass through the bitmap
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Quantizer Class
ImageProcessor.Imaging.Quantizers Namespace


Quantizer.FirstPass Method

QuantizerFirstPass Method
Execute the first pass through the pixels in the image

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual void FirstPass(
    BitmapData sourceData,
    int width,
    int height
)
Protected Overridable Sub FirstPass (
    sourceData As BitmapData,
    width As Integer,
    height As Integer
)
protected:
virtual void FirstPass(
    BitmapData^ sourceData,
    int width,
    int height
)
abstract FirstPass :
        sourceData : BitmapData *
        width : int *
        height : int -> unit
override FirstPass :
        sourceData : BitmapData *
        width : int *
        height : int -> unit

Parameters

sourceData
Type: System.Drawing.ImagingBitmapData
The source data
width
Type: SystemInt32
The width in pixels of the image
height
Type: SystemInt32
The height in pixels of the image
See Also

Reference

Quantizer Class
ImageProcessor.Imaging.Quantizers Namespace


Quantizer.GetPalette Method

QuantizerGetPalette Method
Retrieve the palette for the quantized image

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected abstract ColorPalette GetPalette(
    ColorPalette original
)
Protected MustOverride Function GetPalette (
    original As ColorPalette
) As ColorPalette
protected:
virtual ColorPalette^ GetPalette(
    ColorPalette^ original
) abstract
abstract GetPalette :
        original : ColorPalette -> ColorPalette

Parameters

original
Type: System.Drawing.ImagingColorPalette
Any old palette, this is overwritten

Return Value

Type: ColorPalette
The new color palette
See Also

Reference

Quantizer Class
ImageProcessor.Imaging.Quantizers Namespace


Quantizer.InitialQuantizePixel Method

QuantizerInitialQuantizePixel Method
Override this to process the pixel in the first pass of the algorithm

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual void InitialQuantizePixel(
    Color32* pixel
)
Visual Basic does not support APIs that consume or return unsafe types.
protected:
virtual void InitialQuantizePixel(
    Color32* pixel
)
F# does not support APIs that consume or return unsafe types.

Parameters

pixel
Type: ImageProcessor.Imaging.ColorsColor32*
The pixel to quantize
Remarks
This function need only be overridden if your quantize algorithm needs two passes, such as an Octree quantizer.
See Also

Reference

Quantizer Class
ImageProcessor.Imaging.Quantizers Namespace


Quantizer.Quantize Method

QuantizerQuantize Method
Quantize an image and return the resulting output bitmap.

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap Quantize(
    Image source
)
Public Function Quantize (
    source As Image
) As Bitmap
public:
virtual Bitmap^ Quantize(
    Image^ source
) sealed
abstract Quantize :
        source : Image -> Bitmap
override Quantize :
        source : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The image to quantize.

Return Value

Type: Bitmap
A quantized version of the image.

Implements

IQuantizerQuantize(Image)
See Also

Reference

Quantizer Class
ImageProcessor.Imaging.Quantizers Namespace


Quantizer.QuantizePixel Method

QuantizerQuantizePixel Method
Override this to process the pixel in the second pass of the algorithm

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected abstract byte QuantizePixel(
    Color32* pixel
)
Visual Basic does not support APIs that consume or return unsafe types.
protected:
virtual unsigned char QuantizePixel(
    Color32* pixel
) abstract
F# does not support APIs that consume or return unsafe types.

Parameters

pixel
Type: ImageProcessor.Imaging.ColorsColor32*
The pixel to quantize

Return Value

Type: Byte
The quantized value
See Also

Reference

Quantizer Class
ImageProcessor.Imaging.Quantizers Namespace


Quantizer.SecondPass Method

QuantizerSecondPass Method
Execute a second pass through the bitmap

Namespace: ImageProcessor.Imaging.Quantizers
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected virtual void SecondPass(
    BitmapData sourceData,
    Bitmap output,
    int width,
    int height,
    Rectangle bounds
)
Protected Overridable Sub SecondPass (
    sourceData As BitmapData,
    output As Bitmap,
    width As Integer,
    height As Integer,
    bounds As Rectangle
)
protected:
virtual void SecondPass(
    BitmapData^ sourceData,
    Bitmap^ output,
    int width,
    int height,
    Rectangle bounds
)
abstract SecondPass :
        sourceData : BitmapData *
        output : Bitmap *
        width : int *
        height : int *
        bounds : Rectangle -> unit
override SecondPass :
        sourceData : BitmapData *
        output : Bitmap *
        width : int *
        height : int *
        bounds : Rectangle -> unit

Parameters

sourceData
Type: System.Drawing.ImagingBitmapData
The source bitmap, locked into memory
output
Type: System.DrawingBitmap
The output bitmap
width
Type: SystemInt32
The width in pixels of the image
height
Type: SystemInt32
The height in pixels of the image
bounds
Type: System.DrawingRectangle
The bounding rectangle
See Also

Reference

Quantizer Class
ImageProcessor.Imaging.Quantizers Namespace


ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace

ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace
Classes
 | Class | Description
Public class | Histogram | The histogram representing the distribution of color data. Adapted from https://github.com/drewnoakes
Public class | WuQuantizer | Encapsulates methods to calculate the color palette of an image using a Wu color quantizer http://www.ece.mcmaster.ca/~xwu/cq.c. Adapted from https://github.com/drewnoakes
Public class | WuQuantizerBase | Encapsulates methods to calculate the color palette of an image using a Wu color quantizer http://www.ece.mcmaster.ca/~xwu/cq.c. Adapted from https://github.com/drewnoakes
Structures
 | Structure | Description
Public structure | Box | The box for storing color attributes. Adapted from https://github.com/drewnoakes
Interfaces
 | Interface | Description
Public interface | IWuQuantizer | Encapsulates methods to calculate the color palette of an image using a Wu color quantizer http://www.ece.mcmaster.ca/~xwu/cq.c. Adapted from https://github.com/drewnoakes


Box Structure

Box Structure
The box for storing color attributes. Adapted from https://github.com/drewnoakes

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct Box
Public Structure Box
public value class Box
[<SealedAttribute>]
type Box =  struct end

The Box type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Fields
 | Name | Description
Public field | AlphaMaximum | The alpha maximum.
Public field | AlphaMinimum | The alpha minimum.
Public field | BlueMaximum | The blue maximum.
Public field | BlueMinimum | The blue minimum.
Public field | GreenMaximum | The green maximum.
Public field | GreenMinimum | The green minimum.
Public field | RedMaximum | The red maximum.
Public field | RedMinimum | The red minimum.
Public field | Size | The size.
Top
See Also

Reference

ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box Methods

Box Methods

The Box type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box Fields

Box Fields

The Box type exposes the following members.

Fields
 | Name | Description
Public field | AlphaMaximum | The alpha maximum.
Public field | AlphaMinimum | The alpha minimum.
Public field | BlueMaximum | The blue maximum.
Public field | BlueMinimum | The blue minimum.
Public field | GreenMaximum | The green maximum.
Public field | GreenMinimum | The green minimum.
Public field | RedMaximum | The red maximum.
Public field | RedMinimum | The red minimum.
Public field | Size | The size.
Top
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.AlphaMaximum Field

BoxAlphaMaximum Field
The alpha maximum.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte AlphaMaximum
Public AlphaMaximum As Byte
public:
unsigned char AlphaMaximum
val mutable AlphaMaximum: byte

Field Value

Type: Byte
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.AlphaMinimum Field

BoxAlphaMinimum Field
The alpha minimum.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte AlphaMinimum
Public AlphaMinimum As Byte
public:
unsigned char AlphaMinimum
val mutable AlphaMinimum: byte

Field Value

Type: Byte
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.BlueMaximum Field

BoxBlueMaximum Field
The blue maximum.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte BlueMaximum
Public BlueMaximum As Byte
public:
unsigned char BlueMaximum
val mutable BlueMaximum: byte

Field Value

Type: Byte
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.BlueMinimum Field

BoxBlueMinimum Field
The blue minimum.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte BlueMinimum
Public BlueMinimum As Byte
public:
unsigned char BlueMinimum
val mutable BlueMinimum: byte

Field Value

Type: Byte
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.GreenMaximum Field

BoxGreenMaximum Field
The green maximum.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte GreenMaximum
Public GreenMaximum As Byte
public:
unsigned char GreenMaximum
val mutable GreenMaximum: byte

Field Value

Type: Byte
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.GreenMinimum Field

BoxGreenMinimum Field
The green minimum.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte GreenMinimum
Public GreenMinimum As Byte
public:
unsigned char GreenMinimum
val mutable GreenMinimum: byte

Field Value

Type: Byte
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.RedMaximum Field

BoxRedMaximum Field
The red maximum.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte RedMaximum
Public RedMaximum As Byte
public:
unsigned char RedMaximum
val mutable RedMaximum: byte

Field Value

Type: Byte
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.RedMinimum Field

BoxRedMinimum Field
The red minimum.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte RedMinimum
Public RedMinimum As Byte
public:
unsigned char RedMinimum
val mutable RedMinimum: byte

Field Value

Type: Byte
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Box.Size Field

BoxSize Field
The size.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Size
Public Size As Integer
public:
int Size
val mutable Size: int

Field Value

Type: Int32
See Also

Reference

Box Structure
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Histogram Class

Histogram Class
The histogram representing the distribution of color data. Adapted from https://github.com/drewnoakes
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Quantizers.WuQuantizerHistogram

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Histogram
Public Class Histogram
public ref class Histogram
type Histogram =  class end

The Histogram type exposes the following members.

Constructors
 | Name | Description
Public method | Histogram | Initializes a new instance of the Histogram class.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Histogram Constructor

Histogram Constructor
Initializes a new instance of the Histogram class.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Histogram()
Public Sub New
public:
Histogram()
new : unit -> Histogram
See Also

Reference

Histogram Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


Histogram Methods

Histogram Methods

The Histogram type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Histogram Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


IWuQuantizer Interface

IWuQuantizer Interface
Encapsulates methods to calculate the color palette of an image using a Wu color quantizer http://www.ece.mcmaster.ca/~xwu/cq.c. Adapted from https://github.com/drewnoakes

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IWuQuantizer : IQuantizer
Public Interface IWuQuantizer
    Inherits IQuantizer
public interface class IWuQuantizer : IQuantizer
type IWuQuantizer =
    interface
        interface IQuantizer
    end
Methods
 | Name | Description
Public method | Quantize(Image) | Quantize an image and return the resulting output bitmap. (Inherited from IQuantizer.)
Public method | Quantize(Image, Int32, Int32) | Quantizes the given image.
Top
See Also

Reference

ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


IWuQuantizer Methods

IWuQuantizer Methods
Methods
 | Name | Description
Public method | Quantize(Image) | Quantize an image and return the resulting output bitmap. (Inherited from IQuantizer.)
Public method | Quantize(Image, Int32, Int32) | Quantizes the given image.
Top
See Also

Reference

IWuQuantizer Interface
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


IWuQuantizer.Quantize Method

IWuQuantizerQuantize Method
Overload List
 | Name | Description
Public method | Quantize(Image) | Quantize an image and return the resulting output bitmap. (Inherited from IQuantizer.)
Public method | Quantize(Image, Int32, Int32) | Quantizes the given image.
Top
See Also

Reference

IWuQuantizer Interface
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


IWuQuantizer.Quantize Method (Image, Int32, Int32)

IWuQuantizerQuantize Method (Image, Int32, Int32)
Quantizes the given image.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Bitmap Quantize(
    Image image,
    int alphaThreshold,
    int alphaFader
)
Function Quantize (
    image As Image,
    alphaThreshold As Integer,
    alphaFader As Integer
) As Bitmap
Bitmap^ Quantize(
    Image^ image,
    int alphaThreshold,
    int alphaFader
)
abstract Quantize :
        image : Image *
        alphaThreshold : int *
        alphaFader : int -> Bitmap

Parameters

image
Type: System.DrawingImage
The 32 bit per pixel Image.
alphaThreshold
Type: SystemInt32
The alpha threshold. All colors with an alpha value less than this will be considered fully transparent
alphaFader
Type: SystemInt32
The alpha fader. Alpha values will be normalized to the nearest multiple of this value.

Return Value

Type: Bitmap
The quantized Image.
See Also

Reference

IWuQuantizer Interface
Quantize Overload
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizer Class

WuQuantizer Class
Encapsulates methods to calculate the color palette of an image using a Wu color quantizer http://www.ece.mcmaster.ca/~xwu/cq.c. Adapted from https://github.com/drewnoakes
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Quantizers.WuQuantizerWuQuantizerBase
ImageProcessor.Imaging.Quantizers.WuQuantizerWuQuantizer

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class WuQuantizer : WuQuantizerBase
Public Class WuQuantizer
    Inherits WuQuantizerBase
public ref class WuQuantizer : public WuQuantizerBase
type WuQuantizer =
    class
        inherit WuQuantizerBase
    end

The WuQuantizer type exposes the following members.

Constructors
 | Name | Description
Public method | WuQuantizer | Initializes a new instance of the WuQuantizer class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Quantize(Image) | Quantize an image and return the resulting output bitmap (Inherited from WuQuantizerBase.)
Public method | Quantize(Image, Int32, Int32) | Quantize an image and return the resulting output bitmap (Inherited from WuQuantizerBase.)
Public method | Quantize(Image, Int32, Int32, Histogram, Int32) | Quantize an image and return the resulting output bitmap (Inherited from WuQuantizerBase.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizer Constructor

WuQuantizer Constructor
Initializes a new instance of the WuQuantizer class

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public WuQuantizer()
Public Sub New
public:
WuQuantizer()
new : unit -> WuQuantizer
See Also

Reference

WuQuantizer Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizer Methods

WuQuantizer Methods

The WuQuantizer type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Quantize(Image) | Quantize an image and return the resulting output bitmap (Inherited from WuQuantizerBase.)
Public method | Quantize(Image, Int32, Int32) | Quantize an image and return the resulting output bitmap (Inherited from WuQuantizerBase.)
Public method | Quantize(Image, Int32, Int32, Histogram, Int32) | Quantize an image and return the resulting output bitmap (Inherited from WuQuantizerBase.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

WuQuantizer Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase Class

WuQuantizerBase Class
Encapsulates methods to calculate the color palette of an image using a Wu color quantizer http://www.ece.mcmaster.ca/~xwu/cq.c. Adapted from https://github.com/drewnoakes
Inheritance Hierarchy
SystemObject
ImageProcessor.Imaging.Quantizers.WuQuantizerWuQuantizerBase
ImageProcessor.Imaging.Quantizers.WuQuantizerWuQuantizer

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public abstract class WuQuantizerBase : IWuQuantizer,
    IQuantizer
Public MustInherit Class WuQuantizerBase
    Implements IWuQuantizer, IQuantizer
public ref class WuQuantizerBase abstract : IWuQuantizer,
    IQuantizer
[<AbstractClassAttribute>]
type WuQuantizerBase =
    class
        interface IWuQuantizer
        interface IQuantizer
    end

The WuQuantizerBase type exposes the following members.

Constructors
 | Name | Description
Protected method | WuQuantizerBase | Initializes a new instance of the WuQuantizerBase class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Quantize(Image) | Quantize an image and return the resulting output bitmap
Public method | Quantize(Image, Int32, Int32) | Quantize an image and return the resulting output bitmap
Public method | Quantize(Image, Int32, Int32, Histogram, Int32) | Quantize an image and return the resulting output bitmap
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
Name | Description
Alpha | The position of the alpha component within a byte array.
AlphaMax | The maximum value for an alpha color component.
AlphaMin | The minimum value for an alpha color component.
Blue | The position of the blue component within a byte array.
Green | The position of the green component within a byte array.
Red | The position of the red component within a byte array.
Top
See Also

Reference

ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase Constructor

WuQuantizerBase Constructor
Initializes a new instance of the WuQuantizerBase class

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected WuQuantizerBase()
Protected Sub New
protected:
WuQuantizerBase()
new : unit -> WuQuantizerBase
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase Methods

WuQuantizerBase Methods

The WuQuantizerBase type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Quantize(Image) | Quantize an image and return the resulting output bitmap
Public method | Quantize(Image, Int32, Int32) | Quantize an image and return the resulting output bitmap
Public method | Quantize(Image, Int32, Int32, Histogram, Int32) | Quantize an image and return the resulting output bitmap
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.Quantize Method

WuQuantizerBaseQuantize Method
Overload List
 | Name | Description
Public method | Quantize(Image) | Quantize an image and return the resulting output bitmap
Public method | Quantize(Image, Int32, Int32) | Quantize an image and return the resulting output bitmap
Public method | Quantize(Image, Int32, Int32, Histogram, Int32) | Quantize an image and return the resulting output bitmap
Top
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.Quantize Method (Image)

WuQuantizerBaseQuantize Method (Image)
Quantize an image and return the resulting output bitmap

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap Quantize(
    Image source
)
Public Function Quantize (
    source As Image
) As Bitmap
public:
virtual Bitmap^ Quantize(
    Image^ source
) sealed
abstract Quantize :
        source : Image -> Bitmap
override Quantize :
        source : Image -> Bitmap

Parameters

source
Type: System.DrawingImage
The 32 bit per pixel image to quantize.

Return Value

Type: Bitmap
A quantized version of the image.

Implements

IQuantizerQuantize(Image)
See Also

Reference

WuQuantizerBase Class
Quantize Overload
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.Quantize Method (Image, Int32, Int32)

WuQuantizerBaseQuantize Method (Image, Int32, Int32)
Quantize an image and return the resulting output bitmap

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap Quantize(
    Image source,
    int alphaThreshold,
    int alphaFader
)
Public Function Quantize (
    source As Image,
    alphaThreshold As Integer,
    alphaFader As Integer
) As Bitmap
public:
virtual Bitmap^ Quantize(
    Image^ source,
    int alphaThreshold,
    int alphaFader
) sealed
abstract Quantize :
        source : Image *
        alphaThreshold : int *
        alphaFader : int -> Bitmap
override Quantize :
        source : Image *
        alphaThreshold : int *
        alphaFader : int -> Bitmap

Parameters

source
Type: System.DrawingImage
The 32 bit per pixel image to quantize.
alphaThreshold
Type: SystemInt32
All colors with an alpha value less than this will be considered fully transparent.
alphaFader
Type: SystemInt32
Alpha values will be normalized to the nearest multiple of this value.

Return Value

Type: Bitmap
A quantized version of the image.

Implements

IWuQuantizerQuantize(Image, Int32, Int32)
See Also

Reference

WuQuantizerBase Class
Quantize Overload
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.Quantize Method (Image, Int32, Int32, Histogram, Int32)

WuQuantizerBaseQuantize Method (Image, Int32, Int32, Histogram, Int32)
Quantize an image and return the resulting output bitmap

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Bitmap Quantize(
    Image source,
    int alphaThreshold,
    int alphaFader,
    Histogram histogram,
    int maxColors
)
Public Function Quantize (
    source As Image,
    alphaThreshold As Integer,
    alphaFader As Integer,
    histogram As Histogram,
    maxColors As Integer
) As Bitmap
public:
Bitmap^ Quantize(
    Image^ source,
    int alphaThreshold,
    int alphaFader,
    Histogram^ histogram,
    int maxColors
)
member Quantize :
        source : Image *
        alphaThreshold : int *
        alphaFader : int *
        histogram : Histogram *
        maxColors : int -> Bitmap

Parameters

source
Type: System.DrawingImage
The 32 bit per pixel image to quantize.
alphaThreshold
Type: SystemInt32
All colors with an alpha value less than this will be considered fully transparent.
alphaFader
Type: SystemInt32
Alpha values will be normalized to the nearest multiple of this value.
histogram
Type: ImageProcessor.Imaging.Quantizers.WuQuantizerHistogram
The Histogram representing the distribution of color data.
maxColors
Type: SystemInt32
The maximum number of colors apply to the image.

Return Value

Type: Bitmap
A quantized version of the image.
See Also

Reference

WuQuantizerBase Class
Quantize Overload
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase Fields

WuQuantizerBase Fields

The WuQuantizerBase type exposes the following members.

Fields
Name | Description
Alpha | The position of the alpha component within a byte array.
AlphaMax | The maximum value for an alpha color component.
AlphaMin | The minimum value for an alpha color component.
Blue | The position of the blue component within a byte array.
Green | The position of the green component within a byte array.
Red | The position of the red component within a byte array.
Top
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.Alpha Field

WuQuantizerBaseAlpha Field
The position of the alpha component within a byte array.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected const int Alpha = 3
Protected Const Alpha As Integer = 3
protected:
literal int Alpha = 3
static val mutable Alpha: int

Field Value

Type: Int32
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.AlphaMax Field

WuQuantizerBaseAlphaMax Field
The maximum value for an alpha color component.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected const byte AlphaMax = 255
Protected Const AlphaMax As Byte = 255
protected:
literal unsigned char AlphaMax = 255
static val mutable AlphaMax: byte

Field Value

Type: Byte
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.AlphaMin Field

WuQuantizerBaseAlphaMin Field
The minimum value for an alpha color component.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected const byte AlphaMin = 0
Protected Const AlphaMin As Byte = 0
protected:
literal unsigned char AlphaMin = 0
static val mutable AlphaMin: byte

Field Value

Type: Byte
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.Blue Field

WuQuantizerBaseBlue Field
The position of the blue component within a byte array.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected const int Blue = 0
Protected Const Blue As Integer = 0
protected:
literal int Blue = 0
static val mutable Blue: int

Field Value

Type: Int32
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.Green Field

WuQuantizerBaseGreen Field
The position of the green component within a byte array.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected const int Green = 1
Protected Const Green As Integer = 1
protected:
literal int Green = 1
static val mutable Green: int

Field Value

Type: Int32
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


WuQuantizerBase.Red Field

WuQuantizerBaseRed Field
The position of the red component within a byte array.

Namespace: ImageProcessor.Imaging.Quantizers.WuQuantizer
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
protected const int Red = 2
Protected Const Red As Integer = 2
protected:
literal int Red = 2
static val mutable Red: int

Field Value

Type: Int32
See Also

Reference

WuQuantizerBase Class
ImageProcessor.Imaging.Quantizers.WuQuantizer Namespace


ImageProcessor.Processors Namespace

ImageProcessor.Processors Namespace
The image processors
Classes
 | Class | Description
Public class | Alpha | Encapsulates methods to change the alpha component of the image to effect its transparency.
Public class | AutoRotate | Performs auto-rotation to ensure that EXIF defined rotation is reflected in the final image. Remarks http://sylvana.net/jpegcrop/exif_orientation.html
Public class | BackgroundColor | Changes the background color of an image.
Public class | Brightness | Encapsulates methods to change the brightness component of the image.
Public class | Contrast | Encapsulates methods to change the contrast component of the image.
Public class | Crop | Crops an image to the given directions.
Public class | DetectEdges | Produces an image with the detected edges highlighted.
Public class | EntropyCrop | Performs a crop on an image to the area of greatest entropy.
Public class | Filter | Encapsulates methods with which to add filters to an image.
Public class | Flip | Flips an image horizontally or vertically.
Public class | Format | Sets the output of the image to a specific format.
Public class | Gamma | Encapsulates methods to change the gamma component of the image to effect its luminance.
Public class | GaussianBlur | Applies a Gaussian blur to the image.
Public class | GaussianSharpen | Applies a Gaussian sharpen to the image.
Public class | Halftone | The halftone processor applies a classical CMYK halftone to the given image.
Public class | Hue | Encapsulates methods to adjust the hue component of an image.
Public class | Mask | Applies a mask to the given image. If the mask is not the same size as the image it will be centered against the image.
Public class | Meta | Encapsulates methods to control preservation of meta information.
Public class | Overlay | Adds an image overlay to the current image. If the overlay is larger than the image it will be scaled to match the image.
Public class | Pixelate | Encapsulates methods to pixelate an image.
Public class | Quality | Encapsulates methods to change the quality component of the image.
Public class | ReplaceColor | Encapsulates methods allowing the replacement of a color within an image.
Public class | Resize | Resizes an image to the given dimensions.
Public class | Resolution | Encapsulates methods to change the resolution of the image.
Public class | Rotate | Encapsulates methods to rotate an image.
Public class | RotateBounded | Encapsulates the methods to rotate an image without expanding the canvas.
Public class | RoundedCorners | Encapsulates methods to add rounded corners to an image.
Public class | Saturation | Encapsulates methods to change the saturation component of the image.
Public class | Tint | Tints an image with the given color.
Public class | Vignette | Encapsulates methods with which to add a vignette image effect to an image.
Public class | Watermark | Encapsulates methods to add a watermark text overlay to an image.
Interfaces
 | Interface | Description
Public interface | IGraphicsProcessor | Defines properties and methods for ImageProcessor Plugins.


Alpha Class

Alpha Class
Encapsulates methods to change the alpha component of the image to effect its transparency.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsAlpha

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Alpha : IGraphicsProcessor
Public Class Alpha
    Implements IGraphicsProcessor
public ref class Alpha : IGraphicsProcessor
type Alpha =
    class
        interface IGraphicsProcessor
    end

The Alpha type exposes the following members.

Constructors
 | Name | Description
Public method | Alpha | Initializes a new instance of the Alpha class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Alpha Constructor

Alpha Constructor
Initializes a new instance of the Alpha class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Alpha()
Public Sub New
public:
Alpha()
new : unit -> Alpha
See Also

Reference

Alpha Class
ImageProcessor.Processors Namespace


Alpha Properties

Alpha Properties

The Alpha type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Alpha Class
ImageProcessor.Processors Namespace


Alpha.DynamicParameter Property

AlphaDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Alpha Class
ImageProcessor.Processors Namespace


Alpha.Settings Property

AlphaSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Alpha Class
ImageProcessor.Processors Namespace


Alpha Methods

Alpha Methods

The Alpha type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Alpha Class
ImageProcessor.Processors Namespace


Alpha.ProcessImage Method

AlphaProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Alpha Class
ImageProcessor.Processors Namespace


AutoRotate Class

AutoRotate Class
Performs auto-rotation to ensure that EXIF defined rotation is reflected in the final image.
Remarks
http://sylvana.net/jpegcrop/exif_orientation.html
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsAutoRotate

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class AutoRotate : IGraphicsProcessor
Public Class AutoRotate
    Implements IGraphicsProcessor
public ref class AutoRotate : IGraphicsProcessor
type AutoRotate =
    class
        interface IGraphicsProcessor
    end

The AutoRotate type exposes the following members.

Constructors
 | Name | Description
Public method | AutoRotate | Initializes a new instance of the AutoRotate class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


AutoRotate Constructor

AutoRotate Constructor
Initializes a new instance of the AutoRotate class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public AutoRotate()
Public Sub New
public:
AutoRotate()
new : unit -> AutoRotate
See Also

Reference

AutoRotate Class
ImageProcessor.Processors Namespace


AutoRotate Properties

AutoRotate Properties

The AutoRotate type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

AutoRotate Class
ImageProcessor.Processors Namespace


AutoRotate.DynamicParameter Property

AutoRotateDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

AutoRotate Class
ImageProcessor.Processors Namespace


AutoRotate.Settings Property

AutoRotateSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

AutoRotate Class
ImageProcessor.Processors Namespace


AutoRotate Methods

AutoRotate Methods

The AutoRotate type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

AutoRotate Class
ImageProcessor.Processors Namespace


AutoRotate.ProcessImage Method

AutoRotateProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

AutoRotate Class
ImageProcessor.Processors Namespace


BackgroundColor Class

BackgroundColor Class
Changes the background color of an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsBackgroundColor

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class BackgroundColor : IGraphicsProcessor
Public Class BackgroundColor
    Implements IGraphicsProcessor
public ref class BackgroundColor : IGraphicsProcessor
type BackgroundColor =
    class
        interface IGraphicsProcessor
    end

The BackgroundColor type exposes the following members.

Constructors
 | Name | Description
Public method | BackgroundColor | Initializes a new instance of the BackgroundColor class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


BackgroundColor Constructor

BackgroundColor Constructor
Initializes a new instance of the BackgroundColor class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public BackgroundColor()
Public Sub New
public:
BackgroundColor()
new : unit -> BackgroundColor
See Also

Reference

BackgroundColor Class
ImageProcessor.Processors Namespace


BackgroundColor Properties

BackgroundColor Properties

The BackgroundColor type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

BackgroundColor Class
ImageProcessor.Processors Namespace


BackgroundColor.DynamicParameter Property

BackgroundColorDynamicParameter Property
Gets or sets the DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

BackgroundColor Class
ImageProcessor.Processors Namespace


BackgroundColor.Settings Property

BackgroundColorSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

BackgroundColor Class
ImageProcessor.Processors Namespace


BackgroundColor Methods

BackgroundColor Methods

The BackgroundColor type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

BackgroundColor Class
ImageProcessor.Processors Namespace


BackgroundColor.ProcessImage Method

BackgroundColorProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

BackgroundColor Class
ImageProcessor.Processors Namespace


Brightness Class

Brightness Class
Encapsulates methods to change the brightness component of the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsBrightness

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Brightness : IGraphicsProcessor
Public Class Brightness
    Implements IGraphicsProcessor
public ref class Brightness : IGraphicsProcessor
type Brightness =
    class
        interface IGraphicsProcessor
    end

The Brightness type exposes the following members.

Constructors
 | Name | Description
Public method | Brightness | Initializes a new instance of the Brightness class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Brightness Constructor

Brightness Constructor
Initializes a new instance of the Brightness class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Brightness()
Public Sub New
public:
Brightness()
new : unit -> Brightness
See Also

Reference

Brightness Class
ImageProcessor.Processors Namespace


Brightness Properties

Brightness Properties

The Brightness type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Brightness Class
ImageProcessor.Processors Namespace


Brightness.DynamicParameter Property

BrightnessDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Brightness Class
ImageProcessor.Processors Namespace


Brightness.Settings Property

BrightnessSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Brightness Class
ImageProcessor.Processors Namespace


Brightness Methods

Brightness Methods

The Brightness type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Brightness Class
ImageProcessor.Processors Namespace


Brightness.ProcessImage Method

BrightnessProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Brightness Class
ImageProcessor.Processors Namespace


Contrast Class

Contrast Class
Encapsulates methods to change the contrast component of the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsContrast

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Contrast : IGraphicsProcessor
Public Class Contrast
    Implements IGraphicsProcessor
public ref class Contrast : IGraphicsProcessor
type Contrast =
    class
        interface IGraphicsProcessor
    end

The Contrast type exposes the following members.

Constructors
 | Name | Description
Public method | Contrast | Initializes a new instance of the Contrast class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Contrast Constructor

Contrast Constructor
Initializes a new instance of the Contrast class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Contrast()
Public Sub New
public:
Contrast()
new : unit -> Contrast
See Also

Reference

Contrast Class
ImageProcessor.Processors Namespace


Contrast Properties

Contrast Properties

The Contrast type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Contrast Class
ImageProcessor.Processors Namespace


Contrast.DynamicParameter Property

ContrastDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Contrast Class
ImageProcessor.Processors Namespace


Contrast.Settings Property

ContrastSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Contrast Class
ImageProcessor.Processors Namespace


Contrast Methods

Contrast Methods

The Contrast type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Contrast Class
ImageProcessor.Processors Namespace


Contrast.ProcessImage Method

ContrastProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Contrast Class
ImageProcessor.Processors Namespace


Crop Class

Crop Class
Crops an image to the given directions.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsCrop

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Crop : IGraphicsProcessor
Public Class Crop
    Implements IGraphicsProcessor
public ref class Crop : IGraphicsProcessor
type Crop =
    class
        interface IGraphicsProcessor
    end

The Crop type exposes the following members.

Constructors
 | Name | Description
Public method | Crop | Initializes a new instance of the Crop class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Crop Constructor

Crop Constructor
Initializes a new instance of the Crop class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Crop()
Public Sub New
public:
Crop()
new : unit -> Crop
See Also

Reference

Crop Class
ImageProcessor.Processors Namespace


Crop Properties

Crop Properties

The Crop type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Crop Class
ImageProcessor.Processors Namespace


Crop.DynamicParameter Property

CropDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Crop Class
ImageProcessor.Processors Namespace


Crop.Settings Property

CropSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Crop Class
ImageProcessor.Processors Namespace


Crop Methods

Crop Methods

The Crop type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Crop Class
ImageProcessor.Processors Namespace


Crop.ProcessImage Method

CropProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Crop Class
ImageProcessor.Processors Namespace


DetectEdges Class

DetectEdges Class
Produces an image with the detected edges highlighted.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsDetectEdges

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class DetectEdges : IGraphicsProcessor
Public Class DetectEdges
    Implements IGraphicsProcessor
public ref class DetectEdges : IGraphicsProcessor
type DetectEdges =
    class
        interface IGraphicsProcessor
    end

The DetectEdges type exposes the following members.

Constructors
 | Name | Description
Public method | DetectEdges | Initializes a new instance of the DetectEdges class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


DetectEdges Constructor

DetectEdges Constructor
Initializes a new instance of the DetectEdges class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public DetectEdges()
Public Sub New
public:
DetectEdges()
new : unit -> DetectEdges
See Also

Reference

DetectEdges Class
ImageProcessor.Processors Namespace


DetectEdges Properties

DetectEdges Properties

The DetectEdges type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

DetectEdges Class
ImageProcessor.Processors Namespace


DetectEdges.DynamicParameter Property

DetectEdgesDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

DetectEdges Class
ImageProcessor.Processors Namespace


DetectEdges.Settings Property

DetectEdgesSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

DetectEdges Class
ImageProcessor.Processors Namespace


DetectEdges Methods

DetectEdges Methods

The DetectEdges type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

DetectEdges Class
ImageProcessor.Processors Namespace


DetectEdges.ProcessImage Method

DetectEdgesProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

DetectEdges Class
ImageProcessor.Processors Namespace


EntropyCrop Class

EntropyCrop Class
Performs a crop on an image to the area of greatest entropy.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsEntropyCrop

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class EntropyCrop : IGraphicsProcessor
Public Class EntropyCrop
    Implements IGraphicsProcessor
public ref class EntropyCrop : IGraphicsProcessor
type EntropyCrop =
    class
        interface IGraphicsProcessor
    end

The EntropyCrop type exposes the following members.

Constructors
 | Name | Description
Public method | EntropyCrop | Initializes a new instance of the EntropyCrop class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


EntropyCrop Constructor

EntropyCrop Constructor
Initializes a new instance of the EntropyCrop class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public EntropyCrop()
Public Sub New
public:
EntropyCrop()
new : unit -> EntropyCrop
See Also

Reference

EntropyCrop Class
ImageProcessor.Processors Namespace


EntropyCrop Properties

EntropyCrop Properties

The EntropyCrop type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

EntropyCrop Class
ImageProcessor.Processors Namespace


EntropyCrop.DynamicParameter Property

EntropyCropDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

EntropyCrop Class
ImageProcessor.Processors Namespace


EntropyCrop.Settings Property

EntropyCropSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

EntropyCrop Class
ImageProcessor.Processors Namespace


EntropyCrop Methods

EntropyCrop Methods

The EntropyCrop type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

EntropyCrop Class
ImageProcessor.Processors Namespace


EntropyCrop.ProcessImage Method

EntropyCropProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

EntropyCrop Class
ImageProcessor.Processors Namespace


Filter Class

Filter Class
Encapsulates methods with which to add filters to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsFilter

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Filter : IGraphicsProcessor
Public Class Filter
    Implements IGraphicsProcessor
public ref class Filter : IGraphicsProcessor
type Filter =
    class
        interface IGraphicsProcessor
    end

The Filter type exposes the following members.

Constructors
 | Name | Description
Public method | Filter | Initializes a new instance of the Filter class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Filter Constructor

Filter Constructor
Initializes a new instance of the Filter class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Filter()
Public Sub New
public:
Filter()
new : unit -> Filter
See Also

Reference

Filter Class
ImageProcessor.Processors Namespace


Filter Properties

Filter Properties

The Filter type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Filter Class
ImageProcessor.Processors Namespace


Filter.DynamicParameter Property

FilterDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Filter Class
ImageProcessor.Processors Namespace


Filter.Settings Property

FilterSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Filter Class
ImageProcessor.Processors Namespace


Filter Methods

Filter Methods

The Filter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Filter Class
ImageProcessor.Processors Namespace


Filter.ProcessImage Method

FilterProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Filter Class
ImageProcessor.Processors Namespace


Flip Class

Flip Class
Flips an image horizontally or vertically.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsFlip

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Flip : IGraphicsProcessor
Public Class Flip
    Implements IGraphicsProcessor
public ref class Flip : IGraphicsProcessor
type Flip =
    class
        interface IGraphicsProcessor
    end

The Flip type exposes the following members.

Constructors
 | Name | Description
Public method | Flip | Initializes a new instance of the Flip class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Flip Constructor

Flip Constructor
Initializes a new instance of the Flip class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Flip()
Public Sub New
public:
Flip()
new : unit -> Flip
See Also

Reference

Flip Class
ImageProcessor.Processors Namespace


Flip Properties

Flip Properties

The Flip type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Flip Class
ImageProcessor.Processors Namespace


Flip.DynamicParameter Property

FlipDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Flip Class
ImageProcessor.Processors Namespace


Flip.Settings Property

FlipSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Flip Class
ImageProcessor.Processors Namespace


Flip Methods

Flip Methods

The Flip type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Flip Class
ImageProcessor.Processors Namespace


Flip.ProcessImage Method

FlipProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Flip Class
ImageProcessor.Processors Namespace


Format Class

Format Class
Sets the output of the image to a specific format.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsFormat

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Format : IGraphicsProcessor
Public Class Format
    Implements IGraphicsProcessor
public ref class Format : IGraphicsProcessor
type Format =
    class
        interface IGraphicsProcessor
    end

The Format type exposes the following members.

Constructors
 | Name | Description
Public method | Format | Initializes a new instance of the Format class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Format Constructor

Format Constructor
Initializes a new instance of the Format class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Format()
Public Sub New
public:
Format()
new : unit -> Format
See Also

Reference

Format Class
ImageProcessor.Processors Namespace


Format Properties

Format Properties

The Format type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Format Class
ImageProcessor.Processors Namespace


Format.DynamicParameter Property

FormatDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Format Class
ImageProcessor.Processors Namespace


Format.Settings Property

FormatSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Format Class
ImageProcessor.Processors Namespace


Format Methods

Format Methods

The Format type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Format Class
ImageProcessor.Processors Namespace


Format.ProcessImage Method

FormatProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Format Class
ImageProcessor.Processors Namespace


Gamma Class

Gamma Class
Encapsulates methods to change the gamma component of the image to effect its luminance.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsGamma

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Gamma : IGraphicsProcessor
Public Class Gamma
    Implements IGraphicsProcessor
public ref class Gamma : IGraphicsProcessor
type Gamma =
    class
        interface IGraphicsProcessor
    end

The Gamma type exposes the following members.

Constructors
 | Name | Description
Public method | Gamma | Initializes a new instance of the Gamma class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Gamma Constructor

Gamma Constructor
Initializes a new instance of the Gamma class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Gamma()
Public Sub New
public:
Gamma()
new : unit -> Gamma
See Also

Reference

Gamma Class
ImageProcessor.Processors Namespace


Gamma Properties

Gamma Properties

The Gamma type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Gamma Class
ImageProcessor.Processors Namespace


Gamma.DynamicParameter Property

GammaDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Gamma Class
ImageProcessor.Processors Namespace


Gamma.Settings Property

GammaSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Gamma Class
ImageProcessor.Processors Namespace


Gamma Methods

Gamma Methods

The Gamma type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Gamma Class
ImageProcessor.Processors Namespace


Gamma.ProcessImage Method

GammaProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Gamma Class
ImageProcessor.Processors Namespace


GaussianBlur Class

GaussianBlur Class
Applies a Gaussian blur to the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsGaussianBlur

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class GaussianBlur : IGraphicsProcessor
Public Class GaussianBlur
    Implements IGraphicsProcessor
public ref class GaussianBlur : IGraphicsProcessor
type GaussianBlur =
    class
        interface IGraphicsProcessor
    end

The GaussianBlur type exposes the following members.

Constructors
 | Name | Description
Public method | GaussianBlur | Initializes a new instance of the GaussianBlur class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


GaussianBlur Constructor

GaussianBlur Constructor
Initializes a new instance of the GaussianBlur class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GaussianBlur()
Public Sub New
public:
GaussianBlur()
new : unit -> GaussianBlur
See Also

Reference

GaussianBlur Class
ImageProcessor.Processors Namespace


GaussianBlur Properties

GaussianBlur Properties

The GaussianBlur type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

GaussianBlur Class
ImageProcessor.Processors Namespace


GaussianBlur.DynamicParameter Property

GaussianBlurDynamicParameter Property
Gets or sets the DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

GaussianBlur Class
ImageProcessor.Processors Namespace


GaussianBlur.Settings Property

GaussianBlurSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

GaussianBlur Class
ImageProcessor.Processors Namespace


GaussianBlur Methods

GaussianBlur Methods

The GaussianBlur type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GaussianBlur Class
ImageProcessor.Processors Namespace


GaussianBlur.ProcessImage Method

GaussianBlurProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

GaussianBlur Class
ImageProcessor.Processors Namespace


GaussianSharpen Class

GaussianSharpen Class
Applies a Gaussian sharpen to the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsGaussianSharpen

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class GaussianSharpen : IGraphicsProcessor
Public Class GaussianSharpen
    Implements IGraphicsProcessor
public ref class GaussianSharpen : IGraphicsProcessor
type GaussianSharpen =
    class
        interface IGraphicsProcessor
    end

The GaussianSharpen type exposes the following members.

Constructors
 | Name | Description
Public method | GaussianSharpen | Initializes a new instance of the GaussianSharpen class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


GaussianSharpen Constructor

GaussianSharpen Constructor
Initializes a new instance of the GaussianSharpen class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public GaussianSharpen()
Public Sub New
public:
GaussianSharpen()
new : unit -> GaussianSharpen
See Also

Reference

GaussianSharpen Class
ImageProcessor.Processors Namespace


GaussianSharpen Properties

GaussianSharpen Properties

The GaussianSharpen type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

GaussianSharpen Class
ImageProcessor.Processors Namespace


GaussianSharpen.DynamicParameter Property

GaussianSharpenDynamicParameter Property
Gets or sets the DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

GaussianSharpen Class
ImageProcessor.Processors Namespace


GaussianSharpen.Settings Property

GaussianSharpenSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

GaussianSharpen Class
ImageProcessor.Processors Namespace


GaussianSharpen Methods

GaussianSharpen Methods

The GaussianSharpen type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GaussianSharpen Class
ImageProcessor.Processors Namespace


GaussianSharpen.ProcessImage Method

GaussianSharpenProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

GaussianSharpen Class
ImageProcessor.Processors Namespace


Halftone Class

Halftone Class
The halftone processor applies a classical CMYK halftone to the given image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsHalftone

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Halftone : IGraphicsProcessor
Public Class Halftone
    Implements IGraphicsProcessor
public ref class Halftone : IGraphicsProcessor
type Halftone =
    class
        interface IGraphicsProcessor
    end

The Halftone type exposes the following members.

Constructors
 | Name | Description
Public method | Halftone | Initializes a new instance of the Halftone class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Halftone Constructor

Halftone Constructor
Initializes a new instance of the Halftone class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Halftone()
Public Sub New
public:
Halftone()
new : unit -> Halftone
See Also

Reference

Halftone Class
ImageProcessor.Processors Namespace


Halftone Properties

Halftone Properties

The Halftone type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Halftone Class
ImageProcessor.Processors Namespace


Halftone.DynamicParameter Property

HalftoneDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Halftone Class
ImageProcessor.Processors Namespace


Halftone.Settings Property

HalftoneSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Halftone Class
ImageProcessor.Processors Namespace


Halftone Methods

Halftone Methods

The Halftone type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Halftone Class
ImageProcessor.Processors Namespace


Halftone.ProcessImage Method

HalftoneProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Halftone Class
ImageProcessor.Processors Namespace


Hue Class

Hue Class
Encapsulates methods to adjust the hue component of an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsHue

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Hue : IGraphicsProcessor
Public Class Hue
    Implements IGraphicsProcessor
public ref class Hue : IGraphicsProcessor
type Hue =
    class
        interface IGraphicsProcessor
    end

The Hue type exposes the following members.

Constructors
 | Name | Description
Public method | Hue | Initializes a new instance of the Hue class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Hue Constructor

Hue Constructor
Initializes a new instance of the Hue class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Hue()
Public Sub New
public:
Hue()
new : unit -> Hue
See Also

Reference

Hue Class
ImageProcessor.Processors Namespace


Hue Properties

Hue Properties

The Hue type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Hue Class
ImageProcessor.Processors Namespace


Hue.DynamicParameter Property

HueDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Hue Class
ImageProcessor.Processors Namespace


Hue.Settings Property

HueSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Hue Class
ImageProcessor.Processors Namespace


Hue Methods

Hue Methods

The Hue type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Hue Class
ImageProcessor.Processors Namespace


Hue.ProcessImage Method

HueProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Hue Class
ImageProcessor.Processors Namespace


IGraphicsProcessor Interface

IGraphicsProcessor Interface
Defines properties and methods for ImageProcessor Plugins.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IGraphicsProcessor
Public Interface IGraphicsProcessor
public interface class IGraphicsProcessor
type IGraphicsProcessor =  interface end

The IGraphicsProcessor type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | ProcessImage | Processes the image.
Top
See Also

Reference

ImageProcessor.Processors Namespace


IGraphicsProcessor Properties

IGraphicsProcessor Properties

The IGraphicsProcessor type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

IGraphicsProcessor Interface
ImageProcessor.Processors Namespace


IGraphicsProcessor.DynamicParameter Property

IGraphicsProcessorDynamicParameter Property
Gets or sets the DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Object DynamicParameter { get; set; }
Property DynamicParameter As Object
    Get
    Set
property Object^ DynamicParameter {
    Object^ get ();
    void set (Object^ value);
}
abstract DynamicParameter : Object with get, set

Property Value

Type: Object
See Also

Reference

IGraphicsProcessor Interface
ImageProcessor.Processors Namespace


IGraphicsProcessor.Settings Property

IGraphicsProcessorSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Dictionary<string, string> Settings { get; set; }
Property Settings As Dictionary(Of String, String)
    Get
    Set
property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get ();
    void set (Dictionary<String^, String^>^ value);
}
abstract Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String
See Also

Reference

IGraphicsProcessor Interface
ImageProcessor.Processors Namespace


IGraphicsProcessor Methods

IGraphicsProcessor Methods

The IGraphicsProcessor type exposes the following members.

Methods
 | Name | Description
Public method | ProcessImage | Processes the image.
Top
See Also

Reference

IGraphicsProcessor Interface
ImageProcessor.Processors Namespace


IGraphicsProcessor.ProcessImage Method

IGraphicsProcessorProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
Image ProcessImage(
    ImageFactory factory
)
Function ProcessImage (
    factory As ImageFactory
) As Image
Image^ ProcessImage(
    ImageFactory^ factory
)
abstract ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.
See Also

Reference

IGraphicsProcessor Interface
ImageProcessor.Processors Namespace


Mask Class

Mask Class
Applies a mask to the given image. If the mask is not the same size as the image it will be centered against the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsMask

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Mask : IGraphicsProcessor
Public Class Mask
    Implements IGraphicsProcessor
public ref class Mask : IGraphicsProcessor
type Mask =
    class
        interface IGraphicsProcessor
    end

The Mask type exposes the following members.

Constructors
 | Name | Description
Public method | Mask | Initializes a new instance of the Mask class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Mask Constructor

Mask Constructor
Initializes a new instance of the Mask class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Mask()
Public Sub New
public:
Mask()
new : unit -> Mask
See Also

Reference

Mask Class
ImageProcessor.Processors Namespace


Mask Properties

Mask Properties

The Mask type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Mask Class
ImageProcessor.Processors Namespace


Mask.DynamicParameter Property

MaskDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Mask Class
ImageProcessor.Processors Namespace


Mask.Settings Property

MaskSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Mask Class
ImageProcessor.Processors Namespace


Mask Methods

Mask Methods

The Mask type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Mask Class
ImageProcessor.Processors Namespace


Mask.ProcessImage Method

MaskProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Mask Class
ImageProcessor.Processors Namespace


Meta Class

Meta Class
Encapsulates methods to control preservation of meta information.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsMeta

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Meta : IGraphicsProcessor
Public Class Meta
    Implements IGraphicsProcessor
public ref class Meta : IGraphicsProcessor
type Meta =
    class
        interface IGraphicsProcessor
    end

The Meta type exposes the following members.

Constructors
 | Name | Description
Public method | Meta | Initializes a new instance of the Meta class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Meta Constructor

Meta Constructor
Initializes a new instance of the Meta class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Meta()
Public Sub New
public:
Meta()
new : unit -> Meta
See Also

Reference

Meta Class
ImageProcessor.Processors Namespace


Meta Properties

Meta Properties

The Meta type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Meta Class
ImageProcessor.Processors Namespace


Meta.DynamicParameter Property

MetaDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Meta Class
ImageProcessor.Processors Namespace


Meta.Settings Property

MetaSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Meta Class
ImageProcessor.Processors Namespace


Meta Methods

Meta Methods

The Meta type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Meta Class
ImageProcessor.Processors Namespace


Meta.ProcessImage Method

MetaProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Meta Class
ImageProcessor.Processors Namespace


Overlay Class

Overlay Class
Adds an image overlay to the current image. If the overlay is larger than the image it will be scaled to match the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsOverlay

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Overlay : IGraphicsProcessor
Public Class Overlay
    Implements IGraphicsProcessor
public ref class Overlay : IGraphicsProcessor
type Overlay =
    class
        interface IGraphicsProcessor
    end

The Overlay type exposes the following members.

Constructors
 | Name | Description
Public method | Overlay | Initializes a new instance of the Overlay class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Overlay Constructor

Overlay Constructor
Initializes a new instance of the Overlay class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Overlay()
Public Sub New
public:
Overlay()
new : unit -> Overlay
See Also

Reference

Overlay Class
ImageProcessor.Processors Namespace


Overlay Properties

Overlay Properties

The Overlay type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Overlay Class
ImageProcessor.Processors Namespace


Overlay.DynamicParameter Property

OverlayDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Overlay Class
ImageProcessor.Processors Namespace


Overlay.Settings Property

OverlaySettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Overlay Class
ImageProcessor.Processors Namespace


Overlay Methods

Overlay Methods

The Overlay type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Overlay Class
ImageProcessor.Processors Namespace


Overlay.ProcessImage Method

OverlayProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Overlay Class
ImageProcessor.Processors Namespace


Pixelate Class

Pixelate Class
Encapsulates methods to pixelate an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsPixelate

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Pixelate : IGraphicsProcessor
Public Class Pixelate
    Implements IGraphicsProcessor
public ref class Pixelate : IGraphicsProcessor
type Pixelate =
    class
        interface IGraphicsProcessor
    end

The Pixelate type exposes the following members.

Constructors
 | Name | Description
Public method | Pixelate | Initializes a new instance of the Pixelate class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Pixelate Constructor

Pixelate Constructor
Initializes a new instance of the Pixelate class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Pixelate()
Public Sub New
public:
Pixelate()
new : unit -> Pixelate
See Also

Reference

Pixelate Class
ImageProcessor.Processors Namespace


Pixelate Properties

Pixelate Properties

The Pixelate type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Pixelate Class
ImageProcessor.Processors Namespace


Pixelate.DynamicParameter Property

PixelateDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Pixelate Class
ImageProcessor.Processors Namespace


Pixelate.Settings Property

PixelateSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Pixelate Class
ImageProcessor.Processors Namespace


Pixelate Methods

Pixelate Methods

The Pixelate type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Pixelate Class
ImageProcessor.Processors Namespace


Pixelate.ProcessImage Method

PixelateProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Pixelate Class
ImageProcessor.Processors Namespace


Quality Class

Quality Class
Encapsulates methods to change the quality component of the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsQuality

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Quality : IGraphicsProcessor
Public Class Quality
    Implements IGraphicsProcessor
public ref class Quality : IGraphicsProcessor
type Quality =
    class
        interface IGraphicsProcessor
    end

The Quality type exposes the following members.

Constructors
 | Name | Description
Public method | Quality | Initializes a new instance of the Quality class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Quality Constructor

Quality Constructor
Initializes a new instance of the Quality class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Quality()
Public Sub New
public:
Quality()
new : unit -> Quality
See Also

Reference

Quality Class
ImageProcessor.Processors Namespace


Quality Properties

Quality Properties

The Quality type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Quality Class
ImageProcessor.Processors Namespace


Quality.DynamicParameter Property

QualityDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Quality Class
ImageProcessor.Processors Namespace


Quality.Settings Property

QualitySettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Quality Class
ImageProcessor.Processors Namespace


Quality Methods

Quality Methods

The Quality type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Quality Class
ImageProcessor.Processors Namespace


Quality.ProcessImage Method

QualityProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Quality Class
ImageProcessor.Processors Namespace


ReplaceColor Class

ReplaceColor Class
Encapsulates methods allowing the replacement of a color within an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsReplaceColor

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ReplaceColor : IGraphicsProcessor
Public Class ReplaceColor
    Implements IGraphicsProcessor
public ref class ReplaceColor : IGraphicsProcessor
type ReplaceColor =
    class
        interface IGraphicsProcessor
    end

The ReplaceColor type exposes the following members.

Constructors
 | Name | Description
Public method | ReplaceColor | Initializes a new instance of the ReplaceColor class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


ReplaceColor Constructor

ReplaceColor Constructor
Initializes a new instance of the ReplaceColor class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReplaceColor()
Public Sub New
public:
ReplaceColor()
new : unit -> ReplaceColor
See Also

Reference

ReplaceColor Class
ImageProcessor.Processors Namespace


ReplaceColor Properties

ReplaceColor Properties

The ReplaceColor type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

ReplaceColor Class
ImageProcessor.Processors Namespace


ReplaceColor.DynamicParameter Property

ReplaceColorDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

ReplaceColor Class
ImageProcessor.Processors Namespace


ReplaceColor.Settings Property

ReplaceColorSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

ReplaceColor Class
ImageProcessor.Processors Namespace


ReplaceColor Methods

ReplaceColor Methods

The ReplaceColor type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ReplaceColor Class
ImageProcessor.Processors Namespace


ReplaceColor.ProcessImage Method

ReplaceColorProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

ReplaceColor Class
ImageProcessor.Processors Namespace


Resize Class

Resize Class
Resizes an image to the given dimensions.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsResize

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Resize : IGraphicsProcessor
Public Class Resize
    Implements IGraphicsProcessor
public ref class Resize : IGraphicsProcessor
type Resize =
    class
        interface IGraphicsProcessor
    end

The Resize type exposes the following members.

Constructors
 | Name | Description
Public method | Resize | Initializes a new instance of the Resize class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | RestrictedSizes | Gets or sets the list of sizes to restrict resizing methods to.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Resize Constructor

Resize Constructor
Initializes a new instance of the Resize class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Resize()
Public Sub New
public:
Resize()
new : unit -> Resize
See Also

Reference

Resize Class
ImageProcessor.Processors Namespace


Resize Properties

Resize Properties

The Resize type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | RestrictedSizes | Gets or sets the list of sizes to restrict resizing methods to.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Resize Class
ImageProcessor.Processors Namespace


Resize.DynamicParameter Property

ResizeDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Resize Class
ImageProcessor.Processors Namespace


Resize.RestrictedSizes Property

ResizeRestrictedSizes Property
Gets or sets the list of sizes to restrict resizing methods to.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public List<Size> RestrictedSizes { get; set; }
Public Property RestrictedSizes As List(Of Size)
    Get
    Set
public:
property List<Size>^ RestrictedSizes {
    List<Size>^ get ();
    void set (List<Size>^ value);
}
member RestrictedSizes : List<Size> with get, set

Property Value

Type: List Size
See Also

Reference

Resize Class
ImageProcessor.Processors Namespace


Resize.Settings Property

ResizeSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Resize Class
ImageProcessor.Processors Namespace


Resize Methods

Resize Methods

The Resize type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Resize Class
ImageProcessor.Processors Namespace


Resize.ProcessImage Method

ResizeProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Resize Class
ImageProcessor.Processors Namespace


Resolution Class

Resolution Class
Encapsulates methods to change the resolution of the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsResolution

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Resolution : IGraphicsProcessor
Public Class Resolution
    Implements IGraphicsProcessor
public ref class Resolution : IGraphicsProcessor
type Resolution =
    class
        interface IGraphicsProcessor
    end

The Resolution type exposes the following members.

Constructors
 | Name | Description
Public method | Resolution | Initializes a new instance of the Resolution class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Resolution Constructor

Resolution Constructor
Initializes a new instance of the Resolution class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Resolution()
Public Sub New
public:
Resolution()
new : unit -> Resolution
See Also

Reference

Resolution Class
ImageProcessor.Processors Namespace


Resolution Properties

Resolution Properties

The Resolution type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the dynamic parameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Resolution Class
ImageProcessor.Processors Namespace


Resolution.DynamicParameter Property

ResolutionDynamicParameter Property
Gets or sets the dynamic parameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Resolution Class
ImageProcessor.Processors Namespace


Resolution.Settings Property

ResolutionSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Resolution Class
ImageProcessor.Processors Namespace


Resolution Methods

Resolution Methods

The Resolution type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Resolution Class
ImageProcessor.Processors Namespace


Resolution.ProcessImage Method

ResolutionProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Resolution Class
ImageProcessor.Processors Namespace


Rotate Class

Rotate Class
Encapsulates methods to rotate an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsRotate

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Rotate : IGraphicsProcessor
Public Class Rotate
    Implements IGraphicsProcessor
public ref class Rotate : IGraphicsProcessor
type Rotate =
    class
        interface IGraphicsProcessor
    end

The Rotate type exposes the following members.

Constructors
 | Name | Description
Public method | Rotate | Initializes a new instance of the Rotate class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Rotate Constructor

Rotate Constructor
Initializes a new instance of the Rotate class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Rotate()
Public Sub New
public:
Rotate()
new : unit -> Rotate
See Also

Reference

Rotate Class
ImageProcessor.Processors Namespace


Rotate Properties

Rotate Properties

The Rotate type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Rotate Class
ImageProcessor.Processors Namespace


Rotate.DynamicParameter Property

RotateDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Rotate Class
ImageProcessor.Processors Namespace


Rotate.Settings Property

RotateSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Rotate Class
ImageProcessor.Processors Namespace


Rotate Methods

Rotate Methods

The Rotate type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Rotate Class
ImageProcessor.Processors Namespace


Rotate.ProcessImage Method

RotateProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Rotate Class
ImageProcessor.Processors Namespace


RotateBounded Class

RotateBounded Class
Encapsulates the methods to rotate an image without expanding the canvas.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsRotateBounded

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class RotateBounded : IGraphicsProcessor
Public Class RotateBounded
    Implements IGraphicsProcessor
public ref class RotateBounded : IGraphicsProcessor
type RotateBounded =
    class
        interface IGraphicsProcessor
    end

The RotateBounded type exposes the following members.

Constructors
 | Name | Description
Public method | RotateBounded | Initializes a new instance of the RotateBounded class
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


RotateBounded Constructor

RotateBounded Constructor
Initializes a new instance of the RotateBounded class

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public RotateBounded()
Public Sub New
public:
RotateBounded()
new : unit -> RotateBounded
See Also

Reference

RotateBounded Class
ImageProcessor.Processors Namespace


RotateBounded Properties

RotateBounded Properties

The RotateBounded type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets the DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

RotateBounded Class
ImageProcessor.Processors Namespace


RotateBounded.DynamicParameter Property

RotateBoundedDynamicParameter Property
Gets or sets the DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

RotateBounded Class
ImageProcessor.Processors Namespace


RotateBounded.Settings Property

RotateBoundedSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

RotateBounded Class
ImageProcessor.Processors Namespace


RotateBounded Methods

RotateBounded Methods

The RotateBounded type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

RotateBounded Class
ImageProcessor.Processors Namespace


RotateBounded.ProcessImage Method

RotateBoundedProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
Remarks
Based on http://math.stackexchange.com/questions/1070853/
See Also

Reference

RotateBounded Class
ImageProcessor.Processors Namespace


RoundedCorners Class

RoundedCorners Class
Encapsulates methods to add rounded corners to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsRoundedCorners

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class RoundedCorners : IGraphicsProcessor
Public Class RoundedCorners
    Implements IGraphicsProcessor
public ref class RoundedCorners : IGraphicsProcessor
type RoundedCorners =
    class
        interface IGraphicsProcessor
    end

The RoundedCorners type exposes the following members.

Constructors
 | Name | Description
Public method | RoundedCorners | Initializes a new instance of the RoundedCorners class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


RoundedCorners Constructor

RoundedCorners Constructor
Initializes a new instance of the RoundedCorners class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public RoundedCorners()
Public Sub New
public:
RoundedCorners()
new : unit -> RoundedCorners
See Also

Reference

RoundedCorners Class
ImageProcessor.Processors Namespace


RoundedCorners Properties

RoundedCorners Properties

The RoundedCorners type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

RoundedCorners Class
ImageProcessor.Processors Namespace


RoundedCorners.DynamicParameter Property

RoundedCornersDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

RoundedCorners Class
ImageProcessor.Processors Namespace


RoundedCorners.Settings Property

RoundedCornersSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

RoundedCorners Class
ImageProcessor.Processors Namespace


RoundedCorners Methods

RoundedCorners Methods

The RoundedCorners type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

RoundedCorners Class
ImageProcessor.Processors Namespace


RoundedCorners.ProcessImage Method

RoundedCornersProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

RoundedCorners Class
ImageProcessor.Processors Namespace


Saturation Class

Saturation Class
Encapsulates methods to change the saturation component of the image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsSaturation

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Saturation : IGraphicsProcessor
Public Class Saturation
    Implements IGraphicsProcessor
public ref class Saturation : IGraphicsProcessor
type Saturation =
    class
        interface IGraphicsProcessor
    end

The Saturation type exposes the following members.

Constructors
 | Name | Description
Public method | Saturation | Initializes a new instance of the Saturation class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Remarks
http://www.bobpowell.net/imagesaturation.htm
See Also

Reference

ImageProcessor.Processors Namespace


Saturation Constructor

Saturation Constructor
Initializes a new instance of the Saturation class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Saturation()
Public Sub New
public:
Saturation()
new : unit -> Saturation
See Also

Reference

Saturation Class
ImageProcessor.Processors Namespace


Saturation Properties

Saturation Properties

The Saturation type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Saturation Class
ImageProcessor.Processors Namespace


Saturation.DynamicParameter Property

SaturationDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Saturation Class
ImageProcessor.Processors Namespace


Saturation.Settings Property

SaturationSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Saturation Class
ImageProcessor.Processors Namespace


Saturation Methods

Saturation Methods

The Saturation type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Saturation Class
ImageProcessor.Processors Namespace


Saturation.ProcessImage Method

SaturationProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Saturation Class
ImageProcessor.Processors Namespace


Tint Class

Tint Class
Tints an image with the given color.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsTint

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Tint : IGraphicsProcessor
Public Class Tint
    Implements IGraphicsProcessor
public ref class Tint : IGraphicsProcessor
type Tint =
    class
        interface IGraphicsProcessor
    end

The Tint type exposes the following members.

Constructors
 | Name | Description
Public method | Tint | Initializes a new instance of the Tint class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Tint Constructor

Tint Constructor
Initializes a new instance of the Tint class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Tint()
Public Sub New
public:
Tint()
new : unit -> Tint
See Also

Reference

Tint Class
ImageProcessor.Processors Namespace


Tint Properties

Tint Properties

The Tint type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Tint Class
ImageProcessor.Processors Namespace


Tint.DynamicParameter Property

TintDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Tint Class
ImageProcessor.Processors Namespace


Tint.Settings Property

TintSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Tint Class
ImageProcessor.Processors Namespace


Tint Methods

Tint Methods

The Tint type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Tint Class
ImageProcessor.Processors Namespace


Tint.ProcessImage Method

TintProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Tint Class
ImageProcessor.Processors Namespace


Vignette Class

Vignette Class
Encapsulates methods with which to add a vignette image effect to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsVignette

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Vignette : IGraphicsProcessor
Public Class Vignette
    Implements IGraphicsProcessor
public ref class Vignette : IGraphicsProcessor
type Vignette =
    class
        interface IGraphicsProcessor
    end

The Vignette type exposes the following members.

Constructors
 | Name | Description
Public method | Vignette | Initializes a new instance of the Vignette class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Vignette Constructor

Vignette Constructor
Initializes a new instance of the Vignette class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Vignette()
Public Sub New
public:
Vignette()
new : unit -> Vignette
See Also

Reference

Vignette Class
ImageProcessor.Processors Namespace


Vignette Properties

Vignette Properties

The Vignette type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Vignette Class
ImageProcessor.Processors Namespace


Vignette.DynamicParameter Property

VignetteDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Vignette Class
ImageProcessor.Processors Namespace


Vignette.Settings Property

VignetteSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Vignette Class
ImageProcessor.Processors Namespace


Vignette Methods

Vignette Methods

The Vignette type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Vignette Class
ImageProcessor.Processors Namespace


Vignette.ProcessImage Method

VignetteProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Vignette Class
ImageProcessor.Processors Namespace


Watermark Class

Watermark Class
Encapsulates methods to add a watermark text overlay to an image.
Inheritance Hierarchy
SystemObject
ImageProcessor.ProcessorsWatermark

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Watermark : IGraphicsProcessor
Public Class Watermark
    Implements IGraphicsProcessor
public ref class Watermark : IGraphicsProcessor
type Watermark =
    class
        interface IGraphicsProcessor
    end

The Watermark type exposes the following members.

Constructors
 | Name | Description
Public method | Watermark | Initializes a new instance of the Watermark class.
Top
Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageProcessor.Processors Namespace


Watermark Constructor

Watermark Constructor
Initializes a new instance of the Watermark class.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Watermark()
Public Sub New
public:
Watermark()
new : unit -> Watermark
See Also

Reference

Watermark Class
ImageProcessor.Processors Namespace


Watermark Properties

Watermark Properties

The Watermark type exposes the following members.

Properties
 | Name | Description
Public property | DynamicParameter | Gets or sets DynamicParameter.
Public property | Settings | Gets or sets any additional settings required by the processor.
Top
See Also

Reference

Watermark Class
ImageProcessor.Processors Namespace


Watermark.DynamicParameter Property

WatermarkDynamicParameter Property
Gets or sets DynamicParameter.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object DynamicParameter { get; set; }
Public Property DynamicParameter As Object
    Get
    Set
public:
virtual property Object^ DynamicParameter {
    Object^ get () sealed;
    void set (Object^ value) sealed;
}
abstract DynamicParameter : Object with get, set
override DynamicParameter : Object with get, set

Property Value

Type: Object

Implements

IGraphicsProcessorDynamicParameter
See Also

Reference

Watermark Class
ImageProcessor.Processors Namespace


Watermark.Settings Property

WatermarkSettings Property
Gets or sets any additional settings required by the processor.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Dictionary<string, string> Settings { get; set; }
Public Property Settings As Dictionary(Of String, String)
    Get
    Set
public:
virtual property Dictionary<String^, String^>^ Settings {
    Dictionary<String^, String^>^ get () sealed;
    void set (Dictionary<String^, String^>^ value) sealed;
}
abstract Settings : Dictionary<string, string> with get, set
override Settings : Dictionary<string, string> with get, set

Property Value

Type: Dictionary String, String

Implements

IGraphicsProcessorSettings
See Also

Reference

Watermark Class
ImageProcessor.Processors Namespace


Watermark Methods

Watermark Methods

The Watermark type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ProcessImage | Processes the image.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Watermark Class
ImageProcessor.Processors Namespace


Watermark.ProcessImage Method

WatermarkProcessImage Method
Processes the image.

Namespace: ImageProcessor.Processors
Assembly: ImageProcessor (in ImageProcessor.dll) Version: 2.5.0.0 (2.5.0.0)
Syntax
C#
VB
C++
F#
Copy
public Image ProcessImage(
    ImageFactory factory
)
Public Function ProcessImage (
    factory As ImageFactory
) As Image
public:
virtual Image^ ProcessImage(
    ImageFactory^ factory
) sealed
abstract ProcessImage :
        factory : ImageFactory -> Image
override ProcessImage :
        factory : ImageFactory -> Image

Parameters

factory
Type: ImageProcessorImageFactory
The current instance of the ImageFactory class containing the image to process.

Return Value

Type: Image
The processed image from the current instance of the ImageFactory class.

Implements

IGraphicsProcessorProcessImage(ImageFactory)
See Also

Reference

Watermark Class
ImageProcessor.Processors Namespace